Home

Home > Home

HotDocs Player Help File

The HotDocs Help window is divided into three parts – the navigation bar along the top of the help window, the main help content pane to the right, and the Contents, Index, Search and Glossary pane to the left.

You can use the tabs to switch between the Contents, Index, Search and Glossary on the left hand pane.

There are four buttons in the navigation bar where you can access the following options:

  • Hide: Hide the left hand pane, the button then changes to the [image] Show button.

  • Back: Go back to the previous page.

  • Print: View the Print dialog box to print a copy of the current page.

  • Options: Show the options drop-down menu where you can choose from: Hide Tabs, Back, Forward, Home, Stop, Refresh, Internet Options, Print, and Search Highlights Off.

For further information on using this help file see Get Help Using HotDocs and Form a Help Search Query.


Common Confusions

In HotDocs there are a some features which, while working as expected, may at first seem counter intuitive. The following is a list of common confusions and known issues:

See the Troubleshooting section of this help file to resolve other issues you encounter.

Document Assembly

Problems with Text Pushing Too Far to the Left Side of the Assembled Document

Templates developed in Word 2007 with smart tags enabled can display text incorrectly. This results from a bug in Microsoft's Open XML Format SDK. If you have templates automated from documents developed in Word 2007, be sure to remove the smart tags in your templates or ask your template developer to resolve this problem.

Enabling Update table of contents, references, fields etc in HotDocs Server templates

On the HotDocs Server tab of Component File Properties, if you enable Update table of contents, references, fields, etc option, you may find that it does not produce exactly the same results as the desktop option of the same name on the Assembly tab. Unlike in desktop HotDocs, using this feature with server is known to occasionally alter or lose advanced formatting features in the assembled document. Not enabling this feature removes the chance of this error occurring but you loose the ability to dynamically update the table of contents, references, fields etc in the interview. If you choose to use this feature when converting a template for use with HotDocs server, we recommend testing all features that previously relied on the desktop version of this option.

Using the /nw Command-line Switch with the /of Switch Does Not Support Converting a Document to PDF

Normally, the file extension on the file specified in the /of command line switch instructs HotDocs to convert the assembled document to a file of that type after assembly. However, when converting to PDF, this only works when the assembly window is visible. When you hide the assembly window (by using the /nw switch), conversion to a PDF document is not supported. HotDocs does, however, save the assembled document to a file with a .PDF extension as instructed by the /of command line switch. This can be confusing if you specify “tf=template.docx /of=document.pdf” in the command line after using a /nw switch. In this case, HotDocs assembles a DOCX document from the DOCX template, but saves the DOCX document iin the file system with the filename specified by the /of switch (document.pdf). If you then double-click that file in Windows Explorer, the application mapped to the PDF file extension (usually Adobe Reader) tries to open the file but fails because the file contains a DOCX document, not a PDF document (as the file extension claims).

In cases where the assembly window is hidden by specifying the /nw switch, only native word processor file types are supported for the /of commandline switch, as follows:

Template type | Allowed output file
DOCX | DOCX
RTF | RTF, DOCX
DOT | RTF, DOCX

Work Around

A possible work around is to use Microsoft Word's PDF conversion feature to accomplish the same result, using either Word's graphical user or programming interface.

Known Issues

The following issues are known and are either not addressable by HotDocs as they originate in external software or are planned to be resolved the future releases. In the meantime you can use the workarounds listed below:

Browser Interviews

  • In a Javascript interview, selecting "None of the above" on a list style multiple choice question in the interview, occasionally does not clear any other selected options. You need to hold down Ctrl and click the selected options to clear them and then you can select "None of the above" only.


Quick Help Links

Using the links below, you can quickly find topics of interest, particularly if you are a new user.

  • New and Enhanced Features of HotDocs 11
  • Get Help Using HotDocs

Starting HotDocs

  • HotDocs Overview
  • Start HotDocs
  • Introduction: Use HotDocs Libraries
  • Create a Library
  • Work with Templates and Other Files in a Library

Assembling a Document

  • Assemble a Text or Form Document
  • Select an Answer File for Assembly
  • Navigate Through Answer-Gathering Dialogs
  • Preview the Assembled Text Document
  • Save an Assembled Text or Form Document
  • Save an Answer File During Assembly


New and Enhanced Features of HotDocs 11

New and Enhanced Features of HotDocs 11.2

Compatibility with Microsoft Word 2016

You can now use templates compatible with the latest version of Microsoft Word.

HotDocs 11.2 is a paid upgrade and license codes from earlier versions are not compatible. If you want to upgrade to HotDocs 11.2 you need to contact your HotDocs representative.

New and Enhanced Features of HotDocs 11.1

WordPerfect X7 Support

You can now build and use templates compatible with the latest release of WordPerfect. Note, though, that HotDocs no longer supports WordPerfect 12.

New and Enhanced Features of HotDocs 11

Word processor support

HotDocs 11 now supports Microsoft Word 2013 and WordPerfect X6.

It no longer supports Microsoft Word 2000 and XP or WordPerfect 8,9,10, and 11.

New support for DOCX file format

HotDocs now supports DOCX format templates with no file conversion throughout, allowing HotDocs to better utilize the native properties of Microsoft Word, reducing any unexpected errors in assembly and avoiding unmanageably large file sizes. HotDocs will still support all RTF templates.

New support for Plain Text Templates

In addition to word processor based templates, HotDocs now supports Plain Text Templates (.ttx files). Thehe finished document can be sent to your default text editor.

Help System Re-structure

Removal of the What's This help feature: The What's This help buttons have been removed from HotDocs windows and dialogs.

Window Specific Help File Pages: The What's This help buttons have been replaced with a new buttons [image] and [image] which will open the relevant At a Glance window or dialog box page from the HotDocs help file.

Re-structure of the HotDocs Help File: The HotDocs Help File has undergone a change to the style and structure of the table of contents. There has been improvements made to the search function, index and glossary as well as the introduction of new At a Glance pages, where you can see the main features of HotDocs dialog boxes and windows. In the new help file Introduction pages are also now listed as Introduction pages.

Additional Improvements

In addition to the new features above, this release of HotDocs contains software corrections and minor enhancements to existing features.


New and Enhanced Features of HotDocs 10

New and Enhanced Features of HotDocs 10.2

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10.1

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10 HF3

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10 HF2

This release of HotDocs contains software corrections and minor enhancements to existing features.

New and Enhanced Features of HotDocs 10

Edition Name Changes

HotDocs is now available in four different editions:

New Name | Previous Name
Developer | Professional
Developer LE | Standard
User |
Player | Player

Interviews

Interviews have been updated and improved for HotDocs 10.

Changes to Files and Folders

HotDocs Files

New File Name | Previous File Name
hotdocs.exe | hotdocs6.exe

HotDocs Default Installation Folder

New Folder | Previous Folder
C:\Program Files\HotDocs | C:\Program Files\HotDocs 6


Installing HotDocs

Home > Getting Started > Installing HotDocs > Installing HotDocs: Quick Start

Installing HotDocs: Quick Start

Please see the installation information in the HotDocs User Quick Start Guide.


HotDocs Overview

HotDocs is a suite of award-winning software applications that significantly reduce the time you need to spend generating client or customer specific documents (such as contracts, sales proposals, government and court forms, loan applications, and medical forms).

HotDocs' document generation software solutions form an array of products, environments, and platforms that enables users across a wide variety of work situations to take advantage of HotDocs' automated customization capabilities.

Using HotDocs, you can transform any word processor file or form into an interactive template by replacing the changeable text with HotDocs variables. Then, the next time you want to generate a completed document, just assemble the interactive template you've created. As you do this, you will be prompted for the information needed in the document and that information will be merged into the document.

When using HotDocs, you can perfect a template, minimizing the “human error” factor that repetitive typing introduces. Additionally, you can automate your templates so that verb tenses, gender references, dates, numbers, calculations, and more are updated automatically as users enter information. Custom interview questions and help resources guide you or your users through the interview.

Virtually any document in your workflow can be converted to a HotDocs template. HotDocs templates then become your gold standard—experienced colleagues can share their knowledge, and new colleagues come up to speed faster. Using HotDocs, you can compile an invaluable repository of special language, unique clauses or terms, correspondence, and more.

This document provides an overview of:

  • HotDocs Document Generation Workflow
  • HotDocs Product Matrix
    • Tools Layer
    • Content Layer
    • Environment
    • Platform Layer
      • Desktop HotDocs Platform
      • HotDocs Server Platform
      • Cloud Services Platform
    • Communication Layer
      • Desktop Environment
      • HotDocs Server Environment
      • Cloud Services Environment
    • User Layer
      • Desktop Environment
      • HotDocs Server Environment
      • Cloud Services Environment

HotDocs Document Generation Workflow

HotDocs document generation follows the following workflow:

  1. You (or another template developer The person responsible for automating your firm's templates. The template developer creates and inserts the variables in the template, arranges variables in dialogs, and performs other custom tasks in the template. (See also user.)) use HotDocs software products and systems to produce a generic exemplar document known as a template A word processor or form document that has been converted to HotDocs format so that it can be automated. When in template format, changeable text in the template can be replaced with variables. Other instructions can be added as well, such as instructions that create lists, condition text, and insert other templates.. (You can do this most easily by replacing an existing document's changeable text—text that varies from one client to another, such as names, dates, and institutions—with HotDocs variable A component that is used to represent changeable text (such as names, dates, numbers, etc.) in the template. Types of variables include Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information.s).
  2. You tell HotDocs to use the template you create to generate an interactive interview A series of dialogs, each containing one or more questions which HotDocs generates from the variables you add to your template. The template's user must answer the questions in the interview before HotDocs can assemble a custom document. You can view the interview by clicking the Interview tab of the assembly window. The left pane of the assembly window displays an outline of the interview. As the user answers questions, the outline tracks the user's progress through the interview. that asks your end user (a client or customer) for the data HotDocs needs to create a customized document.

  3. HotDocs presents the interview to your end user either in a desktop product, or in a browser.

  4. Your end user steps through the interview, providing the information you request at the prompts you set up in the template's dialog In template development, represents the component in which the developer groups variables and other components. In document assembly, represents the group of questions in the Interview tab of the assembly window where users enter their answers.s.

  5. HotDocs stores this information in an answer file A saved file that contains the answers gathered by an interview. Often template developers save an answer file so they can reuse the answers later to assemble other documents to which the answers are pertinent..

  6. When your user finishes the interview, HotDocs assembles a final document by merging the information in the answer file with the non-changing text in the template.

HotDocs can also use existing answer files to supply an interview with commonly reused information (for example, a company's address and contact information).

The workflow diagram below shows HotDocs' capability to use both answer files (saved answers) and end user input to provide information in an interview. The diagram also shows that HotDocs can generate an answer file or an assembled document by merging the template text with the answers from the completed interview.

HotDocs Document Generation Workflow

Using HotDocs, you can perfect a template, minimizing the "human error" factor that repetitive typing introduces. Additionally, you can automate templates so that verb tenses, gender references, dates, numbers, calculations, and more, update automatically as users enter information. Custom interview questions and help resources guide you or your users through the interview.

You can convert virtually any transactional document in your business to a HotDocs template. HotDocs templates then become your standard for document generation—experienced colleagues can share their knowledge, and new colleagues come up to speed faster. Using HotDocs, you can compile an invaluable repository of special language, unique clauses or terms, correspondence, and more.

HotDocs Product Matrix

HotDocs provides the products described in the product matrix below to enable you to accomplish the steps of the HotDocs document generation workflow described above. Which product or products you use to accomplish the steps depends on your particular computing circumstances and needs. You can gain a better understanding of a particular product or feature by locating it within the conceptual areas which define the matrix:

  • Tools layer (template development)
  • Content layer (completed templates containing non-changeable text and HotDocs variables)
  • Environment (desktop, client/server, or cloud computing)
  • Platform layer (desktop HotDocs products, HotDocs Server, or HotDocs Cloud Services)
  • Communication layer (communications protocols)
  • User layer (information gathering and final document generation)

HotDocs Product Matrix

Tools Layer

The tools layer of the HotDocs product suite is the area you use to create a HotDocs template. The tools layer consists of the following:

  • HotDocs Developer—a desktop application that enables a template developer to transform a word processor file into a HotDocs template by replacing the document's changeable text with HotDocs variables

HotDocs Developer LE is also available for those creating word processor-based templates without using scripting, and for those not interested in publishing their templates for others to use.

  • HotDocs Automator—an aspect of HotDocs Developer that enables a template developer to transform a graphical form into an interactive template by replacing the form's changeable text with HotDocs variables
  • Models markup—a simple HotDocs document markup notation system that provides non-HotDocs domain experts a means to mark up or edit a word processor document so that HotDocs Developer can transform the marked up document into a HotDocs template

Content Layer

HotDocs templates form the content layer of HotDocs. A completed template acts as a generic or exemplar document you can use as the basis for drafting documents of the same type for various specific clients. To change the template to a client specific document, HotDocs needs to gather user information and then merge that information with the non-changeable text in your template.

Environment

To accomplish the task of gathering the user information needed to assemble a final document, HotDocs' product suite includes data-gathering solutions for three separate computing environments:

  • Desktop
  • Client/Server
  • Cloud

These environments serve as metaphors for specific software platforms that enable HotDocs to deliver data-gathering and document assembly functionality to end-users, regardless of their local computing configurations.

Platform Layer

HotDocs provides software solutions in the desktop, client/server, and cloud environments to collect client data and assemble client specific documents. These solutions form three independent but interrelated computing platforms for gathering and processing your clients' data to produce custom documents.

HotDocs provides three platform choices in the platform layer:

  • Desktop HotDocs Platform
  • HotDocs Server Platform
  • Cloud Services Platform

You can use products from each of these platforms in any combination that enables you to meet both your and your clients' needs.

Desktop HotDocs Platform

The Desktop HotDocs Platform is not a product; rather, as the name implies, the desktop platform consists of products and communication protocols that you and your clients install on regular desktop computers or laptops.

The base product for the desktop platform is HotDocs Developer or HotDocs Developer LE A version of HotDocs that contains the tools necessary to automate a simple to moderately complicated set of text templates. HotDocs Developer LE can also be used to assemble text and form documents. (See HotDocs Developer.) Prior to the release of HotDocs 10, Developer LE was named Standard Edition.. HotDocs Developer enables you to create text-based templates using either Microsoft® Word or Corel® WordPerfect®. You can also use HotDocs Developer to create a graphic-based form template. HotDocs Developer LE provides the same basic template creation ability as HotDocs Developer, but does not contain certain advanced features available in HotDocs Developer, such as dialog scripting and answer file linking.

In addition to creating templates, you can also generate interviews using HotDocs Developer (and answer interview questions yourself). However, your end-users in the desktop platform area usually use one of the products in the User Layer of the product matrix to answer interview questions.

HotDocs Server Platform

HotDocs Server is the name, both of the platform, and of the base software product upon which the platform depends. In contrast to the desktop HotDocs platform, the HotDocs Server platform requires a client/server configuration with a dedicated server to run HotDocs Server and a separate client interface (in the User Layer of the platform) for displaying interviews to your end users. HotDocs Server is the server-based version of HotDocs that enables you to use a standard web browser to generate and display interviews and, using the answers from the interview, assemble your end-user's final customized documents.

Cloud Services Platform

HotDocs Cloud Services is the name, both of the platform, and of the base software product upon which the platform depends. In contrast to the HotDocs Server platform, the Cloud Services platform does not require you to install any HotDocs software. The advantage of the cloud environment is that it frees firms from needing to install and maintain server software (or for that matter, any client software in the User Layer). Instead, Cloud Services exists as a HotDocs-provided service to which any third-party can make web service calls to provide their end-users access to HotDocs generated interviews, and to deliver to those same end-users their final documents.

Communication Layer

The communication layer of the product matrix consists of the communications protocols which enable interactions between the User layer and the parts of the HotDocs system that make up the platform layer of the HotDocs product matrix. These communications are necessary to present interviews to end users to gather the information needed to assemble final client-specific documents. The communication protocols used vary with the platform.

Desktop Environment

In the desktop paradigm, the Desktop API is the communication model you use if you want to integrate HotDocs functionality into your own, or third-party, applications. A typical use includes passing data from a third party database into HotDocs. You can also use the plug-in API to, for example, add new menu items to the HotDocs Developer library window.

HotDocs Server Environment

The HotDocs Server Platform enables you to choose several modes for communicating between HotDocs Server and your client application (a HotDocs Server host application A (usually third-party) web application that "hosts" HotDocs Server or Cloud Services features on the back end to present interviews to end users in a web browser. A host application enables template (and related file) uploading and storage, as well as interview generation and presentation, final document assembly, and answer file handling and storage.):

  • HotDocs Server .NET API—a set of native .NET classes that wrap COM functionality; these enable communication between HotDocs Server and HotDocs Server host applications on the ASP.NET framework
  • HotDocs Server COM API—Provides a set of COM objects that enable communications between HotDocs Server and HotDocs Server host applications
  • HotDocs Server JavaScript API—Enables you to directly integrate a browser interview in your HotDocs Server host application web page by providing direct and synchronous communication with the interview runtime (which must either be loaded in the same frame, or have the same domain name loaded by the interview frame)
  • HotDocs Server Web Service API—Enables communication between HotDocs Server and a HotDocs Server host application (using web services)
  • HotDocs Open SDK—An open source communication protocol for HotDocs Server or HotDocs Cloud Services; many Open SDK API calls receive quicker responses than those in the alternative communication protocols above

Cloud Services Environment

  • HotDocs Cloud Services .Net API—a set of native .NET classes that enable communication between HotDocs Cloud Services and HotDocs Cloud Services host applications using the ASP.NET framework
  • HotDocs Cloud Services Direct JavaScript API—Enables you to directly integrate a browser interview in your HotDocs Cloud Services host application web page by providing direct and synchronous communication with the interview runtime (which must either be loaded in the same frame, or have the same domain name loaded by the interview frame)
  • HotDocs Cloud Services Embedded JavaScript API—Enables you to place HotDocs interview functionality within an IFRAME in your HotDocs Cloud Services host application web page and use the EasyXDM library for asynchronous communication between Cloud Services and the interview in a cross-domain-safe manner
  • HotDocs Open SDK—An open source communication protocol for HotDocs Server or HotDocs Cloud Services; many Open SDK API calls receive quicker responses than those in the alternative communication protocols above

User Layer

The user layer of the HotDocs product matrix is where the work of presenting an interview to a user, then collecting user information in an answer file occurs. Once collected, HotDocs can use the answers (or access answers previously stored in third-party data sources) and the non-changing text in the template to assemble the final client-specific document. The products and solutions for accomplishing these tasks vary with the platform.

Desktop Environment

The desktop platform provides the following products in the user layer:

  • HotDocs User—enables you or your end users to complete interviews and assemble text documents from existing HotDocs templates
  • HotDocs Player—a more basic version of HotDocs user that enables you or your end users to complete interviews and assemble text documents from existing HotDocs templates
  • HotDocs Filler—enables you or your end users to complete interviews and assemble documents from existing HotDocs form templates
  • Third party integrations—enable you or your end users to complete interviews and assemble text and form documents with HotDocs functionality provided through the Desktop HotDocs API.

HotDocs Server Environment

The HotDocs Server platform provides several HotDocs-created examples of the host application you need to give your end-users access to HotDocs interviews. Many customers prefer to build their own host applications to customize their users' experience. The following solutions are available:

  • HotDocs Workspace—a host application available from HotDocs that enables you or your end users to complete interviews and assemble documents within a web browser; available for use with HotDocs Server and HotDocs Cloud Services; uses a SQL backend to store metadata about uploaded templates
  • HotDocs Template Portal—a host application available from HotDocs that enables you or your end users to complete interviews and assemble documents within a web browser; available for use with HotDocs Server and HotDocs Cloud Services; uses a SQL backend to store metadata about uploaded templates

  • HotDocs Sample Portal—a sample host application designed to show how to build a custom host application for working with HotDocs Server or HotDocs Cloud Services

  • Third party host applications—enable you or your end users to complete interviews and assemble text and form documents with HotDocs functionality provided through the various APIs delineated in the Communication layer

Cloud Services Environment

The HotDocs Cloud Services platform provides several HotDocs-created examples of the host application you need to give your end-users access to HotDocs interviews. Many customers prefer to build their own host applications to customize their users' experience. The following solutions are available:

  • Document Services—a HotDocs Software-as-a-Service (SaaS) host application
  • HotDocs Market—an ecommerce platform offering expertly crafted HotDocs templates published by bar associations and other legal industry experts.
  • HotDocs Workspace—a host application available from HotDocs that enables you or your end users to complete interviews and assemble documents within a web browser; available for use with HotDocs Server and HotDocs Cloud Services
  • HotDocs Sample Portal—a sample host application designed to show how to build a custom host application for working with HotDocs Server or HotDocs Cloud Services
  • Third party host applications—enable you or your end users to complete interviews and assemble text and form documents with HotDocs functionality provided through the various APIs delineated in the Communication layer


List HotDocs File Name Extensions

The following is a list of all file types used by HotDocs:

File Name Extension | Type of File
.DOCX | Word DOCX Template/ Word Document
.RTF | Word RTF Template
.DOT | Word Template
.WPT | WordPerfect Template
.TTX | Plain Text Template
.HFT | HotDocs Envoy-based Form Template
.HPT | HotDocs PDF-based Form Template
.HFD | HotDocs Envoy-based Form Document
.HPD | HotDocs PDF-based Form Document
.DOC | Word Document
.WPD | WordPerfect Document
.CMP | HotDocs Component File
.CMP | HotDocs Interview Template
.HDL | HotDocs Template Library
.HDL | HotDocs Clause Library
.HCL | HotDocs Clause Archive
.HDA | HotDocs Auto-Assemble File
.HDI | HotDocs Auto-Install File
.HAL/.HDL | HotDocs Answer Library HotDocs 6 through HotDocs 2008 supported binary answer libraries (or answer libraries with the .HAL file name extension). Starting with the release of HotDocs 2009, however, HotDocs now supports both binary answer libraries and XML-based answer libraries (which use the .HDL file name extension). By default, HotDocs will continue to use binary answer libraries as long as the file properties of items in the library use characters that are compatible with your system's default language. If you define answer file properties that contain foreign characters, HotDocs will create an XML-based answer library (so that it can properly display these characters in the Properties tab of the library window.)
.ANS/.ANX | HotDocs Answer File HotDocs 6 through HotDocs 2008 supported two types of answer files—binary answer files and XML answer files. These files were typically named using the .ANS and .ANX file name extensions, respectively. Starting with the release of HotDocs 2009, however, HotDocs can save answer files in only XML format. This means that if you open a binary answer file (such as an .ANS file) in HotDocs 2009, make a change to the file, and then save it, the contents of the answer file will be converted to and saved as XML. (The file name, however, will continue to use the ANS file name extension.) If you want the answer file to be compatible with versions of HotDocs prior to HotDocs 2009, see Compatibility of HotDocs 11 Files with Earlier Versions of HotDocs.
.HDPMX | Publisher Answer Source Mapping File (This file is used to save variable mapping information created and used by other third-party applications.)
.HDUMX | User Answer Source Mapping File (This file is used to save variable mapping information created and used by other third-party applications.)


Use the Keyboard to Work in HotDocs

You can use the keyboard to complete many tasks in HotDocs. The following describes some of these keyboard options.

The options described below refer to using a standard U.S. keyboard. Commands that require you to press two keys simultaneously are displayed using a plus (+) character. For example, to describe the Print command, the keyboard shortcut would appear as Ctrl+P.

There are four ways you can use the keyboard to work in HotDocs:

Tab Between the Elements in a Window, dialog box

Press the Tab key to move between the different elements of a HotDocs window or dialog box. Similarly, press Shift+Tab to move through the different elements in reverse order.

If certain elements don't appear in the tab order, use one of the other methods described in this topic, such as use an accelerator key.

For example, if you're viewing the template library and you want to assemble a document, you can press the Tab key to move focus to the item list of the library. Then press the Up Arrow or Down Arrow key to move between items in the library. Once the template you want to assemble is selected, press Alt+M (to view the Template menu). Finally, either press the Down Arrow key to select Assemble from the menu, or press the A key to activate the accelerator key in the Assemble command. The assembly window appears.

Use Accelerator Keys

Many commands and options in HotDocs can be accessed using an accelerator key. Accelerators appear as underlined letters in a command name or prompt. To access them, press the Alt key while also pressing the underlined letter. If you aren't in a text field (or a field where you can enter or select text), you can simply press the underlined letter and HotDocs will move you to that element or command.

For example, to save an answer file during an interview, at the assembly window, press Alt+F. The File menu appears. Then press S. The Save Answer File dialog box appears.

For some Windows 2000 and XP users, accelerator keys aren't identified until the Alt key is pressed. To always view accelerator keys, go to Start menu > Settings > Control Panel > Display. Click the Advanced tab, and then click Effects. Clear Hide underlined letters for keyboard navigation until I press the Alt key. To always view accelerator keys on Windows Vista, go to Control Panel > Ease of Access > Ease of Access Center > Make the keyboard easier to use and select Underline keyboard shortcuts and access keys.

Use the Shortcut Menu

When working with specific elements in a window or dialog, you can frequently access a list of commands for that element by displaying the shortcut menu. To access the shortcut menu, place focus on the element and then either press the [image] Windows Application key on your Windows keyboard, or press Shift+F10. Use the arrow keys to move between options in the menu.

For example, to view where the answer to a specific question is used in the assembled document, while your cursor is in an answer field, press the [image] Windows Application key on your keyboard. (Or, press Shift+F10.) A shortcut menu appears. Then, either press the Down Arrow key to select Go to Answer in Document (and then press Enter), or press the G key to issue the command.

To close a shortcut menu without choosing an option in it, press the Esc key.

Use Shortcut Keys

Several commands within HotDocs can be accessed using a shortcut key, which is a key or a combination of keys you can press that will quickly execute the command. (Accelerator keys can be considered shortcut keys.)

For example, to send an assembled document to the word processor, press the F11 key. Or, to move between the different tabs of the assembly window, press Ctrl+Tab. (Pressing Ctrl+Shift+Tab moves through the tabs in reverse order.)

Click here for a complete list of shortcut keys.


Full List of Keyboard Shortcuts

You can use keyboard shortcuts to complete many tasks in HotDocs. A keyboard shortcut is a key or a combination of keys you can press that will quickly execute the command.

For example, to send an assembled document to the word processor, press the F11 key. Or, to move between the different tabs of the assembly window, press Ctrl+Tab. (Pressing Ctrl+Shift+Tab moves through the tabs in reverse order.)

Click one of the links below to see the keyboard shortcuts for that specific part of HotDocs:

  • Keyboard Shortcuts at Template Library
  • Keyboard Shortcuts for the Interview Tab of the Assembly Window
  • Keyboard Shortcuts for the Document Preview Tab of the Assembly Window
  • Keyboard Shortcuts for the Form Document Tab of the Assembly Window
  • Keyboard Shortcuts for a Clause Library at the Assembly Window
  • Keyboard Shortcuts for Answer File Manager
  • General Keyboard Shortcuts
  • Keyboard Shortcuts for JavaScript Interviews
  • Keyboard Shortcuts for Silverlight Interviews


At a Glance: The HotDocs Library Window

Library Contents Pane

Toolbar

Properties Tab

Menu Bar

Preview Tab

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

While HotDocs templates exist as files within your file system, the best way to view, edit and organize them is with a HotDocs Library.

At the top of the window is the Menu bar which allows you to access the features available in the Template Library including; importing and exporting the library, updating the template sets and accessing the HotDocs Help File. Many of the most used features are available as buttons on the toolbar.

The Toolbar contains quick links to the most used features in the HotDocs Library. Below is a list of the buttons on the toolbar:

  • Create a New Library: The New Library dialog box will appear where you can enter a title, description, path, and file name for the library. Once created, you can add templates or other files to the library. A single template can be referenced in multiple libraries.
  • Open a Library: The Open Library dialog box will appear where you can select the library you want.
  • Print Contents of Library: Prints a document that lists the contents of the current library, including file names, titles, and descriptions.
  • Assemble a Template: Assembles a text or form document, clause library, or interview template. The HotDocs assembly window will appear.
  • Create a New Template: Creates a new template or clause library file and adds it to the list of items in the library.
  • Edit a Template: Opens the selected template or clause library so you can edit it.
  • Cut a Template: Removes the selected library item or items and saves those items to the Windows Clipboard. (If you select a folder, HotDocs will remove the folder with all of its contents.) You can then paste the items into another part of the current library or into a different library.
  • Copy a Template: Copies the selected library item or items and saves them to the Windows Clipboard. (If you select a folder, HotDocs will copy the folder with all its contents.) You can then paste them into another part of the current library or into a different library.
  • Paste a Template: Pastes any library items that have been saved to the Windows Clipboard into the current library. The item or items will be pasted below the currently selected item in the library.
  • Add Item to Library: The Add Item dialog box will appear where you can choose to add a template, folder, or clause library. The new item will be inserted below the currently selected item.
  • Remove Item from Library: Removes the selected library item or items from the library. You can also choose to delete the actual files from disk. If the templates you delete are stored on the local disk, they will be sent to the Windows Recycle Bin. If they are stored on a network, they will be permanently deleted.
  • Sort Templates: Sorts the items in a library or a folder in a library in either ascending or descending alphanumeric order. You can also specify whether to include items in subfolders. You must have a folder selected to sort items in it.
  • View Template Properties: Displays the title, file name, and description of a selected library item so you can edit them.
  • Open Answer File Manager: Displays the Answer File Manager where you can organize existing answer files or create an empty answer file to be used in a later assembly.
  • Open Component Manager: Displays Component Manager so you can edit the components in a given template without opening the template. (You must select a template from the template list before you click this button.)
  • Open Template Manager: Launches Template Manager, which allows you to manage components in several component files at once. Template Manager also lets you manage templates, including renaming templates or converting multiple templates at once.
  • Publish Library or Templates: Publishes the selected files so they can be distributed to others. The Publishing Wizard will appear where you can specify the type of file you'd like to publish.
  • Assembly queue: Opens the Assembly Queue dialog box where you can view the templates waiting to be assembled and alter their positions in the queue.
  • HotDocs Options: Opens the HotDocs Options dialog box where you can specify preferences that control how HotDocs works.
  • Help: Opens the relevant page of the HotDocs Help File.

In the Library Contents Pane you can organize or select HotDocs files. The items you see in this pane are not the actual HotDocs files on your local disk or network. Instead they are reference to the files, operating in a similar way to Windows-type shortcuts. You can use folders in this pane to help you organize the list of files in the library but again these are not actual folders in your document files.

At the bottom of the Library Contents Pane is the Find check box, selecting this displays only those templates and clause libraries that contain the text you enter in the Find box in their file names, titles, or descriptions. You can specify the text by typing directly into the box to the right, or you can click the drop-down button and select text used in a previous search.

You can use the Properties tab and Preview tab to change what you see on the right hand pane of the window. Clicking the Properties tab will have HotDocs show you information on the selected template file,such as file types, names, and descriptions (where given), and clicking the Preview tab will have HotDocs display the template text.

The Preview tab does not always display the template with the correct formatting. The template has not changed and when it is assembled the formatting will all be correct. Also the template cannot be edited in the Preview tab.

Below are some of the options available from the HotDocs Library:

  • Add Templates and Other Files to a Library
  • Change the Properties for Multiple Items in a Library
  • Change the Properties of a Single Library Item
  • Copy Templates to New Locations
  • Create a Library
  • Move Items to New Locations on Disk
  • Move Items Within a Library
  • Open a Library
  • Organize the Contents of a Library
  • Print a List of Items in a Library
  • Remove Items from a Library
  • Save the Contents of a Library as a Text File
  • Sort Items in a Library
  • Work with Templates and Other Files in a Library


Introduction: Use HotDocs Libraries

HotDocs files—such as templates, clause libraries, and answer files—reside in folders on your local disk or on a network. To make it easier to organize templates and clause libraries, you can use a HotDocs template library or, for answer files, the Answer File Manager. Using a library lets you assign titles and descriptions to files, and, in the case of answer files, track the history of when a file is used.

Template libraries help you organize template files and provide quick access to many HotDocs tools, such as the Assembly Queue and HotDocs Options:

The Answer File Manager is a library of answer files. You can group answer files as well as sort them. You can also view a history of when a specific answer file was used:

Both the template library and Answer File Manager are divided into two panes. The left pane shows a list of the items referenced in the library. Depending on what kind of library it is, these items can include folders, templates, clause libraries, or answer files. The right pane displays information about the selected item. A different view shows the contents of the file.

The items you see in the left pane are not the actual HotDocs files on your local disk or network. Instead, they are references to the files, operating similar to Windows-type shortcuts. When you select an item for assembly, HotDocs follows the assigned file path and locates the actual template or answer file.

Additionally, folders in a library help you organize the list of files in the library—not the actual folders on the local disk or network.

Because the items in the library work like shortcuts to the actual files, you must be cautious when working with the actual files. Moving an actual file without updating the reference in the library will make the file inaccessible from the library. If you need to move the files in the library, use either the Move command or the Copy command (see Move Items Within a Library and Copy Templates to New Locations). If you need to update references, choose Properties or Multiple from the Edit menu. (See Change the Properties of a Single Library Item or Change the Properties for Multiple Items in a Library.)


At a Glance: The New Library dialog box

A

B

C

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening the HotDocs Library, you can open the New Library dialog box by clicking on the [image] New Library button on the toolbar.

In the first text field A you can enter a file name for the new template and you can use the [image] Browse button to the right specify a location for the new library file in your file system.

HotDocs will automatically copy the file name into the second text field B as the template title, but you can edit this if you would like to use a different title for the template. This title will appear in the title bar of the library window.

In the third text field C you can enter an optional description of the library. Here you can specify information about the library, such as what kinds of templates are included, or when the library should be used. If specified, it appears when the user views the properties of the top folder in the library.

To learn more about creating a new library follow the link below:

  • Create a Library


Creating a Library

You may want to use separate libraries for templates that deal with different matters. For example, you may want to create one library for divorce templates and another library for estate planning templates. When you create a library, you create an .HDL file on the disk. Once it's created, you can add references to templates to it as well as organize it in whatever way you need.

By default, all new libraries you create will be saved in XML format. If you need to use the library with versions of HotDocs prior to HotDocs 2009, you must specify this format by choosing Save Library As from the File menu and then choosing HotDocs 2005-2008 Library from the Save as type drop-down list. (See HotDocs and XML File Formats for details.)

To create a library

  1. At the HotDocs library window, click the [image] New Library button. The New Library dialog box appears.
  2. Click the [image] Browse button next to the File Name field. The New Library File Name dialog box appears.
  3. Browse to the location where you want to save the file and enter a name in the File Name field. (Click OK once you have specified the file location.)
  4. At the New Library dialog box, enter a name for the library in the Title field. This title appears as the top folder in the library window. (Library titles can be up to 100 characters long.)
  5. Optionally, type a description of the library in the Description field. The description appears in the Properties tab when the user views the main folder in the library.

Once you create a new library, you can add templates and other files to it. See Add Templates and Other Files to a Library.

See Change HotDocs Program File Locations for information on the default location HotDocs looks for and saves library files.


Open a Library

Often you have templates that are located in different libraries. You can access any library by using the Open command at the library you are currently viewing.

To open a different HotDocs library

  1. Start HotDocs. (See Start HotDocs.)
  2. At the library window, click the [image] Open Library button. The Open Library dialog box appears.
  3. Locate and select the library (.HDL) file with which you want to work, then click Open. The folders, templates, and clause libraries in the new library appear in the template list.

See Change HotDocs Program File Locations for information on the default location HotDocs looks for and saves library files.


At a Glance: The Add Item dialog box

A

B

C

D

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening the HotDocs Library, you can open the Add Item dialog box by clicking on the [image] Add Item button on the toolbar.

At the top of the dialog box is a drop-down list A where you can choose the type of item you wish to add to the library. You can choose from:

  • Text Template
  • Form Template
  • Interview Template
  • Clause Library
  • HotDocs Model
  • Auto-Assemble File
  • Web Address
  • Folder

In the first text field B you can enter a file name for the new template or you can use the [image] Browse button to the right to locate a file in your file system.

In the second text field C you can specify the title of the item, which appears when you select the item and view its properties. HotDocs suggests a title based on the file name. If the template provider has specified a default title, you can click the [image] Get Title button and that title will be used instead.

In the third field D you can enter an optional description of the library item, such as how the item should be used, or when it was created. This information appears when you select the item and view its properties.

To learn more about adding an item to a library follow the link below:

  • Add Templates and Other Files to a Library


Add Templates and Other Files to a Library

Home > Using Libraries > Add Templates and Other Files to a Library

Adding Templates and Other Files to a Library

After you create a library, you can add folders, template files, Web addresses, and miscellaneous files to the folder. In order to upload a template (or any other file) to a host application A (usually third-party) web application that "hosts" HotDocs Server or Cloud Services features on the back end to present interviews to end users in a web browser. A host application enables template (and related file) uploading and storage, as well as interview generation and presentation, final document assembly, and answer file handling and storage., you must first add it to a library.

When you create new templates, they are automatically added to the library. Clause libraries created at the template library are likewise added to the library automatically.
Adding an item to a library does not affect the files on your local disk or network. For example, you could select a form template from a library on your network and add it to a library on your local disk. However, the actual file would remain on the network.

There are three scenarios for adding items to a library: ShowHide

Adding a Single Item to a Library

Adding Multiple Items at Once

Adding Miscellaneous Files

Adding a Single Item to a Library

The items you add using this method are those available in the Type drop-down list.

To add a single item to the library

  1. At the HotDocs library window, select a folder.
  2. Click the [image] Add button. The Add Item dialog box appears.
  3. From the Type drop-down list, select the appropriate kind of library item. (Your options include Text Template, Form Template, Interview Template, Clause Library, Auto-Assemble File, Web Address, and Folder.)
  4. Click the [image] Browse button next to the File name field and locate the library item.
  5. Select the item you want to add and click OK. The Add Item dialog box appears again.
  6. In the Title field, enter a title for the library item (100 characters or less). The title will identify the item in the library.
  7. Optionally, enter a description in the Description field. The description appears in the Properties tab when the library item is selected.

Adding Multiple Items at Once

You can add multiple files to a library simultaneously. Doing this however, means you must wait to assign properties (such as titles and descriptions) to each individual file until after you add the files to the library.

To add multiple items at once

  1. Follow the steps in the procedure above until you choose the item typel

  2. Click the [image] Browse button next to the File name field and locate the library item.

  3. Select all the items you want to add and click OK. Once they are added, you can modify the properties.

Adding Miscellaneous Files

You can also add miscellaneous files such as word processor documents, PDF files, and so forth to the library. Once you add the file, you can assign properties (such as titles and descriptions) to each individual file.

To add miscellaneous files

  • In Windows Explorer, browse to the file or files you want to add to your library, drag and drop the files onto the library at the location where you want them. Once they are added, you can modify the properties.


Work with Templates and Other Files in a Library

You use a HotDocs library to organize and maintain your template set, including adding and removing templates from the library and changing the properties of templates in the library. (See Organize the Contents of a Library.) You can also use commands in the library to work directly with the templates. For example, you can select a template and assemble it.

To use the library to access the templates and clause libraries

  1. At the HotDocs library window, open the desired HotDocs library. (See Open a Library.)
  2. Perform tasks as explained in the following table:
To | Do This
Assemble the selected document | Select the template and click the [image] Assemble button.
Create a new folder in the library | Choose Add Folder (Edit menu).
Add an existing item to the library | Click the [image] Add Item button. (See Add Templates and Other Files to a Library.)
Remove the selected item from a library | Click the [image] Remove Item button. (See Remove Items from a Library.)
Move items up or down in the library list | Click on the item and drag it up or down in the list. HotDocs displays a horizontal bar indicating where the item will be placed when you release the mouse.
Modify the selected item's file name, title, or description | Click the [image] Properties button. (See Change the Properties of a Single Library Item.)
View or hide all of the items within a folder in the library list | Choose Expand All (View menu). (To hide the list again, choose Collapse All.)


At a Glance: The Remove Item Dialog Box

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening the HotDocs Library, you can open the Remove Item dialog box by clicking on the [image] Remove Item button on the toolbar.

You can use the two check boxes to specify any options for the removal. Check the top box to approve the removal of items stored within the folder you have selected and check the bottom box to delete the selected files from the disk as well as deleting the references from the library.

To learn more about removing an item to a library follow the link below:

  • Remove Items from a Library


Remove Items from a Library

Libraries do not contain the actual files that HotDocs uses, such as template files, component files, or answer files. Libraries only contain references to those files, similar to shortcut icons on a Windows desktop. When you remove an item from a library, you can choose to remove just the reference, or you can choose to delete the actual file from disk.

The available options for removing items in a library depend on the type of item:

  • When you remove the reference for a template, you can choose to also delete the associated template file, component file, and clause library file (if any) from disk. If you do this, the files you delete are either sent to the Windows Recycle Bin (if the template is stored on your local disk) or permanently deleted (if it's stored on a network drive). Or, you can delete only the reference, leaving the template, component file, and clause library file in place on the disk—perhaps for use in another library.
  • When you remove the reference for a folder, you can choose to delete the items within the folder. If you choose to remove the items in the folder, all of the items in that folder and in all subfolders will be removed. If you choose to leave the files, they will be moved to the next higher folder.

To remove items from a library

  1. At the HotDocs library window, select the item (or items).
  2. Click the [image] Remove Item button. The Remove Item dialog box appears, asking if you want to remove the reference to the file from the library.
  3. Optionally, if you have selected a folder and you want to remove items within the folder, select Remove the unselected items contained in selected folders.
  4. Optionally, if you want to delete the actual files from disk, select Permanently delete the files for selected items from the disk.
  5. Click Yes.

If the template you are deleting is in the same folder as another template with the same file name but a different file name extension (for example, you are deleting Invoice.rtf and the same folder also contains Invoice.wpt), HotDocs doesn't delete the associated files, like the component file. You need these files for the other template.


At a Glance: The Item Properties dialog box

A

B

C

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening the HotDocs Library, you can open the Item Properties dialog box by clicking on the [image] Properties button on the toolbar.

In the File name field A you can enter a file name for the new template. You can use the [image] Browse button to view or change the location on the disk where your template is saved. This field can also be used to enter command-line options for the template. For example, by adding different command-line options to the end of the file name, you can have HotDocs automatically save answer files, send the finished document directly to the word processor and many more.

HotDocs will automatically copy the file name into the Title field B when you click into it, but you can edit this if you would like to use a different title for the template.

In the Description field C you can enter an optional description of the library item, such as when it was created, or how it should be used. This description will appear when the user views the item properties tab in the library.

Clicking on the [image] Get title button pulls the title and description information from the Component File Properties and will overwrite anything currently in both fields.

To learn more about item properties follow the link below:

  • Change the Properties of a Single Library Item
  • Change the Properties for Multiple Items in a Library
  • Introduction: Command-Line Options


Change the Properties of a Single Library Item

You can change the title and description of a library item. If the item is a template or clause library, you can also change the file name and add command-line options.

Changes made at the Item Properties dialog box affect only the reference to the item—not the template or clause library files themselves. For example, if you change a template's file name at the Item Properties dialog box, it does not change the template's name on your local disk or network. Unless you also update the underlying file, the template may no longer work because the reference is incorrect.

To modify a library item

  1. At the HotDocs library window, select the item you want to modify.
  2. Click the [image] Properties button. The Item Properties dialog box appears.
  3. Make changes based on the following options:
To | Do This
Change the file path | In the File Name field, type the new file path, or click the [image] Browse button and specify a new path.
Change the item title | In the Title field, either type a new title in the field, or click the [image] Get Title button to use the default title. (Titles can be 100 characters long.)
Change the command-line options | In the File Name field, type the new options. (For example, Refund.wpt /af=bwhittington.anx). See Introduction: Command-Line Options.
Change the item description | In the Description field, enter a new description. (The description appears in the Properties tab when the library item is selected.)

You can change the properties of several other library items at once. See Change the Properties for Multiple Items in a Library.


At a Glance: The Multiple Item Properties dialog box

A

B

C

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening the HotDocs Library, you can open the Item Properties dialog box by clicking on the [image] Multiple button in the Edit Menu with the items selected.

In the first text field A you can choose to leave the <default> file path, enter a new file path for the selected items, choose from recently used paths in the drop-down list, click the [image] Browse button to navigate to and select a new folder, or click the [image] Reference Path button to select the path you pre-defined in HotDocs Options (See Change HotDocs Program File Locations).

Using the second text field B, you can keep the <various> file names,or choose to give all the selected items the same file name extension (by typing it into the field or alternatively, by selecting one of the items existing extensions using the drop-down list). Note, however, that changing the file name extension here does not change the extension for the actual file.

In the third text field C you can type in any command-line options you would like to add to the items or choose from a list of currently used options in the drop-down list. Any options you specify here will be applied to all the items you have selected. (To learn more about command-line options see Introduction: Command-Line Options and to view a list of command-line options see Full List of Command-Line Options)

To learn more about item properties follow the link below:

  • Change the Properties of a Single Library Item
  • Change the Properties for Multiple Items in a Library


Change the Properties for Multiple Items in a Library

You can change the folder paths, file name extensions, and command-line options for two or more library items in a folder. For example, if you have used Windows Explorer to move templates from one folder to another, you can update all the file paths in the library at once. (Remember, moving the files on disk does not automatically update the references to those files in the library.)

If you select a folder, the changes affect all items in the folder and in any subfolders. For example, if you select the top folder of a library, you will change the properties for every item in the library.

Changing properties of library items does not affect the files on your local disk or network. For example, changing the file path in the Multiple Item Properties dialog box does not actually move the file to a different folder—you must manually move the files. (See Move Items to New Locations on Disk.)

To change the properties of two or more items in a library folder

  1. Select the items (or the folder that contains the items) and select [image] Multiple (Edit menu). The Multiple Item Properties dialog box appears.
  2. Make changes as specified in the following table:
To Do This
Change the file path for the selected items Click the File path [image] Browse button and browse to the new folder. Then click OK. The new folder path is inserted. (Click the File path drop-down button to view a list of all the various file paths used for the templates in your list.)

To specify the default folder the different files, choose <default> from the File path drop-down list and click OK. (The default folder is the location HotDocs looks for the file when no file path is given. You can specify what this default location is at HotDocs Options. See Change HotDocs Program File Locations.)
Change the reference path for the selected items Click the [image] Reference path button and choose a path from the Select Reference Path dialog box. When you click OK, HotDocs inserts the reference path keyword in the File path field.

To remove all reference paths and specify the default folder for the different files, choose <default> from the File path drop-down list and click OK. (The default folder is the location HotDocs looks for the file when no file path is given. You can specify what this default location is at HotDocs Options. See Change HotDocs Program File Locations.)

The [image] Reference path button isn't available unless you have at least one reference path defined in the File Locations folder of HotDocs Options. (See Assign Reference Paths to HotDocs Files.)
Change the file name extension for the selected items Click the File name extension drop-down button and make a selection. If the desired extension is not listed, type it.

HotDocs displays a list of the file name extensions for all the items you have selected in the File path drop-down list. If you have multiple file types selected, <various> appears in the File name extension field.
Change the command-line option or options for the selected items Type the command-line option (for example, /af=path and file name) in the Command-line options field and click OK. If assigning multiple options, include spaces between each option. (See Introduction: Command-Line Options.)

To remove existing command-line options, select <none> from the Command-line options drop-down list and click OK.
  3. Click OK at the Multiple Item Properties dialog box.
  4. When HotDocs confirms the change, click Yes.


At a Glance: The Folder Sort Options Dialog Box

A

B

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening the HotDocs Library and clicking on your chosen folder (or the entire library), you can open the Folder Sort Options dialog box by clicking on the [image] Sort button on the toolbar.

Using the multiple choice menu A you can choose between Ascending or Descending. Ascending sorts the contents of a folder from 1 to 9, and from A to Z and Descending sorts the contents of a folder from 9 to 1, and from Z to A.

Clicking on the check box B below will sort items in any subfolders based on the Sort Order option you selected.

To learn more about sorting library folders follow the link below:

  • Sort Items in a Library


Sort Items in a Library

To help you locate or organize files in the library, you can sort the items in a folder in alphanumeric order.

To sort library items

  1. At the HotDocs library window, select the folder whose items you want to sort.
  2. Click the [image] Sort button. The Folder Sort Options dialog box appears.
  3. Select the order for sorting the library items:
    • To organize them A to Z and 1 to 9, select Ascending, then click OK.
    • To organize them Z to A and 9 to 1, select Descending, then click OK.
  4. Optionally, select Sort Subfolders to sort the folders inside the selected folder.

The template list changes to show the rearranged library items.

You can save templates you frequently use to a Favorites folder in the library for quicker access, select the template and click Add to Favorites (View menu). See Create a Favorites Folder in the Template Library.


Organize the Contents of a Library

Once you create a library and add templates to it, you often want to organize the contents of the library into logical groups. This may include grouping items by subject matter in folders, or grouping items alphabetically. Additionally, you may need to print a list of templates in the library or remove templates you no longer need.

To organize the contents of a HotDocs library

  1. At the HotDocs library window, open the desired HotDocs library. (See Open a Library.)
  2. Use any of the following commands to work with files in the library:
To | Do This
Add a folder to the library so you can group library items | Choose Add Folder (Edit menu). The Add Item dialog box appears where you can specify the folder name and a description. (Once you create a folder, you can move items to it.)
Print a list of the titles, file names, and descriptions of templates and folders in a library | Click the [image] Print Library button. (See Print a List of Items in a Library.)
Remove an item from the library | Select the item and click [image] Remove Item button. (See Remove Items from a Library.)
Remove an item from the library and places a copy of it on the Clipboard so you can paste it elsewhere in the library | Select the item and click the [image] Cut button.
Copy an item in the library to the Clipboard so you can paste it elsewhere in the library | Select the item and click the [image] Copy button.
Paste an item to a new location in the library | Select the folder in the library where you want the item pasted and click the [image] Paste button.
Sort items in a library in ascending or descending order based on their titles | Select the folder on which you want to sort, and click the [image] Sort button. (See Sort Items in a Library.)
Change an item's file name, title, or description | Select the item and click the [image] Properties button.
Search for a specific template in the library list | Type the text for which you are searching in the Find field. HotDocs will show only those files that contain the search text in the template title, file name, or description. (See Search for a Specific Template in a Library.)
Group templates you use most frequently in a Favorites folder | Select the template and choose Add to Favorites (Edit menu). (See Create a Favorites Folder in the Template Library.)


Create a Favorites folder in the Template Library

You can create a Favorites folder in your template library and add templates to it. This may be useful if you find you assemble some documents more than others and you want to access them quickly each time you view the library.

To add templates to a Favorites folder in the library

  1. At the template library, select the template you want to add to the Favorites folder.
  2. Click Add to Favorites (Edit menu).

If no Favorites folder exists, HotDocs creates the folder and adds the template to it.


Create a New Library by Exporting Part of an Existing Library

You can create smaller libraries by exporting some of the folders and files of a larger, existing library. Creating a library this way eliminates the need to manually create a new library and then add each folder, template, or clause library to it.

When you export part of a library, HotDocs asks you for the file name and title of the new library. Then it creates the library, and finally creates the library references in it. During the process, you can choose to have HotDocs copy the files in the library you are exporting to the new location, or you can choose to have the library reference the original files.

Exporting will only export the files you select at the library. This means that if a template you are exporting contains references to other templates or files not listed in the library, those items will not be exported and you may receive errors when you attempt to use the template for assembly.

To export part of an existing library

  1. At the HotDocs library window, select the library items you want to export. (If you select a folder, all the items in the folder will be exported.)
  2. Choose File > Export Library To > HotDocs Library File. The Export HotDocs Library File dialog box appears.
  3. At the File name field, click [image] Browse, select a location for the new library, and enter a library name in the File name field. (Click OK when you are finished.)
  4. At the Export HotDocs Library File dialog box, enter a name for the new library in the Title field, or accept the suggestion HotDocs makes. This title will appear in the Properties tab of the HotDocs library window.
  5. Optionally, in the Description field, type a description of the library. (The description appears in the Properties tab when a library (or folder) is selected.)
  6. Click OK. HotDocs asks if you want to export the selected files:
    • Click Yes to copy the selected files to the same folder as the new library.
    • Click No to have the new library refer to the files in their current location.

After exporting the items, the original library items are still available. (HotDocs does not delete the references from the original library—templates can be referenced in multiple libraries.) If you want the old references deleted, select the library items and click [image] Remove Item.

HotDocs does not automatically display the new library. To open it, click [image] Open and select the file name for the new library. (See Open a Library.)


At a Glance: The Import Library Dialog Box

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening the HotDocs Library, you can open the Import Library dialog box by choosing Import Library from the File menu and selecting a HotDocs library at the browse window.

You have three options at the Import Library dialog box:

  • Assembly Only: Imports the library in such a way that you will be able to assemble documents, but not modify the library structure or edit items in the library.
  • Editing and Assembly: Imports the library in such a way that you will be able to edit the items in the library, assemble them, and modify the structure of the library.
  • Cancel: Cancels the import process without making any changes to the library.

To learn more about importing a library follow the link below:

  • Import One Library Into Another


Import One Library Into Another

You can import a copy of another library into the current library. The imported library will become a folder in the current library.

To import one library into another

  1. At the HotDocs library window, select the folder where you want the imported library to be located.
  2. Click Import Library (File menu). The Import Library dialog box appears.
  3. Select the library you want to import and click Import. The Import Library dialog box appears.
  4. Choose how you want to import the templates:
    • Click Assembly Only to assemble documents from the templates—and nothing else.
  5. If you select Editing and Assembly, HotDocs displays another dialog box, prompting you to choose whether to copy the associated files or use the originals:


Print a List of Items in a Library

You can print a list of the files and folders in the library currently displayed in the HotDocs library window, allowing you to see the library structure, as well as the file path and the description of each item.

To print a HotDocs library

  1. At the HotDocs library window, open the library whose contents you want to print. (See Open a Library.)
  2. Click the [image] Print Library button. The Print dialog box appears.
  3. Click OK. The list of titles, file names, and descriptions are printed at the selected printer.

To preview what the printout will look like before you print it, select [image] Print Preview (File menu). To return to the library window, click Close.


Save a Library

HotDocs saves all changes you make to a library immediately after you make the change. Clicking Save (File menu) simply displays a message confirming this


Save the Contents of a Library as a Text File

You can save the contents of a HotDocs library—including folder names, template file names, titles, and descriptions—as a text file. The hierarchy of the library is preserved within the text file. This is useful if you want to spell check the text used in your library. (To do this, you must open the text file in a word processor with spell-checking capabilities).

To save the library as a text file

  1. At the HotDocs library, select Export Library To > Plain Text File (File menu). The Save As dialog box appears.
  2. Select a location to save the text file to, enter a name for the file, then click Save. A .TXT file containing a tabbed list of the folder names and template titles is saved to the location you choose.


Move Items Within a Library

To organize your library, you can move an item to a different location in the same library by dragging, by cutting and pasting, or by copying and pasting.

These methods do not move the actual file to a different location on your local disk or network. See Move Items to New Locations on Disk for information on doing this.

To drag library items to a new location

  • At the HotDocs library window, select the library item and drag it to the new location using the mouse. (As you drag, HotDocs uses a horizontal bar to indicate where the item will be placed when you release the mouse button.)

To cut and paste several library items

  1. At the HotDocs library window, select the items you want to move.
  2. Click the [image] Cut button (or press Ctrl+X.)
  3. Select the new location and click the [image] Paste button (or press Ctrl+V).

To copy and paste several library items within the library

  1. At the HotDocs library window, select the items you want to copy.
  2. Click the [image] Copy button (or press Ctrl+C).
  3. Select the new location and click the [image] Paste button (or press Ctrl+V).


Move Items to New Locations on Disk

Using the Move command (Template menu) at the HotDocs library window, you can move template and clause library files to new locations on your local disk or network. Using this command also updates the library reference to the file. (Moving files in other ways, for example, by using Windows Explorer, requires that you manually update the library reference.)

To move template and clause library files

  1. At the HotDocs library window, select the templates and clause libraries you want to move.
  2. Click Template menu>Move [image] .
  3. Browse to the folder where you want to copy the template or templates.
  4. Click OK. HotDocs removes all associated files except for inserted templates (component files, default answer files, and so forth) from the old location, pastes them at the new location, and then updates the references to the files in the HotDocs library.

HotDocs handles the Move command a little differently if you are moving the template from a folder that contains another template with the same file name but different file name extension (for example, if you are moving Invoice.docx from a folder that also has Invoice.wpt). In such a case, HotDocs copies the associated component file to the new folder, but does not delete it from the original folder because it is still needed by the other template.

You can also copy templates to new locations on disk and have the library reference updated. See Copy Templates to New Locations for details.

When a template has insert fields, HotDocs does not move those inserted templates along with the parent template. If you want to move a template that has insert fields you can use the Publishing Wizard to publish the initial template to the new location as a standard template file and HotDocs includes a copy of all the files necessary for assembly.


Copy Templates to New Locations

Often you need to make a copy of a template and save it to a new location on disk. You can use the Copy command at the template library to do this. As you are copying, you can choose to make the template and component file read-only. You can also choose to update the reference to the file in the library so the library refers to the copied template rather than the original.

Be aware that copying a template creates two templates with identical template IDs. This can lead to template ID conflicts should you upload both the original and copied templates to a web server.

To copy the template to a different location

  1. At the HotDocs library window, select the templates and clause libraries you want to copy. (Press Ctrl or Shift to select multiple items.)
  2. Click Template menu>Copy.
  3. Browse to the folder where you want to copy the template or templates and click OK.
  4. You can then set some properties for the copied templates:
    • Select Mark newly created templates as read-only to keep users from editing the template. (This assigns the read-only property to both the template and the component file.)
    • Select Update library entries to refer to the newly created templates to have HotDocs change the file path for the library item so that it uses the file path for the copied template.

When a template has insert fields, HotDocs does not copy those inserted templates along with the parent template. If you want to copy a template that has insert fields you can use the Publishing Wizard to publish the initial template to the new location as a standard template file and HotDocs includes a copy of all the files necessary for assembly.


Introduction: Assemble a Text or Form Document

Home > Assembling Documents > Completing an Interview > Introduction: Assemble a Text or Form Document

Overview: Assemble a Text or Form Document

There are two types of documents you can assemble—text documents and form documents:

  • Text documents are documents you view in your word processor. Once the document is assembled, you can edit any of the text.
  • Form documents are those in which the underlying text is static, meaning it cannot be modified. Only the answers that are merged into the document can be modified. (An IRS form is a good example of a form document.)

The process of assembling both of these types of documents is very similar. However, there are specific things you should know about assembling form documents. Please see Introduction: Assemble a Form Document for a description of these differences.

When you assemble a document, HotDocs displays the assembly window, which is divided into three panes—the interview outline, the dialog pane, and the resource pane. The interview outline shows a list of dialogs (or groups of questions). You can click on any dialog in the outline and view (and answer) the questions in the dialog pane. Finally, where provided, the resource pane shows information to help you answer questions in the dialog.

As you answer questions, HotDocs merges your answers into the assembled document, which you can view by clicking the Document tab at the assembly window. As you are reviewing the assembled document, if you see an answer that needs to be edited or changed, you can make the change right in the Document Preview tab. (Some template providers may prohibit you from changing answers at the Document Preview tab. If this is the case, the buttons and commands that control this feature will be disabled.) Additionally, if the template provider has allowed it, you can edit the actual text of the document while viewing the Document Preview tab. (These features are available to Microsoft Word users only.) You can also use the document navigation bar to move between answers in the document.

If you need to generate quick views of the document—for example a list of just the questions or a list of questions and answers (without all of the other document text)—you can view the Question Summary tab or the Answer Summary tab. Both provide you with a short list of information required in the document. You can also view a spreadsheet of the template's variables and any answers that have been given.

Once all of the answers are provided and the document is correct, you can send a copy of the document to a word processor (if you are assembling a text document) or you can view the assembled document at the Form Document tab (if you're assembling a form document). If no further editing is needed, you can print the document or save it to disk. You also can save the answers you've provided in an answer file, which can then be used to assemble other documents.

The following diagram shows the assembly process:


At a Glance: The Assembly Window

Menu Bar

Tool Bar

Tabs

Interview Outline

Interview Pane

Resource Pane

Navigation Bar

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

When you choose to assemble a template HotDocs will open an Interview window. Using this window you can enter answers, view resources, view summaries, and preview the finished document.

The main portion of the Interview window is split into 3 panes. The Interview Outline, the Interview Pane, and the Resource Pane.

The Interview Outline shows a list of dialogs within the interview. Next to each dialog is an icon indicating the dialogs status and type:

None of the questions in the dialog are answered.

At least one of the questions in the dialog is answered.

All of the questions in the dialog are answered.

Repeats the dialog, allowing you to enter more than one set of answers.

Allows you to enter a new set of answers in a list.

In the Interview Pane you can see questions on the selected dialog and spaces to type or select your answers. These can be in the form of text or number fields, check boxes, spreadsheets or drop down menus.

Some dialogs or questions will have extra resource information to help the user answer the question (see Add Resource Information to a Variable or Dialog). This information can be displayed in the Resource Pane.

Between the Resource Pane and the Interview Pane you can see the Navigation Bar. This contains the following buttons to help you move though the interview:

  • First Dialog
  • Previous Unanswered Dialog
  • Previous Dialog
  • Next Dialog
  • Next Unanswered Dialog
  • Last Dialog
  • Finish Interview

Interview is just one of the five available pages you can look at from this window. You can move to the other pages by clicking on one of the Tabs below the Toolbar:

  • Document Preview: A preview of the finished document showing the answers in place.
  • Question Summary: Displays a list of questions that are asked in the interview with space for answers. This can be printed and used as a paper questionnaire version of the interview.
  • Answer Summary: Displays a summary of questions in an interview as well as any answers you entered.
  • Variable Sheet: Displays a spreadsheet of variables, prompts, current answers, and variable types. You can sort the spreadsheet by clicking the spreadsheet column headings.

You can click on the Interview tab to return to the interview you are working on.

Above all of the tabs are the Menu bar and Toolbar. From the Toolbar you can access the following buttons:

  • HotDocs Library: Displays the HotDocs library window.
  • Recent Answer Files Drop-down List: Displays a list of recently used answer files. Click this button to select a different answer file.
  • New Answer File: Replaces the current answer file with a new, empty answer file.
  • Open Answer File: Opens the Open Answer File dialog box so you can select another answer file for the interview.
  • Save Answer File: Saves changes to the answer file.
  • Send Document to: Sends a copy of the assembled document to a word processor or HotDocs Filler, depending on the type of template you are using. Once in the word processor or HotDocs Filler, you can make post-assembly changes to the document. Be aware, however, that any changes you make will only affect that document -- your changes will not be saved in the answer file.
  • Save Document: Saves the document to disk. The Save As dialog box will appear, allowing you to specify a name and location for the saved file.
  • Print Document: Prints a copy of the current document.
  • Instant Update: Determines when HotDocs updates the interview. If the button is pressed down, this happens when you move between answer fields. If it is not pressed down, this happens when you navigate to another dialog. This can help speed up how quickly you are able to move through answer fields in the dialog.
  • Show Resource Pane: Shows and hides the resource pane where helpful information about a question or group of questions can be viewed.
  • Check Spelling: Checks the spelling of text answers entered during the interview.
  • Show Assembly Queue: Displays the assembly queue, which lists all of the templates you have chosen for assembly. The queue gives you greater control over the assembly process when you are assembling multiple documents.
  • HotDocs Options: Opens the HotDocs Options dialog box where you can specify several preferences that control how HotDocs works.
  • Help: Opens the relevant page of the HotDocs Help File.
  • Erase Answer: Clears the answer from the answer field.
  • Undo: Undoes the most recent change made to an answer.
  • Redo: Restores changes that were made to an answer.
  • Cut: Cuts the selected text and saves it to the Windows Clipboard. You can then paste the text into another answer field.
  • Copy: Copies the selected text and saves it to the Windows Clipboard. You can then paste it elsewhere.
  • Paste: Pastes any text that has been saved to the Windows Clipboard into the current answer field.
  • Insert Repetition in a Spreadsheet: Inserts a new, empty repetition above the current repetition.
  • Delete Repetition in a Spreadsheet: Deletes the selected repetition from the interview. Any answers you have entered will be lost.
  • Move Repetition Up in a Spreadsheet: Moves the selected repetition up in the list of answers. You should be aware, however, that if the template provider has assigned sorting options to the list, answers in the assembled document will be listed in that order instead of the order you specify here.
  • Move Repetition Down in a Spreadsheet: Moves the selected repetition down in the list of answers. You should be aware, however, that if the template provider has assigned sorting options to the list, answers in the assembled document will be listed in that order instead of the order you specify here.
  • Sort Spreadsheet: Sorts columns in a spreadsheet in either ascending or descending order. To sort on a second level, include those search options on the second line of the Sort Spreadsheet dialog.
  • Highlight Fields: Highlights all answers or unanswered variables at the document preview tab.
  • Edit Document Text: Opens the Document Text Editor where you can edit modifiable text within the document.
  • Go to Answer in Document (at Interview tab): Positioning your curser within an answer field and clicking this button will take you to the answer at the Document Preview tab, letting you view the answer in place.
  • Go to Answer in Interview (at Document Preview tab): Positioning your curser at an answer on the Document Preview tab and clicking this button will take you to the corresponding answer field in the Interview tab.

When assembling a form document additional tool bar options become available:

  • Field Properties: Changes the properties for the selected field or fields.
  • Font: Changes the font for the selected field or fields.
  • Override Answer: Allows you to type any answer in the field, even if the field requires a certain type. For example, you can override a number-only field and type a text answer.
  • Fill Tool: Allows you to enter information in the field, such as an answer.
  • Select Tool: Activates the Select Tool. This button allows you to select an existing field so that you can move it, resize it, or edit its properties (including the variable properties).
  • Scroll Tool: Makes the Scroll Tool the current cursor. Use the cursor to grab the current form page and drag it around the window.
  • Zoom Tool: Activates the Zoom Tool, allowing you to increase or decrease magnification of the template.
  • View Page Width: Displays the entire width of the current form page in the window.
  • View Full Page: Shows the whole form document in the window.
  • Show Fields: Shows and hides the colored field backgrounds during direct-fill assembly of a form document.
  • Show Thumbnails: Shows and hides thumbnail images of each page in the form. You can use these pages to move through the document.
  • Previous Page: Moves to the page just before the current page in the form.
  • Next Page: Moves to the page just after the current page in the form.

In the Menu Bar you can access further options not available on the Toolbar.

To learn more about assembling templates follow the links below:

  • Introduction: Assemble a Text or Form Document
  • Adjust HotDocs Windows and Panes
  • Update Your Interview Outline and Document
  • Preview a Template Before Assembling It
  • Assemble a Text or Form Document
  • Assemble an Interview Template
  • Assemble a Document Without Showing an Interview
  • Assemble Multiple Documents
  • Assemble a Clause Library from the Template Library
  • Navigate Through Answer-Gathering Dialogs
  • View Resources During Assembly
  • Use Repeated Dialogs During Assembly
  • Use Inserted Dialogs During Assembly
  • Select Clauses During an Interview
  • Use the End of Interview Dialog
  • Spell Check Answers


Adjust HotDocs Windows and Panes

You can arrange the HotDocs windows and panes to match your work preference.

To work with HotDocs windows

At the HotDocs window, complete any of the following steps:

  • To move a window, click on the title bar and drag the window to another location.
  • To maximize or minimize the window, click either the Maximize or Minimize buttons in the window title bar. The Maximize button causes the window to fill the entire screen, while Minimize closes the window and places it on the Windows taskbar.
  • To resize the window to a specific size, move the mouse pointer to a border or corner of the window. When the icon becomes a resize arrow, click and drag the border to the desired position.
  • To resize a pane within a window, move the mouse pointer to a border between two panes. The icon becomes a resize arrow. Click and drag the border to the desired proportions.
  • To rearrange toolbars, move the mouse pointer to the anchor bar of one of the toolbars. Drag the toolbar to the desired location in the window.

When moving toolbars, you can separate toolbars from the assembly window. To reattach the toolbar, move it to a position over the menu bar. You can also remove toolbars by clearing the toolbar at the View menu.


Update Your Interview Outline and Document

Some answers you enter during an interview may cause HotDocs to update the appearance of the interview outline. Additionally, each time you change an answer while viewing the Document tab, HotDocs updates the entire document. Depending on the complexity of the interview or the document, this updating may take longer than desired. To minimize the time HotDocs takes to update the interview or document with your changes, you can turn off [image] Instant Update to make HotDocs update only when necessary.

When [image] Instant Update is turned off, information in the interview and document may become outdated. When this happens, the [image] Instant Update button changes appearance. You can click the button and HotDocs updates the interview or document so that all information will be current. HotDocs also updates the document and interview when you move between tabs in the assembly window, as well as when you print, save, or send the assembled document to the word processor.

To control when HotDocs updates the interview outline or document

While viewing either the Interview tab or the Document tab at the assembly window, click the [image] Instant Update button:

  • When the button is selected (or pressed in), HotDocs updates the interview outline as you move between answer fields. If you're viewing the Document tab, it updates the entire document.
  • When the button is not selected (or not pressed in), HotDocs updates the outline only when you move between dialogs. If you're viewing the Document tab, it updates just the answer field you are currently viewing (and any other answer fields that merge the same answer).


Preview a Template Before Assembling It

To help you identify the correct template, you can preview the template before you select it for assembly. The Preview tab shows the text of the document, as well as where HotDocs variable fields are merged.

To preview a template

  1. At the HotDocs library window, select a template.
  2. Click the Preview tab. The library window changes to show the template text.

To remove the Preview tab from the library window, choose Preview Tab (View menu).

To move the Properties and Preview tabs to the top of the pane, select Tabs at Top (View menu.)

The Preview tab shows the information in the template correctly; however, it may not be formatted correctly—particularly when previewing WordPerfect templates. Additionally, previewing form templates will not show you variable fields.

You can preview a simpler version of the template by choosing Markup View at the template library window. This changes the preview so it shows simple mark-up fields, rather than complicated automation. (Markup View is supported for Word templates only.)


Search for a Specific Template in a Library

Some libraries may contain a long list of templates. Instead of browsing through the template list, you can search for a specific template or clause library based on the template's title, file name, or description.

To search for a template or clause library

  1. At the HotDocs library window, select the Find check box, located below the template list. The template list changes, showing each template in the library in alphabetical order.
  2. In the Find field, type the text that is in the title, description, or file name of the desired template. The template list changes to show only the items that contain the text you type. (The Find text field is not case-sensitive.)
  3. To view the entire library again, clear the Find check box.


Assemble a Text or Form Document

You assemble a document by selecting a template and then answering the questions in the interview. Answers to your questions are then merged in the correct places in the document. Once all of the questions are answered, you can view, print, or save the document.

To assemble a document

  1. At the HotDocs library window, select a template. (If you're assembling a form document, see Introduction: Assemble a Form Document for additional instructions.)
  2. Click [image] Assemble. The Answer File dialog box appears. (You can also start an interview by double-clicking the template.)
  3. Select an answer file (see Select an Answer File for Assembly), then click OK. The assembly window appears, showing the interview outline and the first information-gathering dialog.
  4. Answer the questions in each dialog, clicking [image] Next to advance to each new dialog. (See Navigate Through Answer-Gathering Dialogs.) (You can also advance to the next dialog by pressing Alt+N, Enter, or Page Down.)

After the final dialog, the End of Interview dialog identifies how many questions are unanswered. This dialog also provides options for working with the assembled document. See Use the End of Interview Dialog for specific details.

HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)


At a Glance: The Answer File dialog box

A

B

C

D

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

When you click to assemble a template you will usually see the Answer File dialog box appear. Unless you have set a default answer file (see Create a Default Answer File) then the Answer File field A will show the option New Answer File and when you click OK it will start a blank answer file which you can choose to save during assembly or after assembling the template.

Clicking on the Answer File field A will allow you to choose from a drop-down list of recently used answer files.

If you would like to use a previously saved answer file click on the [image] Open Answer File button B where you will be taken to Answer File Manager to choose the file you would like to use for this assembly.

Once you have chosen an answer file the two check boxes D ungray. The top check box allows you to have HotDocs automatically select this answer file the next time you assemble this template. The bottom check box allows you to send the assembled document to Microsoft Word without displaying the interview. This is useful if you have a completed answer file that you don't wish to edit as HotDocs will immediately create the document.

If after selecting an existing answer file you decide you would instead like to use a new answer file then clicking the [image] New Answer File button C will return the Answer File field to displaying New Answer File.

To find out more about selecting an answer file follow the link below:

  • Select an Answer File for Assembly


Select an Answer File for Assembly

When you assemble a document, you must choose whether to use a new answer file or an existing file. After you complete each interview, HotDocs can save your answers for use with other assemblies.

To select an answer file

  1. At the HotDocs library window, select a template, then click [image] Assemble. The Answer File dialog box appears.
  2. Accept the suggested answer file or change the answer file by choosing one of the following options:
    • Click the [image] Open Answer File button to open the Open Answer File dialog box where you can choose an existing answer file. After making your selection, click [image] Open.
    • Click the [image] New Answer File button to create an empty, untitled answer file.
    • Select Automatically select this answer file for use with the next assembly to have HotDocs suggest this answer file for all subsequent documents you assemble.
  3. At the Answer File dialog box, click OK. The assembly window appears

You can also use Windows Explorer to access your answer files. See Introduction: Use Answer Management.

Some templates may have an answer file assigned by the template provider. For templates like this, the Answer File dialog box does not appear.


Assemble an Interview Template

An interview template does not produce an assembled document. Instead, it gathers and (and sometimes automatically saves) information (such as court, attorney, or client information) that can be used in assembling other documents. An interview template is distinguished from other templates in the library by its icon: .

For example, a template library includes an interview template named Client Information. This template gathers personal information about each client—such as name, address, gender, and birth date. This information may be needed in other templates in the library. Before you ever assemble any of these other documents, you could assemble the interview template and create a set of answers. Then, whenever a dialog in another template requires client information, you can access the answers you've already entered.

To assemble an interview template

  1. At the HotDocs library window, select the [image] interview template and click [image] Assemble. The Answer File dialog box appears. (If the template is already associated with an external answer source, you will not be prompted to select an answer file. Skip to step 3.)
  2. Select an answer file, then click OK.
  3. Answer the questions in each dialog, clicking [image] Next or [image] Previous to move between dialogs.
  4. At the end of the assembly, HotDocs may prompt you to save your answers in an answer file.
    • If this prompt appears, click Save or Save As to view the Save Answer File dialog box, where you can save the answers you've provided. Or, click Don't Save to discard the answers.
    • If this prompt doesn't appear, the template is probably associated with an external answer source, so HotDocs automatically saves the answers to that answer source.
  5. Close the assembly window.


Answer Questions in a Dialog Using an Answer Source

Template providers can link questions in a dialog to an answer source or an answer file that contains existing answers. When you link a dialog to one of these sources, a [image] Select button appears on the dialog. Click the [image] Select button to open the answer source and select a record or add a new record to the answers.

Each record contains answers to one or more questions. For example, the records may contain the names, addresses, and phone numbers of attorneys in an office. After selecting one attorney's record, that attorney's information will be merged into the answer fields. This saves you from having to re-enter answers you use frequently as you assemble documents.

To access an answer source

  1. At the HotDocs library window, select a template and begin assembling the document.
  2. Use any of the following commands to complete different tasks associated with an answer source:
To | Do This
Use an existing set of answers | Select the desired record, then click the Select button.
Add a new record | Select an empty row in the spreadsheet and click [image] Edit Row. Then enter your answers in the pop-up interview. You can either gradually build the list, entering a different record each time you complete an interview; or you can enter several records at once. You can delete, edit, or add new records at any time.HotDocs saves your answers as you add them to the answer source.
Insert a record in between other records | Select the record you want to be below the new record you are inserting and click [image] Insert Row. Then click [image] Edit Row to enter your answers.
Edit an existing record | Select the record and click [image] Edit Row. Make your changes in the pop-up interview.
Delete a record | Select the record and click [image] Delete Row. The answers are deleted.
Sort or alphabetize columns in an answer source | Click the column you want to sort, right-click and choose Sort from the shortcut menu. The Sort Spreadsheet dialog box appears. Designate your sorting preferences and click OK. To sort on a second level, enter your preferences in the and then fields.

An answer source may be populated in different ways. For example, the template provider can either add answers to the answer source during development, or allow you to add answers during the interview. Additionally, an answer source may be an Outlook Contacts list or a Time Matters Contacts or Matters record, which the template provider has integrated with HotDocs.

If your dialog is linked to a Time Matters Contacts or Matters answer source and you change answers once they have been retrieved, you may be prompted to write the answers back to Time Matters.


Assemble a Document Without Showing an Interview

You can assemble a document without answering any questions in the interview. When you do this, HotDocs uses the answer file you specify and assembles the document. Depending on which Finish Interview Action options you have selected, you can choose where you will view the assembled document—either in the word processor (text templates), HotDocs Filler (form documents), or at the Document tab of the assembly window. (See Control What Happens When You Finish an Interview.)

To assemble a document without viewing the interview

  1. At the HotDocs library window, select one or more templates.
  2. Click [image] Assemble. The Answer File dialog box appears.
  3. Select an answer file. (See Select an Answer File for Assembly.)
  4. Select Send / Go directly to ... without displaying an interview and click OK. HotDocs assembles the document using the answers in the answer file you selected. It then displays the assembled document in the application specified at HotDocs Options.


Overlay Answers in the Current Answer File

When you assemble a document, you can use answers from an existing answer file and overlay them in the current answer file, overwriting any existing answers in the current answer file.

For example, perhaps you have an answer file that contains only client-specific answers, such as names and addresses. You can use these answers to assembe several related documents. However, to use this answer file in the traditional way (selecting it at the Answer File dialog box), you would most likely add answers to the file, making it less useful in assembling other documents. To make the file useful for multiple templates, you can select a new or existing answer file at the Answer File dialog box, and then use the answer file that contains your client-specific answers as an overlay answer file. Answers you enter or change during the interview are saved to the current answer file—not the overlay answer file.

To use an overlay answer file during assembly

  1. At the HotDocs library window, select a template and click [image] Assemble. The Answer File dialog box appears.
  2. Select an answer file, and click OK. The assembly window appears.
  3. Click File, then click Overlay Answers. The Open Answer File dialog box appears.
  4. Select an answer file to overlay, and click the [image] Open button. The assembly window appears again, showing information from the overlay answer file; however, the answer file you selected in step two is still assigned (as seen in the Current Answer File drop-down list).

HotDocs 5 users: You can no longer save or load pattern answer files. Instead, to merge specific answers from one file into the current answer file, use the Overlay Answers command at the File menu of the assembly window. To distinguish overlay answer files from regular answer files (as you could with pattern answer files), create a separate folder in Answer File Manager and store your overlay answer files there.

You can also specify an overlay answer file at the command line.


Assemble Multiple Documents

You can select multiple templates or clause libraries, and then start one assembly process that will address each template. Each template or clause library will create a separate document, using the same answer file, unless you select a different answer file during the interview. (See Switch Answer Files During Assembly.)

To assemble multiple documents

  1. At the HotDocs library window, press Ctrl or Shift, then select all the templates and clause libraries you want to assemble.
  2. Click [image] Assemble. The assembly queue status box (located in the status bar of the assembly window) displays how many assemblies are waiting, and the Answer File dialog box appears.
  3. Select an answer file and click OK. (Select an Answer File for Assembly.) The assembly window appears.
    • If the item is a template, the first answer-gathering dialog is shown. (See Assemble a Text or Form Document.)
    • If the item is a clause library, the clause library is shown. (See Select Clauses During an Interview.)
  4. Provide answers or select clauses for the interview.
  5. After completing the interview, the End of Interview dialog notifies you that other assemblies are ready to begin.
  6. Close the assembly window, and begin assembling the next document.

The assembly queue and assembly queue status box (located in both the library and the assembly window status bars) can help you track the assembly of each document. See Use the Assembly Queue for details.


At a Glance: The Assembly Queue Dialog Box

A

B

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

When you have the assembly window open you can click on the [image] Assembly Queue button to view the Assembly Queue dialog box.

At the top of the dialog is the Assembly Queue toolbar A where you can access the following options:

  • Assemble: Manually starts the next assembly. (This option is available if Auto Start is not selected.)
  • Auto Start: Switches the assembly mode between automatic (where HotDocs automatically assembles documents listed in the queue) and manual (where you must manually click the Assemble button for each document listed in the queue).
  • Move up: Moves the selected entry closer to the top of the queue.
  • Move down: Moves the selected entry closer to the bottom of the queue.
  • Delete: Removes the selected template from the assembly queue. You can only delete templates that are not currently being assembled.
  • Clean up: Removes entries for assemblies that have been completed.
  • Help: Opens the relevant page of the HotDocs Help File.

Below that is the Assembly Queue List B where you can see the templates selected for assembly and their current assembly status. Templates will be assembled in this order, so change the order, select a template and click the Move Up or Move Down button.

To learn more about the Assembly Queue follow the link below:

  • Use the Assembly Queue


Use the Assembly Queue

The assembly queue shows a list of templates—some that may be waiting to be assembled and some that may have recently been assembled. Using the assembly queue, you can start and stop assemblies, change the assembly order, and change how assemblies are started. In addition, the assembly queue status box (which is located in the status bar of the template library window and assembly window) also shows when templates are queued for assembly.

The assembly queue provides two methods for starting assemblies: auto mode and manual mode. These methods are controlled by the [image] Auto Start button in the assembly queue toolbar. When assembling multiple templates and [image] Auto Start is selected, HotDocs automatically starts each assembly, following the order in which the templates are added to the queue. When assembling multiple templates and [image] Auto Start is not selected, HotDocs starts the first assembly, but then waits for you to start each subsequent assembly by clicking the [image] Assemble button on the assembly queue toolbar.

As templates are added to the assembly queue, they are assigned a status, which helps you identify each template's stage in the assembly process. (For a description of template statuses, click here.)

To add Items to the assembly queue

HotDocs will allow you to assemble only one document at a time. If you are currently assembling a document and you attempt to assemble another one, HotDocs will add it to the assembly queue and it won't be assembled until the current assembly is complete. If there are multiple templates in the queue, HotDocs will assemble them in the order they are added.

  1. At the End of Interview dialog select the option to assemble the template.
  2. If another template is currently being assembled, the Multiple Assemblies dialog box will appear.
  3. Click Yes to add the template to the Assembly Queue.
  4. You can also tick the check box at the bottom of this dialog, Don't warn me about multiple assemblies again, to keep this dialog box from appearing. The next time you attempt to assemble a document when HotDocs is already busy assembling, the template will be added to the queue.

To work with templates in the assembly queue

  1. At the HotDocs library window, click the [image] Assembly Queue button. The Assembly Queue dialog box appears. (You can also select Assembly Queue (Tools menu) or double-click the assembly queue status box in the status bar of the template library window.)
  2. At the library window, select multiple templates and click [image] Assemble. Entries for each template appear in the assembly queue. Then the Answer File dialog box appears. (See Assemble Multiple Documents.)
  3. At the Answer File dialog box, select an answer file and click OK. (See Select an Answer File for Assembly.) The first dialog appears in the assembly window.
  4. Throughout the interview process, perform any of the following tasks using the following commands in the Assembly Queue:
To | Do This
Change the order in which pending or confirmed templates are assembled | Select the item in the assembly list and click either the [image] Up button or the [image] Down button. (Templates that are currently assembling cannot be moved in the queue.)
Remove a confirmed assembly | Select the item in the assembly list and click the [image] Delete button. (Templates that are currently assembling cannot be removed from the queue.)
Change whether assemblies start automatically or manually | Click the [image] Auto Start button. When Auto Start is turned off, clicking the [image] Assemble button at the HotDocs library only starts the first assembly. To begin subsequent assemblies, you must also select an entry in the assembly queue and click the [image] Assemble button there.
Manually start an assembly | Click the [image] Assemble button.
Remove the entries for all completed assemblies from the Assembly Queue | Click the [image] Clean Up button.

When HotDocs closes, it remembers the assembly queue display setting. If you close HotDocs while the queue is showing, the queue will automatically be displayed the next time you open HotDocs.

You can have completed assemblies automatically removed from the assembly queue. See Include List of Completed Assemblies in Assembly Queue for details.


Assemble a Clause Library from the Template Library

A clause is a section of text, usually a commonly used paragraph, and a clause library is a collection of clauses. You can select clauses from a clause library and use them to assemble text documents.

In HotDocs, you can view a clause library and select clauses for inclusion in a document both at the template library and during the interview for a text template.

  • When a clause library is referenced in a template library, you assemble the clause library and then choose where the assembled clause text is merged. You can choose to send the assembled clauses to a new, empty document; copy the assembled text to the Windows Clipboard (so you can paste it into an existing document); or paste the assembled text directly into an open word processor document. (Instructions for this method are included below.)
  • When a clause library is asked during the interview of a text template, the clause text is automatically inserted into that assembled document.

To assemble a clause library from the template library

  1. At the HotDocs library window, select a clause library and click [image] Assemble. The Answer File dialog box appears.
  2. Select an answer file and click OK. The clause library appears in the dialog pane.
  3. (Optional) Perform either of the following tasks:
    • Select the Find check box to find all of the clauses with specific text in their title or description. In the text field, type the text for which you are searching.
    • Click [image] Preview to view the clause text in a pop-up dialog box. To return to the clause library, click the X in the upper-right corner of the pop-up dialog box.
  4. From the Available list, select each clause you want to use and click [image] Select to add it to the Selected list. To remove a clause, select it, then click [image] Remove. (Press Ctrl or Shift to select multiple items.)
  5. (Optional) Reorder the clauses in the Selected list by selecting and dragging a clause to the desired position. The clauses will be inserted into the document in this order.
  6. When all the necessary clauses are in the Selected list, click [image] Next on the navigation bar.
  7. Answer any questions in the interview. Once all questions are answered, complete any of the following steps:
    • Click the [image] Send the assembled document to the word processor button (or press F11) to open the assembled document in your word processor.
    • Click [image] Paste the assembled document into the open word processor document (or press Shift+F11) at the End of Interview dialog. This will insert the assembled document into an open word processor document.
    • Microsoft Word users: Choose File > Send Document To > Clipboard (or press Ctrl+F11) to place a copy of the document on the Windows Clipboard. You can then open an existing document and paste the text in the desired location.


Navigate Through Answer-Gathering Dialogs

To assemble a document, you must answer interview questions. To help you go through the interview easily, you can use the navigation bar, located at the bottom of the dialog pane.

As you answer questions, the icons in the interview outline change color. This can help you identify how much of the interview is left to complete:

None of the questions in the dialog are answered.

At least one of the questions in the dialog is answered.

All of the questions in the dialog are answered.

Repeats the dialog, allowing you to enter more than one set of answers.

Allows you to enter a new set of answers in a list.

The final dialog in an interview is usually the End of Interview dialog, which reports how many questions are unanswered. This dialog is customizable and also provides options for working with the assembled document.

To navigate through HotDocs dialogs

  1. At the HotDocs library window, select a template and begin assembling the document.
  2. The HotDocs assembly window appears. Complete any of the tasks using commands listed in the following table:
To | Do This
Enter an answer for the question Depending on the type of answer required, type a text or number answer, enter a date, select a check box, or choose an option from a list of options.

When entering a multi-line text answer, you can control whether the Enter key inserts a line break or a paragraph mark in the assembled Word document. To enter a line break, simply press Enter. To enter a paragraph break, press Ctrl+Enter. (In some situations, the template developer may have specified which break to use.)

When entering a patterned time of day, enter the hour first, then press the right arrow key to move past the colon to enter the minutes. You can also click the up and down arrows next to the answer field to select the hours and minutes.
Move to another dialog in the interview outline | Click a dialog icon in the interview outline.
Go to the next or previous dialog | Click either the [image] Next Dialog button or the [image] Previous Dialog button. (You can also press Page Down/Page Up, or Alt+N/Alt+P.)
Go to the next dialog or the previous dialog that contains an unanswered variable | Click either the [image] Next Unanswered button or the [image] Previous Unanswered button. You can also press Ctrl+Page Up/Ctrl+Page Down.
Go to the first or the last dialog in the interview | Click either the [image] First Dialog button or the [image] Last Dialog button.
Finish the interview and view the assembled document | Click the [image] Finish Interview button. (Where you view the assembled document depends on the Finish Interview action you've specified.
View additional information about a specific answer or the contents of a dialog | Click the [image] View Resource button.
View where the answer is merged into the document (This option is available to Word users only.) | Click the [image] Go to Answer in Document button. HotDocs displays the Document tab and moves the cursor to the first place in the document where the answer is merged. However, if you place your curser in the answer field of an answer that is not directly used in the document HotDocs will not display the document tab and you will see an error message.
Hide the interview outline | Clear Interview outline (View menu).
Preview an assembled text document before sending it to the word processor | Click the Document Preview tab.
View an assembled form document | Click the Form Document tab.
View a list of all questions in the template | Click the Question Summary tab.
View a list of all the questions and their answers in the interview | Click the Answer Summary tab.

HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently.

Sometimes the format of your answer may be changed. To verify these changes, you can specify an option that forces HotDocs to warn you of answer format changes before moving to the next dialog.

To display the different tabs along the bottom of the window (instead of the top), clear Tabs at Top in the View menu.


View Resources During Assembly

Template providers can include helpful information with dialogs and questions in the interview. When such information is available, it appears in the resource pane. (To view the resource pane, either choose Resource Pane (View menu) or click the [image] Resource button in the assembly window toolbar.)

To view resource information

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. Navigate to a dialog that shows a resource.
    • If the resource pane is already displayed, the information automatically appears there. (You can change the size of the resource pane by selecting the top border of the pane and dragging it up or down.)
    • If the resource pane isn't displayed, you can either click the [image] Resource button in the toolbar or click the [image] Resource button that appears next to the answer field.

Resources help you answer questions in the interview. For help using HotDocs, see Get Help Using HotDocs.


At a Glance: The Save Answer File Dialog Box

A

C

D

E

B

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

When you come to save an Answer File, either during assembly or after assembling a template, you will be presented with the Save Answer File dialog box.

In the first field A you can enter a file name for the answer file and using the [image] Browse button B the right of this field you can change where the file will be saved on your computer. If you do not change where the file is to be saved it will be saved to the Answers folder in your HotDocs folder usually in My Documents.

In the next field C you can enter a Title for the answer file. This will be the name displayed when you see the answer file in Answer File Manager or when you use it in a HotDocs Interview.

In the last field D you can enter a brief description of the answer file. This will display with the answer file in Answer File Manager and may help you to identify the answer file you need the next time you come to use it.

Below these text fields is a check box E. Checking this box will have HotDocs save the answer file in a format that is compatible with older versions of HotDocs (see Compatibility of HotDocs 11 Files with Earlier Versions of HotDocs in the Quick Start Guide). This can be useful when you intend to share the answer file with someone who may be running a different version of HotDocs to you.

To learn more about saving answers files follow the link below:

  • Save an Answer File During Assembly


Save an Answer File During Assembly

While assembling a document, you can save the answers you have entered. This allows you to save your work and perhaps start a different assembly without closing the assembly window. Saving answers also allows you to use the information you enter with other templates, thus saving you time.

To save answers during assembly

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. At the assembly window, click the [image] Save Answers button. If you are using an existing answer file, the new answers are saved. If you are using a new answer file, the Save Answer File dialog box appears where you can perform any of the following tasks:
To | Do This
Enter the file name | At the File name field, enter a name. When you click OK, the answer file will be saved to the default Answers folder and a reference to it will be added to Answer File Manager. To save the answers to a location other than the default Answers folder, click the [image] Browse button and navigate to the location.
Enter the title that identifies the answer file in Answer File Manager | At the Title field, enter a name or accept the suggestion HotDocs makes.
Add information to help identify the file | At the Description field, type notes about the answer file's purpose or contents. (The description will appear at the Properties tab of the Answer File Manager. When searching for specific answer files, you can search for text in the description.)
Save the answer file so it is compatible with versions of HotDocs earlier than HotDocs 2009 | Select HotDocs 2005-2008 answer file. (See Compatibility of HotDocs 11 Files with Earlier Versions of HotDocs.)

See Introduction: Use Answer Management for information on using Windows Explorer instead of Answer File Manager.

The [image] Save Answers button may be disabled because the template provider wants to prevent the answer file from being altered. You can assemble a document using new answers, but when you close the assembly window, the new answers are automatically discarded.


Switch Answer Files During Assembly

While assembling a document, you may want to use another answer file. At any point during the interview, you can select a different answer file, then continue the interview using the new answers.

To switch answer files

  1. At the HotDocs library window, select a template and begin assembling a document. (See Assemble a Text or Form Document.)
  2. During the interview, click [image] Open Answers. The Open Answer File dialog box appears. (Depending on the file management settings you have selected, a Windows Explorer dialog box or a window from your document management program may appear instead. See Manage Answer Files.)
  3. Select an answer file and click [image] Open.
  4. If prompted to save the old answers, click Save, Save As, or Don't Save, depending on your needs. (See Save an Answer File During Assembly.)
  5. The assembly window appears again, using the newly selected answer file.

When viewing the answer library, you can sort the answer files. To do this, select a folder and click [image] Sort. To search for a specific answer file, select the Find check box, then type the text for which you are searching in the text field.


Use Repeated Dialogs During Assembly

Dialogs can be repeatedly asked to gather several sets of answers for the same questions. A repeated dialog can appear as a series of dialogs or as a spreadsheet.

Once you have created a list of answers, you can use commands in the toolbar to move records within the list.

You can change the way repeated dialogs are represented in the interview outline. (See Display Repeated Dialogs Using a Special Icon.)

HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)

To enter answers in a series of dialogs

  1. At the repeated dialog, enter answers for the questions.
  2. Click the [image] Add Another button to add another repetition of the dialog to the series. The repetition number next to the dialog icon increases each time you enter a new set of answers. (You can also press Alt+A to add new repetitions to a list.)
  3. To move to the next dialog after entering all the answers in the list, click [image] Next in the navigation bar. (You can also click on the next dialog icon in the interview outline, or press Page Down or Alt+N.)

When entering a list of answers within another list of answers, you can press Alt+Left Arrow to return to the parent dialog. (You can also choose Parent Dialog from the Navigate menu.)

To enter answers in a repeated spreadsheet

  1. At an answer-gathering dialog that includes a repeated dialog formatted as a spreadsheet, click in the first spreadsheet cell and enter your answer.
  2. Press Tab to move to the next cell in the row (or use the mouse to click in the next cell) and enter your answer.
  3. Repeat this process for each answer.

To work with repeated answers

  1. Answer questions in the repeated dialog.
  2. Select the record with which you want to work. (If you are editing records in a dialog series, select the dialog icon in the interview outline. If you are editing records in a spreadsheet, click on the row you want to edit.)
  3. Use the options described in the following table to complete additional tasks:
To | Do This
Remove a specific dialog from the list of answers | Select the dialog you want to delete and either click the [image] Delete Repetition button, or choose Delete Repetition from the Edit menu.
Insert a new dialog between existing dialogs | Either click the [image] Insert Repetition button, or choose Insert Repetition from the Edit menu.
Move an existing dialog up in the list of answers | Select the dialog you want to move and click the [image] Move Repetition Up button (located on the Edit toolbar).
Move an existing dialog down in the list of answers | Select the dialog you want to move and click the [image] Move Repetition Down button (located on the Edit toolbar).
Sort the contents of a spreadsheet dialog in alphanumeric order | Click in the column on which you want to sort and click the [image] Sort button (located on the Edit toolbar). The Sort Spreadsheet dialog box appears where you can specify your sorting preferences. If the template developer has specified any sorting options, answers will be merged in the document using those sort options. Otherwise the sort order you specify here will be used in the assembled document.
Edit the contents of the row in a regular dialog | Click in the row you want to edit and either click the [image] Edit Row button, or right-click and choose Edit Row from the shortcut menu.


Use Inserted Dialogs During Assembly

In some templates, one dialog may contain other dialogs. For example, a dialog may ask for information about a client; then, if the client is married, an inserted dialog may ask for information about the spouse.

To use an inserted dialog

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. Navigate to a dialog that contains an inserted dialog.
  3. Select the inserted dialog and provide information for the answer fields, based on the following information:
    • If the dialogs are not grouped: For each inserted dialog, HotDocs displays an icon in the dialog pane and in the interview outline. If you don't answer questions in the inserted dialogs, HotDocs counts them as unanswered questions and warns you about them.
    • If the dialogs are grouped for single selection: HotDocs adds an option button next to each inserted dialog icon. Until you select one of the option buttons or click the child dialog icon or title, no icon for the inserted dialog appears in the interview outline. If you don't select an option button and don't answer any questions in the inserted dialogs, HotDocs doesn't count them as unanswered questions.
    • If the dialogs are grouped for multiple selection: HotDocs adds a check box next to each inserted dialog icon. Until you select the check boxes or click the child dialog icon or title, no inserted dialogs appear in the interview outline. If you don't select any check boxes and don't answer any questions in the inserted dialogs, HotDocs doesn't count them as unanswered questions.

You can hide all inserted dialogs in the interview outline by selecting Collapse All (View menu) or by pressing Alt+-.

HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)


View Individual Rows in a Spreadsheet

Some documents may require a list of information. To generate a list, template providers create a repeated dialog, which may be formatted as a spreadsheet. This format may be awkward to work with when there are large numbers of questions (or columns)—the spreadsheet may extend beyond the viewable area. However, to see all the questions at once, you can view one row of the spreadsheet in dialog format.

To answer a single set of answers in a spreadsheet

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. At the assembly window, navigate to a repeated dialog that is formatted as a spreadsheet.
  3. At the spreadsheet, click [image] Edit Row. A pop-up interview appears. (You can also right-click and choose Edit Row from the shortcut menu.)
  4. Type answers in the answer fields, then click [image] Next. The answers are saved and a new set of answer fields appears.
  5. After providing all the necessary answers, close the pop-up interview by clicking [image] Finish.


Select Clauses During an Interview

A clause is a section of text, usually a commonly used paragraph, and a clause library is a collection of clauses. You can select clauses from a clause library and use them to assemble text documents.

In HotDocs, there are two places where you may view a clause library and select clauses for inclusion in a document—at the template library or during the interview for a text template:

  • When a clause library is referenced in a template library, you assemble the clause library and then choose where the assembled clause text is merged. You can choose to send the assembled clauses to a new, empty document; copy the assembled text to the Windows Clipboard (so you can paste it into an existing document); or paste the assembled text directly into an open word processor document. (See Assemble a Clause Library from the Template Library for instructions on using this method.)
  • When a clause library is asked during the interview of a text template, the clause text is automatically inserted into that assembled document. (Instructions for this method are included below.)

To select clauses from an inserted clause library

  1. At the HotDocs library window, select a template that contains an inserted clause library and begin assembling the document. (See Assemble a Text or Form Document.)
  2. Navigate to the dialog where the clause library is located. The clause library appears in the dialog pane.
  3. Optionally, perform either of the following tasks:
    • Select the Find check box to find all of the clauses with specific text in their title or description. In the text field, type the text for which you are searching.
    • Click [image] Preview to view the clause text in a pop-up dialog box. To return to the clause library, click the X in the upper-right corner of the pop-up dialog box.
  4. From the Available list, select each clause you want to use and click [image] Select to add it to the Selected list. To remove a clause, select it, then click [image] Remove. (Press Ctrl or Shift to select multiple items.)
  5. Optionally, reorder the clauses in the Selected list by selecting and dragging a clause to the desired position. The clauses will be inserted into the document in this order.
  6. When all the necessary clauses are in the Selected list, click [image] Next on the navigation bar.
  7. Answer any questions in the interview.


Answer Date Questions

To make it easier to answer Date variables, HotDocs provides three different ways to enter a date:

  • Type the letter t, then move to the next answer field. HotDocs converts the letter to the current date.
  • Type a date using a common format, such as MM/DD/YYYY. HotDocs converts the format to match the format specified for the template.
  • Click the [image] Calendar button to access the Calendar dialog box. Then use the Next or Previous arrows to find the desired month and year. Select a day, and click OK.

HotDocs requires a four-digit year for Date variables. However, you can enter a two-digit year, and then let HotDocs convert it to a four-digit year. You can control which years are converted to 1900-century dates, and which are converted to 2000-century dates. See Control How HotDocs Handles Two-Digit and Four-Digit Years.

The [image] Calendar button is not available when a Date variable is in a dialog repeated as a spreadsheet. However, if you click Edit Row, the pop-up interview will show the calendar button.

HotDocs may format dates in the interview different from the way they will appear in the assembled document. The appearance in the interview is controlled by a setting in the HotDocs Options dialog box. (See Change the Way Dates Appear in Answer Fields.) When a date appears in the document, however, it is formatted according to the format assigned to that variable.

HotDocs updates the interview as you enter answers in a dialog. If you experience a significant delay when moving from one answer to the next, you can have HotDocs update the interview less frequently. (See Update Your Interview Outline and Document.)


View an Answer's Variable Name

Sometimes as you complete an interview, you may need to ask the template provider about a specific question asked in the interview. Being able to identify the question by variable name may help the template provider better understand the kind of information you need. You can have HotDocs show you the name of the variable.

To view the variable name for a question in the interview

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. Navigate to the dialog that contains the question.
  3. Place your cursor in the answer field, right-click, and choose Variable Name from the shortcut menu. A message box appears, showing you the variable name.


Use the End of Interview Dialog

The End of Interview dialog appears after the last dialog in each interview. At this dialog, you can view a report of unanswered questions, as well as access commands for working with the assembled document.

To work with assembled documents at the End of Interview dialog

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After completing the interview, the End of Interview dialog appears. The following table describes the commands available here:
To | Do This
Return to the first unanswered question in the interview | Click [image] Go to the first unanswered question in the interview.
Send the assembled text document to the word processor so you can view it in its final format | Click [image] Send the assembled document to the word processor. You can choose the default word processor to which assembled documents are always sent, or you can let HotDocs choose the word processor each time based on the file type. See Change Your Default Word Processor.
View the assembled form document | Click the [image] View the assembled form document at the Form Document tab button. (See View the Assembled Form Document.)
Insert the assembled document into an open word processor document | Click [image] Paste the assembled document into the open word processor document. This command will paste the document text into a document already open in your word processor. If there is not a document already open, HotDocs will create a new document.
Copy the document text to the Clipboard (only available when assembling Microsoft Word documents) | Click [image] Copy the assembled document to the Clipboard. For DOCX templates the assembled document is copies in plain text format.
Save a copy of the assembled document | Click [image] Save the assembled document in a file.
Save an assembled text or form document as a PDF file | Click [image] Save the assembled document as a PDF.
Close the assembly window without saving a copy of the assembled document | Click [image] Close this window without saving the assembled document.
Choose which buttons are displayed in the End of Interview dialog | Click [image] Choose which buttons are displayed on this dialog.

When you assemble multiple documents, the End of Interview dialog also notifies you that other assemblies are ready to begin.

To keep the End of Interview dialog from appearing, clear End of Interview Dialog at the View menu of the assembly window. Then, when you click Next at the last dialog in the interview, HotDocs will either send the assembled document to the word processor or HotDocs Filler, or it will display the Document tab of the assembly window. To specify which action HotDocs performs, see Control What Happens When You Finish an Interview.

You can choose which options appear in the End of Interview dialog. See Customize the End of Interview Dialog.


Spell Check Answers

You can spell check text answers you have entered at any time during an interview.

To spell check your answers

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the [image] Check Spelling button. If HotDocs finds any unrecognized words, the Check Spelling dialog box appears. In the Answer being checked field, HotDocs shows a section of the text that contains the misspelled word, which is highlighted. Options for working with the misspelled word appear below it.
  3. Make your selection, based on the options described in the following table:
To | Do This
Ignore the current instance of the word and continue spell checking | Click Ignore.
Ignore all instances of the word and continue spell checking | Click Ignore All.
Correct only the current instance of the word and continue spell checking | Select an existing replacement from the Change to list (or type the replacement in the Change to field) and click Change.
Correct all instances of the misspelled word and continue spell checking | Select an existing replacement from the Change to list (or type the replacement in the Change to field) and click Change All.
Add the word to your personal dictionary so that the spelling checker will not question the word again | Click Add.
Display additional spelling alternatives for the unrecognized word | Click Suggest. A deeper search takes longer but produces better possible replacements. If the button is unavailable, HotDocs is searching at the deepest level.
Change your spell checking options, such as which words the spelling checker looks at and how it determines whether a word is a possible replacement | Click Options. (You can also change your options at the HotDocs Options dialog box. See Change Your Spell Checking Options.)


Preview the Assembled Text Document

After assembling a text document, you can print the document, send it as an e-mail attachment, or save it as a word processor file. However, once you perform any of these actions, the document is no longer associated with HotDocs. That means any changes you make to the text of the document will not be updated in the answer file or template. Because of this, it is helpful to preview the assembled document in the assembly window and make sure the information in the document is accurate before you perform any of the aforementioned tasks.

While the information in the Document Preview tab is shown accurately, the document may not be formatted correctly, particularly in WordPerfect documents. To view the actual formatting, send the document to the word processor. (See Send the Assembled Text Document to the Word Processor.)

Some template providers may not allow you to edit answers or text at the Document Preview tab. If not, these commands will be disabled.

To preview an assembled text document

  1. At the HotDocs library window, select a template and begin the assembly. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Document Preview tab. The assembly window changes to show a preview of the document. By default, answers that have not been entered are marked with asterisks (for example, ***Employee Name***). You can choose a different unanswered format, however. See Format Unanswered Variables in a Document for details.
  3. (Word users) Optionally, to edit an answer or document text, click the [image] Highlight Fields button, then double-click on an answer field or section of editable text. (See Edit Answers at the Document Preview Tab and Edit Document Text at the Document Preview Tab for details.)
  4. Once you have verified that the document is correct, use any of the following commands to work with the assembled document:
To | Do This
Save the assembled text document to disk | Click the [image] Save Document button. (See Save an Assembled Text or Form Document.)
Send the assembled text document to the word processor so you can see it in its final format | Click the [image] Send Document button. (See Send the Assembled Text Document to the Word Processor.)
Print the assembled text document | Click the [image] Print Document button. (See Print an Assembled Text Document or Print an Assembled Form Document.)
Close the assembly window | Choose Close (File menu)

If an assembled text document contains any cross references, including a table of contents or index, you may need to update the references once you send the document to the word processor. To do this, select all of the document text (press Ctrl+A) and then press the F9 key.


Edit Answers at the Document Preview Tab

The ability to edit answers at the Document Preview tab is available to Microsoft Word users only. Additionally, this option is available only if the template provider has allowed it.

If you are viewing the Document Preview tab, you can edit answers you've entered. Additionally, you can move from an answer in the document to its question in the interview and vice versa. Seeing answers in the context of the document helps you pinpoint errors and makes it easy for you to correct them without having to go back to the interview.

To help you review answers in the document, you can use the Document Navigation Bar. Just like the Interview Navigation Bar, this toolbar can help you move between answers, unanswered fields, and matching answers.

Some template providers may prohibit you from changing answers at the Document Preview tab. If so, the buttons and commands that control this feature will be disabled.

To change answers while previewing the document

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Document Preview tab. The assembly window changes to show a preview of the document.
  3. Click the [image] Highlight Fields button. This assigns colors to both answered questions and unanswered questions in the document. (You can change the default colors assigned to answered fields as well as unanswered fields. See Set Properties for Viewing Answers and Editable Text in the Assembled Document.)
  4. Double-click on an answer field. A pop-up interview appears, showing the dialog in which the question is used.
  5. Change your answer and click [image] Next or [image] Finish. The pop-up interview closes and the answer is updated in the document.
  6. Use any of the following commands to help you edit answers in the document:
To Do This
Jump to the place in the interview where the question is asked Place your cursor in the answer field and click the [image] Go to Answer in Interview button. You can also right-click on the answer field and select Go to Answer in Interview from the menu.
While viewing the Interview tab, you can go to the place in the document where the answer is merged. To do this, place your cursor in the answer field and click the [image] Go to Answer in Document button.
Because of scripting in the template, sometimes you will not be able to move between the Interview and Document tabs in this manner. In the Document tab, if you place your curser in the answer field of an answer generated from a computation, the [image] Go to Answer in Interview button in the tool bar will be greyed out. If you right-click in the answer field the menu will show Computed Value and you will be unable to select it. Similarly, in the Interview tab, if you place your curser in the answer field of an answer that is not directly used in the document HotDocs will not display the document tab and you will see an error message.
Move between answers in the document Click [image] Next or [image] Previous to move to the next or previous answer in the document.

Click the [image] Next Unanswered or [image] Previous Unanswered button to move to the next unanswered or previous unanswered question in the document.

Press Ctrl+M or Ctrl+Shift+M to move between matching answers in the document (for example, those answers in the document that are exact matches). (You can also press Shift as you click the [image] Next or [image] Previous button.)

Click [image] End or [image] Beginning to go to end of the document or the beginning of the document.

If you experience a delay when changing answers in your document, click the [image] Document Instant Update button (so it isn't pressed in). Then, when you change an answer, HotDocs will just update the field you are editing (and any other fields that merge the exact same answer). Be aware, however, that turning [image] Instant Update off may cause some of the information in the document to be out of date if you change answers. (You can tell when the document is out of date by the appearance of the Instant Update Instant Update button. To update the document, click the button again. (The document will automatically update if you attempt to save it, print it, or send it to the word processor.)

Once your cursor is in an answer field, you can press Enter and the pop-up interview will appear.

If the template provider has allowed it, you can also edit the text of the document. See Edit Document Text at the Document Preview Tab for details.


At a Glance: The Document Text Editor

A

B

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

The Document Text Editor will appear when you click on editable document text while on the Document Preview tab of the HotDocs Interview.

The window is split into two parts, at the top is the Toolbar A and at the bottom is the workspace B where you can type to edit the text.

The Toolbar A itself is split into two parts. The lower part has standard word processor tools such as font, styles and justification. The upper part of the toolbar has more specific HotDocs buttons including:

  • Save and Close: Saves your changes, closes the Document Text Editor, and merges the new text in the assembled document.
  • Restore Original Text: Discards any changes you've made to the text and restores the original document text.
  • Print: Prints a copy of the text you are editing
  • Undo: Removes any changes you have made to the script.
  • Redo: Reapplies any changes you have made to the script.
  • Cut: Removes the selected text and copies it to the Clipboard.
  • Copy: Copies the selected text to the Clipboard.
  • Paste: Pastes the selected text on the Clipboard at the cursor position in the script.
  • Find: Displays the Find dialog box where you can specify the word or text string for which you are searching.
  • Find Next: Finds the next instance of the word or text string for which you are searching.
  • Find and Replace: Searches for a specific word or text string and replaces it with word or text string you specify.
  • Ruler Guide: Show or hide the ruler guide below the toolbar.
  • Paragraph Marks: Show or hide the paragraph marks in the editable text. HotDocs always adds an extra paragraph mark to the end of editable text which cannot be deleted.
  • Spell Check: Checks the spelling within the Document Text Editor only.
  • Cancel: Closes the Document Text Editor without saving any changes.
  • Help: Opens the relevant page of the HotDocs Help File.

To learn more about using the document text editor follow the link below:

  • Edit Document Text at the Document Preview Tab


Edit Document Text at the Document Preview Tab

The ability to edit the text of an assembled document is available to Microsoft Word users only. Additionally, this option is available only if the template provider has allowed it. (You can tell if the developer has made text editable by the color of the document text. By default, editable text is green.)

After you finish answering questions in an interview and before you send the document to the word processor or save it, you should review it. As you do, you may see that you need to change the language of a particular paragraph, or you may need to change a word or phrase to fit your particular needs. If the template developer has allowed it, you can edit the document text while viewing the Document Preview tab. Changes you make can be saved in an answer file so that if you reassemble the document, those changes will be reapplied. (You can always send the document to the word processor and make the changes there. However, those changes are specific to the word processor and will not be saved to HotDocs.)

When you edit the text of the assembled document, the text appears in a pop-up window called the Document Text Editor. This editor provides many of the text-editing tools you need, including font options, spell checking, printing, and copying and pasting. As you edit, you can add new text or remove existing text. You can also change the formatting of text.

You cannot edit variable (or answer) fields at the Document Text Editor. To edit answers, return to the assembly window and make the change at the Interview tab.

To edit the text of the document

  1. At the HotDocs library window, select a Microsoft Word template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Document Preview tab. The assembly window changes to show a preview of the document.
  3. Click the [image] Highlight Fields button. Text in the document that can be edited changes color.
  4. Place your cursor in an editable section of text and click the [image] Edit Document Text button (or double-click on the text). The Document Text Editor appears. (If there are multiple sections of text you can edit, HotDocs may ask you which section you want to edit.)
  5. Edit the text using the commands in the Document Text Editor toolbar. (See Document Text Editor Toolbar for a description of each command.)
  6. When you are finished making your changes, click [image] Save and Close. The editor closes and your changes are merged in the assembled document.

When you are finished reviewing the document, you can save your answers and the changes you made to the document are saved to the answer file. Then, if you reassemble the document using that answer file, the document will update with the changes you made.

To move between sections of editable text, click the [image] Next Editable Text or the [image] Previous Editable Text buttons in the navigation bar.

You can choose specific colors for marking editable and edited text in the document. See Set Properties for Viewing Answers and Editable Text in the Assembled Document.

When viewing the document in the Document Text Editor, if you click the [image] Show Codes button, you will see an extra paragraph mark at the end of the document. This paragraph mark is merged by the text editor and will be deleted when you save your changes and the text is inserted back into the document. Because of this, do not modify the paragraph mark.


View an Assembled Document in Markup View

If you are not a template developer, please click here for a brief explanation of template development terms. Understanding these terms will help you understand how the assembled document is marked up.

As you assemble Microsoft Word documents, there may be times when you want to assemble only a partial document and then submit it to an attorney or peer for revisions or corrections. To make the document easier for a non-HotDocs user to review, you can change the formatting of the document to Markup View and then provide the reviewer a copy of it.

When displaying markup, HotDocs replaces unanswered fields and instructions in the document with markup, which includes markers (such as brackets) and variable names. How the resulting markup fields look depend on the type of fields they are:

  • Answer fields: By default, answer fields are marked using brackets. If the template developer has assigned a comment to the variable, the comment text may be used as the field name. If no comment is used, HotDocs will use either the title or the name the template developer assigned to the variable.
  • Conditional and repeated text blocks: By default, conditional and repeated text blocks are marked using brackets. If a comment is assigned to these text blocks, the comment can be merged in the field label. If no comment is assigned, HotDocs will simply merge the field markers around the text block. The text block can be marked using an annotated footnote or endnote, depending on your preferences.
  • Insertion fields: HotDocs will merge the file name of the template being inserted.

Once you assemble the document using as many answers as needed, you can switch to Markup View and save a copy of the document. You can then provide a copy of it to the reviewer.

To view a document in Markup View

  1. Define the Markup View options you want to use in the document.
  2. Assemble the Word document for which you want to generate markup.
  3. Answer only the questions whose answers you want to appear in the assembled document. Leave all other questions unanswered. (These unanswered questions are the fields that will be marked using the scheme you define in step 1.)
  4. Click on the Document Preview tab to switch to the preview pane.
  5. Choose Markup View (View menu). The document changes to show the marked up document.
  6. If you send the document to the word processor it will appear in markup view.

By default, merge fields in the document appear in color—red for unanswered questions and blue for answered questions. Sometimes, however, if an answer field is within a text block that is conditional or repeated, it appears (and remains) blue until the condition is met or the REPEAT instruction is answered. Editable text likewise appears using the colors you've defined at HotDocs Options.

Additionally, merge fields in the document are italicized by default. If you've used international characters in your answers, the italicized version of the font used in the document may not display the foreign characters correctly. If this is the case, clear the Italic attribute for Markup View.

If the template developer has used merge fields in question prompts, those merge fields can be displayed as markup fields. Click the View menu, and then click Markup View while in the interview tab. Additionally, you can switch to Markup View while assembling form documents.

To view a non-marked up version of the assembled document again, clear Markup View (View menu).


Send the Assembled Text Document to the Word Processor

Once you complete an interview, you often want to view the document in its final format. For text documents, this must be done in the word processor.

To send the assembled text document to the word processor

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the [image] Send Document to the Word Processor button. The word processor appears, showing the assembled document.
  3. Using the word processor's tools, modify the document. Be aware, however, that any changes you make to answers in the document will not be reflected in the answer file.

If you have more than one word processor installed, you can choose which word processor will be used for viewing assembled documents. See Change Your Default Word Processor for details.

You can preview a text document at the Document Preview tab. While this preview shows the information in the document correctly, it may not be formatted correctly—particularly in WordPerfect documents.

If the template provider has allowed it, you may be able to edit the text of the document while still viewing it in the assembly window. For details, see Edit Document Text at the Document Preview Tab (Word users only).

If you are assembling a Plain Text Templates, the document will be sent to your default text editor instead of word processor.


Open a Saved Text Document for Editing

After assembling and saving a document, you can later edit the document using the appropriate program:

  • Text documents are saved as word processor files (.DOCX, .DOC, .WPD, or .RTF). To edit these files, you must use a word processor.
  • Form documents are saved as HotDocs form files (.HFD or .HPD). To edit these files, you must use HotDocs Filler. See Edit a Saved Form Document for instructions on completing these actions.

To open a saved text document using Windows Explorer

  • Using Windows Explorer, locate the document file and double-click it. Your word processor appears, showing the saved document.

To open a saved text document using the word processor

  • Using your word processor program's commands, locate and open the desired document file.

When an assembled document is saved, the file is separated from the template file, component file, and answer file that created it. This means that changes you make to a saved document are not reflected in the answer file used to assemble that document. Finally, if you do make changes to the document, you must identify and change each instance of the answer manually, including re-evaluating any computations or conditions affected by changed answers.


Print an Assembled Text Document

Many projects require you to print copies of assembled documents.

To print an assembled text document

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Document Preview tab. The assembly window changes to show a preview of the document.
  3. Click the [image] Print Document button. The document is printed at the printer you specify.


Save an Assembled Text or Form Document

Some projects may require you to save an electronic copy of every document. Also, you may need to move the document to a disk or laptop, so you can take an editable, printable version of the document to another location.

When you save a text or form document, the file is separated from the answer file, so any changes made to a saved document are not saved to the answer file.

To save an assembled text or form document

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the [image] Save Document button in the toolbar or at the End of Interview dialog. The Save As dialog box appears.
  3. Navigate to the folder where you want the document to be saved.
  4. In the File name field, enter a name for the document and click Save.


Save Assembled Text Document as PDF

With HotDocs Developer, you can use the PDF printer driver to save assembled text and form documents as PDF documents. Creating PDF files allows you to take advantage of features available in Adobe Acrobat.

To save a document as PDF

  1. At the HotDocs library window, select a text template and click [image] Assemble. (See Assemble a Text or Form Document.)
  2. Answer questions in each dialog.
  3. After answering all of the questions, choose Save Document As (File menu). The Save As dialog box appears.
  4. Specify the file name and folder path for the file.
  5. At the Save as drop-down list, make sure PDF File (*.pdf) is selected.
  6. Optionally, click Security to assign any security options you need to the document. (See Assign Security Options to a PDF Document.)
  7. Click Save. The Convert to PDF dialog box appears.
  8. Optionally, you can add information about the document's title, subject, author, or search keywords. Otherwise, click OK. The assembled document is saved in PDF format.

Information you type in the Convert to PDF dialog box is saved as metadata embedded in the PDF-based file. HotDocs does not use this information, but other programs that work with PDF files may access this metadata. (For instance, if you open a PDF or PDF-based form template in Adobe Acrobat, you can select Document Properties (File menu) to see the values in these fields.) For form templates, the values input here will also be set in any PDF documents assembled with that template.


Save Assembled Form Document as PDF

With HotDocs, you can use the PDF printer driver to save assembled PDF form documents as PDF documents. Creating PDF files allows you to take advantage of features available in Adobe Acrobat.

To save assembled PDF forms as PDF

  1. At the HotDocs library window, select a PDF template and click [image] Assemble. (See Assemble a Text or Form Document.)
  2. At the End of Interview dialog, click Save the assembled document as a PDF. The Save As dialog box appears.
  3. Specify the file path and name for the PDF file, and select PDF File (*.pdf) from the Save as type drop-down list.
  4. Optionally, click Security to assign any security options you need to the document. (See Assign Security Options to a PDF Document.)
  5. Click Save. The Convert to PDF dialog box appears.
  6. Optionally, you can add information about the document's title, subject, author, or search keywords. Otherwise, click OK. The assembled document is saved in PDF format.

If the file you're using to create a PDF document is a form document, the answer fields and other HotDocs features are removed. Only the current answers are shown as static text on the PDF document. If you may need to edit the answers later, you should first save the file as a PDF-based form document (.HPD), then save another copy of the file as a PDF.

Information you type in the Convert to PDF dialog box is saved as metadata embedded in the PDF-based file. HotDocs does not use this information, but other programs that work with PDF files may access this metadata. (For instance, if you open a PDF or PDF-based form template in Adobe Acrobat, you can select Document Properties (File menu) to see the values in these fields.) For form templates, the values input here will also be set in any PDF documents assembled with that template.


At a Glance: The PDF Security Settings Dialog Box

A

B

C

D

E

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

If you select Save Document As... from the File menu while assembling a template, then you can view the PDF Security Settings dialog box by choosing PDF File(*.pdf) from the Save as Type drop-down list and clicking the Security button.

In the first set of options A you can decide on the Security Level you would like from the following options:

  • None: Assigns no security options to the PDF document you are creating.
  • 40-bit RC4 Encryption: Allows you to assign minimum security options to the document, including disabling the ability to print the document, changing the contents of the document, copying or extracting the contents of the document, and adding or changing comments in the document. While security is less, the document is compatible with versions of Acrobat back to version 3.
  • 128-bit RC4 Encryption: Allows you to assign more complicated security options to the document. This level of security, however, makes it so the document can't be viewed in any version earlier than Acrobat 5.

In the second set of options B you can set Master and User passwords for the file. You can set the Master password by ticking the check box and entering your chosen password in both the Password and Confirm fields below. The file then requires a password when editing the contents of the document. You can set the User password by ticking the check box and entering your chosen password in both the Password and Confirm fields below. The file then requires the intended recipient to enter a password when opening the document. Make sure you communicate this password to the intended recipient.

In the third set of options C you can set the printing options. Fully allowed lets the user to print a copy of the document, Low resolution only lets the user to print only a low-resolution copy of the document, and Not allowed keeps the user from printing a copy of the document

In the fourth set of options D you can set the content protection options. Check the first box to allow the intended recipient to copy content from the document and check the second box to allow visually impaired recipients greater access to the document.

In the final set of options E you can set the Document Editing options by ticking the check boxes:

  • Allow content editing: Allows the intended recipient to edit the content of the document, including making changes to the text.
  • Allow page-level editing: Allows you or the intended recipient to make page-level edits in the document.
  • Allow annotations: Allows the intended recipient to annotate the document.
  • Allow form filling: Allows the intended recipient to fill form questions in the document.

To learn more about setting options for PDF Security follow the link below:

  • Assign Security Options to a PDF Document


Assign Security Options to a PDF Document

When creating PDF documents, you may want to protect the content of the document. You can do this by assigning security options to the document.

To assign security options at the HotDocs Save As dialog box

  1. Assemble a document. (See Assemble a Text or Form Document.)
  2. Choose Save Document As (HotDocs File menu). The Save As dialog box appears.
  3. Click the Save as type drop-down button and choose PDF File (*.pdf).
  4. Click the Security button. The PDF Security Settings dialog box appears.
  5. Make your selection, based on the following information (for additional information about each of these options, see the Adobe Help file):
    • Select None to leave the document unprotected. No security options will be applied and the user can edit the document (using Adobe Acrobat Professional).
    • Select 40-bit RC4 encryption to apply less-stringent security options to the document (and make the document compatible with all versions of Adobe starting Adobe 3.x). (Selecting this option affects which options are available in the rest of the dialog box.)
    • Select 128-bit RC4 encryption to apply more stringent security options to the document (and restrict use of the document to Acrobat 5.x and later users). (Selecting this option affects which options are available in the rest of the dialog box.)
    • Select Master password and enter (and confirm) the required password to require the user to enter a password when changing security options for the document.
    • Select User password and enter (and confirm) the required password, require the user to enter a password when attempting to open the document.
    • Select one of the printing options: Fully allowed, Low resolution only, and Not allowed to allow varying levels of printing.
    • Clear Allow content copying and extraction to keep users from copying the text in the document and pasting it into other applications.
    • Select Allow access for visually impaired to allow the document to be read out loud by Acrobat.
    • Select Allow content editing to let users can modify the pages of the document, including adding or removing pages, or rotating pages to let users make changes to the document.
    • Select Allow page-level editing (insert, delete, rotate) to let users make changes to page properties of the document (such as inserting pages).
    • Select Allow annotations to let users make comments or other notes in the document.
    • Select Allow form filling to let users enter information in Adobe fields on the form.


Introduction: Assemble a Form Document

In most cases, you assemble a form document exactly as you assemble a text document. (See Assemble a Text or Form Document.) However, HotDocs form documents provide some additional capabilities. For example, you can enter answers directly in the form document, moving from field to field. You can also print a blank copy of the form that can be completed by hand. Finally, you can create and modify an addendum to save answers that require more space than the form provides.


At a Glance: HotDocs Filler

Menu Bar

Toolbar

Workspace

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

When you open HotDocs Filler to view assembled form documents you will see the window laid out with one main Workspace, a Toolbar and above that a Menu Bar. Using HotDocs Filler you can edit the answers and the form, save and print the document.

From the Toolbar you can access the following buttons:

  • HotDocs Library: Opens the HotDocs library (if it's not already open) and brings it to the front.
  • Open: Opens a form template file for editing, or opens a saved form document for printing or editing.
  • Save: Saves the current form. If the form has never been saved, HotDocs will ask for the path and file name to use.
  • Print: Prints a copy of the form.
  • Field Properties: Displays the Field Properties dialog box during direct-fill assembly of form documents. This allows you to modify the appearance of answers in that field.
  • Answer Font: Changes the font for the selected field or fields.
  • Fill Tool: Allows you to place your cursor in a form's answer field and type an answer.
  • Select Tool: Either creates a new field or selects an existing field during direct-fill assembly of a form document.
  • Scroll Tool: Scrolls form documents up and down, and side to side during direct-fill assembly.
  • Zoom Tool: Changes the view of the form document during direct-fill assembly, increasing the magnification (or decreasing it when used in combination with the Shift or Ctrl keys).
  • Fit Page Width: Displays the entire width of the current form page in the window.
  • Fit Page Height: Displays the entire length of the current form page in the window.
  • Show Fields: Shows or hides the field backgrounds.
  • Show Thumbnails: Shows or hides a thumbnail view of each page in the form at the left of the window.
  • Previous Page: Moves to the page just before the current page in the form.
  • Next Page: Moves to the page just after the current page in the form.
  • HotDocs Options: Opens the HotDocs Options dialog box where you can specify several preferences that control how HotDocs works
  • Help: Opens the relevant page of the HotDocs Help File.

In the Menu Bar you can access further options not available on the Toolbar.

To learn more about editing assembled documents using HotDocs Filler follow the link below:

  • Edit a Saved Form Document


Enter Answers Directly at the Form Document Tab

When assembling text documents, you answer questions in the interview and those answers are merged into the document. When assembling form documents, however, you can either enter your answers in the interview or you can enter your answers directly on the form document. This latter method of assembly is called direct-fill assembly. In some cases, the template provider designs templates so that the only method for assembly is by direct-fill.

To enter your answers directly into the fields

  1. At the HotDocs library window, select a form template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. If you're not viewing it, click the Form Document tab. The assembly window changes to show the form document.
  3. Click on a field and enter an answer.
  4. Press Tab to move to the next field, or use the mouse to click on another field.

As you tab between fields, HotDocs will skip any conditioned fields that have been resolved in such a way that it isn't necessary to answer the field.

  5. Optionally, you can perform any of the following tasks:
To | Do This
Create a new field on the document | Click the [image] Select Tool button and draw the field. (See Create a Form Field.) To enter text in the field click on the [image] Fill Tool and then click in the field.
Add additional answers to a table | If the template developer has included it, click the [image] Table Wizard button next to the field.
Answer questions that compute the answer for a field or control the inclusion of other answers | If the template developer has included it, click the [image] Answer Wizard button next to the field.
Show or hide the colored fields | Click the [image] Show Fields button.
Quickly browse through the pages of a form document | Click the [image] Show Thumbnails button. This displays small images of each page in the document in the left margin of the form view. You can click one of these images and go to that page immediately.
Jump to a specific page of the assembled document | Choose Go To (Edit menu) and enter the page number of the page you want to view.
Move through the answers in a document Place your cursor in a field and click one of the following navigation buttons: (If the Form Navigation Bar isn't showing, choose it at the View menu.)
  • Clicking [image] Next or [image] Previous moves you to the next or previous answer in the document.
  • Clicking the [image] Next Unanswered or [image] Previous Unanswered button moves you to the next unanswered question in the document
  • Pressing Ctrl+M or Shift+Ctrl+M moves between matching answers in the document (for example, those answers in the document that are exact matches). (You can also press Shift as you click the [image] Next or [image] Previous button.)
  • Clicking [image] End or [image] Beginning to go to the end of the document or the beginning of the document.

To access answer wizards, table wizards, and calendars during direct-fill assembly, right-click on the field and choose the option from the shortcut menu. For example, to view the calendar for a date field, right-click on the field and choose Calendar from the shortcut menu.

Some answers may be too large to fit in the field. If this happens, HotDocs warns you by displaying the Overflow Status dialog box. See Check Form Fields for Answer Overflow. Similarly, you can specify when this warning should appear. See Set Rules for Handling Answer Overflow.


At a Glance: The Field Inactive Warning Dialog Box

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

When entering answers at the form document tab, you will see the Field Inactive Warning dialog box when you try to enter an answer into a restricted field.

Here you have three options:

  • Override: Choosing Override will allow you to type any answer into the field regardless of the restrictions placed upon it, however this answer will not be saved in the answer file and will not be used in any calculations. After clicking the Override button you will see another warning tab explaining this.

  • Wizard: If the field has an answer wizard attached to it then choosing Wizard opens that answer wizard. From there you can answer the questions necessary to properly create the answer that the restricted field requires. You can also open answer wizards by clicking on the Answer Wizard [image] button next to the field.

  • OK: Choosing OK will close the warning dialog without altering the answer in the answer field.

To learn more about entering answers at the form document tab follow the link below:

  • Enter Answers Directly at the Form Document Tab


View the Assembled Form Document

Before saving the assembled form document, it is a good idea to review the document. You can do this at the Form Document tab of the assembly window. Doing this allows you to make changes to answers in the document and have those changes automatically updated in the answer file.

To view assembled form documents

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After answering the questions in the interview, click the Form Document tab. The assembly window changes to show the assembled document.
  3. Optionally, select a field and enter a different answer. (See Enter Answers Directly at the Form Document Tab.)
  4. Once you have finished entering answers, complete any of the following options:
    • Click the [image] Save Document button to save the assembled form document to disk. (See Save an Assembled Text or Form Document.)
    • Click the [image] Print Document button to print the assembled form document. (See Print an Assembled Form Document.)
    • Click Send Document To > Mail Recipient (File menu)to attach the assembled form document to an e-mail message. (See Attach a Text or Form Document to an E-mail Message.)
    • Click Close (File menu) to close the assembly window. HotDocs prompts you to save any changed answers.

See Introduction: Assemble a Form Document for a list of changes you can make to an assembled form document.


Assemble a Fillable PDF Document

Some form templates you assemble can be saved as fillable PDF documents. Fillable PDF documents allow users to enter answers on the form while editing the form in Adobe Acrobat or Reader.

The process of assembling a fillable PDF is nearly the same as the process for assembling a regular form document—you can enter answers in the interview or type your answers directly on the form at the Form Document tab. You can also choose to save the assembled document as a HotDocs form document, a regular PDF, or a fillable PDF. If you plan to save the assembled document as a fillable PDF, however, there are a few things you should understand:

  • Adobe Acrobat/Reader does not support the creation of an addendum when an answer overflows its field. If a field overflows in HotDocs, Adobe may attempt to force the answer to fit in the field when you save it as a fillable PDF. If the answer doesn't fit, it will simply appear cut off. If possible, you should review the assembled document for any field overflow before sending it to Adobe so that you can minimize the chance answers won't appear correctly in the field. See Check Form Fields for Answer Overflow for details.
  • When viewing the document in HotDocs, some answers may appear differently than when viewing the assembled document in Adobe Acrobat/Reader. This is because the underlying Adobe fields may have formats or patterns assigned to them that are different than what was assigned in HotDocs.
  • If you create additional fields on the assembled document, any text you enter in the fields will appear as static text when you save the document as a fillable PDF.
  • If you change the properties of an existing fillable field, those changes will not be honored when you save the document as a fillable PDF.

To assemble a fillable PDF document

  1. Follow the instructions for assembling a form document in Assemble a Text or Form Document.
  2. Complete the interview. (See Navigate Through Answer-Gathering Dialogs.)
  3. At the Form Document tab, review your answers.
  4. Choose Check for Overflow (Tools menu) and resolve any fields that overflow.
  5. Click the [image] Save Document button. The Save As dialog box appears
  6. Click the Save as type drop-down button and select Fillable PDF Form from the list of options.
  7. Enter a name in the File name field and click Save. The document is saved.

Once you save the document, you should review it to make sure the answers appear correctly.

When creating a fillable PDF document, form designers can enable usage rights within the document. These rights allow Adobe Reader users to save copies of the document with changes they have made to the document—including entering or changing answers they have entered in the fillable PDF. However, when a rights-enabled fillable PDF is converted to template format, the document is changed in such a way that usage rights are no longer in effect. This means that you will not be able to save changes you make when editing the assembled document in Adobe Reader.


Override an Answer in a Form

In a HotDocs form document, fields are designed to hold certain types or formats of information. However, there may be times when you need to enter a type of answer that HotDocs won't allow. You can override the field type and enter any answer you need.

For example, a field with a Number variable attached to it is designed to hold only digits. However, if the number you enter (say, $325,000,000) is too large for the field, but you don't want to send the answer to the addendum, you can override the field and enter $325 m.

Answers entered in overridden fields are not saved in the answer file. The original answer is saved in the answer file and used in any computations or other fields that require it.

To override an answer

  1. At the HotDocs library window, select a form template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After entering answers, click the Form Document tab. The assembly window changes to show the document.
  3. Select the field you want to override.
  4. Click the [image] Override Field button and, at the Override Field warning message, click OK. The assembly window appears again.
  5. In the field, enter the answer you want, then move to a different field. The overridden field changes to gray.

To remove the overridden answer, select the field and click the [image] Override Field button again. The current answer is removed and the saved answer reappears. Removing the override, however, may create answer overflow situations. See Check Form Fields for Answer Overflow for details.


At a Glance: The Print PDF-Based Documents Dialog Box

A

B

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

When you are assembling a PDF-based template you can view the Print PDF-based Documents dialog box by clicking the [image] Print button at the Form Document tab or by selecting Print Document... from the File menu.

From the multiple choice list A at the top of the dialog you can select which application you want to use to print the document—HotDocs or Adobe Acrobat. The following provides some guidelines for choosing an option:

When using HotDocs to print the document:

  • You cannot print a PDF-based form using a PostScript printer driver.
  • You should print within the 300 DPI (dots per inch) to 600 DPI range, as printing at higher resolutions may be problematic.
  • For the most reliable results, use a PCL-based printer with at least 8 MB RAM. Other types of printers may or may not print as expected.
  • You can print the document with or without the answers merged. (You cannot do this using Adobe Acrobat.)
  • Printing time takes longer than printing with Adobe Acrobat. (Printing at a lower resolution may decrease the amount of time it takes to print.)

When using Adobe Acrobat to print the document:

  • You can print a PDF-based form using a PostScript printer driver. (PostScript printer drivers are always recommended. Non-PostScript printer drivers may print the page off-center by 1/8 inch to 1/4 inch.)
  • Documents will print with both form fields and answers—you have no option of printing one or the other.
  • Printing time is faster than with the HotDocs print function.
  • Both printer options give you options for scaling the content to fit in the printable area.

At the bottom of the dialog there is a check box B that you can select to specify the printing option you select as the default selection. HotDocs will not prompt you for this information again.

To learn more about printing options for form documents follow the links below:

  • Print an Assembled Form Document
  • Choose Default Form Printing Options for a Form


Print an Assembled Form Document

Many projects require you to print copies of assembled form documents. The options available for printing a form depend on which type of form you are printing. Specifically, you can print:

  • HotDocs form documents (or .HFDs).
  • HotDocs PDF documents (or .HPDs).

To print a form document

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click the Form Document tab. The assembly window changes to show the assembled document.
  3. Click the [image] Print Document button.
  4. If you are printing a HotDocs form document (or .HFD file), select any of the following printing options. (If you're printing a PDF form document, skip to step #5.)
    • To print the form and answers, select Form with Answers in the Output group.
    • To print only the static text of the form, select Form Only (Blank Form) in the Output group.
    • To print the answers onto a pre-printed copy of the form, select Answers Only (Use Preprinted Form) in the Output group.
    • To change the double-sided printing options, select the desired option. Single-sided prints the document using one side of each sheet of paper. Double-Sided, Side-to-Side prints the document with the tops of both pages at the same end of the paper, like a traditional book. Double-Sided, Top-to-Bottom, prints the document with the bottom of the second page at the same end as the top of the first page, like a flip-chart.
  5. If you are printing a PDF form document (or .HPD file), you must choose whether to print using the functionality of HotDocs or Adobe Acrobat. (See Print PDF-Based Documents Dialog Box for tips on which printing option you should choose.)
    • Choose HotDocs, which prints at a slower speed but provides a wider range of printing options.
    • Choose Adobe Acrobat, which prints at a faster speed but provides few printing options.

Some types of printers have been known to cause problems when printing a form template or document, and should be tested before use with finished products. These printers include:

  • Ink jet printers
  • Brother printers
  • 16-bit postscript printer drivers
  • DeskJet printers
  • Xerox printers
  • "All-in-one" printers (printers that include copying, scanning, printing, and faxing capabilities)

For best results, it is recommended that you use an HP LaserJet with at least two megabytes of memory.


At a Glance: The Printing Properties Dialog Box

A

B

C

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

While editing a form template, you can open the Printing Properties dialog box choosing Printing from the Template Properties list in the File menu.

From the multiple choice list A at the top of the dialog you can select the from three printing options:

  • Single-sided: Prints all pages on separate sheets of paper.
  • Double-sided, side-to-side: Prints the template using both sides of the paper, so you can turn through the pages like a traditional book.
  • Double-sided, top-to-bottom: Prints the template using both sides of the paper, so you can lift the pages up, like a flip-chart.

Below this list are two drop-down menus. From the first drop-down list B you can select the paper size you would like to use and from the second drop-down list C you can select the paper source.

To learn more about setting the printing options for a form template follow the link below:

  • Choose Default Form Printing Options for a Form


Choose Default Form Printing Options for a Form

Different forms may require different printing settings. You can specify that a form should be printed single-sided, double-sided side-to-side, or double-sided top-to-bottom. You can also control what size of paper to use as well as which paper tray should feed the paper to the printer.

The option you specify is set as the default in the Print dialog box, but users can select a different option.

To specify form printing options

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Click File > Document Properties > Printing. The Printing Properties dialog box appears.
  3. Select the printing settings from the following options:
    • Single-sided prints the document using one side of each sheet of paper (default setting).
    • Double-sided, side-to-side prints the document double-sided, with the tops of both pages at the same end of the paper. (This option allows you to turn through the pages like a traditional book.)
    • Double-sided, top-to-bottom prints the document double-sided with the bottom of the second page at the same end as the top of the first page. (This option allows you to turn through the pages like a flip chart.)
    • Paper size specifies the dimensions of the paper used to print the document.
    • Paper source specifies what tray of paper is used to print the document.

Paper size and source settings are recommendations that will be passed on to the printer if possible. If printing via acrobat then paper size, paper source and duplex options will revert to your defaults.

You can specify the print setting for all forms you create at the HotDocs Options dialog box. (See Introduction: HotDocs Options.)

You can use command-line options to control the paper size and paper source. (See Paper Size and Paper Tray.)


Edit a Saved Form Document

After assembling a form document, you often need to save the document to disk. Once saved, you can re-open the document using HotDocs Filler.

Once a form document is saved to disk, it is no longer associated with the answer file. This means that changes you make to answers in the document do not affect the answer file. If you want to save changes you're making to the answers, re-assemble the form document and change your answers in the interview. Then save your answer file again.

To work with a saved form document in Filler

  1. Using Windows Explorer, locate and double-click the appropriate form document. HotDocs Filler appears, showing the form document.
  2. Optionally, you can perform any of the following tasks:
To | Do This
Change an answer in a field | Click on a field. The field becomes active, allowing you to enter an answer. You can edit answers in a saved form document, but you must re-evaluate any computations or conditions affected by changed answers. Similarly, changes you make are not reflected in the answer file used to assemble the document.
Create new fields | With the [image] Select Tool button selected, press the left mouse button and move the mouse pointer to draw a rectangle. To type in this field, select the [image] Fill Tool button. The fields you create in Filler have no variable associated with them. They are simply text fields where you can type information.
Print the document | Click the [image] Print button.
Open a different HotDocs form file | Click the [image] Open button, and then locate the desired file. (You can also press Ctrl+O.)
  3. Once you have the assembled form document open for editing, there are several other things you can do. For example, you can:
    • Change the field type. (See Change the Field Type.)
    • Change the size of a field. (See Resize Form Fields.)
    • Change the position or margins of a field. (See Move a Field on a Form and Change the Borders and Margins of a Field.)
    • Create a new answer field. (See Create a Form Field.)
    • Rotate text in a field. (See Rotate Answers in a Field.)
    • Convert answers on the form to bar code format. (See Convert Answers on the Form to Bar Code Format.)
    • Insert a graphic into a field. (See Insert a Graphic File in a Form.)
    • Cross out static text on the form. (See Cross Out Static Text on the Form.)
    • Circle static text on a form. (See Circle Static Text on a Form.)


Create a Form Field

You can create a form field on an assembled form document.

When you create a field, HotDocs determines the type of field you are creating based on the size of the field—if a field is smaller than a certain dimension, HotDocs creates a check-box field. If a field is larger, then it creates an edit field. (You can define these dimensions at HotDocs Options. See Set Properties for New Edit Fields.)

Sometimes when you create a field, HotDocs can detect the borders of the underlying form and adjust its size to fit within those borders. This helps ensure the field fits best in the space allotted. See Detect Borders to Create or Resize a Field.

Once a field is created, you can enter any text you need in it.

To create a form field

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Click the Select Tool Select Tool button.
  3. Position the mouse pointer at one end of the intended field.
  4. Press and hold down the left mouse button, then drag the pointer to the opposite corner of the field.
  5. Release the mouse pointer. The field is created.
  6. Optionally, click Detect to have HotDocs adjust the size of the field to more closely match the underlying static line or lines.
  7. Optionally, you can customize the appearance of your fields in the following ways:
    • Change the field type. (See Change the Field Type.)
    • Adjust the size. (See Resize Form Fields.)
    • Change the field's position on the form. (See Move a Field on a Form.)

To move multiple fields once they have been created, select the fields and press the arrow key that indicates which direction you want to move them. To move fields more quickly, press the Shift key while pressing the arrow keys.

You can also create a standard-size field by double-clicking on the form. Or, you can click to set the field cross-hair and press F8.


Select a Field

In order to work with a field, you must first select it. When you select a field, handles appear on the field borders showing that you can edit the borders or other properties. You can select a single field to work with, or you can select multiple fields to group them or to make the same change to all of the fields.

To select fields

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Click the Select Select Tool button
  3. Click on the field you want to work with.
  4. Optionally, to select multiple fields, either press the Ctrl key while clicking each field, or press the Shift key, then press the mouse button and drag the mouse pointer to create a bounding frame. All fields included in or touched by this frame will be selected.
  5. Use any of the following additional methods for selecting fields or canceling the selection, as described in the following table:
To | Do This
Select all the fields on the current page | Click Select All (Edit menu). (You can also press Ctrl+A.)
Cancel the selection of all selected fields | Click outside the fields, or press the Esc key.
Cancel the selection of only one of a group of selected fields | Hold down the Ctrl key and click that field.
Add fields to your group of selected fields without canceling the selection of those already selected | Hold down the Ctrl key and click the new fields.

If you have trouble selecting the field you want, the field may be in a group. If this is the case, you must first ungroup the fields by clicking Ungroup (Field menu). (See Ungroup Form Fields.)

Click the Show Fields Show Fields button to show and hide field colors.


Detect Borders to Create or Resize a Field

When you create fields on a form, you often use the underlying static text as a guide as to where the field should be placed. Often, you want the borders of the fields to match the borders of the static text. To help you align these borders, you can use the Detect Detect feature. This feature is useful both when you create a new field and when you need to resize a field to fit within its allotted space.

If HotDocs is unable to automatically create or resize a field to the size and position you want, you must create the field manually. Several factors may contribute to these difficulties:

  • Insufficient surrounding features: To detect a field, HotDocs searches for surrounding features, such as lines, text, or graphics. If there are insufficient surrounding features, HotDocs may have difficulty detecting a field. In such cases, HotDocs creates a field of the default size.
  • Label text: When label text is inside the field area and there is enough space between the text and the bottom of the field area, the Detect Detect command will extend the field up to the bottom of the label text. If you want the field to occupy the area to the left or right of the label, or if you want to include the label inside the field, you must create the field manually.
  • Field not completely visible: If part of the intended field is not visible (for example, it's scrolled out of the window), HotDocs attempts to scroll to detect the field. It is recommended that you use a zoom level such as Fit Page to Width Fit Page to Width so HotDocs can find the entire field on the screen.

To detect the borders of the underlying static text

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. On the form, complete one of the following steps:
    • If the field is already created, select the field and click the Detect Detect button.
    • If you are creating a new field, place your cursor where the new field should be created and click the Detect Detect button.


Move a Field on a Form

As you create fields on a form, you will frequently need to move the fields. You can do this using the mouse or keyboard. You can also specify a precise location using the Field Properties dialog box.

To move a field using the mouse

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Position the mouse pointer over the selected field. The cursor changes.
  3. Hold down the mouse button and drag the field to the new position.

To move a field using the keyboard

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Select a field. (See Select a Field.)
  3. Press the arrow keys to move the field one unit of measurement in that direction. (To move the field more quickly, hold down the Shift key as you press the arrow keys.)

To move a field using the Position/Size dialog box

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Select a field. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Additional tab. The view changes to show the positioning options.
  5. In the Position group, enter the desired distance from the left and top margins of the page in the Left and Top boxes. (You can also click the up or down arrows for each field to change the distance.)

If a field you want to move is part of a group, you must first ungroup the fields. (See Ungroup Form Fields.)

The Field Properties dialog box includes the First, Previous, Next, and Last buttons to move you between fields. When you have multiple fields selected, these buttons are not available.


Change the Borders and Margins of a Field

You can change the borders and margins of a form template field. Borders control the thickness of the field box, and margins control the distance between the border of the field and the answer text.

To change field borders or margins

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Select the field whose borders or margins you want to change.
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Layout tab. The view changes to show layout options.
  5. In the Borders and Margins groupings, make your selections. (Remember, borders affect the thickness of field boxes, while margins affect the distance between the border of the field and the answer in the field.)


Copy One or More Form Fields

Frequently, you need to copy fields on a form. For example, say you need to create a group of fields that all have the same properties. Rather than creating each field individually and modifying its properties, you can create a single field, assign the properties, and then copy the field to create the others in the group.

When a field is copied to a new place in the same template, all the field’s properties (size, font, line formatting, fill order, etc.) are copied with it.

When you copy fields to a new location, the cursor position tells HotDocs where to paste the copied fields. If you copy a single field, the lower-left corner of the field will be at the cursor position. If there is no cursor, the field is pasted on top of the original.

You can copy fields on only one page at a time.

To copy and paste one or more fields

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Select the field or fields you want to copy. (See Select a Field.)
  3. Choose Copy (Edit menu). The field is copied to the Windows Clipboard. (You can also select the field and press Ctrl+C, or you can right-click on the field and choose Copy from the shortcut menu.)
  4. Place the mouse cursor where you want the lower-left corner of the copied field to be, and then click the mouse to set the cross-hair.
  5. Choose Paste (Edit menu). The copied field is pasted at that location. (You can also press Ctrl+V, or you can right-click on the field and choose Paste from the shortcut menu.)


Resize Form Fields

You may need to adjust the size of a field to fit it into the available space on the form. You can change a field's size using the mouse, the keyboard, or the Position/Size tab of the Field Properties dialog box.

To resize a field using a mouse

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Select the field. (See Select a Field.)
  3. Click a handle or field border. (When the mouse pointer is on a handle, the pointer changes to a double-arrow, indicating the directions the border can be moved.)
  4. Hold down the mouse button and drag the border to a new position.

To resize a field using the keyboard

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Select the field. (See Select a Field.)
  3. Press the Page Up or Page Down keys to move the top border of the field up or down, and the End or Home keys to move the right border of the field right or left. (To resize the field more quickly, hold down the Shift key as you press the keys.)

To resize a field using the Field Properties dialog box

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Select the field. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Additional tab and, in the Size group, enter the desired distance from the left and top borders of the field in the Width or Height boxes. (You can also click the up or down arrows for each field to change the size.) The field size is changed.


Change the Tab Order of Fields

When determining the order to ask questions in the interview, HotDocs begins with the top-left field of the form and processes all of the fields until it reaches the bottom-right field. This processing affects two things—the order questions are asked in the default interview and the order in which the user is able to tab through fields on the form.

Because of this default field ordering, sometimes you may find the tab order of fields to be incorrect. You can change this order.

Once you specify a fill order for one field, you must specify the order for every field you want processed after that field. In effect, when you specify a fill order for just one field, you set that field to be answered last. This is because all the other fields are still set to Row 0, Column 0—they are lower than the Row 1 or Column 1 , so they will be filled first. Therefore, to change the order of the fields in the middle of the form, you must also change the order for every remaining field.

The following rules control field ordering:

  • Fill order is determined first by row, then by column.
  • All field values are initially set the same—Row 0, Column 0.
  • When fields have different row numbers, fields with lower row numbers are asked first, for example, Row 0, Column 0; Row 1, Column 0; etc.
  • When fields have the same row numbers, but different column numbers, fields with lower column numbers are asked first, for example, Row 1, Column 0; Row 1, Column 1; etc.
  • Fill order is treated separately for each page of the template—you cannot specify a fill order that runs from one page to another.

To change the tab order for fields

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Select the field. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Additional tab. The view changes to show ordering options.
  5. In the Row box, type the row number.
  6. If you need to specify the order for fields in the same row, type a number in the Column box.
  7. Optionally, at the Order dialog box, you can click the First, Previous, Next, or Last button to save the current field's settings and display the next field's order.

By selecting and ordering different groups of fields, you can use fill order to handle various situations. For example:

  • Remove all fill order settings: Select all fields and set the Row and Column numbers to 0.
  • Organize large sections of fields: Select the desired fields and specify the order.
  • Flow answers across fields contrary to the default order (top to bottom, left to right): Set the desired order, then group the fields. (See Group Form Fields So Answers Can Flow From One Field to Another.)
  • Fill table columns in an order different from the static text: Set the desired order, then group the fields as a table.


Group Form Fields So Answers Can Flow From One Field to Another

Sometimes an answer must begin in one field and continue in other fields. For example, you may have a Text variable whose answer must span two or more pre-printed lines. You can create fields for each line, and then group the fields so that answers flow from one field to another. Fields grouped this way are called run-on groups.

Once fields are grouped, HotDocs treats the group as a single field.

To flow an answer across multiple fields

  1. Edit a form template or saved form document.
  2. Create all the text fields across which the answer should flow.
  3. Select all the fields that will be used for the answer.
  4. Click Group in the Field menu. A bounding frame appears around the grouped fields. (You can also right-click and select Group from the shortcut menu.)

When fields are grouped, you cannot change properties for individual fields. You must first ungroup the fields.


Ungroup Form Fields

When fields are grouped, you cannot modify the individual fields. You must first ungroup the fields.

To ungroup the fields

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Select one of the grouped fields. The whole group is selected. (See Select a Field.)
  3. Click Ungroup (Field menu). (You can also right-click on the field and choose Ungroup from the shortcut menu.)

Some properties that were assigned to the group, such as text, margin, and line format properties remain applied to the individual fields that made up the group. Other properties, such as a field order or a condition, are lost until you regroup the fields. Regrouping the fields restores the properties that were previously applied to the group.


Change the Font Used for a Field

You can choose the font that is used for answers on a form. When choosing the font, you can also indicate the style (for example, bold or italics), size, effects, and color that are used.

As is always the case when working with fonts, if the form requires a specific font be used, you must ensure the font is installed on all computers where the form will be viewed.

To change the font for a field or group of fields

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Select the field or fields whose font you want to change.
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, click Font. The Font dialog box appears.
  5. Make your font selections.

You can specify default font properties for all new fields you create at HotDocs Options. See Set Properties for New Edit Fields for more details.


Format Lines and Paragraphs of Text in a Form Field

Sometimes you need to format the text within a multi-line text field. For example, perhaps you need to indent the first line of a paragraph, or maybe you need to adjust the number of lines that fit in an inch of vertical space. To do this, you can adjust the line format of a field.

To format lines and paragraphs

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Create a multi-line field.
  3. With the field selected, click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Layout tab. The view changes to show the different options for formatting the field.
  5. In the Line Format group, complete one of the following options:
To | Do This
Indent the first line of text in the paragraph | Enter how much space to include between the margin of the field and the first character of the answer in the First line indent box. (You can either type the number or click the up or down arrows.)
Force a certain number of lines to appear in an inch of space in the field | Enter the number of lines in the Lines per inch box.
Indicate how many lines can appear in the field | Enter the number of lines in the Maximum lines box. If the answer contains more lines than is specified, the field will overflow.
Indicate the maximum number of characters that can appear in a given line of text | Enter the number of characters in the Max chars/line box. When the number of characters exceeds this limit, text will wrap to the next line.


Rotate Answers in a Field

By default, answers in fields appear in horizontal rows and can be read from left to right. You can rotate text so answers will read from bottom to top, top to bottom, or upside-down from right to left.

To rotate text in a field

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Select the fields you want to rotate. (See Select a Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Layout tab. The view changes to show field layout properties.
  5. In the Rotation group, select a degree of rotation: 0º, 90º, 180º, or 270º, for example:

When you change the rotation, HotDocs views the bottom of the letters as the bottom of the field. This means that aligning the text horizontally or vertically may have different effects.


Keep Contents of Form Fields from Printing

Form Document

ometimes you want field text to appear on the form during direct-fill assembly, but you don't want the text to appear when you print a copy of the form. You can select an option that keeps this text from printing.

To designate that a field's contents shouldn't be printed

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Create or select the field whose text you want to appear only on the form.
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, select Non-printing field.


Cross Out Static Text on the Form

Sometimes a form includes static text that must be crossed out, depending on answers the user enters during the interview. For example, say a form includes a list of medical conditions. Instructions on the form tell you to cross out any conditions that do not apply to you. You could manually cross out these conditions once you've printed the form; however, HotDocs allows you to create a strike-through field, which crosses out the text for you, depending on answers you enter during the interview.

A strike-through field, which is transparent, overlays the static text. You can choose the character that will be used to cross out the text.

To create a strike-through field in a form

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Create a field that covers the static text on the form. (See Create a Form Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears. (You can also right-click and select Field Properties from the shortcut menu.)
  4. Click the Type tab.
  5. In the Field type group, select the type of field you want to associate with the strike-through field.
  6. In the Display type group, select Strike-through.
    7. In the Strike-through character box, enter the character you want to be used for crossing out the text.
    8. Optionally, click Font to change the font properties (perhaps to make the font size larger or smaller).
    9. Close the Field Properties dialog box. The text on the form is crossed out.


Circle Static Text on a Form

Sometimes instructions on a form ask users to circle a preprinted option. Rather than make users print the form and manually circle the option using a pen, you can create a form field that overlays a circle on the text. You can attach a variable to the field so that the user can select which option should be circled during the interview. Creating circle fields not only preserves the professional look of the form, but allows the answer associated with the selection to be saved in the answer file.

To create a field that circles text

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Create a field that covers the static option on the form you want to select. (See Create a Form Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears. (You can also right-click and select Field Properties from the shortcut menu.)
  4. Click the Type tab.
  5. In the Field type group, select the type of field you want to associate with the circled field.
  6. In the Display type group, select Circled.
  7. Optionally, to control the width of the circle's border, click the Layout tab and change the Line thickness in the Circle group.


Insert a Graphic File in a Form

Sometimes you may need to include an image on your form, such as a signature or seal. You can create a field and assign as one of its properties a graphic file. Supported file formats include .JPG, .BMP, and .PNG. Image files should be saved to the same folder as the template.

    To create a graphic field without using a variable

    1. Edit a form template. (See Edit a Saved Form Document.)
    2. Create a field. (See Create a Form Field.)
    3. With the field still selected, click the Field Properties Field Properties button. The Field Properties dialog box appears.
    4. At the Type tab, select Image from the Display type group.
    5. Click the Open Open button next to the Image file name box. The Open dialog box appears.
    6. Locate and select the desired graphic file and click Open. The path and file name appear in the box.

    The image is visible at the Form Document tab.


Convert Answers on the Form to Bar Code Format

You can create a two-dimensional bar code field that displays a single answer or group of answers. This may be useful if the organization to which you submit your documents requires certain data in the document be in bar code format. This allows the organization to scan the information and save it in some data retrieval system, such as a database.

For example, say you must submit a form to the court. When the court files the form, rather than manually entering case information (such as party names, case numbers, etc.), it can simply scan the bar code and have the information automatically entered in the system.

Typically, bar codes display data in a pattern of lines and formats, which should be readable by most hand-held laser scanners or charge-coupled device (CCD) scanners. The scanner should be able to read the size of the bars, which is 0.01 inch.

Use the following tips when working with bar codes:

  • The format HotDocs uses for bar codes is PDF417, or Portable Data File 417. It is one of several recognized 2-D bar code formats.
  • Bar codes in HotDocs can store about 1,500 characters, including numbers and other standard text symbols.
  • Printing a form that has a bar code requires a high-density printer, such as a laser printer.
  • Bar code fields can overflow, but all overflow properties assigned to the field are ignored. When too much text is entered for a bar code, no bar code appears. If you are having trouble getting the bar code to fit in the field, you can enlarge the field or reduce the field margins. (See Resize Form Fields or Change the Borders and Margins of a Field.)

To create a bar code using predefined text

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Create a field. (See Create a Form Field.)
  3. Click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. At the Type tab, select Bar code.
  5. Type the data you want encoded in the Bar code text box. As you type the text, HotDocs displays the bar code in the underlying form field. (You may need to click the Show Variables Show Variables button in the Automator toolbar to hide variable names.) (If you are entering a group of answers that must be interpreted by the bar code scanner as individual answers, you must separate each answer with some sort of delimiting character, such as a tilde (~) or vertical bar (|).)

For example, Superior Court of Ada County|12 N. Elm Street|Boise|99999.

For information on changing the bar code specifications, see Understand Bar Code Settings.

To access the Field Properties dialog box, you can also right-click and select Field Properties from the shortcut menu.


Flow a Single Answer Across Two or More Pages in a Form

At times, a single answer field will start at the bottom of one page and continue to the top of the next page. However, HotDocs will not allow you to create a single field that spans across both pages. You can, however, create two fields—one on each page—and then link them using the Group Fields command.

To group fields on separate pages

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Create the first field in the series of spanned fields. (See Create a Form Field.)
  3. Select the field and click the Field Properties Field Properties button. The Field Properties dialog box appears.
  4. Click the Overflow tab, and in the Group name box, enter a name. Usually, this is the name of the variable, but it can be any text as long as it is the same for each field in the group.
  5. On the following page(s), create the fields that will contain any overflow. Do not assign variables to these fields.
  6. Repeat the preceding steps for each field in the group, using the same group name as you assigned to the first field.

Now, answers that do not fit in the first field will overflow to the next field named in the group.


At a Glance: The Overflow Status Dialog Box

A

B

C

D

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

When entering answers at the form document tab, you will see the Overflow Status dialog box when you enter an answer that is too large for the field.

At the top of the dialog there are two check boxes A you can select to decide the overflow properties. You can select Shrink the answer to fit in the field to reduce the answer's font size to the minimum font size specified in the Field Properties dialog box for this field or you can select Send the answer to the addendum to send the answer information to an addendum at the end of the document, and inserts an addendum reference in the field. The Split answer option only becomes available after selecting Send the answer to the addendum and send only the portion of the answer that does not fit in the field to the addendum.

Otherwise you can choose from the three option buttons below. Click the Edit button B to place the cursor in the highlighted field so you can shorten the answer, click the Resize button C to select the field so you can click a field border or handle and resize the field (resizing the field to make it larger may resolve the overflow), or click the Override button D to override the field properties, and place the cursor in the highlighted field so you can edit the answer. When override is used, you can enter any type of answer.

To learn more about when the overflow status dialog box appears follow the links below:

  • Check Form Fields for Answer Overflow
  • Enter Answers Directly at the Form Document Tab
  • Control Warnings During Assembly


Check Form Fields for Answer Overflow

HotDocs can compare the size of a field and the length of the answer. If an answer uses more space than is available in that field, HotDocs warns you and lets you resolve the overflow. Your options for resolving the overflow include reducing the answer's font size, sending answers to the addendum, editing the answer, resizing the field in which the answer is merged, and overriding the field to enter a differently formatted answer.

After you complete an interview, you can manually check for answer overflow. Also, when you direct-fill assemble a form document, HotDocs automatically checks each field when you move to another field. Finally, when you print a document, HotDocs checks for any unresolved answer overflows.

To manually check for field overflow

  1. At the HotDocs library window, select a form template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After answering the questions in each dialog, click the Form Document tab to view the assembled document.
  3. Click Check for Overflow (Tools menu). HotDocs begins comparing the size of each field and answer.
  4. If an answer is too long, HotDocs selects the field and displays the Overflow Status dialog box. Information about the status of any answers that overflow is displayed at the top of the dialog box.
  5. Make adjustments as explained in the following table:
To | Do This
Reduce the answer's font size to the minimum size allowed for the field | Select Shrink the answer to fit in the field. The answer's font size is reduced to a smaller point size. If the answer still doesn't fit in the answer field, you must choose another option for resolving the overflow.
Send the answer to the addendum and insert cross-reference text in the answer field Select Send the answer to the addendum. The answer is moved to the addendum. HotDocs then merges text in the field that indicates the answer can be found in the addendum.

Select Split answer if you want only the part of the answer that doesn't fit in the field to be sent to the addendum.
Change the text of the answer, such as reduce the number of words in the answer Click Edit. HotDocs highlights the field that contains the answer so you can edit the text.

Once you edit your answer, click back on the Overflow Status dialog box to have HotDocs the overflow.
Make the answer field larger Click Resize. HotDocs selects the field so you can click one of its handles to resize it.

Once you resize the answer field, click back on the Overflow Status dialog box to have HotDocs recheck the overflow.
Override any settings or formats of the field and enter any text in the field Click Override and enter the text you choose in the field.

Overriding a field does not change the original answer. In fact, HotDocs continues to use the original answer in any calculations or scripts that require it. It also saves the original answer to the answer file. Choosing to override a field simply allows you to define only the text that needs to appear on the form.

Once you override the answer field, click back on the Overflow Status dialog box to have HotDocs recheck the overflow.
Resolve the overflow at a later time | Click Ignore. The Overflow Status dialog box is closed and you are able to work with other answer fields in the document. If you click on the overflowing answer field again, or if you check for answer overflow, you will be asked to resolve the overflow again
Resolve the overflow on your own | Choose Close. HotDocs highlights the overflowing field so you can change the answer in whatever way you choose

Once you resolve the overflow, you can click Close to close the dialog box. Any other fields that overflow will display a similar dialog box.

You can prevent HotDocs from checking for field overflow during assembly. See Set Rules for Handling Answer Overflow for details.

Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.


Customize the Look of the Addendum

Sometimes when assembling a form document, an answer is too long for the form field. One way to resolve this overflow is to send the overflowing text to an addendum, which is a section of the form designed to display such answers. You can modify the appearance of the addendum—for example, you can choose what page margins to use, define what text appears in the headers and footers, and choose the font properties for the text that is used in the addendum. You can also define how pages are numbered in the addendum.

To change the addendum format

  1. Edit a form template. (See Edit a Saved Form Document.)
  2. Click File > Document Properties > Addendum. The Addendum Properties dialog box appears.
  3. Complete any of the following steps:
To | Do This
Define how much white space there is between the addendum page edges and the text in the addendum | Enter the dimensions in the Page margins group.
Define the text that appears at the top of each addendum page | Enter the text in the Header text box. To learn how to merge page numbers in the header, see Use Answer Overflow and Addendum Text Codes.
Define the text that appears at the bottom of each addendum page | Enter the text in the Footer text box. To learn how to merge page numbers in the footer, see Use Answer Overflow and Addendum Text Codes.
Change the font properties (including font face, size, and style) of the header or footer text | In the respective Header properties and Footer properties groups, click the Font button and make the changes at the Font dialog box.
Define how much vertical space the header or footer text requires | In the respective Header properties and Footer properties groups, enter a number in the Height box.
Change the alignment of the header or footer text | In the respective Header properties and Footer properties groups, click the Alignment button and choose your alignment option.
Define the font properties (including font face, size, and style) for answers that appear in the addendum | In the Addendum entries group, click the Font button and make your changes at the Font dialog box.
Define how much space there should be between the addendum label and the answer | In the Addendum entries group, enter a number in the Indentation box.
Define how much space there should be between each answer in the addendum | In the Addendum entries group, enter a number in the Space between box.
Make the addendum appear as a pleading paper | Select Number lines to format as pleading paper.

Once an answer has been sent to the addendum, you cannot edit the actual addendum—you must either modify your answers at the Form Document tab or Interview tab, or you must send the addendum to the word processor (choose File > Send Addendum To > Word Processor). You can also send the addendum to the Windows Clipboard (choose File > Send Addendum To > Clipboard) to paste it into a different program for editing.

Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.


Define Overflow Properties for a Regular Field

When an answer is too large to fit in its field, HotDocs, by default, warns you and asks how to handle the overflow. You can customize the field overflow properties, controlling how HotDocs automatically handles answer overflows.

For example, you can have HotDocs automatically create an addendum, where each answer that overflows is sent. In the field that overflows, HotDocs can insert cross-reference text that points you to a specific item in the addendum. You can designate the text that is used both for the cross-reference and for the label in the addendum.

Another option is for you to have HotDocs automatically reduce the answer’s font size. You can set a minimum point size and control if the answer is automatically reduced to this size before displaying an overflow warning message. (Be careful reducing the font size since others may find the smaller size harder to read.) (See Change the Font Used for a Field.)

How you define overflow properties depends on the type of field you are creating. For example, in an addendum, grouped fields and tables are handled a little differently from regular fields.

To set overflow properties for regular fields

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the field whose overflow properties you want to define.
  3. Click the Field Properties Field Properties button and click the Overflow tab.
  4. Complete any of the following steps:
To | Do This
Automatically shrink an answer that overflows to a specific point size | Select Shrink answer as needed and enter a point size in the points box.
Automatically send an answer that overflows to the addendum | Select Send answer to addendum. (To send only part of a multi-line answer to the addendum, select Split answer. (See Split a Multi-Line Answer Between the Form and the Addendum.)
Define the text that appears in the answer field when an answer is sent to the addendum | Enter the text in the Cross-reference text box. (See here for a list of reference numbering codes you can use.)
Define the text that identifies the answer once it has been sent to the addendum | Enter the text in the Addendum label text box.
Make an answer the first item on its addendum page | Select Begin addendum entry on a new page.
Make an answer the last item on its addendum page | Select Begin new page following addendum entry.

Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.


Split a Multi-Line Answer Between the Form and the Addendum

When creating multi-line fields, you can select an overflow option that sends either all of the answer to the addendum, or only the part of the answer that doesn't fit in the field to the addendum.

To choose overflow options for a multi-line answer

  1. Create a multi-line field. (See Create a Form Field.)
  2. Select the field and click the Field Properties Field Properties button. The Field Properties dialog box appears.
  3. Click the Overflow tab. The view changes to show overflow options.
  4. Complete any of the following steps:
To | Do This
Always send the answer to the addendum without prompting the user | Select Send answer to addendum. To send just the part of the answer that doesn't fit in the field to the addendum, select Split answer.
Specify the text that will be merged in the field as well as the addendum if the user chooses just to send to addendum | Enter the text in the Cross-reference text and Addendum label text boxes, respectively. To specify alternate text that will be merged in the field and addendum if the user chooses to split the answer between the form and the addendum, type a vertical bar (|) and then enter the alternate text after the bar. For example: Cross-reference text: See Addendum 1|Continued in Addendum 1 Addendum label text: Addendum 1|(con't) Addendum 1

Fillable PDFs do not support the creation of an addendum when a field overflows. This means that if a field in an assembled fillable PDF template overflows, the answer in the saved PDF document will simply appear cut off. Template users should always review and modify any answers that may potentially overflow before saving the assembled document as a fillable PDF.


Attach a Text or Form Document to an E-mail Message

After assembling a document, you can attach it to an e-mail message and send it to another user.

Internet-based e-mail services are not compatible with this feature. You must have an e-mail program, such as Microsoft Outlook, installed on your computer.

To attach a document to an e-mail message

  1. At the HotDocs library window, select a template and begin assembling the document. (See Assemble a Text or Form Document.)
  2. After providing the required answers, click Send Document To > Mail Recipient (File menu). The Send Document To Mail Recipient dialog box appears.
  3. Type a name for the attachment, then click OK. An e-mail message window appears.
  4. Complete the e-mail message and send it.


Introduction: Question and Answer Summaries

Some projects may require a printout of the information in the template. A Question Summary lists each question followed by a blank space so an answer can be written in, as if being filled out like a questionnaire. An Answer Summary lists each question and the associated answer. These printouts can be concise records of exactly what information was used when the document was assembled.

The following is an example of an Answer Summary:

You can specify a one-column or two-column format for your summaries. In one-column format, dialogs, questions, and answers are displayed as an indented outline. In two-column format, the information is presented as a table, with each answer appearing on the same row as its question. (See Change the Way Question and Answer Summaries Appear.)

If you're assembling a form document, you can create a questionnaire by printing a blank copy of the form itself.


View a Question Summary

You can create a concise list of the questions that appear in an interview. This can be useful when you want to create a questionnaire, gathering information from one person so that a second person can enter the information using HotDocs. A question summary can also give a quick overview of what questions will be asked during an interview.

You can format a question summary to appear as an indented bullet list, or as a table with one column for questions and a second column for answers. (See Change the Way Question and Answer Summaries Appear.) Also, in a question summary, you can control which conditional sections are included. (See Control Which Variables are Asked in a Question Summary.)

To assemble a question summary

  1. Assemble a text or form document. (See Assemble a Text or Form Document.)
  2. At the assembly window, click the Question Summary tab. The assembly window shows the HotDocs variables and other information about the template. (To hide or show the tab, choose Question Summary Tab at the View menu.)
  3. Optionally, complete any of the following tasks:
To | Do This
Print a copy of the summary | Click the [image] Print button.
Attaches the summary (in HTML format) to an e-mail message to send to another person | Choose Send Summary to Mail Recipient (File menu).
Send the summary to the word processor so you can edit it or format it | Click the [image] Send Summary to Word Processor button.
Save a copy of the summary as an HTML document | Click the [image] Save Summary button.


View an Answer Summary

An answer summary is a list of the questions and the answers in an assembled document. It provides a way to quickly scan and review information, rather than reading through a document or paging through dialogs in the assembly window.

You can format an answer summary to appear as an indented bullet list, or as a table with one column for questions and a second column for answers. (See Change the Way Question and Answer Summaries Appear.)

To view an answer summary

  1. At the HotDocs library window, select a template and begin assembling a document. (See Assemble a Text or Form Document.)
  2. After answering the questions, click the Answer Summary tab. The assembly window shows the HotDocs variables and the answers you have entered in the interview.
  3. Optionally, perform any of the following tasks:
To | Do This
Print a copy of the summary | Click the [image] Print button.
Attaches the summary (in HTML format) to an e-mail message to send to another person | Choose Send Summary to Mail Recipient (File menu).
Send the summary to the word processor so you can edit it or format it | Click the [image] Send Summary to Word Processor button.
Save a copy of the summary as an HTML document | Click the [image] Save Summary button.


Introduction: Save Answers

When you assemble a document, you can save the answers you enter in an answer file, which can then be used later to recreate the same document or assemble other documents that require the same information.

For example, perhaps you are creating several estate planning documents that require much of the same information, like names, addresses, and important dates. You can save your answers in an answer file and then use that answer file when assembling other estate planning documents. This eliminates the need to re-enter information you've already provided. Answer files are saved in XML format.

You can organize your answer files with the Answer File Manager, or you can use Windows Explorer to manage your answer files. (See Manage Answer Files.)

See Compatibility of HotDocs 11 Files with Earlier Versions of HotDocs for details on making answer files compatible with versions of HotDocs prior to HotDocs 2009 and HotDocs 10.


Create a New Answer File

Often, you want to save answers you enter during an interview so they can be used with other interviews. Saving answers in an answer file and then reusing those answers keeps you from having to enter the same information multiple times.

To create a new answer file by assembling a document

  1. At the HotDocs library window, select a template and begin assembling a document with a new, untitled answer file. (See Assemble a Text or Form Document.)
  2. Answer the questions in the interview and click the [image] Save Answers button. The Save Answer File dialog box appears.
  3. In the File name field, enter a file name. (To save the answer file in a folder other than the default Answers folder, click the [image] Browse button and select a location.)
  4. In the Title field, enter a name for the new answer file. This name will identify the answer file in Answer File Manager.
  5. Optionally, type a note in the Description field to help identify the answer file. (The description will appear at the Properties tab of Answer File Manager. When searching for specific answer files, you can search based on text in the description.)
  6. If the answer file will be used with HotDocs 2005-2008, select HotDocs 2005-2008 answer file. (See Compatibility of HotDocs 11 Files with Earlier Versions of HotDocs.)

To save an existing answer file as a new answer file, choose Save As (File menu) and enter a new name for the answer file. To create a new, empty answer file while in Answer File Manager, click the [image] New Answer File button and enter the appropriate information about the file you want to create.

By default, answer files are saved in the answer file folder specified during installation (for example C:\Documents and Settings\Username\My Documents\HotDocs\Answers). To change this default location, see Change HotDocs Program File Locations.


Create a Default Answer File

When certain answers are used frequently in a specific document, you can have those answers automatically inserted each time you assemble the document. To do this, create a default answer file for that document.

A default answer file must be saved to the same folder as the template's component file. It must also have the exact same file name as the component file, but the file name extension must be either .ANX or .ANS. In most cases, the file name and path for the component file are identical to the file name and path for the template file. (The exception would be if the template is pointing to a shared component file, in which case you would use the shared component file name.) You can find this information by selecting the template at the HotDocs library window and viewing the Properties tab.

To create a default answer file for a document

  1. At the HotDocs library window, select a template and begin assembling the document, using a new answer file. (See Assemble a Text or Form Document.)
  2. Type information for only the answers you want to be default answers.
  3. Click the [image] Save Answers button. The Save Answer File dialog box appears.
  4. At the File name field, click the [image] Browse button and locate the folder that contains the component file. Then enter a name that matches the component file's name, followed by an answer file name extension. For example, if the component file is named Invoice.cmp, the answer file name would be Invoice.anx.
  5. In the Title field, type a name for the default answer file.
  6. Optionally, in the Description field, type a description for the answer file.
  7. If the answer file will be used with HotDocs 2005-2008, select HotDocs 2005-2008 answer file. (See Compatibility of HotDocs 11 Files with Earlier Versions of HotDocs.)

The next time you assemble the document, HotDocs automatically inserts the answers from the default answer file into the template's answer fields. You can then modify the answers as necessary and save a new answer file. (See Create a New Answer File.)


Suggest an Answer File for Every Assembly

You may use a certain answer file more frequently than any others. You can select an option that will automatically suggest that answer file every time you assemble a document.

To suggest an answer file for every assembly

  1. At the HotDocs library window, select a template and click [image] Assemble. The Answer File dialog box appears.
  2. Click the [image] Open Answer File button. The Open Answer File dialog box appears.
  3. Choose an answer file and click [image] Select. The Answer File dialog box appears again.
  4. Select Automatically select this answer file for use with the next assembly, then click OK.

The next time you assemble any document, the same answer file will automatically be selected at the Answer File dialog box. To change the answer file, click the [image] Open Answer File button and choose a different file.


At a Glance: The Send Answers to Mail Recipient Dialog Box

A

B

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

While assembling a template you can view the Send Answers to Mail Recipient dialog box by choosing Send Answer to.. and then Mail Recipient from the File menu.

In the Attachment name field A you can specify the answer file name used for the e-mail attachment. You can also check the box B to send an answer file that would be compatible with HotDocs 2005-2008.

To learn more about sending answer files by email follow the link below:

  • Attach an Answer File to an E-mail Message


Attach an Answer File to an E-mail Message

After gathering information in an interview, you may need to send those answers to another user. You can do this by attaching the answer file to an e-mail message.

Internet-based e-mail services are not compatible with this feature. You must have an e-mail program, such as Microsoft Outlook, installed on your computer.

To attach an answer file to an e-mail message

  1. At the HotDocs library window, select a template and begin assembly. (See Assemble a Text or Form Document.)
  2. After completing the interview, click Send Answers To (File menu). The Send Answers to Mail Recipient dialog box appears.
  3. In the Attachment name field, enter a name for the answer file attachment. Make sure to leave the file name extension on the attachment name.
  4. Optionally, if you want the answer file to be compatible with versions of HotDocs prior to HotDocs 2009, select HotDocs 2005-2008 answer file.
  5. Click OK. HotDocs opens an e-mail message and attaches the answer file.


Introduction: Use Answer Management

By default, each answer file you create or use is managed through the Answer File Manager. The Answer File Manager is similar to the HotDocs template library in that it allows you to organize your answer files according to project specifications. It also lets you sort and search for answer files. (See Introduction: Use HotDocs Libraries.)

At times you may prefer to not use the Answer File Manager. For example, you can manage answer files using a document manager instead of Answer File Manager. Or, if you have multiple users accessing the same set of answer files, you can use Windows Explorer, since only one person can have write access to Answer File Manager. (All other users have read-only access, which keeps them from saving or adding answer files to the answer library.)

HotDocs 6 through HotDocs 2008 supported binary answer libraries (or answer libraries with the .HAL file name extension). Starting with the release of HotDocs 2009, however, HotDocs now supports both binary answer libraries and XML-based answer libraries (which use the .HDL file name extension). By default, HotDocs will continue to use binary answer libraries as long as the file properties of items in the library use characters that are compatible with your system's default language. If you define answer file properties that contain foreign characters, HotDocs will create an XML-based answer library (so that it can properly display these characters in the Properties tab of the library window.)


At a Glance: The Answer File Manager

Tool Bar

Properties Pane

Tabs

Answer File List

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After clicking the [image] Answer File Manager button on the toolbar (or Tools menu) in your HotDocs Library the Answer File Manager window opens.

The window is split into two main panes. On the left is the Answer File List, this contains a list of all the answer files you have saved. You can select an answer file from this list by clicking on it.

The second main pane in the Answer File Manager window is the Properties Pane. When you select an answer file from the list the answer file properties are displayed in the Properties Pane. These include the File name, File type, File path and the usage History. To view the contents of the answer file go to Tabs at the top of the Properties Pane and click on the Contents tab. This will display a list of all variables, answers and variable types within the answer file.

To access further options for your selected answer file you can use the Toolbar at the top of the window. It contains the following options:

  • New Answer File: Displays the New Answer File dialog box where you can specify the type of answer file you want to create as well as provide a file name, title, and description for the file.
  • Cut: Removes (or cuts) the selected answer file to the Windows Clipboard so you can paste it someplace else in the library.
  • Copy: Copies the selected answer file to the Windows Clipboard so you can paste it someplace else in the library.
  • Paste: Pastes any items currently saved on the Windows Clipboard to the location you specify in the library.
  • Add: Displays the Add Item dialog box where you can add existing answer files or folders to your answer library.
  • Remove: Removes the selected answer file or folder. When you delete an answer file, you can choose whether to delete just the reference to the file in the library as well as to delete the actual file from disk.
  • Import: Allows you to locate an answer file and automatically copy it to the default Answers folder. If managing your answer files using Answer File Manager, the file will also be added to the manager.
  • Sort: Sorts the items in the currently selected folder in the order you have specified.
  • Answer File Properties: Displays the Item Properties dialog box where you can modify information about the item.
  • Help: Opens the relevant page of the HotDocs Help File.

To find out more about using Answer File Manager follow the links below:

  • Introduction: Use Answer Management
  • Open and Close Answer File Manager
  • Add an Answer File to Answer File Manager
  • Work with Answer File Manager
  • Add, Modify, and Delete Folders in Answer File Manager


Open and Close Answer File Manager

When you use Answer File Manager to manage your answer files, you have greater control over the organization of your files (see Work with Answer File Manager). To use Answer File Manager, however, you must first open it.

To open Answer File Manager

  • At the HotDocs library, click the [image] Answer File Manager button. Answer File Manager appears.

To close Answer File Manager

  • At Answer File Manager, click the X in the upper-right corner of the dialog box.

You can also open Answer File Manager by choosing Answer File Manager at the Tools menu. To close Answer File Manager using the keyboard, press Alt+F4.


Add an Answer File to Answer File Manager

Answer File Manager allows you to organize your answer files. When you save your answers after an interview, a reference to the file is automatically added to Answer File Manager. When you need to use answer files that someone else has created (or if you have created them while using Windows Explorer to manage your files), you must add the files to Answer File Manager.

There are two ways to add an answer file to an answer library. You can import the answer file or you can add it using the [image] Add button.

To import an answer file

  1. At the HotDocs library window, click the [image] Answer File Manager button. Answer File Manager appears.
  2. Click [image] Import. The Import Answer File dialog box appears.
  3. Browse to and select the file you want to import. HotDocs confirms you want to import the file.
  4. Click Yes. The answer file is added to Answer File Manager. The file is also automatically included in any answer file drop-down lists.

To add an answer file to Answer File Manager using Add

  1. At the HotDocs library window, click the [image] Answer File Manager button. Answer File Manager appears.
  2. Click the [image] Add button. The Add Item dialog box appears.
  3. In the File name field, enter the path and file name of the answer file you want to use (or click [image] Browse to locate and open the file).
  4. In the Title field, enter a name for the answer file. This title will identify the answer file in Answer File Manager.
  5. Optionally, in the Description field, enter a description to help you identify the answer file. (This description appears at the Properties tab, and can be used when searching for specific answer files.)

By default, answer libraries are saved in binary format, which does not support the use of international characters. If you attempt to add an answer file that contains international characters in its properties to Answer File Manager, HotDocs will prompt you to choose whether to create a new, XML-based answer library (which will support these characters) or convert the foreign characters to an approximate character that can be read in binary format. If you choose to create a new XML-based library, HotDocs 2005-2008 will continue to use the older binary-format library, while HotDocs versions after 2009 will use the XML-based library.

If the answer file is located in a folder other than the default Answers folder, you can import the file, which copies the file to the default Answers folder and adds it to Answer File Manager. To do this, click [image] Import and then locate the answer file.

When adding files to the library, press Ctrl or Shift to select multiple files at once.


Work with Answer File Manager

Answer File Manager helps you organize answer files, much like a HotDocs library helps you organize templates and clause libraries.

When you save answer files, they are added to Answer File Manager, where you can organize them and modify the file properties. You can also view an answer file's history—a list of dates and times the answer file was used, including the template with which it was used. Finally, the Answer File Manager lets you preview the answers currently saved in an answer file.

By default, answer libraries are saved in binary format, which does not support the use of international characters. If you are using a binary answer library and you either add an answer file that contains foreign characters in its properties to the library, or you change the properties or an existing file to include foreign characters, HotDocs will prompt you to either convert the answer library to XML format or manually remove the characters from the file's properties. If you choose to convert the answer library to XML format, you will have two answer libraries—one that works with HotDocs 2008 and earlier and one that works with HotDocs 2009 and later. (A third option allows you to keep the library in its current, non-XML format, but HotDocs replaces characters that are not compatible with your system's default language with the closest approximation available. Usually this means HotDocs will use question marks or square box characters.)

To display Answer File Manager

  1. At the template library, click the Answer File Manager button. The Answer File Manager dialog box appears.
  2. Complete any of the tasks described in the following table:
To | Do This
Create a new, empty answer file | Click the [image] New button. (See Create a New Answer File.)
Add an existing answer file to the library | Click the [image] Add button. (See Add an Answer File to Answer File Manager.) To add multiple files one at a time, press Ctrl or Shift to select several files.
Remove a reference to an answer file and optionally delete the actual file from disk | Select the answer file, then click [image] Remove.
Simultaneously copy an answer file you receive to the Answers folder and add it to the answer library | Click [image] Import. The Import Answer File Name dialog box appears, where you can browse to the answer file and select it. When you click OK, the file is copied to the Answers folder and added to the library.
Sort answer files in alphanumeric order, based on answer file titles | Select a folder, then click the [image] Sort button. The contents of the folder are reorganized.
Search for a specific answer file | Select Find, then type the text from the answer file's title or description for which you are searching in the text field. Only files that have matching text in their title or description are shown.
View the answers currently saved in an answer file | Select the answer file, then click the Contents tab. In the Contents tab, you can sort the columns by clicking the column headings.
View the history of when the selected answer file was used to assemble various templates | Select the answer file, then click the Properties tab.
Change the title, path, file name, description, or format of an answer file | Select the answer file, then click the [image] Properties button and make the necessary changes. Changing the file path does not change the location of the actual answer file. If you change the file path without moving the actual file to the new location on disk, that answer file will not be accessible.
Add a folder so that you can better organize groups of answer files | Click the [image] Add button, then select Folder at the Type drop-down field. (See Add, Modify, and Delete Folders in Answer File Manager.)
Modify a folder's title or description | Select the folder, then click [image] Properties. (See Add, Modify, and Delete Folders in Answer File Manager.)
Delete a folder | Select the folder, then click [image] Remove. HotDocs asks what you want to do with any answer files within the folder. (See Add, Modify, and Delete Folders in Answer File Manager.)
Move an answer file into a folder | Double-click the folder to open it, then select the answer file and drag it to the folder.
Change the format of an answer file so it is compatible with a specific version of HotDocs | Select the answer file, and then click [image] Properties. The Item Properties dialog box appears where you can select HotDocs 2005-2008 answer file. (See Compatibility of HotDocs 11 Files with Earlier Versions of HotDocs for details.)
Use Windows Explorer to access answer files instead of Answer File Manager | Change the setting at the HotDocs Options dialog box. (See Manage Answer Files.)


Add, Modify, and Delete Folders in Answer File Manager

To help organize your answer files, you can place them in folders and subfolders within Answer File Manager.

To add a new folder

  1. At the HotDocs library window, click the [image] Answer File Manager button. The Answer File Manager appears.
  2. Click the [image] Add button. The Add Item dialog box appears.
  3. In the Type drop-down list, select Folder. The dialog box changes to show the options needed for new folders.
  4. In the Title field, enter a folder name.
  5. Optionally, in the Description field, enter notes to explain why the folder was created, or what kinds of answer files it contains. (This description appears at the Properties tab, and can be used when searching for specific answer files.)
  6. Click OK. The folder is added to the answer library. You can work with the folder using the following commands:
To | Do This
Move an answer file to a specific folder | Double-click the folder to open it, then select an answer file and drag it to the folder.
Modify the title or description | Select the folder and click the [image] Properties button. The Item Properties dialog box appears, where you can change the title or description.
Sort the contents of a folder in alphanumeric order | Select the folder and click [image] Sort. The answer files are rearranged based on title.
Remove a folder | Select a folder and click [image] Remove. If you want to remove the items in the folder as well, select Remove the unselected items contained in the selected folders. Otherwise, any files referenced in the folder will be moved to the next folder level.


Introduction: Use Published Files on the Internet

When you install HotDocs, the installation program sets up HotDocs as a helper program for Microsoft Internet Explorer. This makes it possible for the browser to communicate with HotDocs. When you click on a hyperlink to an auto-install or auto-assemble file, the browser starts HotDocs and sends it the file. Then HotDocs begins installing or assembling the file.

In HotDocs, you can also add auto-assemble files from the Internet or from a corporate intranet to your HotDocs library. This allows you to access the files without starting your browser. If you will be unable to connect to the Internet at the time of assembly, you can download and cache copies of the auto-assemble files for use offline. If you add the URL for a Web page to a HotDocs library, you can start your browser from within HotDocs and display that Web page.

In HotDocs, if you are using a template that has been enabled for answer uploading, you can upload the answers you used to assemble a document to a Web server. (Note, however, that the URL of the Web server must be specified by the template developer.)

Finally, if you use a browser other than Internet Explorer, you may need to manually register HotDocs to work with your browser.


Register HotDocs to Work with Web Browsers

If HotDocs is registered as a helper program with your Web browser, you can click on a HotDocs auto-install (.HDI) or auto-assemble (.HDA) file listed on a Web page and have your browser start HotDocs and pass the file to it.

The HotDocs installation program automatically registers HotDocs with Microsoft Internet Explorer. If you use a different Web browser, you will need to register HotDocs as a helper program yourself. Specific instructions for your browser should be available in your browser’s online help system. (Search for the keywords MIME types, file types, helper programs, or associations.)

To register HotDocs with a Web browser (other than Internet Explorer)

  1. Find your browser’s list of MIME types. A MIME type is an association that tells the browser what to do when you download a particular type of file. Each entry in the list of MIME types consists of a MIME type, one or more associated file name extensions, and an action to take on files of this type—usually either by displaying the file in the browser, by using a plug-in to view it, or by starting a helper program. Depending on the browser, each entry may also have a descriptive name.
  2. For HotDocs auto-assemble files, make an entry in the MIME types list using the following settings:
Option | Value
Name (optional) | HotDocs Auto-Assemble File
MIME type | application/x-hotdocs-auto
Extension | hda
Launch Application | hd_dispatch.exe /ha= By default, the launch application executable is found in C:\Program Files\HotDocs 6.
  3. For HotDocs auto-install files, make an entry in the MIME types list using the following settings:
Option | Value
Name (optional) | HotDocs Auto-Install File
MIME type | application/x-hotdocs
Extension | hdi
Launch Application | hd_dispatch.exe /hi= By default, the launch application executable is found in C:\Program Files\HotDocs 6.
  4. Save these settings and restart your browser.

If you upgrade or change browsers after installing HotDocs, you may need to reinstall HotDocs so it will be registered correctly with the new browser.


Add an Auto-Assemble File on the Internet to a HotDocs Library

You can add an auto-assemble file located on the Internet to the HotDocs library. You must know the URL for the file’s location on the Internet or intranet. When you select the auto-assemble file at the library window, and click the Assemble button, HotDocs downloads the file and begins assembling.

To make sure you always have the most current version of the auto-assemble file, you must be connected to the Internet at the time you assemble it. Otherwise, HotDocs uses the version of the file that has been cached.

To add an Internet-based auto-assemble file to a library

  1. At the HotDocs library window, select the folder in which you want the auto-assemble file and click the [image] Add button. The Add Item dialog box appears.
  2. In the Type drop-down list, select Auto-Assemble File.
  3. At the File name field, type the URL for the file's location on the Internet or intranet, or click the [image] Browse button to locate the file on your local disk or network and click OK.

Make sure the URL is entered correctly. If you don’t include http:// or https:// or ftp:// (or if you are missing a slash or a colon), HotDocs will treat the URL as a regular file path.

  4. In the Title field, type a title for the auto-assemble file. The title identifies the file in the template library.
  5. Optionally, type a description in the Description field. The description appears at the Properties tab

The first time you use an auto-assemble file that is stored on a Web server to assemble a document, HotDocs caches the HDA on your hard disk. Then, each time you use the file, it checks to see if a newer version of the file is available and, if so, automatically downloads it. You can also force HotDocs to check for newer versions by choosing Refresh Cache from the Tools menu. (See Download Auto-Assemble Files for Use Offline.)


Download Auto-Assemble Files for Use Offline

In HotDocs, you can download the latest version of an auto-assemble (.HDA) file and store it on your local drive. When you are assembling, if HotDocs can't connect to the Internet or intranet, it uses the local copy.

To download auto-assemble files for use offline

  1. At the HotDocs library window, select the auto-assemble file you want to download. You can download all the auto-assemble files in a folder by selecting the folder.
  2. Click Refresh Cache (Tools menu).


At a Glance: The Install Template Set dialog box

A

B

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

You can open the Install Template Set dialog box by clicking Install Templates... in the File menu and navigating to the .hdi file you would like to install.

In the first field A you can enter where you would like HotDocs to save the template files on your computer. Either by typing the file path into the text field or by clicking the [image] Browse button and navigating to the correct folder. By default HotDocs will install them in the default Templates folder in your Documents.

Using the drop-down list B below you can choose to install the library file in the default Templates folder, default Libraries folder or in the same folder you specified for the templates in the field above A.

To find out more about installing template sets follow the link below:

  • Install a Template Set


Install a Template Set

Some template sets are published as an auto-install file. Because these templates are published, you can't simply add the templates to an existing library. Instead, you must first install them. When you do, HotDocs installs the library and templates to the locations you specify. You can then access the templates.

To install a template set

  1. At the HotDocs library window, click Install Templates (File menu). The Install Templates dialog box appears.
  2. Locate and select the auto-install (.HDI) file you want to install, then click Install. The Install Template Set dialog box appears.
  3. At the Specify where the templates should be installed field, accept the suggested Template Sets folder location, or click the [image] Browse button to choose a different location.
  4. Click the Choose where the library file should be installed drop-down button and choose whether to save the library to the shared Templates folder, the user-specific Libraries folder, or, if you installed the templates to a custom folder in step 3, to the same folder as specified for the templates.
  5. Click OK. HotDocs installs the template set (including the library) to the locations you specified.


At a Glance: The Update Template Sets dialog box

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] Update Template Sets from the Tools menu in your HotDocs Library you can see a list of your template sets and when they were last checked for updates. Use the mouse to select the sets you would like to update. Or use the Select All and Clear All buttons below to select all or none of the sets. When you have chosen the sets you would like to update click the OK button.

To find out more about updating template sets follow the link below:

  • Check for Template Set Updates


Check for Template Set Updates

If you are using a published template set, HotDocs can check for updates to the set at regular intervals and notify you when updates are available. Updates can include new or revised template files, or they may include an important message from the template provider. Although the frequency of automatic update checks is set by the template provider, you can manually check for template set updates at any time.

To check for template set updates

  1. At the HotDocs library window, click Update Template Sets (Tools menu). The Update Template Sets dialog box appears.
  2. Select the template sets for which you want to check for updates, then click OK. The Template Set Update Progress dialog box appears, showing the progress as HotDocs checks for updates.
  3. When HotDocs has finished checking for updates, the Install Template Set Updates dialog box appears, displaying a list of updates. You can work with this list as described in the following table:
To | Do This
Install specific update items | Select Install for each item you want to install.
Discard an update item to prevent HotDocs from prompting you to install the update | Select Discard for the item. If this box is disabled, the template provider has marked it as a required update and it cannot be discarded. (You can choose to not install the update, but it will be displayed every time you check for updates.)
View a list of discarded updates | Select Discarded updates. The list changes to include discarded items.
View a list of all installed updates | Select Installed updates. The list changes to include installed updates.
Reinstall an update | Select Installed updates, then select the update you want to reinstall from the list.
  4. Click Continue. HotDocs installs the selected updates.

You can hide the Template Set Update Progress dialog box or choose which template sets are checked for updates in the HotDocs Options dialog box. (See Determine How Frequently HotDocs Checks for Template Set Updates.)


Upload Answers

If a template has been enabled for answer uploading, the answers you provide to assemble a document can be uploaded to a Web server. The template developer specifies where and when answers will be uploaded. The developer may also specify that HotDocs automatically uploads the answers.

To upload answers

  1. If a template is enabled for uploading answers, HotDocs automatically displays the Upload Answers dialog box after you assemble a document and close the assembly window. (If the Upload Answers dialog box doesn't appear, it means either that the template isn't enabled for answer uploading, or that the template developer specified that HotDocs must always upload the answers.)
  2. Click one of the upload buttons to finish the upload process: Upload Now (uploads the answers immediately), Upload Later (lets you upload either when you start or exit HotDocs), or Don't Upload (doesn't upload the answers at all).

If errors occur when HotDocs tries to upload the answers (or if you click the Upload Later button), HotDocs creates a data file that contains the information needed about the files you need to upload. Then, every time HotDocs starts or closes, it checks to see if files are waiting to be uploaded and prompts you to upload them.

If you choose to Upload Later, you can then upload the files from the library window at any time by clicking Upload Answers (Tools menu).


Add a Web Page to a HotDocs Library

You can include a URL in a HotDocs template library, making it possible to open a Web page and download published files. You can also use a URL to link to a support site where information about the template set is available.

When you click a URL in the template library, HotDocs launches a Web browser and displays the specified Web page.

To add a Web page to a template library

  1. At the HotDocs library, open the folder to which you want to add the URL.
  2. Click the [image] Add button. The Add Item dialog box appears.
  3. At the Type drop-down list, select Web Address.
  4. In the URL field, enter the URL. Or, click the [image] Browse button to locate the address. Then close the browser window to save the URL to the Add Item dialog box.

You can prevent HotDocs from checking for field overflow during assembly. See Set Rules for Handling Answer Overflow for details.

  5. In the Title field, enter a title for the URL. The title identifies the item in the template library.
  6. Optionally, type a description in the Description field. The description appears at the Properties tab.


Introduction: Assemble Documents Linked to a Database

For the most part, templates linked to database tables are assembled just like regular unlinked templates. However, instead of entering answers to questions, you select a record or records from a database table and HotDocs uses the information in those records and merges them into the assembled document. You can save your record selections in a HotDocs answer file.

Depending on how the template was designed, you may also have the ability to sort and filter records you view in the database table.


Select Records During Document Assembly

Instead of displaying questions during the interview for which you must enter individual answers, HotDocs presents a list of records from which you can choose. The information in the record or records you select will be merged into the assembled document.

In some situations, the template developer may allow you to select multiple records from the table, for example, to create a list of answers.

To select records from a database table

  1. Assemble a document. (See Assemble a Text or Form Document.)
  2. When a database table appears, click a single row in the table, or press and hold either Shift or Ctrl to click multiple rows.
  3. If selecting a single row, complete the following steps:
    • Click Select. HotDocs places the record in the Selected Item pane of the assembly window. (You can also double-click a record and have it automatically placed in the Selected Item pane.)
    • Click Next. HotDocs merges the answers from the database record into the assembled document.
  4. If selecting multiple rows, complete the following steps:
    • Click Select. HotDocs adds the records you just selected to the Selected Items pane of the assembly window. (Additionally, to select multiple records, double-click the cell that uses a thicker border in the last record you selected.)
    • Optionally, select a record and click the [image] Up button (moves the record up to the next row in the list of records) or the [image] Down button (moves the record down to the next row in the list of records). You can also click the column headings of the Selected Items list to automatically sort selected rows by any field. (These options are available if the template developer has given you permission to sort your records. If these buttons do not appear, you cannot change the order of selected rows.)
    • Click [image] Next. HotDocs merges the answers from the database into the assembled document.

If the template developer has assigned a filter to the table, you may see different results. For example, if only one record meets the filter criteria, that record will automatically be merged into the document without appearing in the interview. Similarly, if no records meet the filter criteria, HotDocs will ask the questions and allow you to enter your own answers. Finally, in some situations, the template developer may have opted to have any selections returned by the filter automatically merged into the assembled document without first prompting you.

To remove a selected record, you can either select a different record, or you can click [image] Clear.

To remove a single selected record from the Selected Items list, select the record and click Clear. To remove all selected records from the list, click Clear All.


Sort Database Records During Assembly

If the template developer has allowed it, you can sort the list of records in the database table to show the records in ascending (A to Z,1 to 9) or descending (Z to A, 9 to 1) order. You can sort on any column in the table. Additionally, if the template developer has allowed you to select multiple records (in order to create a list of answers), you can choose which order the answers will be merged into the document.

To sort database records in alphanumeric order

  1. Assemble a document. (See Assemble a Text or Form Document.)
  2. When the database table appears, click the heading for the column on which you want to sort. HotDocs sorts the list in alphanumeric order (A to Z, 1 to 9.)
  3. Optionally, to sort the list in reverse alphanumeric order, click the column heading again. HotDocs lists the entries from Z to A, 9 to 1.
  4. Optionally, if you have selected multiple records and want to control the order the answers are merged into the assembled document, click a record in the Selected Items list and then click the Up button (moves the record up to the next row in the list of records) or the Down button (moves the record down to the next row in the list of records). You can also click the column headings in the Selected Items list to automatically sort the selected items by any field.

You may also be able to filter the list of records to show only those you think will be relevant to your selection. See Filter Database Records During Assembly for details.


Filter Database Records During Assembly

If the template developer has allowed it, you can filter the list of records in the database table to show only those records you think are relevant. To do this, you specify conditions that must be met for the records to appear. You can filter based on any field in the table.

To filter a list of records in a database table during assembly

  1. Assemble a document. (See Assemble a Text or Form Document.)
  2. When the database table appears, select Find records where all conditions are met. This causes filtering options to appear at the top of each database column.
  3. In the database table, select the drop-down button at the top of the column on which you want to filter and select a comparison operator. A comparison operator allows you to compare two values. If the comparison results in a true statement, the record will be included. If it's false, it will not be included.
  4. In the field directly below the comparison operator, type the value against which you want to filter. For example, to view only those companies whose names start with the letter A, you would click the drop-down button in the Company column, select begins with, and type the letter A in the next cell.
  5. Click Apply Filter. HotDocs filters the list of records to show only those that meet the criteria you specified.

Once the list is filtered, you can select a record or records (see Select Records During Document Assembly) and continue with the interview.

When you apply the filter, only those records that meet every condition you specified will be returned. This is because <all> is selected at the Find records where all conditions are met prompt. You can click the drop-down button and select <any> , which will return a record, even if only one of the conditions is true.

You can sort a list of records in alphanumeric order. For details, see Sort Database Records During Assembly.


Save Selected Records in an Answer File

If you are using a database to provide your answers during document assembly, you can save your answers using the same steps you follow when saving regular answer files. (See Create a New Answer File.)

However, if you think you may need an exact replica of a document assembled from a template that includes a database component, be sure to save a copy of the document. If you try to reassemble the document later, even if you use the same answer file, the document may not come out exactly the same because the information stored in the connected database may have changed.


Introduction: HotDocs Options

You can change the way HotDocs looks and works by changing your preferences by clicking [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library. These changes affect the program regardless of which template you are using. (Some options, however, can be controlled at the template or component file level.)

Settings specified at HotDocs Options are user-specific and are saved in the Current User key of the Windows System Registry. For information on working with the registry, see the Windows Help file.


At a Glance: Interviews and Dialogs (HotDocs Options)

A

B

C

D

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you click on Interviews and Dialogs you will see the Interviews and Dialogs Options dialog box, from here you can set options to change how HotDocs interviews are presented.

The first section B has two options you can set for the interview outline. Use the check box to choose if HotDocs will display the special repeat icons in the interview outline and use the drop-down list to decide if HotDocs will automatically expand child dialog entries Completely, Partially or Not At All.

In the second section C the options relate to dialog navigation within the interview. At the top of this section there are three check box options. Using these you can decide if you would like the Next button to be first in tab order on the Navigation bar, if HotDocs should select existing answers when tabbing between fields, and/or if HotDocs should display a warning when clicking the Add Another button at an empty dialog. Below this are three drop down menus. The first drop-down decides whether clicking the Enter key in single-line fields moves the curser on to the Next dialog, Next answer field, or has No action. The second drop-down decides if the answer field resource button is shown For the current field only or For all fields with a resource. When answers in the dialog are reformatted, the third drop-down list allows you to choose if you Don't leave the dialog, Pause before leaving the dialog or Leave dialog anyway.

The last section D contains options for the entering of dates in an interview dialog. The first drop-down list allows you to choose between Day Month Year or Month Day Year format for date detection. The next drop-down list allows you to choose the display format for a date in the interview. Below is a check box that let you choose if HotDocs will require four-digit years to be given in date answers. If you uncheck this box then the number field to the right will ungray. You can use this to specify the century rollover year, this decides at what two digit number HotDocs will stop using the current century and start using the previous century to fill in the first two digits. For example if you specify a rollover value of 34, dates entered as 5/14/34 will appear as 14 May 2034. A date entered as 5/14/35 will appear as 14 May 1935

To find out more about setting options for Interviews and Dialogs follow the links below:

  • Display Repeated Dialogs Using a Special Icon
  • Control How Child Dialogs Appear in the Interview Outline
  • Control the Tab Order of Buttons on the Navigation Bar
  • Select Existing Answers When Tabbing Between Answer Fields
  • Display Warning When Trying to Add a New Repetition
  • Control the Functionality of the Enter Key During the Interview
  • Display Resource Buttons Next to Answer Fields
  • Warn When HotDocs Reformats Date and Number Answers
  • Specify How HotDocs Should Process the Date Order
  • Control How HotDocs Handles Two-Digit and Four-Digit Years
  • Change the Way Dates Appear in Answer Fields


Display Repeated Dialogs Using a Special Icon

When HotDocs starts an assembly, it displays an interview outline and a dialog pane. The interview outline contains a list of all the dialogs in a given template. The dialogs appear as icons, followed by the name of the dialog. If HotDocs encounters a repeated dialog, it can display an icon that more closely represents a repeated dialog: . When you click this icon, the interview outline expands to show each repeated dialog as entries underneath the dialog title. These entries are numbered to show which repetition you are on.

To display repeated dialogs using a special icon

  1. At the HotDocs library, click [image] Options.
  2. Click the Interviews and Dialogs folder. The window shows several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Interview Outline group, select Display repeat icons in interview outline.

To have HotDocs show repeated dialogs in the main level of the interview outline, clear Display repeat icons in interview outline.


Control How Child Dialogs Appear in the Interview Outline

As you assemble documents, HotDocs displays the dialogs from the template in the interview outline, which can include inserted dialogs (child dialogs). You can control just how much detail the outline shows for each parent and child dialog: a full view of all dialogs, a view of just the current dialog, or a view of just the parent dialog.

To change the appearance of child dialogs in the interview outline

  1. At the HotDocs library, click the [image] Options button.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Interview Outline group, click the Automatically expand child dialog entries drop-down button and select one of the following options:
    • Choose Completely to have HotDocs expand the interview outline to show the relationship between all related dialogs.
    • Choose Partially to have HotDocs expand the interview outline to show only the dialog you are currently answering.
    • Choose Not at all to have HotDocs not expand the interview at all and show only the parent dialog in the interview outline.

These views are controlled when you use the navigation bar or shortcut keys to complete an interview. Once you click in the interview outline, expansion of the outline is controlled by the mouse.


Control the Tab Order of Buttons on the Navigation Bar

Sometimes as you navigate through an interview, you may press the Tab key to move between options in a dialog—including the buttons on the Navigation Bar. You can select an option that causes the [image] Next button to always be the first button on the navigation bar to which you tab after answering questions in the interview. When this option is cleared and you press Tab after the last question in the interview, HotDocs will tab to the first active button in the Navigation Bar.

To control the Navigation Bar tab order

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Dialog Navigation group, select Next button first in Navigation Bar tab order.

Now when tabbing from the last answer field in the dialog to the Navigation Bar, you will automatically tab to the [image] Next button, regardless of whether the [image] First Dialog, [image] Previous Unanswered, or [image] Previous buttons are active.


Select Existing Answers When Tabbing Between Answer Fields

During an interview, you can have HotDocs automatically highlight existing text in an answer field when you tab to it. When you do this, you can immediately type a new answer without having to select the text first. If you need to edit part of an answer, rather than replace it entirely, you can clear this option.

To control text selection during the interview

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Dialog Navigation group, select Select existing answers when tabbing between fields to have existing text highlighted when you tab to a field.


Display Warning When Trying to Add a New Repetition

When answering repeated dialogs, you click the [image] Add Another button to add a new, empty repetition to the series of dialogs. However, if you are already in a new, empty dialog, clicking this button has no effect. You can have HotDocs display a warning the reminds you that you must first answer at least one question in the current dialog before you can add a new repetition.

To display a warning when trying to add a new repetition to a dialog

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. Select Display warning when clicking Add Another button at empty dialog.


Control the Functionality of the Enter Key During the Interview

You can control the functionality of the Enter key as you enter answers in a dialog. For example, if you want to use the Enter key to advance to the next dialog instead of the next answer field, you can specify an option that will make this possible.

To specify how the Enter key functions during

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Dialog Navigation group, click the Enter key action in single-line fields drop-down button and select an option:
    • Choose Next dialog to have the Enter key display the next dialog.
    • Choose Next answer field to have the Enter key move your cursor to the next answer field.
    • Choose No action to make the Enter key not do anything.

Pressing Enter in a multi-line text field will insert a line break, while pressing Ctrl+Enter will insert a paragraph end. (This affects Word users only.)


Display Resource Buttons Next to Answer Fields

In addition to viewing helpful information in the resource pane, you can specify an option that will display a [image] Resource button next to answer fields in the dialog pane. (Clicking this button causes the resource text to appear in a pop-up dialog.) You can also control when the button appears.

To have HotDocs display a resource button next to an answer field

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Dialog Navigation group, click the Show answer field resource button drop-down and select an option:
    • For the current field only causes HotDocs to display a resource button next to an answer field only when that field is active (or when you are answering it).
    • For all fields with a resource causes HotDocs to simultaneously display resource buttons for all answer fields in the dialog that contain a resource. The buttons appear regardless of which answer field is active.


Warn When HotDocs Reformats Date and Number Answers

When you type an answer in an answer field, HotDocs sometimes reads the answer and reformats it to appear a certain way. For example, if you type February 6, 2006 in a date field, HotDocs will reformat the answer to appear as 6 Feb 2006. Sometimes this reformatting can reveal an incorrectly interpreted answer, especially if the answer you typed is ambiguous. For example, the date 05/06/2006 may either be interpreted as June 5, 2006 or as May 6, 2006.

Depending on where the reformatted answer appears in the dialog, you may not even be aware that it has been reformatted. For example, when you enter an answer in one of the first answer fields in a dialog and then move to the next field, you will most likely see that your answer has been reformatted. However, if you enter an answer in the last answer field and click Next to advance to the next dialog, you may not see that the answer has been reformatted.

You can specify an option that forces HotDocs to alert you that an answer has changed before HotDocs advances to the next dialog.

To have HotDocs tell you it has reformatted an answer before advancing to the next dialog

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. Click the When answers are reformatted drop-down button and select one of the following options:
    • Choose Leave dialog anyway to have HotDocs immediately advance to the next dialog in the interview without showing you the reformatted answer.
    • Choose Pause before leaving dialog to cause HotDocs to reformat the variable and re-display it for one second before advancing to the next dialog.
    • Choose Don't leave dialog to cause HotDocs to reformat the variable and stay at the current dialog until you click Next again.

This answer reformatting affects only how answers are displayed in the dialog pane. Answers in the assembled document are formatted as the developer specifies or according to the Default date format property.


Specify How HotDocs Should Process the Date Order

When you type an answer for a Date variable, the first thing HotDocs does to process the information is to separate what you type into the different parts of a date, for example, the month, the day of the month, and the year. Once it has determined this, it formats the date and then merges the answer into the assembled document. Often, if the user spells out the month when typing a date (for example, May 6, 2006), HotDocs can easily distinguish between the different parts. However, if a user enters an all-digit value, such as 05/06/2006, HotDocs could process the date one of two ways—either as May 6, 2006 or as 5 June 2006.

You can specify an option that tells HotDocs the order in which you want months and days of months to be processed—either as Month Day Year, or as Day Month Year.

To specify a date order format for Date variables

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. At the Answer Entry group, click the Date Detection drop-down list and select a format:
    • Choose Month Day Year to have HotDocs assume the first set of numbers in an answer is the month while the second set is the day of the month.
    • Choose Day Month Year to have HotDocs assume the first set of numbers in an answer is the day of the month while the second set represents the month.

For HotDocs users in the United States, the default option is Month Day Year. For HotDocs users outside the U.S., the default option is Day Month Year.

To specify the format for the answer when it is merged into the assembled document, see Specify a Default Date Format.


Control How HotDocs Handles Two-Digit and Four-Digit Years

As a safety precaution, HotDocs requires you to enter four digits when entering the year portion of a date. If you enter a two-digit date, such as 7/9/99, HotDocs responds with this message: “You must enter a four-digit year.”

You can override this default option by specifying a century rollover year at the HotDocs Options dialog box. The number you enter controls how HotDocs interprets two-digit years. Two-digit years less than or equal to the number you enter are understood as 2000-century years. Two-digit years greater than the number you enter are understood as 1900-century years.

For example, if you specify a rollover value of 34, dates entered as 5/14/34 will appear as 14 May 2034. A date entered as 5/14/35 will appear as 14 May 1935.

To set a century rollover preference

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. In the Answer Entry group, clear Require four-digit year in dates. The Century rollover year option becomes available, with the default rollover value of 50 selected.
  4. Type a new two-digit number value in the Century rollover year field (or click the up or down arrows to select a number.) Dates you enter where the year is greater than this value will appear as 19??, while dates where the year is less than this value will appear as 20?? (where ?? represents the year you type at the answer field.)


Change the Way Dates Appear in Answer Fields

As you enter dates during an interview, HotDocs reformats the date to appear a certain way in the answer field. You can change this format. (To change the format of dates in the assembled document, see Specify a Default Date Format.)

To change the way dates appear in an answer field

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Interviews and Dialogs folder. The window changes to show several options relating to the way variables and dialogs appear and are processed during the interview.
  3. At the Answer Entry group, select a date format from the Date display format drop-down list. Your options include 3 Jun 1990; June 3, 1990; 6/15/1990; and 15/6/1990.

Whether the 6/15/1990 format or the 15/6/1990 format is available depends on your date detection format.


At a Glance: Appearance (HotDocs Options)

A

B

C

D

E

F

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you double click on Interviews and Dialogs you will see a list below showing Appearance and End of Interview. Click on Appearance and the Appearance Options dialog box opens, from here you can customize the look of the interview.

At the top of this dialog B there are three drop-down menus to change the font for the Dialog, Resource and Outline. To the right of each font field there is a number field to choose the text size.

Below these are two drop-down menus C which you can use to change the color of items in the dialog pane. Find the item you wish to change in the first drop-down list then click the second menu to choose a color from the palette. You will see the changes in the example dialog pane below D. Below the example dialog pane is a check box E where you can choose to show an asterisk for required fields.

At the bottom of the page is the Restore Default Fonts and Colors button F. You can use this to return the all the settings on this page back to their original values.

To find out more about setting options for Appearance follow the link below:

  • Customize the Look of the Dialog Pane


Customize the Look of the Dialog Pane

You can change the appearance of the dialog pane. Specifically, you can change background colors and text properties (such as font face, size, and color). You can also change some of the properties of the resource pane as well as the interview outline.

To restore all default properties after you have changed them, at the Appearance window, click Restore Default Fonts and Colors.

To change the appearance of the dialog, resource pane, or interview outline of the assembly window

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Double-click the Interviews and Dialogs folder. The folder expands to show subfolders.
  3. Click the Appearance subfolder. The window changes to show a visual representation of the dialog pane.
  4. Make any changes, based on the following options:
    • To change the font or font size for text in the dialog, click the Dialog font drop-down button and choose the font from the list and enter a size in the Font size field.
    • To change the font or font size for text in the resource pane, click the Resource font drop-down button and choose the font from the list and enter a size in the Font size field.
    • To change the font or font size for text in the interview outline, click the Outline font drop-down button and choose the font from the list and enter a size in the Font size field. (To see these changes take effect, you must start a new assembly.)
    • To change the color of an item in the assembly window, click the Item color drop-down button and choose the item from the list. Then click the color drop-down button and choose the color.
    • To have HotDocs mark required questions with an asterisk, select Show asterisk for required fields .

In addition to choosing the item whose properties you want to change using the drop-down lists, you can also click on an area in the dialog preview. This automatically selects the item (in the corresponding drop-down list) so you can then change the properties.


At a Glance: End of Interview (HotDocs Options)

A

B

C

D

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you doubleclick on Interviews and Dialogs you will see a list below showing Appearance and End of Interview. Click on End of Interview and the End of Interview Options dialog box opens, from here you can decide how HotDocs will finish an interview and what buttons appear at the end of interview dialog.

The top set of check boxes B enable you to decide which buttons appear on the End of Interview dialog; you can choose as many or as few as you need.

Below that are two sets of check boxes; the top set C allow you to choose what will automatically happen when you finish an interview for a text document and the bottom set D allows you to choose what will automatically happen when you finish an interview for a form document.

The option to Send assembled form document to Adobe Acrobat and close does not work with .HFT templates as they are not PDF based templates. Selecting this option instead sends them to HotDocs Filler. If you need to send the assembled form to Adobe Acrobat you should save your .HFT templates as .HPT templates before choosing this option.

To find out more about setting options for End of Interview follow the links below:

  • Customize the End of Interview Dialog
  • Control What Happens When You Finish an Interview


Customize the End of Interview Dialog

Options in the End of Interview dialog allow you to work with assembled documents. Such options include sending documents to the word processor, saving them to disk, or closing the assembly window without doing anything. You can choose which of these options appear in the End of Interview dialog.

To choose which options appear in the End of Interview dialog

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Double-click the Interviews and Dialogs folder. The folder expands to show subfolders.
  3. Click the End of Interview subfolder. The window changes to show which buttons you can choose to have appear in the End of Interview dialog.
  4. In the End of Interview Buttons group, choose which buttons you want on the End of Interview dialog by selecting the corresponding check box.

Buttons will be included only if they are selected and if they are relevant to the current interview. For example, HotDocs will display the [image] Go to the first unanswered question in the interview button only if there is at least one unanswered question in the interview.

To customize the list of buttons while viewing the End of Interview dialog, you can right-click anywhere in the dialog and choose Change Options from the shortcut menu.


Control What Happens When You Finish an Interview

By default, when you click [image] Next at the last dialog in an interview, HotDocs displays the End of Interview dialog, which gives you options for working with the assembled document. For example, you can choose to send the assembled document to the word processor or Filler, or you can return to the interview and answer any unanswered questions. However, if the End of Interview dialog is hidden (see Use the End of Interview Dialog), clicking [image] Next simply displays the assembled document. Where you view the document, either in the assembly window or in the word processor or HotDocs Filler, depends on which options you select.

Likewise, when you click the [image] Finish button in the navigation bar, HotDocs displays the assembled document. Again, you can choose where you view the document.

To define how HotDocs should finish an interview

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Double-click the Interviews and Dialogs folder. The folder expands to show subfolders.
  3. Click the End of Interview subfolder. The window changes to show options for working with the End of Interview dialog.
  4. In the Finish Interview Action group, select an option for text documents:
    • To send all assembled text documents directly to the word processor, select Send assembled text documents to the word processor and close.
    • To view all assembled text documents directly at the Document Preview tab of the assembly window, select Proceed to the Document Preview tab.
  5. Select an option for form documents:
    • To send all assembled form documents directly to HotDocs Filler, select Send assembled form documents to HotDocs Filler and close .
    • To view all assembled form documents at the Form Document tab of the assembly window, select Proceed to the Form Document tab.

Now, whenever the End of Interview dialog is hidden and you click [image] Next at the last dialog in the interview, HotDocs will perform the action you specified. Additionally, whenever you click the [image] Finish button, the same action will be performed.


At a Glance: Document Assembly (HotDocs Options)

A

B

C

D

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you click on Document Assembly you will see the Document Assembly Options dialog box, from here you can set options to decide how HotDocs assembles a document.

The first section B has seven check box options to help you customize the assembly window. By checking these you can choose to auto-arrange toolbars, display the unanswered warning before saving a document, prompt to save the document when closing the assembly window, prompt to save documents sent to a word processor, prompt before printing assembled documents via a word processor, explain the paragraph mark added by the document text editor, and/or prompt for an answer file when beginning an assembly.

The setting Explain the paragraph mark added by the document text editor refers to the final paragraph mark in the text editor shown when editing a SPAN. When ticked, this option displays an explanation of this paragraph mark when editing SPAN fields during an interview. Uncheck this box to suppress the dialog box containing that explanation.

In the next section C you can change settings to change the look of an assembled document. In the text field at the top the default date format is displayed. To change this you just need to delete the text and type in your preferred date format example. using the drop down list below you can chose what an unanswered variable placeholder will look like in the assembled document. Below that is a check box giving you the option to highlight fields at the Document Preview tab. At the end of this section are two drop down lists that allow you to specify the color of different parts of the document. From the first drop down menu you chose a document field from: Answered Text, Unanswered Text, Editable Text or Edited Text. Then click the Color drop-down list and chose the color you would like this field type to be from the color palette.

The last section D has two check box options to change settings for the assembly queue. Checking the top box will have HotDocs prompt you before adding an assembly to the queue and checking the bottom box will have HotDocs produce a list of completed assemblies.

To find out more about setting options for Document Assembly follow the links below:

  • Make Assembly Window Toolbars Automatically Wrap
  • Display Warning When Questions are Unanswered
  • Prompt to Save the Assembled Document When Closing the Assembly Window
  • Warn When Printing Assembled Text Documents
  • Prompt to Select an Answer File Before Assembly
  • Specify a Default Date Format
  • Format Unanswered Variables in a Document
  • Set Properties for Viewing Answers and Editable Text in the Assembled Document
  • Warn When Adding Assemblies to Assembly Queue
  • Include List of Completed Assemblies in Assembly Queue


Make Assembly Window Toolbars Automatically Wrap

The HotDocs assembly window includes several toolbars to help you accomplish the work you need. At times, the width of the assembly window won't allow all of the toolbars to be displayed at once—some of the toolbars scroll off the right edge of the window. You can select an option that allows those toolbars to wrap to a new line of the assembly window so you can view all of them at once.

To auto-wrap assembly window toolbars

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options
  3. Select Auto-arrange toolbars.


Display Warning When Questions are Unanswered

As you complete a HotDocs interview, HotDocs keeps track of which questions you have answered. You can have HotDocs display a warning message if you attempt to send the document to the word processor without answering one or more questions. (The warning also appears when you save or print the document.) Leaving questions in an interview unanswered may result in an incorrectly assembled document. Heeding these warnings can help you ensure the accuracy of the document.

To have HotDocs display a warning when variables are unanswered

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Select Display unanswered warning before saving documents.

If you don't want HotDocs to warn you about unanswered questions, clear Display unanswered warning before saving documents. Unanswered questions will still be reported in the End of Interview dialog, but HotDocs will no longer display warning messages.


Prompt to Save the Assembled Document When Closing the Assembly Window

Whenever you close an assembly window, either before or after you send the assembled document to the word processor, HotDocs can ask if you want to save a copy of the assembled document.

To have HotDocs prompt you to save the assembled document

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Select Prompt to save document when closing assembly window. HotDocs will prompt you to save a copy of the assembled document whenever you close the assembly window.
  4. Optionally, select Prompt to save documents sent to word processor to have HotDocs prompt you to save a copy of the assembled document when you close the assembly window, even if you have sent the document to the word processor.

Depending on your project needs, you may not need to save electronic versions of your documents. In such cases, you can clear both of these options.


Warn When Printing Assembled Text Documents

When you print an assembled text document from the assembly window, HotDocs opens the document in the word processor, prints it using the default printing options, and then closes the word processor without ever displaying a Print dialog box.

Frequently, you may need to change the default printing options, which you can only do by sending the assembled document to the word processor and then by printing from the word processor's File menu. To help you remember this sequence of steps, you can have HotDocs warn you when it's about to print a document without displaying the Print dialog box. If you choose, you can stop the print job.

To display the Print warning

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. From the Assembly Window group, select Prompt before printing assembled document via word processor.


Prompt to Select an Answer File Before Assembly

You can have HotDocs prompt you to select an answer file when you assemble a document. When it does, you can choose to use an existing answer file; specify a new, untitled answer file; or use the answer file from your last assembly.

To have HotDocs prompt you for an answer file

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Select Prompt for answer file when beginning an assembly.

Clear Prompt for answer file when beginning an assembly to have HotDocs bypass this option and start the interview immediately using an untitled answer file. Once the interview has started, you can save the current answer file at any time.


Specify a Default Date Format

You can specify a default format for dates that are merged in assembled documents. This default format is used if no format has been assigned by the template provider. It controls how dates are merged into the assembled document—not how dates are formatted for display during the interview. (See Change the Way Dates Appear in Answer Fields.)

To specify a default date format

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Type a date format in the Default date format field. (Use one of the following example formats: June 3, 1990; 3 June 1990; 03 JUN 90; 06/03/90; or 3rd day of June, 1990.)


Format Unanswered Variables in a Document

You can specify how an unanswered variable will appear in an assembled text document. (If a variable is left unanswered in a form document, the form field is left empty, regardless of which unanswered variable placeholder you have selected.)

To specify an unanswered variable format

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. At the Unanswered variable placeholder drop-down list, make a selection based on the following information:
    • Select ***Variable*** to insert the name of the variable with three asterisks on both sides of the variable name.
    • Select [Variable] to insert the name of the variable between two brackets.
    • Select Underscores to insert a blank line where the answer should be.
    • Select Asterisks to insert three asterisks.
    • Select Nothing to insert nothing in the unanswered field, not even a space.

Sometimes a template developer may assign a placeholder to be used with a variable. If so, the document may show a placeholder that is different than what you select here.

If you are using Microsoft Word (and the template developer has enabled answer editing at the Document Preview tab), you can edit answers while viewing the document. See Edit Answers at the Document Preview Tab.


Set Properties for Viewing Answers and Editable Text in the Assembled Document

If you are using Microsoft Word, you can view answers and assembled document text that can be edited while viewing the Document Preview tab. (See Edit Answers at the Document Preview Tab for details.) When doing this, you can control whether the answers and text are marked by a special color, which you can also define.

Some template developers choose to disable these features in their templates. If the options for editing answers and text are not available at the assembly window, this is why.

To always highlight answers and editable text in a document

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. Select Highlight fields at Document Preview tab. This will mark answers in the document with the color you define at the Color drop-down. It will also mark editable document text as well as edited document text.
  4. Optionally, to change the color for answer fields or sections of editable text, click the Document field drop-down button, and choose the appropriate option. Then click the Color drop-down button and choose a color.

To restore the default colors, choose the field type and then click the Color drop-down button. Choose Default from the top of the Palette tab.


Warn When Adding Assemblies to Assembly Queue

HotDocs will only allow you to assemble one document at a time. If you are currently assembling a document and you attempt to assemble another one, HotDocs will add it to the assembly queue and it won't be assembled until the current assembly is complete. If there are multiple assemblies in the queue, HotDocs will assemble them in the order they are added. (See Use the Assembly Queue.) You can have HotDocs warn you when you attempt to assemble a document and one is already being assembled.

To have HotDocs warn you when you add an assembly to the queue

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. In the Assembly Queue group, select Prompt before adding an assembly to the queue.


Include List of Completed Assemblies in Assembly Queue

As you assemble documents during a given session of HotDocs, you can have HotDocs create a list of each document you have assembled in the assembly queue. This list remains active during a particular session of HotDocs. (A session is the time between when you start HotDocs and when you close it.)

To list completed assemblies in the assembly queue

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Document Assembly folder. The window changes to show several assembly options.
  3. In the Assembly Queue group, select List completed assemblies.

If you are assembling large numbers of documents and you don't want HotDocs to track completed assemblies, clear List completed assemblies. Then, once assembly has finished, the assembly is removed from the queue.


At a Glance: Document Markup (HotDocs Options)

A

B

C

D

E

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you click on Markup View (Word) you will see the Markup View (Word) Options dialog box, from here you can set options for the look and function of a template in markup view.

In the first section of options B you can choose the markers used for Answer Fields, Insertion Fields, Editable Text, Conditional Text, Alternative Text and Repeated Text by typing the characters you would like to use into the corresponding fields.

In the next section C you can set options for labels by ticking the check boxes. Using the first four check boxes you can choose to use developer comments to label answer fields, use option text to label multiple choice answer fields, use developer comments to label the beginning and/or the end of text blocks, and/or enclose text block labels in markers. The last check box has slightly more complicated options and ticking the last box will ungray the two drop-down menus next to it then you can use these to decide if, at the beginning and/ or end of text blocks, you would like Footnote Letters, Footnote Numbers, Endnote Letters or Endnote Numbers.

In the next section D you can choose which attributes to apply to markup fields. Using the three check boxes you can choose to apply Bold, Italic, and/or a different Color scheme. Once the Color box has been ticked the drop-down list next to it ungrays, then you can chose from Regular, Nested, or Sequential color schemes. You can further customize these schemes at the Field Colors Options dialog.

The last section E contains three check boxes with more general options for Markup View. You can choose to mark editable text blocks, use minimal markup at the HotDocs Library Preview tab, and/or apply attributes to answer fields when minimal markup is used.

To find out more about setting options for Markup View (Word) follow the link below:

  • Specify How Documents Should Be Marked Up


Specify How Documents Should Be Marked Up

This feature is available to Word users only.

Moving between Markup View and Developer View is supported in Microsoft Word RTF templates only. In Microsoft Word DOCX templates you can click the [image] Create Markup button to open a Markup document in a new Word window.

To specify how documents should be marked

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Markup View (Word) folder. The window changes to show several markup options.
  3. Complete any of the tasks, described in the following table:
To | Do This
Choose the character or characters that should be used to mark fields in the template Enter the opening and closing characters in the fields next to the field type:
  • Answers field = variable fields
  • Insertion field = INSERT instructions
  • Editable text = SPAN / END SPAN instructions
  • Conditional text = IF/ END IF instructions
  • Alternative text = ELSE IF / ELSE instructions
  • Repeated text = REPEAT / END REPEAT instructions
Mark variable answer fields with any comments entered for the variable | Select Use developer comments to label answer fields. If comments have been entered for a variable field, they will be merged in the markup field.
Use a Multiple Choice variable's merge text options as the label for its field | Select Use option text to label multiple choice answer fields.
Mark text blocks (such as IF, REPEAT, and SPAN instructions) using developer comments entered for the instruction Select Use developer comments to label beginning of text blocks.

To merge the same comment in the closing markup field, select and end of text blocks.
Include both opening and closing markers when merging a field label (which includes developer comments)

By default, when HotDocs marks text blocks, an opening field marker is merged before the opening instruction and the closing marker is merged after the closing instruction.

 Select Enclose text block labels in markers.

Selecting this option causes HotDocs to use the closing marker after the opening label. The closing marker will also be used at the end of the text block.

In the following example, [* is the opening marker for conditional text while *] is the closing marker. The following is what will be merged in the marked up document:

*Insert paragraph if employee must complete a trial period*]

The length of [Employee Name]'s employment will be an initial term of six months.*]
Include text block instructions in either a footnote or endnote Select Add Footnote/Endnote at beginning of text blocks. Then select whether the annotation will be marked using Letters or Numbers.

To annotate the closing field label, select and end of text blocks.
Apply font attributes, such as bold and italics, to a markup field Select Bold or Italic.

Merge fields in the document are italicized by default. If you've used international characters in your answers, the italicized version of the font used in the document may not display the foreign characters correctly. If this is the case, clear the Italic attribute.
Define the color scheme used for marking the different fields in the template | Select Color and click the Color drop-down button. Then choose the color scheme.
Include editable text markers when showing a template in Markup View Select Mark editable text blocks.

Editable text blocks are not visible when viewing the markup of an assembled document.

Show only basic markup when previewing the template at the HotDocs library Select Use minimal markup at the HotDocs library Preview tab.

When this option is selected, HotDocs will simply mark fields using field markers. If comments have been assigned to variable fields, those comments will be merged. (They will not be merged for instruction fields, however.)

To assign font formatting and color to markup fields at the Preview tab, select Apply attributes to answer fields when minimal markup is used.


At a Glance: Field Colors (HotDocs Options)

A

B

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you double click on Markup View (Word) you will see a list below showing Field Colors. Click on Field Colors and the Field Colors Options dialog box opens, from here you can set the colors HotDocs will use in Markup view.

There are three lists B for the three of available color schemes. You can choose which color scheme you would like to use on the Markup View (Word) Options dialog. By clicking on any of the words you will see a color palette where you can choose a different text color for that item. By clicking on the white space behind any of the words you will see a color palette where you can choose a different background color for that item.

To find out more about setting options for Field Colors follow the link below:

  • Define Field Colors


Define Field Colors

By default, when you insert fields in a HotDocs text template, HotDocs applies certain colors to the fields, depending on the field type. For example, all variable fields will be merged using a specific color, while all REPEAT instructions will be merged using a different color, and so forth.

Depending on the complexity of the template, there may be times when you want to use field coloring to view relationships between SPAN, IF and REPEAT instructions in the template. For example, when working with nested instructions, you may want all first-level instructions to be marked by one color, all second-level instructions to be marked by another color, and so forth. Additionally, you may want to view instructions in the template sequentially, meaning each instruction pair is marked with its own color.

At the Field Colors page, you can assign the colors HotDocs will use for marking fields and instructions in a template.

To customize the field colors in a text template

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Double-click the Markup View (Word) folder. The folder expands to show subfolders.
  3. Click the Field Colors folder. The window changes to show lists of field types and instructions with their corresponding colors.
  4. Complete any of the following steps:
    • To specify the color for all field types in a template, click that particular field in the Regular column and choose the color you want from the palette.
    • To specify the color for each nested level of instruction, click that particular level in the Nested column and choose the color you want from the palette.
    • To specify the color for each matching pair of instructions, click that field in the Sequential column and choose the color you want from the palette.
  5. Repeat this process for each field type or level of instruction you want to change.

Once you have made these changes, you must click the [image] Apply Colors button within your template to apply the new colors to any existing fields.

HotDocs allows you to assign up to 20 Nested and Sequential colors. If you want to use fewer color schemes, select the Level or Field after the last color you want used and assign black as the text color and white as the highlight color. (So, for example, if you want to show only four levels of nesting, click on Level 5 and assign the black/white color combination.)

If using the keyboard, tab to the row you need to access and press the Spacebar to show the foreground color palette. Press Shift+Spacebar to show the background color palette.

To restore default colors, click the Color drop-down button and choose Default at the top of the Palette tab.

To choose the colors used for form fields, see Change Colors in Form Fields.


At a Glance: Form Documents (HotDocs Options)

A

B

C

D

E

F

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you click on Form Documents you will see the Form Documents Options dialog box, from here you can set options to decide how new form documents appear and function.

This section of options B at the top of this dialog allow you to choose some of the main setting for new form documents. Using the three drop-down lists you can select the type of measurements used in the document, which color theme to use for HotDocs Automator; you can choose whether to automatically send PDF-based forms to Adobe Acrobat or HotDocs Filler.

The option to Send Assembled PDF-based forms to Adobe Acrobat does not work with .HFT templates as they are not PDF based. If you need to send the assembled form to Adobe Acrobat you should save your .HFT templates as .HPT templates before choosing this option.

The next section C allows you to set options on how the form document first appears upon opening. You can use the three check boxes to decide if you would like HotDocs to highlight fields, show variables, and/or show thumbnails. Using the drop-down list to the right you can also decide on the initial zoom level for the form.

In the next section D you can choose which warnings HotDocs can display when filling. You can have HotDocs warn when leaving a field that has overflowed, warn when typing in a restricted field, warn when overriding a field, and/or warn when attempting to create a field using the fill tool.

In the section below E you can set two options for printing form documents. You can tick the check box to have HotDocs remember the printer used for forms and you can choose from the drop-down list whether you use HotDocs, Adobe Acrobat, or HotDocs should Always Ask which program to use to print PDF-based forms.

In the last section F there are two check box options that allow you to set options for recovery in HotDocs Automator. Check the first box to have HotDocs create backup copies of the original templates and check the second box to have HotDocs maintain auto-recovery files while you are editing templates.

To find out more about setting options for Form Documents follow the links below:

  • Change the Units of Measurement for Forms
  • Change Colors in HotDocs Forms
  • Send Assembled PDF Documents to Adobe
  • Control How Forms Appear When Opened
  • Control Warnings During Assembly
  • Save Printer Information for Printing Forms
  • Specify How PDF-based Forms Should Be Printed
  • Protect Forms By Backing Them Up


Change the Units of Measurement for Forms

HotDocs measures the fields you create to identify whether they should be treated as check-box fields or edit fields. In addition, the units of measurement affect the margins around all fields and the amount of space used by the header and footer sections of the addendum.

To change the units of measurement

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show options for working with forms.
  3. Click the Show measurements in drop-down button and select Inches, Points, Centimeters, Picas, or Millimeters.


Change Colors in HotDocs Forms

You can change the colors for field backgrounds and borders in HotDocs . Changes affect all forms edited or assembled using HotDocs. There are several custom color schemes from which you can choose.

To change colors

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The view changes to show general form options.
  3. Click the Color theme drop-down button and select a color scheme.

To change the colors used for text template fields, see Define Colors for Fields and Instructions.


Send Assembled PDF Documents to Adobe

You can select an option that allows you send an assembled PDF-based document to Adobe Acrobat. When this option is selected, you can click the [image] Send Document to Adobe Acrobat button and HotDocs will send the form document to Acrobat rather than HotDocs Filler. (If you want to view the assembled form document in Filler, you can still choose this option, too.)

To send assembled PDF-based documents to Adobe

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show options for working with forms.
  3. Click Send assembled PDF-based forms to drop-down button and choose Adobe Acrobat.

To always send PDF-based forms to HotDocs Filler, click Send assembled PDF-based forms to and choose HotDocs Filler.


Control How Forms Appear When Opened

When you open a form in HotDocs , different views of the form can be shown, such as fields and thumbnail views of form pages. You can control which views appear, as well as what level of magnification is used. These settings are used each time you open a form.

To control how forms appear when opened

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show options for working with forms.
  3. In the On Open group, select options that control the view when you open a form, as described in the following table:
To | Do This
Display the colored fields | Select Highlight Fields.
Display thumbnail images of each page of the form | Click Show Thumbnails. The thumbnails appear in a separate pane in the window. You can click on the thumbnail images to move through the form.
Display forms at actual size. | Click Zoom and select 100%
Match form width to the left and right edges of the window | Click Zoom and select Fit to Width.
Matches form height to the top and bottom edges of the window | Click Zoom and select Fit to Height.

You can hide the fields, variables, and thumbnails by clearing these options.

To change the colors used for form fields, see Change Colors in HotDocs Forms.


Control Warnings During Assembly

When you assemble form documents, situations may arise where your answers may be altered. These situations include when answers overflow the field, or when field settings are different. HotDocs can warn you in such situations.

To control warnings that display during assembly

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show several options for working with forms.
  3. In the While Filling group, make selections based on the following information:
    • Select Warn when leaving a field that overflows to display the Overflow Status dialog box when an answer needs more space than the field allows.
    • Select Warn when typing in a restricted field to display the Restricted Field dialog box when you type in a field that can't be answered until other fields have valid answers.
    • Select Warn when overriding a field to display the Override Field dialog box when you choose to override a field.
    • Select Warn when attempting to create a field using the Fill tool to display a message explaining how to create a field when viewing the Form Document tab of the assembly window.

You can choose to have no warnings appear by clearing these options. This will not automatically resolve answer overflow or allow you to type answers in inactive fields. It only means no warnings will be displayed during the interview or direct-fill. When you attempt to save or print the document, you must resolve the overflow.


Save Printer Information for Printing Forms

Forms may need to be printed using a specific printer. You can have HotDocs remember which printer you use to print form documents, saving you the task of manually selecting the printer each time, especially when the printer you use for forms is different than your default printer.

To save information about the printer you use to print forms

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Form Documents folder. The right pane changes to show several options for working with forms.
  3. From the Printing group, select Remember the printer used for forms.
  4. Print a form document, selecting the printer you want to associate with forms.

You can have HotDocs not remember printer information by clearing this option. This means HotDocs will suggest the default printer you have selected for all printing.


Specify How PDF-based Forms Should Be Printed

When you print an assembled PDF-based form document, you can choose the program that controls the printing process—either HotDocs or Adobe Acrobat.

To specify how PDF-based form documents should always be printed

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several sub-folders, and the right pane changes to show several options for working with forms.
  3. At the Print PDF-based forms using drop-down list, do one of the following:
    • Select Always Ask to have HotDocs prompt you for your choice each time you print a PDF form.
    • Select HotDocs to always print the assembled document using HotDocs' printing technology.
    • Select Adobe Acrobat to always print the document using Adobe's printing technology.

Click here for tips on which printing option you should choose.


At a Glance: Properties for New Fields (HotDocs Options)

A

B

C

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you double click on Form Documents you will see a list open below containing a file for setting the options for the Properties for New Fields and the Properties for New Forms. Click on Properties for New Fields to bring up the Properties for New Fields dialog box.

There are two main sections on this dialog. The top section B allows you to set options for new edit fields. You can set the horizontal and vertical alignment of text within the field by selecting from the two drop-down menus on the left side of this section. Below this there are three further options for the field alignment and format. Check the first box to have HotDocs automatically set the vertical alignment to Top for multi-line fields, you can then set how many lines per inch you would like to type in the multi-line fields and check the box below to keep the maximum number of lines to 1 for single line fields. To the right of these options you can set the size of the border between the edge of the field and the text by entering measurements into the four fields. At the top right of this section you can set the font for new edit fields by clicking the Font button.

The second section in this dialog C allows you to set options for new check box fields. In the first number field you can set the field size below which HotDocs will automatically turn the field into a check box. Then you can choose what character HotDocs uses to check the field by typing it into the Character field and the minimum size that character can be. Below these options you can set the horizontal and vertical alignment of character within the field by selecting from the two drop-down menus. To the right of these options you can set the size of the border between the edge of the field and the text by entering measurements into the four fields. At the top right of this section you can set the font for new edit fields by clicking the Font button.

To find out more about setting options for New Fields follow the links below:

  • Set Properties for New Edit Fields
  • Set Properties for New check box Fields


Set Properties for New Edit Fields

You can specify the default properties that will be used each time you create an edit field in a HotDocs form. You can control font sizes, text alignment and spacing, and field margins.

To set the properties for all new edit fields

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Open the Properties for New Fields folder. The window changes to show options that control how edit fields appear.
  4. Make changes in the Edit Fields group, based on information in the following table:
To | Do This
Set font properties for text in edit fields | Click Font and make your changes at the Font dialog box.
Set the horizontal alignment for text in edit fields | At the Horizontal alignment drop-down list, select Left, Right, Center, or Justified.
Set the vertical alignment for text in edit fields | At the Vertical alignment drop-down list, select Left, Right, Center, or Justified. Vertical alignment is only apparent in multiple-line fields.
Align the text in multi-line fields with the top border of the field | Select Set to Top for multi-line fields.
Change the distance between lines of text in a multiple-line field | At the Lines per inch field, type a number (or click the up or down arrows to select a number).
Keep the user from manually entering multiple lines of text in a single-line answer field | Select Max lines 1 for single-line fields.
Changes the distance between the text and the edges of the field | At the Margins group, type a number (or click the up or down arrows to select a number) for the left, right, top, and bottom margins.

The changes you make are not applied to existing fields. The changes won't take effect until you create a new field. To change the appearance of existing edit fields, right-click on a field in the form and select Field Properties from the shortcut menu.

Some changes you make to these edit field properties may not affect specific fields because of settings assigned to these fields. For example, if the Max Lines setting for a field is set to 1, the Lines per inch property will have no effect—this property only affects multiple lines of text, but the Max lines setting limits the field to one line of text.


Set Properties for New check box Fields

When you create a field in a form document, HotDocs checks the size to see if it should be a check-box field. You can adjust the measurement that is used to distinguish check-box fields from edit fields. If a new field is identified as an edit field, HotDocs assigns standard formatting to the field that controls how answers appear in the field. You can also assign other default properties of a check-box field, such as assign the character that will be used when a field is selected, as well as set the alignment and margins of a field.

To set the properties for all new check box fields

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Click the Properties for New Fields folder. The window changes to show field detection options that affect what kind of fields are created.
  4. Make changes in the check box Fields group, based on information in the following table:
To | Do This
Set font properties for text in check box fields | Click the Font button, then make changes at the Font dialog box.
Sets the minimum size for edit fields so that all fields created smaller than this size will be created as check-box fields. | Enter a number in the Check-box detection threshold box. If you specify 0.00 as the value of this box, no new fields will be created as check-box fields.
Specify the character that will be inserted in a check box | Enter the character in the Character field.
Specify the smallest size that will be used for the check box character | Enter a font size in the Minimum size field.
Set the horizontal alignment for text in check-box fields | At the Horizontal alignment drop-down list, select Left, Right, Center, or Justified.
Set the vertical alignment for text in check-box fields | At the Vertical alignment drop-down list, select Left, Right, Center, or Justified.
Change the distance between the check box character and the edges of the field | At the Margins group, type a number (or click the up or down arrows to select a number) for the left, right, top, and bottom margins.

The changes you make are not applied to existing fields. The changes won't take effect until you create a new field. To change the appearance of existing check box fields, right-click on a field in the form and select Properties from the shortcut menu.


At a Glance: Overflow Properties (HotDocs Options)

A

B

C

D

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you double click on Form Documents you will see a list open below containing a file for setting the options for the Properties for New Fields and the Properties for New Forms. Double click on Properties for New Fields to see Overflow Properties appear in a list item below. Click on Overflow Properties to bring up the Overflow Properties Options dialog box.

The top set of options B allow you to decide what will happen when a field overflows. You can choose to have HotDocs shrink the answer to the font size of your choosing (you can change this by entering a number into the points field), send the answer to an addendum sheet, and/or spilt multi-line answers between the form field and the addendum.

The next set of check boxes C allows you to choose what HotDocs will do when sending answers from a table to the addendum. If the table overflows, you can choose to send the entire table to the addendum, send complete overflow rows to the addendum, or send individual overflow cells to the addendum.

The last set of options on this dialog D allows you to set options for the Addendum entries. In the first text field you can enter the text you would like HotDocs to place on the form as a cross reference to overflow answers in the addendum. In the second text field you can enter the label you would like to appear in the addendum before an entry and in the number field below you can choose how much space you would like between the label and the entry.

To find out more about setting options for Overflow Properties follow the links below:

  • Set Rules for Handling Answer Overflow
  • Specify Addendum References and Labels for Answer Overflow


Set Rules for Handling Answer Overflow

An answer overflows when it takes more space than is available in the answer field of a form document. This often requires that some or all of the answer be sent to the addendum. You can set rules that automatically control what happens when answers overflow.

To control what happens when answers overflow

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Open the Properties for New Fields folder, then select the Overflow Properties subfolder. The window changes to show options that control answer overflow.
  4. Make selections for handling edit field overflow, based on the following options:
    • Select Shrink answer as needed to and then enter the point size in the points field. HotDocs will attempt to reduce the answer to this font size before warning of overflow.
    • Select Send answer to addendum to have HotDocs automatically resolve all overflow by sending answers to the addendum.
    • Select Split multi-line answer between form field and addendum to have HotDocs send only the part of the answer that overflows in a multi-line field to the addendum.
  5. Make selections for handling table overflow, based on the following options:
    • Select Send entire table to send all answers in the table to the addendum.
    • Select Send complete rows to send answers from each row that contains a cell which overflows to the addendum.
    • Select Send individual cells to send answers from individual cells that overflow to the addendum.

The changes you make are not applied to existing fields. The changes won't take effect until you create a new field.

You can customize the reference that appears in the overflowed answer field. This can help you determine where the answer is located in the addendum. (See Specify Addendum References and Labels for Answer Overflow.)

You can remove the rules that automatically handle answer overflow by clearing these options. This will require you to manually resolve each instance of answer overflow.


Specify Addendum References and Labels for Answer Overflow

In a form document, when an answer overflows its answer field, the entire answer can be sent to an addendum. When this happens, HotDocs inserts text into the answer field, cross referencing you to the addendum for the full answer. You can specify what text is used in creating the cross reference as well as specify the text that identifies the answer once it has been sent to the addendum.

To control what information appears in overflow references and in the addendum

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Open the Properties for New Fields folder, then select the Overflow Properties subfolder. The window changes to show options that control answer overflow.
  4. In the Cross-reference text field, enter the cross-reference text you want to merge in the field if the answer overflows. (See Use Answer Overflow and Addendum Text Codes.)
  5. In the Addendum label text field, enter the text you want to appear as the label for the entry in the addendum.
  6. At the Table answer column indent field, enter a number (or click the up or down arrows to select a number) to control the distance between the label for that specific entry in the list of answers and the actual answer.

The changes you make are not applied to existing fields. The changes won't take effect until you create a new field.

If you leave the Cross-reference text field empty, HotDocs uses a default reference, See # in Addendum.


At a Glance: Properties for New Forms (HotDocs Options)

A

B

C

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you double click on Form Documents you will see a list open below containing a file for setting the options for the Properties for New Fields and the Properties for New Forms. Click on Properties for New Forms to bring up the Properties for New Forms dialog box.

At the top of this dialog is a check box B that allows you to choose if you would like HotDocs to generate a default interview from form fields.

Below that are three drop-down menus C that allow you to set the printing options for new forms. Using the first drop-down list you can choose to print Single-sided, Double-sided, side to side or Double-sided, top to bottom. In the middle drop-down list you can select a default paper size from a long list of options and in the last drop-down list you can choose a default paper source from a list of options.

To find out more about setting options for New Forms follow the links below:

  • Automatically Generate Default Interviews for Form Templates
  • Set Paper Size and Paper Source Defaults for Printing Forms


Set Paper Size and Paper Source Defaults for Printing Forms

You can specify the paper size and paper source to be used when forms are printed.

To set paper size and paper source properties for a form

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Click the Properties for New Forms folder. The window changes to show options that control the properties of newly created forms.
  4. At the Sides drop-down list, select one of the available options:
    • Choose Single-sided to print the form on one side of the paper.
    • Choose Double-sided, side-to-side to print the form on both sides of the paper, so consecutive pages read like a book.
    • Choose Double-sided, top-to-bottom to print the form on both sides of the paper, so consecutive pages read like a flip-chart.
  5. At the Paper Size drop-down list, select one of the available options.
  6. At the Paper Source drop-down list, select one of the available options.

Paper size and source settings are recommendations that will be passed on to the printer if possible. If printing via acrobat then paper size, paper source and duplex options will revert to your defaults.

The changes you make are not applied to existing templates. The changes won't take effect until you create a new template.

You can use command-line options to specify these printing properties. See the Paper Tray and Paper Size command-line options.


At a Glance: Addendum Properties (HotDocs Options)

A

B

C

D

E

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you double click on Form Documents you will see a list open below containing a file for setting the options for the Properties for New Fields and the Properties for New Forms. Double click on Properties for New Forms to see Addendum Properties appear in a list item below. Click on Addendum Properties to bring up the Addendum Properties Options dialog box.

There are four sections of options you can set here to change how the generated addendum appears. At the top of the dialog B you can set the width of the page margins in the four number fields; Left, Right, Top and Bottom.

The next set of options C control how the addendum header will appear. In the large text field you can enter the text you would like to appear as the addendum header. Leave the field blank if you do not want a header. Below that there are three more options for the addendum header. You can select the font you would like the header to use by clicking the Font... button, you can select the height of the header by entering a number in the Height field and you can choose the alignment of the text from the Alignment drop-down list. You can choose from Left, Center, Right or Justified.

Below the header options are a set of options that control the appearance of the addendum footer D. These are identical to the options for the addendum header but they control the text at the bottom of every page of the addendum. If you do not want a footer you can leave the text field blank.

The last set of options E on this dialog control the look of the addendum entries. You can choose the font you would like to use by clicking the Font... button, you can choose how much of an indent you would like between the label and the entry by entering a measurement in the central number field, and you can choose how much space you would like between sets of entries by entering a measurement in the right hand number field. Below these options there is a check box so you can decide if you would like to number the lines of entries to format the addendum as pleading paper.

To find out more about setting options for Addendum Properties follow the link below:

  • Customize the Appearance of Addenda


Customize the Appearance of Addenda

You can format the form addendum to fit your project requirements.

To change the addendum's appearance

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Double-click the Form Documents folder. The folder expands to show several subfolders.
  3. Double-click the Properties for New Forms folder, then select the Addendum Properties subfolder. The window changes to show options that control the format of the addendum.
  4. In the Page Margins group, enter margin widths (or click the up or down arrows to select a number). These numbers control the spacing between the answer text and the edges of the field.
  5. In the Header Properties and Footer Properties groups, specify the header or footer text you want to appear in the addendum:
    • At the Header text or Footer text field, type the text you want displayed in the addendum header or footer. (See Use Answer Overflow and Addendum Text Codes.)
    • At the Height field, type a number (or click the up or down arrows to select a number). This number controls the vertical height of the header section.
    • Click Font to display the Font dialog box, where you can change font properties of the header text.
    • At the Alignment drop-down list, select one of the available options: Left, Center, Right, or Justified.
  6. In the Addendum Entries group, make the following changes:
    • To change the font properties of the addendum entries, click Font to display the Font dialog box.
    • To control the distance between the label and the actual answer, enter a number (or click the up or down arrows to select a number) in the Indent field.
    • To control the distance between answer tables in the addendum, enter a number (or click the up or down arrows to select a number) in the Spacing field.
  7. Select Number lines to format as pleading paper to place lines on the right and left side of the addendum, with numbers along the entire left edge.

The changes you make are not applied to existing forms. The changes won't take effect until you create a new template.


At a Glance: Question and Answer Summaries (HotDocs Options)

A

B

C

D

E

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you click on Question and Answer Summaries you will see the Question and Answer Summaries Options dialog box, from here you can set options to decide how question and answer summaries are asked and displayed.

In the first section of options B you can choose the format for Question and Answer Summaries in a drop-down list. If you select One Column Format then the next section of options C becomes available and the third section D is grayed out. If you select Two Column Format the second section C will be grayed out and the third section D will become available. The other option in the first section B allows you to decide the maximum number of multiple choice options that will be displayed.

If you have chosen One Column Format in the first section B of the options then the four check boxes C allow you to further customize the look of the summaries. Here you can choose to indent the prompts displayed under dialog titles, precede the prompts with a bullet point, indent answers under prompts and precede answers with a bullet point.

If you have chosen Two Column Format in the first section B of the options then the drop-down list and number field D allow you set more options for your summaries. In the drop-down list you can choose how you would like the column borders to look. The choices are None, Plain or Sculptured. In the number field you can set the percentage of column width you would like taken up by the prompt.

The last option on the dialog E is a check box that allows you to decide whether you would like HotDocs to honor IF instructions in question summaries when they're answered.

To find out more about setting options for Question and Answer Summaries follow the links below:

  • Change the Way Question and Answer Summaries Appear
  • Control Which Variables are Asked in a Question Summary


Change the Way Question and Answer Summaries Appear

In question and answer summaries, you can specify a one-column or a two-column format:

  • The one-column format displays a simple list of variable prompts and answers (if you're generating an answer summary) or empty answer fields (if you're generating a question summary). Prompts and answers are grouped by dialogs. To make these summaries easier to read, you can indent these lists or use bullets.
  • The two-column format displays a list of variable prompts in one column and their associated answers (if you're generating an answer summary) or empty answer fields (if you're generating a question summary) in a second column. Prompts and answers are grouped by dialogs. You can control the appearance of these columns by specifying borders and choosing the width of the column that contains the prompt.

To format question or answer summaries

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Question and Answer Summaries folder. The right pane changes to show the summary options.
  3. If you want the summary to appear in one-column format, click the Format drop-down button, choose One-Column, and select from the following options:
    • Select Indent prompts under dialog titles to include a tab between the column's margin and the prompt. Selecting this option makes the dialog titles and variable prompts appear hierarchical.
    • Select Precede prompts with bullet to insert a bullet character next to each prompt.
    • Select Indent answers under prompts to include a tab between the column's margin and the answer. Selecting this option makes the prompts and the answers appear hierarchical.
    • Select Precede answers with bullet to insert a bullet character next to each answer.
  4. If you want the summary to appear in two-column format, click the Format drop-down button, choose Two-Column, and select from the following options:
    • Select a border style from the Borders drop-down list. Your options include None, Plain, and Sculptured.
    • Specify a percentage in the Percent of width taken by prompt field. This percentage determines how much of the viewable window is used to display the prompt. You can change this number by clicking the up or down arrows, or by typing a number directly in the field.
  5. Optionally, change the number in the Maximum multiple-choice options to display field to control the number of multiple-choice options that appear in a question or answer summary.


Control Which Variables are Asked in a Question Summary

Typically question summaries include all questions in a template. However, some questions may not be asked unless certain conditions are met or certain answers are entered. These kinds of questions are called conditional variables. You can limit question summaries so they show only the questions that are applicable, based on certain answers you provide.

An example of a conditional variable might be the section of an employee agreement template that deals with employee benefits. Questions relating to employee benefits are asked only if the employee qualifies for benefits. If you assemble a question summary for an employee who does not meet the conditions, the benefits questions should not appear in the summary.

To control conditional variables in a question summary

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Question and Answer Summaries folder. The window changes to show several summary options.
  3. In the Question Summaries group, select Honor IF instructions when answered.

This setting will take effect when you assemble a document, answer the conditional variables, and then view the question summary.

To once again generate a question summary that shows all the document questions, clear Honor IF instructions when answered.


At a Glance: Personal Information (HotDocs Options)

A

B

C

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you click on Personal Information you will see the Personal Information Options dialog box, from here you can enter details that HotDocs will save as personal information that can be used in the script editor and in templates as Personal Information Variables.

The large field B on this dialog contains a list of Personal Information variables and their answers. Using the buttons below C you can Edit existing Personal Information variables, Add new ones and Delete Personal Information variables that are no longer useful.

To find out more about setting options for Personal Information follow the links below:

  • Create Personal Information Variables
  • At a Glance: The Add/Edit Personal Information Dialog Box
  • Edit Answers for Built-In Personal Information Variables


At a Glance: The Add/Edit Personal Information Dialog Box

A

B

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages. If you click on Personal Information you will see the Personal Information Options dialog box, from here you can see the details that HotDocs has saved as personal information that can be used in the script editor and in templates as Personal Information Variables. Click the Add button, or click on any one of these items and then click the Edit button, to display the Add/Edit Personal Information Dialog Box.

In the first field A you can enter the name of the Personal Information variable you are creating or editing and in the second field B you can enter the answer you want assigned to the Personal Information variable. This answer is stored in the system registry. Once given, you will not be prompted to enter it again.

To find out more about editing Personal Information follow the links below:

  • Edit Answers for Built-In Personal Information Variables


Edit Answers for Built-In Personal Information Variables

Personal Information variables gather basic information, such as your name, company, and phone number. This information is stored in the Current User section of the system registry so it can be used in assembled documents without you having to re-enter it.

When you assemble a document using a template that has Personal Information variables, HotDocs asks for any personal information required by the template that you haven’t already entered. If you want to specify this information before document assembly, however, or if you want to change existing answers, you can do this at the HotDocs Options dialog box.

Because built-in variables are shared between all users of your workstation, you cannot delete the variable. You can, however, remove any personal information that has been entered for it.

To edit answers for Personal Information variables

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Personal Information folder. The right pane changes to show several Personal Information variables.
  3. Select the variable you want to modify and click Edit. The Edit Personal Information dialog box appears.
  4. Enter an answer in the Answer field and click OK. The value is now listed in the Answer column.

To remove an answer for a Personal Information variable, select the variable that contains the answer and click Delete. Click Yes to confirm the deletion.


At a Glance: Spell Checking (HotDocs Options)

A

B

C

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you click on Spell Checking you will see the Spell Checking Options dialog box, from here you can set the options for spell checking in HotDocs and specify your user dictionary.

There are 12 check boxes B on this dialog to set the spell checking options in HotDocs. You can choose to check or uncheck any of the following:

  • Spell check will ignore capitalized words
  • Spell check will ignore words in all capitals
  • Spell check will ignore words with mixed upper and lower case letters
  • Spell check will ignore words with digits
  • Spell check will match the case of the unrecognized word when comparing
  • Spell check will match the case of the unrecognized word when replacing
  • Spell check will always suggest replacement words
  • Spell check will make phonetic suggestions for unrecognized words
  • Spell check will make typographical suggestions for unrecognized words
  • Spell check will make split word suggestions for unrecognized words
  • Spell check will only check multiple-line text
  • Spell check will use the UK spelling dictionary

Below the check box options you can choose to change your default User Dictionary C. Using the [image] Browse button to the right of the field you can navigate to a different dictionary file on your computer.

To find out more about setting options for Spell checking follow the link below:

  • Change Your Spell Checking Options


Change Your Spell Checking Options

HotDocs can spell check answers entered during an interview.

As HotDocs spell checks, it looks at the spell checking settings stored in the HotDocs section of the system registry to determine what words the spell checker looks at and how it decides on words to suggest as possible alternatives to words not in the dictionary. You can change these settings.

To change your spell checking options

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Spell Checking folder. The contents of the window change to show your spell checking options.
  3. Select appropriate options, as described in the following table:
To | Do This
Cause HotDocs to ignore capitalized words, such as names, cities, titles, and so on | Select Ignore capitalized words (e.g. Canada).
Cause HotDocs to ignore words that contain all capital letters, such as acronyms or abbreviations | Select Ignore words in all capitals (e.g. ASAP).
Cause HotDocs to ignore words that contain both uppercase and lowercase letters | Select Ignore words with mixed case (e.g. InLine).
Cause HotDocs to ignore words that also contain digits | Select Ignore words with digits (e.g. Win95).
Cause the replacement words HotDocs suggests to match the case of the misspelled word | Select Match case when comparing.
Cause HotDocs to match the case of misspelled words when replacing them | Select Match case when replacing.
Cause HotDocs to provide a list of possible replacements for misspelled words | Select Always suggest replacements.
Cause HotDocs to provide a list of possible replacements based on words that sound like the misspelled word | Select Make phonetic suggestions.
Cause HotDocs to provide a list of possible replacements based on words that are typographically similar | Select Make typographical suggestions.
Cause HotDocs to provide a list of possible replacements that are made up of more than one word | Select Make split word suggestions.
Cause HotDocs to check the spelling only if the text is more than 1 line | Select Check multiple-line text only.
Cause HotDocs to use the British spelling dictionary rather than the English dictionary | Select Use UK spelling dictionary.

When a word is not in the spelling checker’s dictionary, HotDocs checks for it in your personal dictionary, Personal Dictionary.TLX. If it is not found there, you can add it by clicking Add at the Check Spelling dialog box.

You can change these settings whenever you are spell checking. To do this, click Options at the Check Spelling dialog box.


At a Glance: Word Processors (HotDocs Options)

A

B

C

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you select Word Processors you will see the Word Processors Options dialog box. From here you can change what word processors HotDocs supports and choose your default word processor.

The two lists of word processors at the top of the form B display all the word processors that HotDocs can support. HotDocs identifies which word processors you have installed on your computer and ungrays those word processors only. Any word processors already displaying a check are already supported. If you check an empty box next to any of the ungrayed options then these are supported once you close the Options dialog box.

The drop-down arrow C below these lists enables you to select a default word processor from your supported word processors.

While you can choose any version of WordPerfect as the default version HotDocs uses to create a new WordPerfect template, for Word, you are limited to selecting the latest version of Word installed on your machine as the default version HotDocs uses to create new Word templates.

Using the check box options below the drop-down, you can choose to Send assembled documents to the word processor that matches their template type (useful if you have both Microsoft Word and WordPerfect installed) and choose to Launch word before sending a document to the word processor (to allow Word Macros to run).

To find out more about setting options for Word Processors follow the links below:

  • Install Support for New Word Processors
  • Change Your Default Word Processor


Install Support for New Word Processors

Before installing support for a new word processor, make sure you run the newly installed word processor program at least once. This creates entries for the new word processor in the Windows System Registry that HotDocs needs to properly integrate with the word processor.

When you install a new word processor and you want to use it with HotDocs, you can install support for it through HotDocs Options. If multiple users use the workstation, support for the word processor will be installed for them as well.

To install new word processor support

  1. Install the new word processor and run it at least once.
  2. Start HotDocs. (See Start HotDocs.)
  3. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  4. Click the Word Processors folder. The right pane changes to show a list of word processors which HotDocs supports. (Word processors for which you have already installed support are selected, while word processors that are not installed are disabled.)
  5. Select the word processor for which you want to install support.
  6. Click OK. The HotDocs Options dialog box closes.

Once you close the HotDocs Options dialog box, HotDocs runs the Current User Setup, which copies the required files to the correct program folders. (See Understand HotDocs Installation.)

Click here to see a list of which word processors are supported for this release.

To make the newly installed word processor the default word processor, you must manually select it after you install support for it. See Change Your Default Word Processor for details.

You may need to restart the word processor to add the correct HotDocs buttons and toolbars to it.


Change Your Default Word Processor

If you have both Microsoft Word and WordPerfect installed for HotDocs, you must choose which word processor HotDocs should use as the default. The default word processor determines which word processor will be opened when you finish the interview and send the assembled document to it.

To specify a default word processor

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Word Processors folder. The right pane changes to show supported word processors.
  3. Click the Default word processor drop-down button and select a word processor.
  4. Optionally, to send assembled documents to the word processor that matches the template file type, select Send assembled documents to word processor based on template type.
  5. Optionally, to start Word before you send the assembled document to it, select Launch Word before sending to word processor (allows auto macros to run). (This is useful if the underlying template uses AutoExec or AutoOpen macros, since HotDocs explicitly disables the execution of Auto macros in Word before it sends a document to Word after assembly.)

Click here to see a list of which word processors are supported for this release.


At a Glance: Word Processor File Locations (HotDocs Options)

A

B

C

D

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you double click on Word Processors you will see a list open below containing a file for each of your supported word processors. Click on one to bring up the Word Processor File Locations dialog box for that particular word processor, from here you can change the default file locations for that word processor.

From here you can edit three file locations for the selected word processor. In the first field B you can change the default documents folder by clicking on the [image] Browse button next to it and navigating to the folder you need. In the second field C you can change the default folder that HotDocs stores and looks for templates. In the third field D you can change the startup folder for the chosen word processor.

To find out more about setting options for Word Processors File Locations follow the link below:

  • Change Word Processor File Locations


Change Word Processor File Locations

By default, HotDocs uses certain folders that were specified during installation to store text templates and assembled text document files that are used with HotDocs. These folder names and file paths become the default location HotDocs looks when no specific path is assigned at the file's properties.

At the library, you can check whether a full path is given by selecting the template and clicking the [image] Properties button. If a full path is given, HotDocs uses that information when accessing the file. Otherwise, HotDocs uses the default file location specified here.

You can change the locations HotDocs looks for these files.

To change the location of word processor files

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Double-click the Word Processors folder so that it expands to show subfolders for each word processor that is installed.
  3. Click the word processor folder for which you want to make changes. The right pane changes to show the different file locations of the document, template, and startup files (or macro files for WordPerfect users).
  4. For each file location you want to change, click the [image] Browse button next to the file location path and navigate to the new location.

If templates in your library use the default file path for its templates, you must move your templates to this new location or HotDocs will not be able to find them. See Move Items to New Locations on Disk.


At a Glance: File Locations (HotDocs Options)

A

B

C

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you select File Locations you will see the File Locations Options dialog box. From here you can change where HotDocs stores saved files and you can edit the assigned reference paths of HotDocs Libraries.

From this folder, you can change the locations of the following file types: ANX, CMP, HDI, HDL, HDP, HFD, HFT, HPD, HPT, PDF, TTX. You change text file locations from the Word Processors folder just above the File Locations folder.

In the first list B you can see the locations of all the HotDocs folders. By selecting a folder from this list and clicking the Edit button below the list you can change where HotDocs will automatically save those files.

In the second list C you can see the file paths of your HotDocs libraries. By selecting a library from this list and clicking the Edit button below the list you can change where HotDocs will automatically save those files. You can also click Add to add a new library file path to the list.

To find out more about setting options for file locations follow the links below:

  • Change HotDocs Program File Locations
  • Assign Reference Paths to HotDocs Files
  • At a Glance: Word Processors (HotDocs Options)


Change HotDocs Program File Locations

When you install and use HotDocs, the program makes several entries in the System Registry that indicate to HotDocs where to look for files, as well as where to suggest you save files. (See Understand HotDocs Installation.) In most situations, HotDocs uses this information each time you perform a task in HotDocs. If you ever need to change these default locations, you can do so at HotDocs Options.

If a full path is specified for the file you are attempting to access, that file path will be used, rather than the default file path. (To check whether a full path is given, select the item and click the [image] Properties button.)

You can change the default location HotDocs looks for the following files:

  • Library files (HDL files).
  • Template files (HFT, HPT, and CMP files). (To change the default location for text templates, see Change Word Processor File Locations.)
  • Template Sets (installed HDI files).
  • Catalog Files (files used to keep published template sets up to date).
  • Answer files (ANX files).
  • Form document files (HFD, HPD, and PDF files).

To change the default location of HotDocs files

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the File Locations folder. The window changes to show a listing of the different HotDocs file paths.
  3. In the HotDocs Folders group, select a file type and click Edit. The Browse for Folder dialog box appears
  4. Browse to the new location and click OK. HotDocs will use this location as the new default.

You must restart HotDocs for these changes to take effect.


Assign Reference Paths to HotDocs Files

A HotDocs library will work only if each template listed in the library is located in the exact path specified in the Item Properties dialog box for that template. This makes it difficult to create a library that will work for multiple users who will not store the templates in the same locations. A reference path lets you create a library that will work, regardless of where users store their templates.

A reference path is a folder path for a template in which the drive letter and some or all of the folder names have been replaced with a caret (^) and a keyword. The keyword is associated with an actual folder path in the user's HotDocs settings. When HotDocs needs to open a template, it replaces the caret and keyword in the folder path for the template with the folder path that is associated with the keyword in the user's HotDocs Options.

Some common uses of reference paths are:

  • With distributed template sets which allow users to choose where they install the templates (even if they can only choose the drive to which the templates are installed).
  • With templates located on a network drive that is mapped to a different letter for some of the users.

In order for your library to work for users regardless of where they store the templates, you need to enter a reference path for all templates and clause libraries in the library. You should use the same keyword for all the items in the library.

If you know the library items won't all be stored in the same subfolders, use the keyword only in place of the part of the path that is identical for all items. For example, if some of the templates will be stored in a General subfolder and others will be stored in a Family Law subfolder, you would use the reference path ^keyword\General\template.ext for those templates in the General subfolder and ^keyword\Family Law\template.ext for those templates in the Family Law subfolder (where keyword is a placeholder for the keyword you use and template.ext is a placeholder for the file name and extension of the template).

To associate a keyword with a path and assign the reference path

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the File Locations folder. The window changes to show a listing of the different HotDocs file paths.
  3. In the Reference Paths section, click Add. The Add/Edit Reference Path dialog box appears.
  4. Type a keyword for the reference path in the Keyword field.
  5. Click the [image] Browse button next to the Path field, and specify the path to the subfolder you want to use.
  6. Click OK.

Once you have designated the keywords and paths that HotDocs needs to know about your files, you can assign reference paths to the templates. (These templates must be saved to the subfolder you specified in Step 5, above.)

  7. At the HotDocs library window, select the template for which you want to specify a reference path and click the [image] Properties button. The Item Properties dialog box appears.
  8. If the File name field contains a folder path as well as a file name, delete the part of the path that is the same for all items in the library.
  9. Place your cursor before the first letter in the File name field and type caret (^), the keyword, and a backslash (\).
  10. Click OK.

When publishing your template set as an auto-install (.HDI) file, HotDocs automatically creates the reference paths and enters the correct information in the user's HotDocs settings during installation.

For instructions on assigning reference paths to multiple library items, see Change the Properties for Multiple Items in a Library.


At a Glance: File Management (HotDocs Options)

A

B

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you select File Management you will see the File Management Options dialog box. From here you can change how HotDocs manages answer files and assembled documents.

The first option B allows you to choose how you would like to manage your answer files. You can choose from:

  • HotDocs Answer File Manager
  • Windows Explorer

To find out more about setting options for file management follow the links below:

  • Manage Answer Files
  • Manage Assembled Document Files


Manage Answer Files

To work with answer files, you can either use Answer File Manager, or you can use Windows Explorer. (See Introduction: Use Answer Management.) Answer File Manager uses an answer library (.HAL) file to create, store, and select answer files. Windows Explorer allows you to work with answer files using the common File > Open or File > Save dialog boxes.

Which option you choose depends on your preference. For example, Answer File Manager works well if you are the only user and you like the functionality available with a library. However, Windows Explorer makes more sense for managing answer files in a multi-user setting. Windows Explorer also lets you see more clearly where the actual answer files are saved.

To change how HotDocs locates and manages answer files

  1. At the HotDocs library, click the [image] Options button.
  2. Click the File Management folder.
  3. Click the Manage answer files using drop-down button and select an option:
    • HotDocs Answer File Manager uses an answer library to create, store, and select answer files.

The first user to open an answer library is the only one who has write access to it. That means only one person can modify items in the library at any given time. If multiple users must access the answer files, use Windows Explorer to manage the files.

    • Windows Explorer uses Windows Explorer to create, save, and select answer files.


At a Glance: Template Set Updates (HotDocs Options)

A

B

C

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you select Template Set Updates you will see the Template Set Updates Options dialog box. From here you can change how HotDocs updates your template sets.

There are 3 check boxes at the top of the page B, these control when HotDocs updates the template sets and how the update progress will be displayed:

  • Check the first box if you would like HotDocs to check for updates every time the library is opened.
  • Check the second box if you would like HotDocs to show a progress window while it is checking for updates.
  • Check the third box if you would like HotDocs to alert you when there is an update icon displayed on the status bar.

Underneath these options will be a list C of all the template sets you can keep updated.

Follow the link below to find out more about setting options for template set updates:

  • Determine How Frequently HotDocs Checks for Template Set Updates


Determine How Frequently HotDocs Checks for Template Set Updates

If you are using a published template set and the template publisher provides automatic updates, you can have HotDocs check for these updates each time you start HotDocs. (Please check with your template set publisher to determine if your template set includes automatic updates.)

To check for template set updates

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Template Set Updates folder. The window changes to show update options.
  3. Complete any of the following optional steps:
To | Do This
Always check for updates when you start HotDocs | Select Perform scheduled checks for updates when HotDocs is started. (If HotDocs detects an update, it displays a warning icon in the status bar of the HotDocs window.)
Display a window that shows the progress HotDocs makes in installing the updates | Select Show progress window when checking for updates.
Choose the template sets for which you want to check for updates | Select the set in the Select the template sets you want to keep up-to-date list.


At a Glance: Plugins (HotDocs Options)

A

B

C

Illustrations used throughout the help file depict HotDocs Developer and may include features not present in HotDocs Player.

After opening [image] HotDocs Options from the toolbar (or Tools menu) in your HotDocs Library you can choose from a list of option pages in the left hand pane A.

If you select Plugins you will see the Plugins Options dialog box. From here you can enable or disable HotDocs Plugins.

In the Plugin List B you can see all the HotDocs plugins currently installed and you can click on an item in this list to highlight it.

With any item highlighted you can click the buttons C to Enable the plugin, Disable the plugin, or set your Preferences.

Follow the link below to find out more about setting options for plugins:

  • Set Options for HotDocs Plugins


Set Options for HotDocs Plugins

If you are using HotDocs Plugins, you may need to enable or disable one or more at some point. You may also find it useful to set your preferences for each plugin. You can do all of this from the HotDocs Options dialog box.

To Enable/Disable a Plugin

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Plugins folder. The window changes to show plugin options.
  3. Select any of the currently installed plugins from the Plugin List.
  4. Click either the Enable or Disable button.

To Set Plugin Preferences

  1. At the HotDocs library, click the [image] Options button. The HotDocs Options dialog box appears.
  2. Click the Plugins folder. The window changes to show plugin options.
  3. Select any of the currently installed plugins from the Plugin List.
  4. Click the Preferences button. This opens the Plugin Preferences dialog box.


Introduction: Command-Line Options

Command-line options control the way HotDocs assembles text and form documents. You can place most options on any command line that causes HotDocs to run. They are case-sensitive and must be typed in lowercase letters. If the option requires you to include a full file path, you must enclose the file path with quotation marks (" ").

You can use command-line options in different ways, including specifying the options at the command line, at the Properties dialog box of a given template, within an ASSEMBLE instruction, and for the program file's shortcut.

Most command-line options control certain aspects of document assembly. For example, you can specify an option that always prints an assembled document once it has been sent to the word processor.

When you start HotDocs from the command line, it will continue to run, even after the processing of the command-line request is completed. To close HotDocs after it processes the command-line request, use the Exit HotDocs option.

When using multiple options on a single command line, separate each option with a space character. If the command line includes space characters, you must enclose the path in quotation marks (" ").

See Also

Full List of Command-line Options


Use Command-Line Options When Starting HotDocs

To use command-line options when starting HotDocs

  1. Choose Run from the Start menu. The Run dialog box appears.
  2. Type "C:\Program Files\hotdocs.exe" (including the quotation marks) followed by a space and the options you want in the Open field. For example:

"C:\Program Files\HotDocs\Hotdocs.exe" /tf=demoempl.docx

  3. Click OK. If HotDocs is not already running, it loads and then performs the command-line instructions. If HotDocs is already running, it performs the command-line instructions.


Use Command-Line Options when Using a Shortcut to Start HotDocs

To use command-line options when using a shortcut to start HotDocs

  1. Locate the HotDocs program file shortcut. (A shortcut is an icon on the desktop or Start menu that a user can click to quickly access a program.)
  2. Right-click the icon and select Properties from the shortcut menu. The program item's Properties dialog box appears.
  3. Select the Shortcut tab.
  4. In the Target field, enter a space after the executable (.EXE) file and type the options you want.


Use Command-Line Options within ASSEMBLE Instructions

To use command-line options within ASSEMBLE instructions

  1. Open the library you need at the HotDocs library window.
  2. Select the template with the ASSEMBLE instruction you wish to add a command-line option to, and click [image] Edit.
  3. Double click on the ASSEMBLE instruction.
  4. The Other Field dialog box will open.
  5. In the Template to assemble field, following the file name, type a space and the command-line options you want to use. For example:

Collection Letter.docx /sa


Use Command-Line Options at File Properties

To add command-line options to a library item

  1. Open a library at the HotDocs library window.
  2. Select the library item and click the [image] Properties button to open the Item Properties dialog box.
  3. In the File name field, following the file name, type a space and the command-line options you want to use. For example:

/af="C:\Documents and Settings\Username\My Documents\HotDocs\Answers\jalvey.anx"


Full List of Command-Line Options

Below is a list of all the available command-line options grouped by use. For more information on any option follow the link to its full description.

Application Control Switches

These switches are used to feed instructions to the HotDocs executable from the command line.

Option |  | Description
Mutually Exclusive* | /tf="" | The Template File option causes HotDocs to assemble a document using the specified template or clause library.
 | /ha="" | The HotDocs Auto-Assemble File option causes a document to be assembled using the specified auto-assemble (.HDA) file.
 | /hi="" | The HotDocs Auto-Install File option causes the template set in the specified auto-install (.HDI) file to be installed. During this process, HotDocs prompts the user for any required information it needs to install the template library to the correct location.
/lf="" |  | The Library File option allows you to start HotDocs and open a specific library. If HotDocs is already running, it opens the library specified by the path and file name.
/ll |  | The Lock Library option locks the current library and prevents the user from editing the library or its contents. Specifically, when HotDocs is launched and the library appears, users can select templates and assemble documents from them. They can also view the answer library and change user preferences at the HotDocs Options dialog box. All other options are unavailable.
/ex |  | The Exit HotDocs option closes HotDocs when both of the following conditions are met: 1) there are no documents waiting to be assembled, and 2) all other programs are finished using HotDocs.
/db |  | The Don't Brag option stops HotDocs from displaying the splash screen when it opens.
Mutually Exclusive* | /hl | The Hide Library option causes HotDocs to assemble a document without first displaying the HotDocs template library. The user will not see the template library window at all during assembly. It is most commonly used by integrators who are using HotDocs with a third-party program and want to start an assembly without first displaying the template library window.
 | /sl | The Show Library option forces HotDocs to display the template library if it is currently not showing. This is useful if you are integrating HotDocs with another program and you have hidden the library using the Hide Library option.

Template Type Switch

When a template is referred to by HotDocs, the template type is inferred from the file name extension. However, in some cases additional information is required so HotDocs knows how to process the requested template. This switch (usable in combination with the /tf="" switch, on library items) can help with that.

Option | Description
/cl="name" | The Clause Name option is used by HotDocs to identify which clause component is associated with an item in a clause library. It is also used by HotDocs to process INSERT instructions during the assembly process. Generally speaking, developers should never have to modify this option unless they are converting clauses from one file format to another. Likewise, end users may see the Clause Name option while working with clauses at a clause library or during assembly, but should not modify it.

Answer Initialization Switches

These switches are used to initialize & define the answer set that will be used for an interview or assembly. They can be used in combination with the /tf="" switch and on library items.

Option |  | Description
/df="" |  | The Default Answer File option specifies a default answer file that is used to "seed" any answer file created during assembly. When a new answer file is created, it is automatically loaded with answers from the default answer file.
Mutually Exclusive* | /af="" | The Answer File option is useful if you want to use a specific answer file when you assemble a document. The option does two things: 1) when a template is selected for assembly, it immediately opens the specified answer file without displaying the Answer File dialog box, and 2) it sets the value for path and file name as the current answer file name to be used when answers are saved. If the specified answer file doesn't exist, it will be created when the user saves the answers
 | /na[=""] | The New Answer File option specifies a new, untitled answer file to be used when assembling a given document. This option causes HotDocs to suppress the Answer File dialog box, which normally appears before assembly. Specifying a path and file name is optional. If a file name is specified, it will be used for the new answer file. If an answer file with that same name already exists, HotDocs overwrites the existing file with the new one. If no file name is specified, HotDocs displays a Save Answer File dialog box at the end of assembly.
/ov="" |  | The Overlay Answer File option causes HotDocs to take answers from a specific answer file and overlay them in the current answer file. For example, if you have specific information about a client that can be used in assembling multiple documents, you can save just that information in an overlay answer file and then use the Overlay Answer File option to force HotDocs to use those answers when assembling a document. All answers entered during assembly (including overlaid answers) are saved to the current answer file—not the overlay answer file—thus maintaining the integrity of the overlay answer file. An overlay answer file is loaded after the regular answer file so that the answers contained therein can overlay existing answers.

Interview Behavior Switches

These switches are used to modify the default behavior of the assembly window. They can be used in combination with the /tf="" switch and on library items.

Option |  | Description
Mutually Exclusive* | /nw | The No Assembly Window option causes HotDocs to assemble a document without displaying the assembly window.
 | /ni | The No Interview option removes the Interview tab from the assembly window, and,by default, displays the assembled document in the Document Preview or Form Document tab (depending on whether you are assembling a text or form document). To present a correctly assembled document, you should specify an answer file using the Answer File option. Otherwise, the document will be assembled without any answers.
 | /fia | When a user starts assembling a template that has the Finish Interview Action command-line option applied, HotDocs will complete the action defined in HotDocs Options—either display the assembled document at the Document tab of the assembly window or send the document to the word processor or HotDocs Filler. (See Control What Happens When You Finish an Interview.)
/la |  | The Lock Answer File option prevents users from opening, closing, and saving answer files during document assembly. If it is the only option used, however, users can choose an answer file before assembly and save any answers they have entered after assembly.
/sig |  | The Start Interview Group option is used to control which questions are asked when assembling a group of related documents, specifically, it keeps questions that are already answered in one interview from being asked in subsequent interviews. It must be used with the Keep Interview Group option, which must be assigned to each subsequent template within the group.
/kig |  | The Keep Interview Group option is used to control which questions are asked when assembling a group of related documents, specifically, it keeps questions that are already answered in one interview from being asked in subsequent interviews. It must be used with the Start Interview Group option, which must be assigned to each subsequent template within the group.
/is=u |  | The Interview Scope option allows you to ask only those dialogs that contain questions not answered by an existing answer file. This may be useful, for example, if you have some answers you are retrieving from a database that you don't want the user to change. Using this option will ask only those questions that don't have answers. Cannot be used with the Start Interview Group option or the Keep Interview Group option.
/sw |  | The Suppress Unanswered Warning option keeps HotDocs from displaying the warning dialog box that appears when the user attempts to either print, save, or send the assembled document to the word processor and the assembled document still contains unanswered questions.

Answer Disposition Switches

These mutually exclusive switches can be used to dictate what happens to answers that were modified while the assembly window was open or during assembly. They can be used in combination with the /tf="" switch and on library items.

Option |  | Description
Mutually Exclusive* | /sa | The Save Answers option forces an answer file to be saved at the end of an assembly. If using an existing answer file, any answers entered during the interview will be saved automatically. If using a new, untitled answer file, HotDocs will force the user to specify an answer file name.
 | /sap | The Save Answers Prompt option, which is used in connection with an ASSEMBLE instruction, prompts the user to save an answer file after completing an interview. Regardless of whether the user uses an existing answer file during assembly, when the user finishes that assembly, HotDocs prompts to save the answers in a different file.
 | /ss | The Suggest Save option, which is used in connection with an ASSEMBLE instruction, causes HotDocs to ask users after assembly of a document has finished if they want to save answers entered during the interview in an answer file. Specifically, if the user has assembled a document and made changes to an existing answer file, HotDocs prompts to save the answers to that file. If saving a new, untitled file, HotDocs allows the user to specify the new answer file name.
 | /ssn | The Suggest Save New option, which is used in connection with an ASSEMBLE instruction, causes HotDocs to ask if answers should be saved in a new answer file after assembly of a document has finished. Regardless of whether the user is using an existing answer file during assembly, when the user finishes that assembly, HotDocs gives the user the option of saving the answers in a new answer file.
 | /da | The Discard Answers option prevents the user from saving answers after the document has been assembled. This option is useful when you know you will never want to save the answers you use with a particular template (for example, a fax cover sheet), and you don't want HotDocs to ask about saving the answers when you close the assembly window. However, the user can save the answer file during the interview.

Document Disposition Switches

These switches can be used to dictate what happens to a document after its assembly is complete. They can be used in combination with the /tf="" switch and on library items.

Option | Description
/of="" | The Output File option causes HotDocs to assemble the document and save it using the file name specified. If you are using the Answer Summary or Question Summary options, the Output File option specifies the name for either of those generated documents. This is useful if you know you want to save an assembled document every time assembly of that document finishes.
/as | The Answer Summary option is used with the Output File option to specify the path and file name for saving an answer summary. It is useful if you want a certain template to always generate an answer summary document.
/qs | The Question Summary option is used with the Output File option to specify the path and file name for saving a question summary. It is useful if you want a certain template to always generate a question summary document.
/sto | The Send to Plugin option sends the assembled document to a specified output plugin.
/stw | The Send to Word Processor option sends the assembled document to the word processor once the user closes the assembly window. This is useful if you know you always want to view the assembled document using the word processing program.

Automator/Filler Command Line Switches

These switches can be used to dictate how HotDocs will print form templates from HotDocs Automator/Filler.

Option |  | Description
/pr |  | The Print option causes HotDocs to print a copy of the assembled text or form document once the user closes the assembly window. This is useful if you know you will always need to print a copy of a specific assembled document.
/pw |  | The Print Without Dialogs option causes HotDocs to bypass the Print dialog box and print the form using the current printer. The form is printed when the user clicks the Print Document button at the assembly window.
/ps="" |  | The Paper Size option selects the specified paper size when the user prints a copy of the form template or document. The effect is the same as manually setting the page size from the Print dialog box. This option works with form templates and documents only.
/pt="" |  | The Paper Tray option causes a specified printer paper tray or manual feed option to be used when printing a form document from HotDocs Filler. Paper tray values that can be used include manual, upper, lower, and so forth. For a complete list of acceptable values, either at the assembly window or at the HotDocs Filler window, click Document Properties > Printing (File menu) and click the Paper Source drop-down button.
/pc=n |  | The Print Copies option specifies the number of copies that should be printed when the user prints the form document (type in the number of copies needed instead of the letter n). This number should appear in the Number of Copies field at the Print dialog box.
/pd |  | The Print Duplex option sets the duplex printing option for a given form document. It prints the document Double-Sided, Side-to-Side, as if that option were selected at the Printing Properties dialog box (which you can access by clicking Document Properties > Printing (File menu).) When the user prints the form document, it is printed using this option.
Mutually Exclusive* | /pa | The Print Answers Only option selects the Answers Only (Use Preprinted Form) option at the Print dialog box. Then, when the user prints the assembled form document, it prints only the form's answers and not the underlying static text. This allows you to use preprinted forms.
 | /po | The Print Form Only option selects the Form Only (Blank Form) option at the Print dialog box. Then, when the user prints the form document, it prints a blank copy of the form without answers.
 | /pb | The Print Both option selects the Form with Answers option at the Print dialog box. Then, when the user prints the form document, the current form and its answers are printed.

*Mutually exclusive switches will not show an error if used in the same command-line but will cause unpredictable behavior. We recommend you do not use these switches together.


Answer File

/af="path and file name"

The Answer File option is useful if you want to use a specific answer file when you assemble a document. The option does two things: 1) when a template is selected for assembly, it immediately opens the specified answer file without displaying the Answer File dialog box, and 2) it sets the value for path and file name as the current answer file name to be used when answers are saved. If the specified answer file doesn't exist, it will be created when the user saves the answers.

When using an existing answer file, you can retrieve an answer file from a location on a Web server by specifying a URL for the path and file name (for example, /af=http://www.yoursite.com/answers.anx). (You cannot, however, save an answer file back to the server.)

You cannot assign the Answer File (/af) option to a HotDocs Auto-Assemble file.

If using this option at the command line, include the Template File (/tf) option.


Answer Summary

/as

The Answer Summary option is used with the Output File option to specify the path and file name for saving an answer summary. It is useful if you want a certain template to always generate an answer summary document.

The Answer Summary option is normally used with the No Assembly Window and Answer File options, which cause HotDocs to automatically create and save the answer summary document without displaying the assembly window.

Answer summaries are saved in HTML format.

If using this option at the command line, include the Template File (/tf) and Output File (/of) options. If using this option at the library properties, include the Output File (/of) option.


Clause Name

/cl=clausename

The Clause Name option is used by HotDocs to identify which clause component is associated with an item in a clause library. It is also used by HotDocs to process INSERT instructions during the assembly process. Generally speaking, developers should never have to modify this option unless they are converting clauses from one file format to another. Likewise, end users may see the Clause Name option while working with clauses at a clause library or during assembly, but should not modify it.


Default Answer File

/df="path and file name"

The Default Answer File option specifies a default answer file that is used to "seed" any answer file created during assembly. When a new answer file is created, it is automatically loaded with answers from the default answer file.

When specified, it does not need to have the same file name as the template's component file, nor does it need to be saved in the same folder as the component file. However, the default answer file name should be different from the current answer file name. Also, when using an existing default answer file, you can retrieve it from a location on a Web server by specifying a URL for the path and file name (for example, /df=http://www.yoursite.com/defaultanswers.anx).

If using this option at the command line, include the Template File (/tf) option.


Discard Answers

/da

The Discard Answers option prevents the user from saving answers after the document has been assembled. This option is useful when you know you will never want to save the answers you use with a particular template (for example, a fax cover sheet), and you don't want HotDocs to ask about saving the answers when you close the assembly window. However, the user can save the answer file during the interview.

To disable all answer file usage (saving, selecting new, and so forth) during a given assembly, use the Lock Answer File (/la) option.

If using this option at the command line, include the Template File (/tf) option.


Don't Brag

/db

The Don't Brag option stops HotDocs from displaying the splash screen when it opens.


Exit HotDocs

/ex

The Exit HotDocs option closes HotDocs when both of the following conditions are met: 1) there are no documents waiting to be assembled, and 2) all other programs are finished using HotDocs.


Finish Interview Action

/fia

When a user starts assembling a template that has the Finish Interview Action command-line option applied, HotDocs will complete the action defined in HotDocs Options—either display the assembled document at the Document tab of the assembly window or send the document to the word processor or HotDocs Filler.

If using this option at the command line, include the Template File (/tf) and Answer File (/af) options. If using this option at the library properties, include the Answer File (/af) option.


Hide Library

/hl

The Hide Library option causes HotDocs to assemble a document without first displaying the HotDocs template library. The user will not see the template library window at all during assembly. It is most commonly used by integrators who are using HotDocs with a third-party program and want to start an assembly without first displaying the template library window. (See also Show Library.)

If using this option at the command line, include the Template File (/tf) option.


HotDocs Auto-Assemble File

/ha="path and file name"

The HotDocs Auto-Assemble File option causes a document to be assembled using the specified auto-assemble (.HDA) file.

You can also specify a URL for the path and file name (for example, /ha=http://www.yoursite.com/hdafile.hda).


HotDocs Auto-Install File

/hi="path and file name"

The HotDocs Auto-Install File option causes the template set in the specified auto-install (.HDI) file to be installed. During this process, HotDocs prompts the user for any required information it needs to install the template library to the correct location.

You can also specify a URL for the path and file name (for example, /hi=http://www.yoursite.com/hdifile.hdi). When this command is passed, HotDocs downloads the file and prompts the user for the information needed to install the template library.


Interview Scope

/is=u

The Interview Scope option allows you to ask only those dialogs that contain questions not answered by an existing answer file. This may be useful, for example, if you have some answers you are retrieving from a database that you don't want the user to change. Using this option will ask only those questions that don't have answers.

Cannot be used with the Start Interview Group (/sig) option or the Keep Interview Group (/kig) option.


Keep Interview Group

/kig

The Keep Interview Group option is used to control which questions are asked when assembling a group of related documents, specifically, it keeps questions that are already answered in one interview from being asked in subsequent interviews. It must be used with the Start Interview Group option, which must be assigned to each subsequent template within the group.

For example, you have three related templates that will be added to the assembly queue (Template A, Template B, and Template C). Each of these templates uses Variable A. To keep Variable A from being asked in all three interviews, you would assign the Start Interview Group option to Template A. Then you would assign the Keep Interview Group option to Templates B and C. Once the user answers Variable A, it will not be asked in any subsequent interviews.

If a template is added to the assembly queue that doesn't use either of these options, it and any subsequent templates will not be included in the interview group.


Library File

/lf="path and file name"

The Library File option allows you to start HotDocs and open a specific library. If HotDocs is already running, it opens the library specified by the path and file name.


Lock Answer File

/la

The Lock Answer File option prevents users from opening, closing, and saving answer files during document assembly. If it is the only option used, however, users can choose an answer file before assembly and save any answers they have entered after assembly.

To keep users from choosing an answer file before assembly, specify an answer file using the Answer File option. To keep them from manually saving their answers, use either the Discard Answers option or the Save Answers option.

If using this option at the command line, include the Template File (/tf) option.

Does not work in conjunction with the No Assembly Window (/nw) option.


Lock Library

/ll

The Lock Library option locks the current library and prevents the user from editing the library or its contents. Specifically, when HotDocs is launched and the library appears, users can select templates and assemble documents from them. They can also view the answer library and change user preferences at the HotDocs Options dialog box. All other options are unavailable.


New Answer File

/na[="path and file name"]

The New Answer File option specifies a new, untitled answer file to be used when assembling a given document. This option causes HotDocs to suppress the Answer File dialog box, which normally appears before assembly. Specifying a path and file name is optional. If a file name is specified, it will be used for the new answer file. If an answer file with that same name already exists, HotDocs overwrites the existing file with the new one. If no file name is specified, HotDocs displays a Save Answer File dialog box at the end of assembly.

When specifying an answer file name, you must include the file name extension .ANX.

If using this option at the command line, include the Template File (/tf) option.


No Assembly Window

/nw

The No Assembly Window option causes HotDocs to assemble a document without displaying the assembly window.

If using this option at the command line, include the Template File (/tf) and Answer File (/af) options. If using this option at the library properties, include the Answer File (/af) option.

You should also use the Output File (/of) or Send to Word Processor (/stw) option if you want HotDocs to produce a document at the end of the assembly.


No Interview

/ni

The No Interview option removes the Interview tab from the assembly window, and, by default, displays the assembled document in the Document Preview or Form Document tab (depending on whether you are assembling a text or form document). To present a correctly assembled document, you should specify an answer file using the Answer File option. Otherwise, the document will be assembled without any answers.

While viewing an assembled document that was generated using this command-line option, you cannot edit answers while viewing the Document tab.

If using this option at the command line, include the Template File (/tf) and Answer File (/af) options. If using this option at the library properties, include the Answer File (/af) option.


Output File

/of="path and file name"

The Output File option causes HotDocs to assemble the document and save it using the file name you specify. If you are using the Answer Summary or Question Summary options, the Output File option specifies the name for either of those generated documents. This is useful if you know you want to save an assembled document every time that HotDocs finishes assembling that document.

Changing the file extension on the file specified in the Output File option instructs HotDocs to convert the output file to the new file type. For example, adding the command line option /of="C:\templatename.docx" to an RTF template results in a DOCX format output file.

Since HotDocs cannot convert to all format types, we recommend that you manually test HotDocs conversion capablities for a desired format before adding the command-line option. Be aware as well that converting output files to alternate formats can sometimes cause variations in formatting and user experience.

If you use this option with the command line, be sure to include the Template File (/tf) option.

Limitations When Using /of with /nw

Normally, the file extension on the file specified in the /of command line switch instructs HotDocs to convert the assembled document to a file of that type after assembly. However, when converting to PDF, this only works when the assembly window is visible. When you hide the assembly window (by using the /nw switch), conversion to a PDF document is not supported. HotDocs does, however, save the assembled document to a file with a .PDF extension as instructed by the /of command line switch. This can be confusing if you specify “tf=template.docx /of=document.pdf” in the command line after using a /nw switch. In this case, HotDocs assembles a DOCX document from the DOCX template, but saves the DOCX document iin the file system with the filename specified by the /of switch (document.pdf). If you then double-click that file in Windows Explorer, the application mapped to the PDF file extension (usually Adobe Reader) tries to open the file but fails because the file contains a DOCX document, not a PDF document (as the file extension claims).

In cases where the assembly window is hidden by specifying the /nw switch, only native word processor file types are supported for the /of commandline switch, as follows:

Template type | Allowed output file
DOCX | DOCX
RTF | RTF, DOCX
DOT | RTF, DOCX

Work Around

A possible work around is to use Microsoft Word's PDF conversion feature to accomplish the same result, using either Word's graphical user or programming interface.


Overlay Answer File

/ov="path and file name"

The Overlay Answer File option causes HotDocs to take answers from a specific answer file and overlay them in the current answer file. For example, if you have specific information about a client that can be used in assembling multiple documents, you can save just that information in an overlay answer file and then use the Overlay Answer File option to force HotDocs to use those answers when assembling a document. All answers entered during assembly (including overlaid answers) are saved to the current answer file—not the overlay answer file—thus maintaining the integrity of the overlay answer file. An overlay answer file is loaded after the regular answer file so that the answers contained therein can overlay existing answers.

If you do not include a full path on the command-line, HotDocs will first look for the answer file in the same folder as the template. If it's not located there, HotDocs will look in the Answers folder.

You can retrieve an overlay answer file from a location on a Web server by specifying a URL for the path and file name (for example, /ov=http://www.yoursite.com/overlayanswers.anx).

If you are saving the overlay answer file to the same folder as the template, do not use the same name as the template. Otherwise, HotDocs will think the answer file is a default answer file. (See Create a Default Answer File.)

If using this option at the command line, include the Template File (/tf) option.


Paper Size

/ps=paper size

The Paper Size option selects the specified paper size when the user prints a copy of the form template or document. The effect is the same as manually setting the page size from the Print dialog box. This option works with form templates and documents only.

Paper size values that can be used include letter, legal, and so forth. For a complete list of acceptable values, either at the assembly window or at the HotDocs Filler window, click Document Properties > Printing (File menu) and click the Paper Size drop-down button. Values that include a space character must be placed inside quotation marks. You can shorten the values as long as the shortened form matches only one paper size. Paper size values are not case-sensitive.

If a paper size is specified at the Printing Properties dialog box and the Paper Size (/ps) command-line option is also used, the command-line option takes precedence.

If using this option at the command line, include the Template File (/tf) option


Paper Tray

/pt=paper tray

This option is used with form documents only.

The Paper Tray option causes a specified printer paper tray or manual feed option to be used when printing a form document from HotDocs Filler. Paper tray values that can be used include manual, upper, lower, and so forth. For a complete list of acceptable values, either at the assembly window or at the HotDocs Filler window, click Document Properties > Printing (File menu) and click the Paper Source drop-down button.

If a paper source is specified at the Printing Properties dialog box and the Paper Tray (/pt) command-line option is also used, the command-line option takes precedence.

If using this option at the command line, include the Template File (/tf) option.


Print

/pr

This option is used with form documents only

The Print option causes HotDocs to print a copy of the assembled text or form document once the user closes the assembly window. This is useful if you know you will always need to print a copy of a specific assembled document.

If using this option at the command line, include the Template File (/tf) option.


Print Answers Only

/pa

This option is used with form documents only

The Print Answers Only option selects the Answers Only (Use Preprinted Form) option at the Print dialog box. Then, when the user prints the assembled form document, it prints only the form's answers and not the underlying static text. This allows you to use preprinted forms.

If using this option at the command line, include the Template File (/tf) option.


Print Both

/pb

This option is used with form documents only

The Print Both option selects the Form with Answers option at the Print dialog box. Then, when the user prints the form document, the current form and its answers are printed.

If using this option at the command line, include the Template File (/tf) option.


Print Copies

/pc=numberofcopies

This option is used with form documents only

The Print Copies option specifies the number of copies that should be printed when the user prints the form document. This number should appear in the Number of Copies field at the Print dialog box

If using this option at the command line, include the Template File (/tf) option.


Print Duplex

/pd

This option is used with form documents only

The Print Duplex option sets the duplex printing option for a given form document. It prints the document Double-Sided, Side-to-Side, as if that option were selected at the Printing Properties dialog box (which you can access by clicking Document Properties > Printing (File menu).) When the user prints the form document, it is printed using this option.

If using this option at the command line, include the Template File (/tf) option.


Print Form Only

/po

This option is used with form documents only

The Print Form Only option selects the Form Only (Blank Form) option at the Print dialog box. Then, when the user prints the form document, it prints a blank copy of the form without answers.

If using this option at the command line, include the Template File (/tf) option.


Print Without Dialogs

/pw

This option is used with form documents only

The Print Without Dialog option causes HotDocs to bypass the Print dialog box and print the form using the current printer. The form is printed when the user clicks the Print Document button at the assembly window. .

If using this option at the command line, include the Template File (/tf) option.


Question Summary

/qs

The Question Summary option is used with the Output File option to specify the path and file name for saving a question summary. It is useful if you want a certain template to always generate a question summary document.

The Question Summary option is normally used with the No Assembly Window option, which causes HotDocs to automatically create and save the question summary document without displaying the assembly window.

Question summaries are saved in HTML format.

If using this option at the command line, include the Template File (/tf) option.


Save Answers

/sa

The Save Answers option forces an answer file to be saved at the end of an assembly. If using an existing answer file, any answers entered during the interview will be saved automatically. If using a new, untitled answer file, HotDocs will force the user to specify an answer file name.

To always force the user to save a new answer file after entering answers in an interview—even if using an existing answer file—use the Save Answers Prompt (/sap) option.

To give users the option of saving an answer file, rather than forcing them to save, use either the Suggest Save (/ss) or the Suggest Save New (/ssn) option.


Save Answers Prompt

/sap

The Save Answers Prompt option prompts the user to save an answer file after completing an interview. Regardless of whether the user uses an existing answer file during assembly, when the user finishes that assembly, HotDocs prompts to save the answers in a different file.

To always save an answer file without prompting the user for an answer file name (unless the user is using a new answer file) use the Save Answers (/sa) option.

To give users the option of saving an answer file, rather than forcing them to save, use either the Suggest Save (/ss) or the Suggest Save New (/ssn) option.


Send to Plugin

/sto="Name of Plugin"

The Send to Plugin option sends the assembled document to a specified output plugin. The class name of the plugin is the plugin name. For example, to use a google upload plugin the command line switch would be:

/sto="HDGoogleDriveOutputPlugin"

If using this option at the command line, include the Template File (/tf) option


Send to Word Processor

/stw

The Send to Word Processor option sends the assembled document to the word processor once the user closes the assembly window. This is useful if you know you always want to view the assembled document using the word processing program.

If using this option at the command line, include the Template File (/tf) option.


Show Library

/sl

The Show Library option forces HotDocs to display the template library if it is currently not showing. This is useful if you are integrating HotDocs with another program and you have hidden the library using the Hide Library option.


Start Interview Group

/sig

The Start Interview Group option is used to control which questions are asked when assembling a group of related documents, specifically, it keeps questions that are already answered in one interview from being asked in subsequent interviews. It must be used with the Keep Interview Group option, which must be assigned to each subsequent template within the group.

For example, you have three related templates that will be added to the assembly queue (Template A, Template B, and Template C). Each of these templates uses Variable A. To keep Variable A from being asked in all three interviews, you would assign the Start Interview Group option to Template A. Then you would assign the Keep Interview Group option to Templates B and C. Once the user answers Variable A, it will not be asked in any subsequent interviews.

If a template is added to the assembly queue that doesn't use either of these options, it and any subsequent templates will not be included in the interview group.


Suggest Save

/ss

The Suggest Save option causes HotDocs to ask users after assembly of a document has finished if they want to save answers entered during the interview in an answer file. Specifically, if the user has assembled a document and made changes to an existing answer file, HotDocs prompts to save the answers to that file. If saving a new, untitled file, HotDocs allows the user to specify the new answer file name.

If your user is using an existing answer file but you want to give the user the option of saving the answers in a new, different answer file, use the Suggest Save New (/ssn) option.

If you want to force users to save their answers after an assembly is finished, rather than give them the option, use either the Save Answers (/sa) or the Save Answers Prompt (/sap) options.


Suggest Save New

/ssn

The Suggest Save New option causes HotDocs to ask if answers should be saved in a new answer file after assembly of a document has finished. Regardless of whether the user is using an existing answer file during assembly, when the user finishes that assembly, HotDocs gives the user the option of saving the answers in a new answer file.

If your users are using an existing answer file and you want them to save answers they have entered in that file instead of a new one, use the Suggest Save (/ss) option.

If you want to force users to save their answers after an assembly is finished, rather than give them the option, use either the Save Answers (/sa) or the Save Answers Prompt (/sap) options.


Suppress Unanswered Warning

/sw

The Suppress Unanswered Warning option keeps HotDocs from displaying the warning dialog box that appears when the user attempts to either print, save, or send the assembled document to the word processor and the assembled document still contains unanswered questions.


Template File

/tf="path and file name"

The Template File option causes HotDocs to assemble a document using the specified template or clause library.

If you want an interview template (component file) started from the Template File command line, the component file must have an INTERVIEW or STARTUP computation in it or assembly will fail.


Can't Attach Answer File or Document to Outlook 2007 E-mail Message

Problem

When I try to attach an answer file or an assembled document file to an e-mail message, HotDocs displays the following error message: "Error Sending Message. One or more unspecified errors occurred." I am using Outlook 2007.

Solution

This is an Outlook 2007 problem. It sometimes occurs when the Outlook 2007 forms cache becomes corrupt. To correct it (at least temporarily), follow these steps:

  1. In Outlook, choose Tools > Forms > Choose Form. The Choose Form dialog box appears.
  2. Click the Look In drop-down button and choose Standard Forms Library.
  3. Select one of the forms and open it.
  4. Close the form. (You don't need to make any changes.)

You may need to restart HotDocs for this to work.


Changing Unanswered Text Markers

Problem

When I leave questions in the interview unanswered, HotDocs merges asterisks in the assembled document where the answer is supposed to go. I'd rather have it insert blank lines or something else less obtrusive. Can I change this?

Solution

You can choose the unanswered marker HotDocs uses when you leave questions unanswered in the interview. For details, see Format Unanswered Variables in a Document.

The template provider may have selected a specific unanswered marker for some questions in the interview. If this is the case, these markers will override your selection.


Discerning Between Template Preview and Actual Template

Problem

When I preview the template at the Preview tab of the library or at the Document Preview tab of the assembly window, the preview looks different from the actual template or assembled document when I view it in the word processor. Why this difference in appearance?

Solution

Because of technical restrictions, HotDocs cannot display the actual word processor document in the library or at the assembly window. Instead, it uses a third-party application to render the text of the template or document.

This application depicts a Microsoft Word template or document fairly accurately because it is able to convert the text to RTF (if it's not already in RTF format). Some of the formatting may be different, but, for the most part, it is a good representation. However, because WordPerfect text can't be converted to RTF at the time the document is displayed, the application is only able to display the text in plain format—there is no formatting.

In either case, however, the actual text in the template or document is correct.


Downloading HDIs and HDAs as ZIP Files

Problem

When downloading HotDocs auto-install (.HDI) or auto-assemble files (.HDA) from a server, files are saved to disk in ZIP format. Additionally, attempting to open or run the file results in HotDocs prompting the user for a ZIP file password.

Solution

The following are two solutions that should correct the problem.

  • Solution 1: See Receiving Error Messages When Launching HDAs, HDIs.
  • Solution 2: Repair your installation of HotDocs. To do this, go to Start > Settings > Control Panel > Add or Remove Programs. Select your version of HotDocs in the list of programs and click Change/Remove. When prompted to either repair or uninstall HotDocs, choose Repair and complete the installation.

The second possible (and more likely) problem occurs because Windows XP examines files being downloaded. If they appear to be in the ZIP format (which both HDI and HDA files are), then regardless of the download extension, Windows concludes they are ZIP files and applies a .ZIP file name extension. Even though you have a proper MIME type set up on your computer, Windows XP makes the change during the download.

To set the correct MIME types on the server

  1. Bring up the IIS management tool (i.e. go to Start > Programs > Administrative Tools > Internet Services Manager).
  2. Choose the Web site whose MIME types you need to change.
  3. Right-click and choose Properties from the shortcut menu.
  4. Click the HTTP Headers tab.
  5. Click the File Types button.
  6. Click the New Type button. (You will do this for both HDIs and HDAs.)
  7. Enter the following information for each file type:
Type of File | MIME Type
Auto-install (HDI) | application/x-hotdocs
Auto-assemble (HDA) | application/x-hotdocs-auto


Editing Answers in Assembled Document

Problem

When viewing the assembled document, I can't edit the answers that are merged in the document. The help file says I should be able to.

Solution

You may not be able to edit answers at the Document Preview tab for one of three reasons:

  • You are viewing a WordPerfect document. (Answer editing is not supported in WordPerfect templates and documents.)
  • The template developer has not allowed it.
  • The Highlight Fields option is turned off. To highlight fields again, click the [image] Highlight Fields button in the assembly window toolbar.


Entering a Two-Digit Year

Problem

I want to enter a two-digit year whenever I answer a date question, but HotDocs always displays the following error message: "You must enter a four-digit year".

Solution

As a safety precaution, HotDocs requires you to enter four digits when entering the year portion of a date. If you enter a two-digit date, such as 7/9/99, HotDocs responds with this message: "You must enter a four-digit year."

You can override this default option by specifying a century rollover year at the HotDocs Options dialog box. The number you enter controls how HotDocs interprets two-digit years. Two-digit years less than or equal to the number you enter are understood as 2000-century years. Two-digit years greater than the number you enter are understood as 1900-century years.

For example, if you specify a rollover value of 34, dates entered as 5/14/34 will appear as 14 May 2034. A date entered as 5/14/35 will appear as 14 May 1935.

See Control How HotDocs Handles Two-Digit and Four-Digit Years for information on setting this option.


HotDocs Skips Questions When Navigating from Child Dialog

Problem

After I answer questions in a child (or nested) dialog, I click [image] Next and HotDocs takes me to the next dialog in the interview—not back to the main-level dialog I was in originally. How can I keep this from happening?

Solution

HotDocs moves to the next dialog in the interview outline because of a default setting. Its behavior is most useful when child dialogs appear as the last item in a dialog, and, after answering questions in the child dialog, you want to move to the next dialog in the interview. However, there are times when you need to return to the parent dialog and continue answering questions in the current dialog.

If, instead, you want to return to the main-level dialog that uses the child, you can clear this default setting. At the assembly window, clear Next Dialog Follows Outline (Navigate menu).


Increasing Font Size

Problem

When answering questions in the interview, the text used in the dialogs is too small or too hard to read. Can I change it?

Solution

You can change the font, size, and color of the text used in a dialog. You can also change the properties of text used in the interview outline. For details, see Customize the Look of the Dialog Pane.


Installing Support for New Word Processor

Problem

I've installed a new word processor, but when I try to use HotDocs with it, HotDocs won't recognize it.

Solution

After you have installed the new word processor, you must run the word processor at least once. This creates entries in the Windows System Registry, which HotDocs must be able to access before it can integrate with it.

Once the registry is updated with the required information, you must select the new word processor at HotDocs Options and choose to install support for it. For details, see Install Support for New Word Processors.

It is possible your new word processor isn't compatible with HotDocs. If you are unsure, please see the list of HotDocs System Requirements (see System Requirements.)


Moving Between Questions in Interview Slow

Problem

Whenever I answer a question in an interview and try to move to the next question, it seems like it takes HotDocs a long time to respond. Moving between dialogs in the interview also seems slow. What can I do to make this process faster?

Solution

In an effort to keep the assembly process up to date, HotDocs updates the dialog and the interview outline each time you enter or edit an answer in the interview. Depending on the complexity of the interview or the document, this updating may take longer than desired.

You can minimize the amount of time HotDocs takes to update the interview or document with your changes by forcing it to update only when it needs to. You do this by turning [image] Instant Update off. When instant update is off, HotDocs updates dialogs and interviews only when it needs to. For details, see Update Your Interview Outline and Document.


Moving to the Next Dialog After Entering a Date or Number

Problem

When I answer a date or number question in an interview and then click [image] Next or [image] Previous, HotDocs doesn't move me to the next dialog. I have to click [image] Next or [image] Previous again to move to that dialog.

Solution

When you type an answer in an answer field, HotDocs sometimes reads the answer and reformats it to appear a certain way. For example, if you type February 6, 2006 in a date field, HotDocs will reformat the answer to appear as 6 Feb 2006. Sometimes this reformatting can reveal an incorrectly interpreted answer, especially if the answer you typed is ambiguous. For example, the date 05/06/2006 may either be interpreted as June 5, 2006 or as May 6, 2006.

Depending on where the reformatted answer appears in the dialog, you may not even be aware that it has been reformatted. For example, when you enter an answer in one of the first answer fields in a dialog and then move to the next field, you will most likely see that your answer has been reformatted. However, if you enter an answer in the last answer field and click [image] Next to advance to the next dialog, you may not see that the answer was reformatted.

In this situation, HotDocs keeps you in the dialog so you can review the change it has made to the format. For information on changing this default behavior, see Warn When HotDocs Reformats Date and Number Answers.


Organizing Files in the Library vs. on the Disk

Problem

I don't understand the difference between how files are organized in my library and how they are organized on disk.

Solution

A HotDocs library is simply a tool for viewing and working with the files on the disk. Specifically:

  • Files in the library are shortcuts that link to the actual files on disk (much like a desktop shortcut to an application you use frequently links to a program in your Program Files folder).
  • Files in the library can be organized into "virtual" folders. These folders do not need to match the organization of folders on the desktop.
  • Files in the library can be viewed using either the template title or the template file name. Files on disk are viewed only by file name.
  • If you manually move a file on disk, you must update the reference to the file in the library or HotDocs will not know how to find the file. To move files while keeping the reference to the file updated in the library, use the Move or Copy commands in the library.


Overriding an Answer in a Form

Problem

What happens when I override an answer in a form document?

Solution

Sometimes you need to enter an answer in a form document, but you are unable to enter that answer because of formatting restrictions on that field. (Remember, dates and numbers must be formatted a certain way for HotDocs to consider them valid.) For example, say you enter 3,000,000 as an answer to a number variable. The field, however, may not be large enough to show the whole answer without sending it to the addendum. You can override the field's format and enter 3 mill. as the answer.

Or perhaps you have a date that is appearing in one format (19 May 2006), but you want it to appear in a different format (06/19/06). You can override the field and enter the answer you need.

Overriding the format of the field allows you to enter whatever text you need in the answer field.

See Override an Answer in a Form for details on overriding form fields.

Overriding a field is like placing a sticky note over the field and writing on it—you can see what is written on the note, but HotDocs continues to use the original answer. Any other fields that use the answer, either in a calculation or a condition, will continue to do so. The original answer will likewise be saved in the answer file.


Printing Form Document is Off-Center

Problem

When I print my PDF-based form, the document appears off-center on the printed page.

Solution

This problem appears when you use Adobe Acrobat to print the document and you're using a non-PostScript printer driver.

To correct the problem, always use a PostScript printer driver.

See Print an Assembled Form Document for more details.


Printing Form Document Takes Incredibly Long Time

Problem

When printing a PDF-based form document, it takes an incredibly long time for the document to actually print. What can I do to speed up this process?

Solution

This slowness happens when you print the document through HotDocs. To print more quickly, use Adobe Acrobat or Reader to print the document. See Print an Assembled Form Document for details on selecting this preference.


Receiving Error Messages When Launching HDAs, HDIs

Problem

When attempting to run either a HotDocs Auto-Install file (HDI) or HotDocs Auto-Assemble file (HDA), HotDocs displays an error message and is unable to launch the file. The error message frequently says it cannot find hd_dispatch.exe, the application used to launch these files.

Solution

During installation, HotDocs creates certain entries in the Windows System Registry. One of these entries designates where the file hd_dispatch.exe should be found so that HDAs and HDIs can be properly run. By default, this file is usually created and registered in C:\Program Files\HotDocs. However, if you performed a custom installation and changed the program folder for HotDocs to some location other than C:\Program Files\HotDocs, this registry key was not updated with the new program files path. Because of this, HotDocs cannot run the HDA or HDI because it doesn't know where to look for hd_dispatch.exe.

To update the registry with the correct information

This workaround requires you to work in the Windows System Registry. Failure to follow these instructions carefully and entirely may result in you changing a setting that may adversely affect several other programs you use. If you are unsure of how to work with the registry, please ask your system administrator for assistance.

  1. Click Start > Run. The Run dialog box appears.
  2. In the Open field, type regedit. The Registry Editor appears.
  3. Open HKEY_CLASSES_ROOT > HotDocsHdaFile. (To update the information for an HDI file, navigate to HKEY_CLASSES_ROOT > HotDocsHdiFile.)
  4. Expand the folder so you can see its subfolders.
  5. Click the DefaultIcon folder.
  6. In the right pane, double-click (Default). The Edit String dialog box appears.
  7. Change the folder path in the Value data field so that it matches the folder where HotDocs is installed. Do not remove the ,1.
  8. Click OK.
  9. In the same subfolder (in the right pane), expand Shell > open > command.
  10. Repeat steps 6 through 8, updating the folder path so that it matches the folder where HotDocs is installed. Again, do not change the information after the file path.
  11. Remember to update the file locations for both HDAs and HDIs. See step 3 in the list above.


Restoring System Defaults to HotDocs

Problem

I've altered several default settings for HotDocs, but now I want to restore the default settings I had when I installed HotDocs. How can I do this?

Solution

HotDocs uses the Windows System Registry to store your personal preferences for working with HotDocs. If you need to restore the installation defaults, you must clear the Current User section of the HotDocs portion of the System Registry.

You must be extremely careful when working in the System Registry. Failure to follow the instructions below exactly could result in your making changes that negatively affect all of the programs on your computer. You may want to ask your system administrator for help if you are unsure of what you are doing.

To understand HotDocs installation and the changes that are made to the registry, please see Understand HotDocs Installation.

  1. At the Start menu, select Run. The Run dialog box appears.
  2. In the Open field, type regedit and click OK. The Registry Editor appears.
  3. Navigate to HKEY_CURRENT_USER > Software > HotDocs > HotDocs.
  4. Select the HotDocs subfolder and press Delete. Click Yes to confirm the deletion.
  5. Check for the registry key HKEY_CURRENT_USER > Software > LexisNexis > HotDocs 6. If it exists, proceed to Step 6. Otherwise, proceed to Step 7.
  6. Select the HotDocs 6 subfolder and press Delete. Click Yes to confirm the deletion.
  7. Close the Registry Editor.


Saving Answers During Interview

Problem

HotDocs won't let me save answers during an interview. The buttons and menu options for doing so are disabled.

Solution

If the buttons and menu options for saving an answer file are disabled, it is because the template provider has either prohibited you from saving the answer file, or because the answer file is being saved automatically. If you have specific questions, please contact the template provider.


Specifying Printing Options When Printing Text Documents

Problem

When I print my assembled text document from the assembly window, HotDocs just automatically prints the document without prompting me for any of my preferences. (I don't get a Print or Print Options dialog box.) How do I first set my preferences before printing?

Solution

To set your preferences before you print the document, you must first send the document to the word processor. Once in the word processor, choose the Print command and then specify your settings.


Understanding What Happens When Deleting Templates from the Library

Problem

What happens when you delete templates from a library?

Solution

When you select a template or folder in a HotDocs library and click the [image] Remove Items button, HotDocs asks if you want to remove just the reference to the file from the library or if you want to delete the actual files from disk, too.

If you remove just the reference from the library, that specific reference to the file is removed from the library but the actual file still exists on disk. Additionally, if the item is referenced any other place in the library or in a different library, those references still exist.

If you choose to delete the item from disk, the reference is removed from the library and the file is sent to the Recycle Bin (if working with files on your local drive) or permanently deleted (if you're working with files on a network drive).

When you remove a folder from the library, you can choose to delete just the folder (in which case, items in the folder are moved to the next highest folder), or you can choose to delete the folder along with all of the items referenced in the folder.

For details, see Remove Items from a Library.


Updating Changes Made in Word Processor Document in the Answer File, Template

Problem

I've edited text in my assembled document but neither the template nor the answer file shows these changes. How do I update these files with my changes?

Solution

Once you send an assembled document to the word processor, it becomes "disconnected" from HotDocs. If you make changes to the document, those changes will not be represented in either the template or the answer file.

To update the template with your changes, you must edit the template and make the changes there. If you do not have editing privileges, you should notify the template publisher of your recommended changes.

If you need to update answers, you must reassemble the document using the saved answer file and make your changes during the interview. Make sure you save the answer file when you are finished.


Updating Cross-References in an Assembled Document

Problem

I've assembled a document and sent it to Microsoft Word, but now the Table of Contents is outdated. How do I update these cross-references?

Solution

To update cross-references in an assembled Word document

  1. Highlight all of the text in the document (press Ctrl+A or choose Select All (Edit menu)).
  2. Press the F9 key.
  3. Select your update options and click OK. Cross-references in the document are updated.


Viewing File Names Instead of Template Titles at Library

Problem

I'm looking for a specific template in my library. I know what its file name is, but am not sure how to find it based on its title. Is there some way to display templates by their file names in the item list?

Solution

To view items in the library by file name, choose File Names (View menu). To show template titles again, choose Template Titles.

You can search a list of library items for a specific template by using the Find command. Simply select Find and then enter the text for which you are searching in the field. HotDocs will search both template titles and file names for the text you enter. Any files that contain that specific text will be displayed in the list.


Copyright Notice

Copyright

Copyright © 2016 HotDocs Limited.

All rights reserved. No part of this product may be reproduced, transmitted, transcribed, stored in a retrieval system, or translated into any language in any form by any means without the express written permission of HotDocs Limited. (“HotDocs”)

Warranty Information

HotDocs makes no representations or warranties with respect to the contents or use of this product and specifically disclaims any express or implied warranties of merchantability or fitness for any particular purpose. Information in this document is subject to change without notice and does not represent a commitment on the part of HotDocs.

Government Use

Use, duplication, or disclosure by the Federal Government is subject to restrictions as set forth in FAR clauses 52.227—14, “Rights in Data—General”; 52.227—19, “Commercial Computer Softwarea—Restricted Rights”; and subdivision (c)(1)(ii) of the Rights in Technical Data and Computer Software clause DFAR 252.227—7013; and the limitations set forth in the standard commercial license agreement for this software. Unpublished rights are reserved under the copyright laws of the United States.

Trademark Information

HotDocs is a registered trademark of HotDocs Limited. Other product names may be trademarks or registered trademarks of their respective companies.


Software License Agreement

Home > Legal Notices > Software License Agreement

Software License Agreement:

IMPORTANT NOTICE: PLEASE READ CAREFULLY BEFORE INSTALLING THE SOFTWARE. This license agreement (License) is a legal agreement between you (an individual or a single entity) and the licensor (Licensor) of this HotDocs software product, which includes computer software, the associated media, printed materials and electronic documentation (Software). Written approval is not a prerequisite to the validity and enforceability of this License and no solicitation of any such written approval by or on behalf of Licensor shall be construed as an inference to the contrary.

If you reside in the European Union: the Licensor is HotDocs Limited, a limited company registered in Scotland, UK, with company number SC166375 and with its registered office at Edinburgh Quay, 133 Fountainbridge, Edinburgh, EH3 9AG. This License, its subject matter or its formation (including non-contractual disputes or claims) shall be governed by and construed in accordance with English law and submitted to the exclusive jurisdiction of the English courts.

If you reside outside the European Union: the Licensor is HotDocs Corporation, a corporation incorporated in Delaware, USA, with its principal place of business at 387 South 520 West, Suite 210, Lindon, Utah 84042, USA. This License shall be governed by and construed under the laws of the State of Utah and the United States without regard to conflicts of laws provisions thereof. Unless otherwise elected by the Licensor in writing for the particular instance (which Licensor may do at its option), the sole jurisdiction and venue for actions related to the subject matter hereof shall be the Utah state and U.S. federal courts having within their jurisdiction the location of the Licensor’s principal place of business. Both parties consent to the jurisdiction of such courts and agree that process may be served in the manner provided herein for giving of notices or otherwise as allowed by Utah or federal law.

If you have a written agreement signed by the Licensor which relates to the supply of the Software and which expressly states that its terms prevail over the terms of any 'click-wrap' or 'shrink-wrap' agreement packaged with the Software, then the former agreement shall prevail over any inconsistent terms of this License. Otherwise, this License represents the entire agreement between us in relation to the licensing of the Software and supersedes any prior agreement, understanding or arrangement between us, whether oral or in writing.

THIS SOFTWARE REQUIRES A COMPUTER WITH SUFFICIENT MEMORY AND DISK SPACE, AND A COMPATIBLE OPERATING SYSTEM. SOME FUNCTIONALITY MAY REQUIRE A SPECIFIC INTERNET BROWSER OR OTHER SOFTWARE NOT INCLUDED WITH THIS SOFTWARE. BY CHOOSING BELOW TO ACCEPT THE TERMS OF THIS LICENSE AGREEMENT YOU AGREE TO THE TERMS OF THIS LICENSE WHICH WILL BIND YOU. IF YOU DO NOT AGREE TO THE TERMS OF THIS LICENSE, WE ARE UNWILLING TO LICENSE THE SOFTWARE TO YOU AND YOU MUST DISCONTINUE INSTALLATION OF THE SOFTWARE NOW BY CLICKING ON THE "I DO NOT ACCEPT" BUTTON BELOW. IN THIS CASE YOU MUST RETURN THE MEDIA ON WHICH THE SOFTWARE IS STORED AND ALL ACCOMPANYING DOCUMENTATION TO THE SUPPLIER, TOGETHER WITH PROOF OF PAYMENT WITHIN 14 DAYS OF PURCHASE FOR A REFUND. IF YOU PURCHASED THIS SOFTWARE FROM AN AUTHORISED RESELLER, PLEASE NOTE THAT THE RESELLER HAS THE RIGHT TO ENTER INTO THIS LICENSE ON OUR BEHALF.

1) In consideration of you agreeing to abide by the terms of this License and the payment of the license fee (which is part of the price for this package), the Licensor hereby grants to you a non-exclusive, non-transferable license to use the Software on a single computer or workstation. You may install the Software on a second computer for use by the same person. The Software may not be shared or used concurrently on other computers. If any updates, maintenance releases or other modified versions of the Software are made available to you they shall be deemed to be Software supplied under the terms of this License unless otherwise stated at the time of supply.

2) The Software is licensed for authoring and assembling templates under the direct control of the licensed user. This License does not permit use of the Software as part of an automated document assembly solution (for example, where document assemblies are instigated in bulk or through a database-driven solution).

3) You may make one copy of the Software for back-up purposes only. You may not transfer your rights to the back-up copy unless you also transfer your rights to the Software.

4) Except as expressly set out in this License or as permitted by any local law, you shall not (and shall not allow a third party to):

a) copy the Software except where such copying is incidental to normal use of the Software or where it is necessary for the purpose of back-up or operational security;

b) rent, lease, sub-license, loan, translate, merge, adapt, vary or modify the Software;

c) make alterations to, or modifications of, the whole or any part of the Software;

d) disassemble, de-compile, reverse engineer or create derivative works based on the whole or any part of the Software.

5) You acknowledge that all intellectual property rights in the Software throughout the world belong to HotDocs Limited, that rights in the Software are licensed (not sold) to you, and that you have no rights in, or to, the Software other than the right to use it in accordance with the terms of this License.

6) 6The Licensor warrants that the media on which the Software is stored and distributed are (at the time of supply), and will be for the period of 90 days after that time (Warranty Period), free from defects in design, material and workmanship under normal use. If a defect in the media occurs during the Warranty Period, the Licensor will replace it free of charge if you return it to the Licensor with proof of purchase and (so far as you are able) a documented example of such defect or error.

7) You acknowledge that the Software has not been developed to meet your individual requirements and that it is therefore your responsibility to ensure that the facilities and functions of the Software meet your requirements.

8) You acknowledge that the Software may not be free of bugs or errors and you agree that the existence of any minor errors shall not constitute a breach of this License.

9) If, within the Warranty Period, you notify the Licensor in writing of any defect in the Software in consequence of which it fails to perform substantially in accordance with the electronic documentation, and such defect does not result from you having amended the Software or used it in contravention of the terms of this License, the Licensor will, at its sole option, (i) repair or replace the Software or (ii) accept a return of the Software (with proof of purchase) and provide a refund of the purchase price, provided that you make available all information that may be necessary to assist the Licensor in resolving the defect or fault, including sufficient information to enable the Licensor to recreate the defect or fault.

10) Nothing in this License shall limit or exclude the liability of either party for death or personal injury resulting from negligence, fraud, fraudulent misrepresentation, or for liability which cannot lawfully be excluded or limited.

11) SUBJECT TO CONDITION 10:

a) THE LICENSOR SHALL NOT BE LIABLE FOR ANY LOSS OF PROFIT, LOSS OF BUSINESS, LOSS OF GOODWILL, LOSS OF SAVINGS, LOSS OF DATA, LOSS OF ANTICIPATED SAVINGS, WHETHER DIRECT OR INDIRECT IN EACH CASE, OR FOR ANY INDIRECT LOSS OR CONSEQUENTIAL LOSS WHATSOEVER AND HOWSOEVER CAUSED (EVEN IF CAUSED BY THE LICENSOR’S NEGLIGENCE AND/OR BREACH OF CONTRACT AND EVEN IF THE LICENSOR WAS ADVISED THAT SUCH LOSS WOULD PROBABLY RESULT);

b) THE LICENSOR'S MAXIMUM AGGREGATE LIABILITY UNDER OR IN CONNECTION WITH THIS LICENSE, OR ANY COLLATERAL CONTRACT, WHETHER IN CONTRACT, TORT (INCLUDING NEGLIGENCE) OR OTHERWISE, SHALL BE LIMITED TO A SUM EQUAL TO THE ACTUAL PRICE YOU PAID FOR THE SOFTWARE.

12) This License does not provide for maintenance or support for the Software, which must be purchased separately if required. Licensor has no obligation to provide maintenance, support or updates, modifications or new releases under this License.

13) This License sets out the full extent of the Licensor's obligations and liabilities in respect of the supply of the Software. There are no conditions, warranties, representations or other terms, express or implied, that are binding on the Licensor except as specifically stated in this License. Any condition, warranty, representation or other term concerning the supply of the Software which might otherwise be implied into, or incorporated in, this License, or any collateral contract, whether by statute, common law or otherwise, is hereby excluded to the fullest extent permitted by law.

14) You may not transfer, assign, charge or otherwise dispose of this License, or any of your rights or obligations arising under it, without our prior written consent.

15) Upon request from time to time, you agree to certify to the Licensor the number of copies of the Software installed on your computers.


Third-Party Software Acknowledgements

Colosseum Builders, Inc.

This product uses the image library software created by Colosseum Builders, Inc., to load, decode, draw, and print .BMP, .JPG, and .PNG files in form templates and documents.


Contact HotDocs Sales and Support

Contact HotDocs Sales and Support

  • HotDocs Technical Support
  • HotDocs Sales Support
  • Corporate Offices

HotDocs Technical Support

Support for customers with technical support agreements is available by calling the numbers below. To expedite your call, please be at the computer on which the program is running.

For the United States, Canada, and Mexico:

Method of Contact | Information
Telephone | (800) 828-8328 (U.S.) (801) 615-2200 (International) U.S. technical support is available from 7:00am to 6:00pm (MST), Monday through Friday.
E-mail | support@hotdocs.com
Web Site | http://www.hotdocs.com/support/

For Europe, Africa, Asia, Australia, and South America:

Method of Contact | Information
Telephone | 0843 208 0704 (U.K.) +44 131 226 3999 (International) U.K. technical support is available from 9:00am to 5:00pm (GMT), Monday through Friday.
E-mail | tech@hotdocs.co.uk
Web Site | http://www.hotdocs.co.uk

You may also find answers or solutions to questions you have in the HotDocs Wiki. To view the Wiki (as well as access other support options), please visit http://wiki.hotdocs.com.

Click here for information on providing the HotDocs Publications team with documentation feedback.

HotDocs Sales Support

Experienced HotDocs consultants are available to help you with a variety of services, including integrating HotDocs with other products, building a template library, or providing training. Please contact your sales representative to learn more.

For the United States, Canada, and Mexico:

Method of Contact | Information
Telephone | (800) 500-3627 (U.S. Sales) (801) 615-2200 (U.S. Business) +44 131 226 3999 (International)
Fax | (877) 356-3627 (U.S.) (801) 868-3627 (International)
E-mail | sales@hotdocs.com
Web Site | http://www.hotdocs.com http://www.hotdocs.com/products http://www.hotdocs.com/services
Address | 387 South 520 West Suite 210 Lindon, Utah 84042

For Europe, Africa, Asia, Australia, and South America:

Method of Contact | Information
Telephone | 0131 226 3999 (U.K.) +44 131 226 3999 (International)
Fax | 0131 220 9024 (U.K.) +44 131 220 9024 (International)
E-mail | info@hotdocs.co.uk
Web Site | http://www.hotdocs.co.uk
Address | 14 South Charlotte Street Edinburgh, EH2 4AX Scotland

Corporate Offices

Head Office U.S.

HotDocs Corporation

387 South 520 West

Suite 210

Lindon, Utah 84042

Tel: 801-615-2200

Sales: 800-500-3627

Fax: 877-356-3627

info@hotdocs.com

Head Office U.K.

HotDocs Limited

14 South Charlotte Street

Edinburgh, Scotland

EH2 4AX

Tel (UK): 0843 208 0704

Tel (Int'l): +44 131 226 3999

Fax: +44 131 220 9024

info@hotdocs.co.uk


Documentation Feedback

To improve the quality of our documentation, we invite you to make comments or suggestions. When doing so, please include as much information about your experience using the documentation as possible. For example, include the product name and version, as well as the title of the topics you want to comment on. You can e-mail your comments and suggestions to publications@hotdocs.com.

The HotDocs Publications team cannot respond to technical support or project consulting questions. We are interested in suggestions that improve the documentation itself—such as those concerning erroneous information, grammatical and spelling errors, or suggestions for topics to include in the next release of the software. For other concerns, please contact Sales and Support.


Assembly Queue Statuses

The following table describes the different statuses of templates listed in the assembly queue:

Template Status | Description
Confirmed | The assembly queue has confirmed the location of the template and is ready to assemble it.
Assembling | HotDocs is currently assembling this document
Pending | This template is in the queue because of instructions in the template currently being assembled. After the current interview is finished, the Pending status changes to Confirmed. Template developers often include instructions within the template that HotDocs should assemble other documents. Often your answers determine whether these documents get assembled.
Complete | Assembly is finished. Complete status doesn't necessarily mean that all the questions in a template have been answered. For example, when creating a question summary, even though the assembly window opens, no questions are answered, but HotDocs still considers the assembly complete.
Error | An error has occurred, preventing the interview from being completed.


Enter Answers in International Languages

Enter Answers in International Languages

As you complete an interview, you can enter answers in any left-to-right reading language. Answers you enter will be merged into the assembled document.

Answers entered in these languages will be merged correctly anywhere the variable is used—either in the assembled document or in other questions or text used in the interview.

HotDocs supports all left-to-right reading characters in the Unicode specification. However, not all fonts installed on your computer can display these characters. If you are using a font either in the interview display or in the assembled document that cannot display these characters, they will appear as unknown characters (usually boxes or question marks). When working with international languages, always make sure you are using fonts (like Arial Unicode MS or Tahoma) that support a wide range of characters. This includes making sure other users who will be accessing your assembled documents or answer files likewise have correct fonts installed.

For more information on using international characters in HotDocs, see Use International Characters in HotDocs.


Enter List of Answers in a Series

Enter List of Answers in a Series

To enter answers in a series of dialogs

  1. At the repeated dialog, enter answers for the questions.
  2. Click the Add Another Repetition Add Another button to add another repetition of the dialog to the series. The repetition number next to the dialog icon increases each time you enter a new set of answers. (You can also press Alt+A to add new repetitions to a list.)
  3. To move to the next dialog after entering all the answers in the list, click Next Next in the navigation bar. (You can also click on the next dialog icon in the interview outline, or press Page Down or Alt+N.)

When entering a list of answers within another list of answers, you can press Alt+Left Arrow to return to the parent dialog. (You can also choose Parent Dialog from the Navigate menu.)


Enter Repeated Answers in a Spreadsheet

To enter answers in a repeated spreadsheet

  1. At an answer-gathering dialog that includes a repeated dialog formatted as a spreadsheet, click in the first spreadsheet cell and enter your answer.
  2. Press Tab to move to the next cell in the row (or use the mouse to click in the next cell) and enter your answer.
  3. Repeat this process for each answer.


HotDocs Template Development Terms and Ideas

When creating a marked up document there are some key terms and ideas you should understand, particularly if you are not a template developer.

Markup Term | Definition
Answer Field | An answer field is the place in an assembled document where answers you enter in the interview are merged. In template development, these fields are called variable fields. The template developer can assign many different properties to a variable, including a name, a title, and so forth.
Conditional Text | Some text in an assembled document should only be included under certain conditions. For example, information about the health needs of a child will only be included in a document if the client has children. In template development, conditional text is marked using IF instructions, which define the circumstances under which a paragraph is included or excluded.
Alternative Text | Sometimes there are different versions of text that should be merged in a document, depending on certain conditions. For example, maybe a client is late on making a payment. You can include specific text, depending on just how late the payment is. Like conditional text, alternative text is marked using IF instructions in template development.
Repeated Text | Frequently you need to enter two or more answers for a specific question. For example, when creating a will, you frequently need to enter more than just one beneficiary. This list of beneficiaries is called repeated text. In template development, repeated text is marked using a REPEAT instruction, which instructs HotDocs to repeat the question as many times as necessary.
Insertion Field | Sometimes the text in the assembled document comes from a separate template. This is especially common when there is boilerplate text that needs to be used in multiple documents. In template development, insertion fields are marked with INSERT instructions, which identify the file name and location of the file that will be inserted.
Editable Text | This is text in the assembled document that you can edit; however, it is not marked when viewing the document in Markup View.
Developer Comment | During template development, developers may include comments with the different types of fields they insert in a template. Comments may explain why the field is there or the conditions under which it is being used
Multiple Choice Option Text | One type of variable developers can create is a Multiple Choice variable, which provides users with predefined options. The text that is merged in the document is called merge text. In Markup View, it is simply referred to as option text.


Work with Records in a Repeated List

Work with Records in a Repeated List

To work with repeated answers

  1. Answer questions in the repeated dialog.
  2. Select the record with which you want to work. (If you are editing records in a dialog series, select the dialog icon in the interview outline. If you are editing records in a spreadsheet, click on the row you want to edit.)
  3. Use the options described in the following table to complete additional tasks:
To | Do This
Remove a specific dialog from the list of answers | Select the dialog you want to delete and either click the Delete Repetition Delete Repetition button, or choose Delete Repetition from the Edit menu.
Insert a new dialog between existing dialogs | Either click the Insert Repetition Insert Repetition button, or choose Insert Repetition from the Edit menu.
Move an existing dialog up in the list of answers | Select the dialog you want to move and click the Move Repetition Up Move Repetition Up button (located on the Edit toolbar).
Move an existing dialog down in the list of answers | Select the dialog you want to move and click the Move Repetition Down Move Repetition Down button (located on the Edit toolbar).
Sort the contents of a spreadsheet dialog in alphanumeric order | Click in the column on which you want to sort and click the Sort Sort button (located on the Edit toolbar). The Sort Spreadsheet dialog box appears where you can specify your sorting preferences. If the template developer has specified any sorting options, answers will be merged in the document using those sort options. Otherwise the sort order you specify here will be used in the assembled document.
Edit the contents of the row in a regular dialog | Click in the row you want to edit and either click the Edit Row Edit Row button, or right-click and choose Edit Row from the shortcut menu.


Document Text Editor Toolbar

While editing the text of the assembled document at the Document Text Editor, you can use any of the following options:

Save and Close | Saves your changes, closes the Document Text Editor, and merges the new text in the assembled document.
Restore Original Text | Discards any changes you've made to the text and restores the original document text.
Print | Prints a copy of the text you are editing
Undo | Undoes the most recent change to the text you are editing.
Redo | Reapplies the most recent change to the text you are editing.
Cut | Removes the selected text and saves it to the Windows Clipboard. You can then paste the text using the Paste command.
Copy | Copies the selected text and saves it to the Windows Clipboard. You can then paste the text using the Paste command.
Paste | Pastes any text saved to the Windows Clipboard at the cursor position.
Find | Displays a dialog box where you can specify the text for which you are searching.
Find Next | Searches the document for the next instance of text for which you are searching.
Find and Replace | Displays a dialog box where you can specify a text string for which you are searching, as well as text you'd like to use as a replacement
Show Ruler | Displays a ruler in the Document Text Editor toolbar.
Show Codes | Displays editing codes, such as paragraph marks, in the document.
Spell Check | Checks the spelling of text in the document.
Close Without Saving Changes | Closes the Document Text Editor without saving the changes you have made.


Save Other Document Types as PDF

Save Other Document Types as PDF

With HotDocs, you can use the PDF printer driver to save documents not associated with HotDocs as PDF documents. Creating PDF files allows you to take advantage of features available in Adobe Acrobat.

To save other document types as PDF

  1. Open the document in a Windows program with printing capability.
  2. Select the Print command for that program.
  3. At the printing dialog box, select HotDocs PDF Driver as the printer.
  4. Optionally, click Properties and assign any properties to the document you may need.
  5. Click the Print or OK button. The Save As dialog box appears.
  6. Select a location and type a name for the new file.
  7. At the Save as type box, select PDF File (*.pdf).
  8. Optionally, select Document Settings and click the Edit button to add information about the document's title, subject, author, or search keywords.
  9. Optionally, select View Resulting PDF to open the PDF once it has been created.
  10. Click the Save button. The PDF file is created and saved to the location you specified.

Information you type in the Convert to PDF dialog box is saved as metadata embedded in the PDF-based file. HotDocs does not use this information, but other programs that work with PDF files may access this metadata. (For instance, if you open a PDF or PDF-based form template in Adobe Acrobat, you can select Document Properties (File menu) to see the values in these fields.) For form templates, the values input here will also be set in any PDF documents assembled with that template.


Troubleshoot Form Printer Problems

Troubleshoot Form Printer Problems

Some types of printers have been known to cause problems when printing a form template or document, and should be tested before use with finished products. These printers include:

  • Ink jet printers
  • Brother printers
  • 16-bit postscript printer drivers
  • DeskJet printers
  • Xerox printers
  • "All-in-one" printers (printers that include copying, scanning, printing, and faxing capabilities)

For best results, it is recommended that you use an HP LaserJet with at least two megabytes of memory.


Start and Exit HotDocs Automator

Start and Exit HotDocs Automator

To create and edit form templates, you must open HotDocs Automator. To edit saved form documents, you must start either HotDocs Filler or Automator.

To start HotDocs Automator

Complete one of the following steps:

  • At the Start menu, click Programs > HotDocs 11> HotDocs Automator. HotDocs opens an empty Automator window.
  • At the HotDocs template library, choose HotDocs Automator from the Tools menu.

To close HotDocs Automator, choose Exit (File menu). (You can also press Alt+F4.)

See Edit a Form Template for instructions on opening a template and editing it.


Remove a Variable from a Field

Remove a Variable from a Field

Once you've attached a variable to a field (see Attach a Variable to a Field), you can remove it.

To remove a variable from a field

  1. Edit a form template. (See Edit a Form Template.)
  2. Select the field whose variable you want to remove.
  3. Choose Clear Variable (Field menu). The variable is removed from the field.


Understand Bar Code Settings

Understand Bar Code Settings

When you convert an answer to a PDF417 bar code format, you can control some of the settings that are used to generate the bar code. These specifications are frequently determined by the agency to which you are submitting your form. Please check with the agency to determine which settings to specify.

  • X-Dimension (module width): The X-dimension is the width of the narrowest bar in a printed bar code. The smaller the number, the stricter the requirements are for printing the bar code. (For example, the bar code must be printed on higher quality paper, etc.)
  • Module aspect ratio: This determines the range of angles with which the bar code can be scanned. For example, when placed under the scanner, must the paper be flat and facing a single direction, or will the scanner be able to read the data regardless of how it's placed? The higher the number, the less restrictive the placement of the paper under the scanner will be.
  • Number of rows and Number of columns: These numbers control the number of rows and columns that appear in the bar code. These settings determine the width and/or height of the bar code.
  • Error level: This determines the redundancy of information in the bar code to compensate for any damage that may be done to the bar code (for example, if the paper is torn or if other marks have been made on the bar code). The higher the number, the less data can be stored in the bar code. (However, the greater the chances are that the bar code will be readable.)
  • Encoding: This setting allows answers that contain foreign characters to be encoded so they can be represented in the bar code correctly. To properly encode foreign characters, you must select UTF-8 from the drop-down list. (Choosing ANSI encodes the text in non-Unicode format, which means if you use foreign characters in the text, these characters may not appear correctly.)

Additional information about the PDF417 bar code specification can be found on the Internet.


At a Glance: The SPAN Field dialog box

A

B

After opening a template to edit, you can open the SPAN Field dialog box by clicking on the [image] SPAN Field button on the drop-down menu below the [image] HotDocs button located on the HotDocs ribbon.

In the text field A you can enter a name for your span field or select an existing component from the drop-down menu. It is recommended that you use unique names when creating Span components so that when users save edited document text in answer files, the answer won't overwrite SPAN fields in other documents. You can click the [image] Edit button B to enter more information about the SPAN Field. (See At a Glance: The Edit SPAN Field dialog box)

To learn more about the SPAN field follow the links below:

  • Introduction: Use SPAN Instructions
  • Allow Users to Edit the Text of an Assembled Document
  • Allow Users to Enter New Text in the Assembled Document


Appendix 1: Variable Properties

Appendix 1: Variable Properties

Following is a list of the different variable types, followed by the properties you can assign to each variable type:

Text Variables |
Patterns | HotDocs allows you to assign a pattern to a text variable. The two most common patterns are telephone number patterns and Social Security number patterns. These patterns format users’ answers correctly both in the interview and in the assembled document.
Answer field height | Each variable in a template is asked in an answer-gathering dialog during the interview. You can control how tall (up to 12 lines) the answer field is in the dialog.
Maximum | The maximum number of characters allowed in a text answer is 15,000. If an answer requires a specific number less than this, you can specify it.
Number Variables |
Maximum and minimum values | You can specify limits for how large or small a number can be. For example, if new employees are allowed between 10 and 15 paid vacation days, you can specify these limits so that users don’t inadvertently specify more vacation days than they are allowed.
Decimal places | You can indicate the number of decimal places (up to 7) that should be allowed in a number.
Currency symbol | You can designate whether a currency symbol should be used for a monetary amount. Predefined options include $, £, DM, and €, but you can enter your own. (Patterns have a 3-character limit).
Multiple Choice Variables |
Multiple Choice options, prompts, and merge text | Multiple Choice variables allow users to choose an answer from a list of predefined options. If the options you specify aren't descriptive enough, you can define a prompt for each option. Additionally, you can specify different text for each option that will be merged in the completed document. For example, say you need to merge gender-specific pronouns (like he/she or his/hers) in the document. To do this, you would create a Multiple Choice variable (Gender) with two options—Male and Female—and then specify merge text that will merge the correct pronoun (he or she), based on the user’s gender.
Selection options and styles | You can allow users to select only one option or select multiple options. You can also designate whether the options appear as buttons or as lists. By default, all new Multiple Choice variables are set to Select One Only.
Computation Variables |
Scripts | Computation variables tell HotDocs to perform a particular task during assembly, such as insert one template into another or perform some action based on an answer the user provides. Similarly, they are used to calculate monetary amounts or other figures, or find the number of years between two given dates, and so forth.

Previous Topic


Appendix 2: Template Instructions

Appendix 2: Template Instructions

HotDocs Instruction | What It Does
IF instruction | Designates that a variable, word, phrase, or paragraph should only be included in the assembled document when a certain condition is met.
REPEAT instruction | Repeats variables and text so that users can enter more than just one answer.
INSERT instruction | Inserts another template into the current template. (For example, perhaps you have a separate file that includes boilerplate language. You can use a separate document for this language and then just insert it wherever you need it.) In most cases, inserted templates appear "inline" with the template into which they are inserted.

Previous Topic


Automate Your Templates

Automate Your Templates

The next step in the process is to actually start automating your template A word processor or form document that has been converted to HotDocs format so that it can be automated. When in template format, changeable text in the template can be replaced with variables. Other instructions can be added as well, such as instructions that create lists, condition text, and insert other templates.s.

You can find detailed instructions on each phase of this process in the HotDocs Help.

Create the Template

You first begin by creating templates from the documents you marked up.

When you create a new template, you can enter a title and a description for the template. Include as much information as necessary to better identify the file. For example, if the file that’s created and saved to disk uses some cryptic file naming scheme (such as RLWHCP.docx), you could enter a different title that makes more sense, such as Revocation of Living Will and Health Care Proxy. In the description you can enter as little or as much information about the template as you feel necessary.

Also, if you plan to point your templates to a shared component file, you should do so right after you create the template and before you begin any automation work. That way HotDocs will correctly save any variables and other components you create to the shared component file.

We recommend that template names are kept to less than 52 characters and don't use non-ASCII characters. .

Replace Template Text with Variables

Once the template has been created, you replace changeable text in the template with variable fields. If you’ve previously marked up the template, you should be using variable names and properties you defined in the markup.

As you create variables, you should test them (by clicking the Test button on the component editor). This shows you how the question will appear to the user. Frequently, testing helps you identify ways to improve the variable question. For example, if you’re testing a Text variable that requires the user to enter a long description, you may realize you forgot to adjust the answer field height to allow for multiple lines of answer text.

Make Text Conditional

Once you have replaced all of the variable information with variable fields, you should then review the document to identify sections of text that are optional. To mark these sections, you use IF instructions. IF instructions use a True/False variable (for example, Is the Client Married?) to determine whether to include text or not. More complicated instructions usually require more than a simple yes/no question to determine. An example of an expression would be IF YEARS FROM( Child’s Birth Date, TODAY ) <= 17.

There are two different ways you can use conditional text:

First, you can use IF and END IF instructions to include or exclude simple optional text. For example, in an employment agreement, you may need to include or exclude a paragraph describing a probationary period for the new employee. If the employee isn’t required to complete a probationary period, you wouldn’t include information about it.

Second, you can use IF, ELSE IF, ELSE, and END IF instructions to include alternative text. For example, you may have different versions of a paragraph, only one of which the user will include in the assembled document. Using ELSE IF and ELSE, you can create a series of conditions under which the user determines which text HotDocs will include.

Repeat Variables to Create Lists

Sometimes there are variables in a template that you need to repeat so users can enter more than one answer. For example, you may need to list the client’s children. Because you don’t know how many children a client may have, you can repeat the Child Name variable. This allows the user to enter as many children as necessary. You accomplish this by using a REPEAT instruction. You can repeat a single variable, or you can repeat entire sections of text.

Often, you must repeat information within a word processor table. For instructions on how to repeat a single cell or an entire row, see Use a Word Processor Table to Display a List.

Group Variables in Dialogs

As you know, variables in the template represent the questions users must answer during the interview. You can organize these variables into logical groupings, called dialogs.

Typically, when you create a dialog, you group similar questions together. For example, if the template asks for the name and address of a client, you could group all of these variables together in a single dialog named Client Information. Information about the spouse could be asked in a separate dialog, as could information about the case.

If HotDocs should ask questions only under certain conditions, you can use dialog scripting to include or exclude those questions. You can also select several different options that control the way the questions appear in the dialog. For example, you can choose to place all of the questions above the answer fields, or you can choose to place each question to the left of its answer field.

Test Assemble the Template

Test assembling a template is an imperative task in the template development process. Testing allows you to see the full interview as the user will see it. It provides an opportunity for you to correct mistakes, as well as fine-tune the interview process by improving questions and adding other information to make the process easier for the user.

It’s important that as you are testing, you enter many different combinations of answers. This exercises the scripting in your template and helps you ensure that no matter what answers users enter, HotDocs will assemble the document correctly.

As you test assemble a template, you should check for the following things:

  • HotDocs isn’t reporting any errors or warnings that you need to fix.
  • The interview outline looks right and operates properly.
  • Dialogs look right and operate properly.
  • HotDocs has assembled the document correctly with no unanswered questions and has correctly formatted the answers.

If you find problems as you are testing, you can leave the test assembly window open and make changes to the underlying components. You can then update the test assembly window with your changes.


Distribute the Templates

Distribute the Templates

The final task in the template development process is to distribute your template sets so they can be used for assembly. Before doing this, you must first identify who will use your templates.

If you’ve automated your templates for your own practice, there may not be a distribution plan—you can assemble documents from the same templates you are editing. Or, if you’d like to separate template development from document assembly, you can create a new library and copy your completed templates to a different folder. As you make corrections to the templates, you can update those files saved in the assembly-only location.

If you plan to share your templates with others in the firm, you should place copies of the files on a network location for your co-workers. You should restrict access to the templates as much as possible to keep users from inadvertently changing the files. Some ways you can do this include:

  • Making the network folder where the templates are saved read-only. (You should also make the template files themselves read-only.)
  • Placing a copy of the files on a network and then having users import the library to their local drives for assembly-only. (See Copy Templates to New Locations and Import One Library Into Another.)
  • Publishing the template set as a HotDocs auto-install file, which users can then install on their computers. (See Publish Templates as Auto-Install Files (HDI).)

If you plan to share your templates with those outside the firm, you should publish the templates and distribute them using the Internet or even a CD.

If you plan to sell your automated templates and distribute copies of HotDocs Player with the templates, you must acquire a publishing license from HotDocs Corporation, which allows you to redistribute HotDocs Player to your customers. (HotDocs Player is a free, assembly-only version of HotDocs.) (See Publish and Register Templates for Use With HotDocs Player.)

Another option is to publish your templates using HotDocs' publishing feature. Publishing options are only available to HotDocs Developer users, however. For information on upgrading your license, please contact your sales representative.


Mark Up the Document Set

Mark Up the Document Set

The process of marking up a document for template automation includes identifying the text in the document that will change, depending on the person for whom the document is being created. Once identified, you indicate the variable that should replace that text. Variable information includes names, dates, numbers, and so forth.

How you mark up the document depends on your project and your needs. Following are some options:

  • You can create a HotDocs Model using the HotDocs Markup Tools. Once the document is marked up, you can convert it to HotDocs template format. (See Introduction: Create HotDocs Models for details.)
  • You can manually mark up word processor documents and store the markup information in a spreadsheet application, such as Excel. You can then take the marked up documents and create templates from them, referring back to the spreadsheet for specific information about how the template should be automated.
  • Another option is to simply print a copy of each document in your set and mark up the documents by hand. You can write directly on the printed document what variables should be used and identify which properties should be assigned to these variables.

Regardless of which markup option you choose, you should try to address these questions in the markup:

  1. How should variables be named? While it might not seem important at first, defining a naming scheme up front will save you time later when you need to manage a large list of components. For example, should you name related variables using a consistent format (like Client Name, Client Address, Client City, Client State, etc.)?
  2. Which variables can be reused in other templates in the set? When templates require the same information, you should mark the variables using the same name. This way, when users save answer files after assembling a document, the answers can be used with those other documents. This saves the user from retyping common answers.
  3. How should answers in the document be formatted? For example, should text answers be written using all capital letters? Should number answers be numeric (7) or spelled out (seven)?
  4. How much information does the user need to know in order to answer certain questions during the interview? How should questions be phrased, punctuated, and capitalized? Should they contain examples of possible answers?
  5. How much additional information should be included with variables? For example, when should variable resource (or help) information be included? How much is too much?
  6. What other information should be known about the variables? For example, are there restrictions or limits for answers? Should an answer be formatted a certain way? If the answer must be calculated, what kind of calculation should it be? (For a complete list of properties you can assign to the different variables, see Appendix 1: Variable Properties.)
  7. What text in the document should be included only under certain conditions? For example, if there’s a paragraph about the client’s spouse, but the client isn’t married, you wouldn’t want to include the paragraph.

You can also mark in the document where lists of answers should be merged and where boilerplate text should be inserted. See Appendix 2: Template Instructions for details.


Organize the Final Template Library

Organize the Final Template Library

Once all of your templates are automated, you can organize them within the library. How you organize the library depends on the template set. (See Introduction: Use HotDocs Libraries.)

One way you can organize the library is to create folders for storing the templates. Frequently, you can group similar templates in these folders. For example, wills can be organized in one group or a series of subgroups, depending on the number and types of wills you have automated. (See Organize the Contents of a Library.)

If you have a large set of templates, it may make more sense to create individual libraries for the template types. Real estate templates can be stored in one library, while family law templates could be saved in a different library.

Because the items in the library work like shortcuts to the actual files, you must be cautious when working with the actual files. Moving an actual file without updating the reference in the library will make the file inaccessible from the library. If you need to move the files in the library, use either the Move command or the Copy command (both commands found in the Template menu). If you need to update references, choose Properties or Multiple (Edit menu). (See Move Items to New Locations on Disk, Change the Properties of a Single Library Item, and Change the Properties for Multiple Items in a Library.)

When you created the templates, you may have added template titles and descriptions for each template you added to the library. If you did not, this is a good time to do this. Template titles and descriptions are an easy way to help the user identify the template. You do this by editing the template properties. (See Change the Properties of a Single Library Item.)


Plan Your HotDocs Project

Plan Your HotDocs Project

Gather and Review Documents

Before you can automate any templates, you must first identify which documents you want to include in a set of templates. You should gather all of these documents into one central location. Documents you should consider are those you routinely create for clients.

As you review your documents, you’ll probably realize you’ve created the same type of document for multiple clients. While each of these documents contains generally the same content, some documents may contain unique or different paragraphs or clauses. To capitalize on the work you’ve already done, create a HotDocs Model where you copy all of these text variations. Then, when you automate the template, you can use HotDocs scripting to include or omit these different paragraphs, depending on the user.

Define the Audience

Another point to consider is your audience. Are you the only one who will use the automated templates, or will you share your work with others, perhaps in your firm or more broadly? If others will use the templates, how do you plan to distribute these templates to them? (Template distribution options are covered later in this document.)

As you identify your audience, you should also consider their experience in using the types of documents you are automating. If your users don’t have the same understanding or experience you do with the documents, you may need to change the way the templates are automated to help them better understand the documents. For example, you may need to include additional resources to help users better understand how to answer questions in the interview.

Previous Topic Next Topic


Prepare to Automate the Templates

Prepare to Automate the Templates

Once the templates in your set are marked up, you should think about the following things before you begin the actual automation process:

Decide if you want to share component files. If there are common variables across most of the templates, you may consider pointing each template in your set to a shared component file. Then, when you make a change to a shared component, (for example, if you change a prompt or resource text, the change will appear in all templates that use that component.) (See Use One Component File for Multiple Templates.)

It’s a good idea to point all the templates that will share a component file to the shared component file before you start creating components in the templates. That way, they are saved directly in the shared component file and are ready for use when you automate other templates.

Identify boilerplate text. If there is boilerplate text in the templates, consider saving that text in a separate template file and then dynamically inserting that template in each template that requires it. (Examples of boilerplate text include captions, signature blocks, and so forth.) Then, when you need to make a change to the text, you only need to make it in one file.

Create common document styles. If automating a Microsoft Word template, make good use of styles. Ultimately, this will help retain formatting throughout your templates. The Microsoft Word Help file contains a lot of useful information on using styles.

Set HotDocs Options. As you prepare to automate your templates, there may be some custom settings you want applied to all new templates you create. For example, if your templates will be used with HotDocs Server, you can specify a setting that enables all new templates you create for use with HotDocs Server.

To view a list of settings you can change, at the HotDocs template library, choose Options (Tools menu) and then open the Template Development folder. (See HotDocs Options)


Conclusion

Conclusion

As with any major project, the more planning you do up front, the better your results will be. While this document covers the basics, it’s expected that you will also discover tips and tricks that will help you improve the template automation process.

For helpful lists of Variable Properties and Template Instructions see the appendices to this section:

  • Appendix 1: Variable Properties
  • Appendix 2: Template Instructions

Previous Topic


HotDocs Templates Overview

A HotDocs template A word processor or form document that has been converted to HotDocs format so that it can be automated. When in template format, changeable text in the template can be replaced with variables. Other instructions can be added as well, such as instructions that create lists, condition text, and insert other templates. is a software component created using HotDocs Developer. The template contains all of the document's boilerplate text (the parts of the document which remain the same every time the document is generated), the variable A component that is used to represent changeable text (such as names, dates, numbers, etc.) in the template. Types of variables include Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information. fields (which will be replaced with new information collected during the interview), and any template logic needed (this can be repeated fields, conditional paragraphs, inserted templates etc.). The HotDocs template and the paired HotDocs component file The file that stores all of the components used in a template. The component file and template file are both necessary for template development and document assembly to work correctly. Template developers use Component Manager to work with components. (generated by HotDocs alongside the template) contain all the information necessary to produce multiple documents with the information gathered in a HotDocs interview.

A HotDocs Template encapsulates three important things:

  • Natively formatted content. For example, a HotDocs Template can be created right in Word; most of Word's formatting and document features can be built right into the HotDocs template. The documents you generate from such a template are native Word documents; no conversion or reformatting is necessary.
  • Embedded Document logic. HotDocs embeds the business logic necessary to produce correct documents right inside your template. Computed values, conditional logic, specialized formatting, lists or tables of arbitrary length, nested lists, etc... all the know-how necessary to draft the perfect document.
  • Data-gathering Interview. Not only does a template contain the logic HotDocs needs to produce a customized document, it also contains a definition of exactly what data is required to do so. HotDocs uses this to create a dynamic data-gathering interview based on the template. HotDocs Interviews can gather exactly the data that is necessary, leaving out the questions that are not relevant according to what's already been answered.

Generally speaking there are three types or categories of templates:

Template Type | Description
Text Templates

You create and automate The process of converting any document (text or form) into an interactive template. At its very core, automation is replacing changeable text in the document with variables. Additional automation steps include making text in the template conditional, repeating sections of the template so multiple answers can be entered, and inserting other boilerplate text into the template. a text template A template that is created and automated in Microsoft Word or WordPerfect. It is distinguished from a form template by the fact that the underlying text of the template can be modified. (See also text document.) in a word processor, such as Microsoft Word or WordPerfect. You can modify the underlying text of a text template both as you automate the template and as you view the assembled document in the word processor. Text templates have a .DOCX, .RTF, .DOT, .WPT or .TTX file name extension.

Microsoft Word .DOT templates cannot be used with HotDocs Server.
Form Templates | A form template A template that is created and automated in HotDocs Automator. It is distinguished from a text template by the fact that the underlying text cannot be modified because it is static. (See also form document.) is based on static graphical or text content, such as a PDF document. You place variable fields directly on top of the static content so that during the document assembly process, HotDocs can overlay answers on top of the static text. When you answers are merged with the static document content, the underlying static text and formatting does not change. Form templates have a .HFT or .HPT file name extension.
Interview Templates | An interview template A template that contains a series of interview questions designed to gather information about a person (or persons) or matter. Answers are saved in an answer source file, which can then be linked to a dialog in a template that requires the same information. Generally, interview templates can be used to create a list of possible answers so users have more options to choose from gathers specific information (such as court, attorney, or client information). HotDocs saves the answers your end users provide for use in assembling documents; however, unlike text and form templates, HotDocs does not generate a document directly from an interview template. The only direct output of an interview template is an answer file. However, starting with an interview template, HotDocs can trigger subsequent assembly of additional documents using the ASSEMBLE instruction. Interview templates have a .CMP File name extension that designates that the file is a component file. file name extension.

When you create a new template file, HotDocs creates a companion file called the component file The file that stores all of the components used in a template. The component file and template file are both necessary for template development and document assembly to work correctly. Template developers use Component Manager to work with components.. The component file contains information about variables and other component A template resource file that displays or stores information about the user input/answers to merge in the final document. Examples of components include variables, dialogs, dialog elements, merge text groups, and formats.s used in the template. The component file has the same base file name as the template file, but with a .CMP file name extension. Both the template file and the component file are necessary for a template to work. Whenever you copy a HotDocs template—for example, to share a template with another user—you must be sure to copy both the template file and the component file.

The component file works in the background—as you create various components in the template, HotDocs stores the component file. Normally, each template uses its own component file, but you can make two or more templates share one component file.

Interview templates consist of only a component file; they do not have a separate template file.

Templates used with HotDocs Server also require an additional file: the template manifest (.manifest.xml). Like a component file, this file also shares the same base file name as the template except for the file name extension. It is created when you publish a template for use with HotDocs Server.

Versions of HotDocs Developer prior to 11 uploaded JavaScript (.JS) and Variable Collection (.HVC) files when publishing content for use with HotDocs Server. These files are no longer of concern when working with HotDocs Server version 11 or later.

Template Relationships

Any HotDocs template can potentially refer to (and thus rely on) other templates in two ways:

  • INSERT instructions. When one template "inserts" another, this means content and logic from the inserted template dynamically become part of the parent template. The inserted template can influence the parent template's interview (changing which questions need to be asked, for example), and the content of the inserted template becomes part of the assembled document that is produced.
  • ASSEMBLE instructions. When one template "assembles" another, this means the assembled template is "queued up" for subsequent interview and/or assembly after the current interview or assembly has been completed by the user. This is a separate operation, but it is necessary to implement the full feature set on which HotDocs template authors generally rely for proper execution of their templates.


General Keyboard Shortcuts

General Keyboard Shortcuts

To Do This | Press This
Display all of the options in a drop-down list | Alt+Down Arrow
Move items up or down within a list (for example, the Contents list of the Dialog Editor) | Alt+Down Arrow / Alt+Up Arrow
Move between HotDocs windows | Alt+F6
View a shortcut menu | Shift+F10
Move between the different tabs of a window | Ctrl+Tab
Access the buttons in a toolbar (when no menu is provided) | F10
Open the HotDocs Help | F1


Keyboard Shortcuts at Component Manager

Keyboard Shortcuts at Component Manager

To Do This | Press This
Move between the different elements in Component Manager | Tab / Shift Tab
Edit the selected component | Enter
Open the Component File Properties dialog box | Alt+Enter
Insert the selected component in the template | Insert
Remove the selected component(s) from the component file | Delete
Open the Components drop-down list to view all available options | Alt+Down Arrow
Copy components between two open component files | Alt+Left Arrow / Alt+Right Arrow
Select all components in the list | Ctrl+A
Create a copy of a component (or group of components, if multiple components are selected) | Ctrl+C
Edit the currently selected component | Ctrl+E
Search each component in the list for a specific word or phrase | Ctrl+F
Search each component in the list for a specific word or phrase and replace it with a new word or phrase | Ctrl+H
Create a new component | Ctrl+N
Print a list of components and their properties | Ctrl+P
Close Component Manager | Ctrl+W or Alt+F4
Open the HotDocs Help window | F1
Rename the selected component(s) | F2
Check the spelling of text used in components | F7
Access the Component Manager toolbar | F10
Display the Component Manager shortcut menu | Shift+F10


Keyboard Shortcuts at Template Library

Keyboard Shortcuts at Template Library

To Do This | Press This
Tab between the item list and the Find options | Tab / Shift+Tab
Switch between Properties and Preview tabs | Ctrl+Tab
Assemble the currently selected template | Enter
Open the Item Properties dialog box for the currently selected folder or item | Alt+Enter
Remove the template from the library | Delete
Collapse and expand the currently selected folder | Left Arrow / Right Arrow
Move through items in the library list | Up Arrow / Down Arrow
Move the selected item up or down in the list | Alt+Up Arrow / Alt+Down Arrow
Copy the selected item | Ctrl+C
Create a new library | Ctrl+N
Open an existing library | Ctrl+O
Print a copy of the item list | Ctrl+P
Cut the selected item or text and place a copy of it on the Clipboard | Ctrl+X
Open the HotDocs Help file | F1
Close the template library | Alt+F4
Move focus to a different pane in the library | F6
Move between HotDocs windows | Alt+F6
Resize the pane you are currently viewing | Ctrl+F6 This option selects the split bar so you can use the arrow keys to move it. Press Enter to set the placement.
Access the library menu bar | F10
Display a shortcut menu | Shift+F10
Save a new copy of the library | F12


Keyboard Shortcuts at the Script Editor

Keyboard Shortcuts at the Script Editor

To Do This | Press This
Move through the elements in the editor | Tab / Shift+Tab
Merge a paragraph break in a script | Ctrl+Enter
Merge just the highlighted component or model in the Script field | Insert
Display an Auto Complete list of keywords and component names so you can more easily enter the correct syntax for a script | Ctrl+Space
Switch between the different tabs of the component editor | Ctrl+Tab
Highlight all of a script | Ctrl+A
Copy the highlighted script to the Clipboard | Ctrl+C
Edit the currently selected component | Ctrl+E
Search through the Script field for a specific word or phrase | Ctrl+F
Go to a specific line number or character position in the script | Ctrl+G
Search through the Script field for a specific word or phrase and replace it with a different word or phrase | Ctrl+H (Use F3 to find the next instance of text for which you are searching.)
Inserts a tab at the current location | Ctrl+I
Place comment markers before the selected text | Ctrl+K
Remove any comment markers from the selected text | Ctrl+Shift+K
Find the matching IF or REPEAT instruction (Place your cursor in the instruction before issuing the command) | Ctrl+M
Highlight a block of script starting with the opening instruction and ending with the closing instruction (Place your cursor in the instruction before issuing the command) | Ctrl+Shift+M
Create a new component | Ctrl+N
Indent the selected script text | Ctrl+T
Paste the text on the Clipboard in the script | Ctrl+V
Close the Computation Editor without saving your changes | Ctrl+W or Alt+F4
Cut the selected script and place it on the Clipboard | Ctrl+X
Reapply a change you just undid | Ctrl+Y
Undo a change | Ctrl+Z
View the help topic for a specific model in the Instruction or Expression list. | First select the model in one of the lists and then press Ctrl+F1.
View an auto-complete list of just components | F5
View an auto-complete list of just scripting keywords | Shift+F5
View a status hint for the component or keyword you are currently viewing (where your cursor is) | F7
Indent all pairs of IF and REPEAT instructions, based on their level of insertion | F8
Access the script editor toolbar | F10


Keyboard Shortcuts for a Clause Library at the Assembly Window

Keyboard Shortcuts for a Clause Library at the Assembly Window

To Do This | Press This
Move a clause from the Available list to the Selected list | Insert
Remove a clause from the Selected list | Delete
Move to the top of the clause list | Home
Move to the bottom of the clause list | End
Move the selected clause up in the Selected list | Alt+Up Arrow
Move the selected clause down in the Selected list | Alt+Down Arrow


Keyboard Shortcuts for Answer File Manager

Keyboard Shortcuts for Answer File Manager

To Do This | Press This
Tab between the item list and the Find options | Tab / Shift+Tab
Switch between Properties and Contents tabs | Ctrl+Tab
Open the Item Properties dialog box for the currently selected answer file | Alt+Enter
Remove the answer file from the library | Delete
Move the selected item up or down in the list | Alt+Up Arrow / Alt+Down Arrow
Expand or collapse a folder | Right Arrow / Left Arrow
Copy the selected answer file | Ctrl+C
Create a new answer file | Ctrl+N
Cut the selected item or text | Ctrl+X
Close Answer File Manager | Ctrl+W or Alt+F4
Switch between the answer file list and the Preview pane | F6
Resize the pane you are currently viewing | Ctrl+F6 This option selects the split bar so you can use the arrow keys to move it. Press Enter to set the placement.
Access the Answer File Manager toolbar | F10


Keyboard Shortcuts for Javascript Interviews

Keyboard Shortcuts for Javascript Interviews

Navigation bar

To Do This | Press This
Go to First dialog | Ctrl+Home
Previous Unanswered dialog | Ctrl+PgUp
Previous dialog | PgUp
Next dialog | PgDn
Next Unanswered dialog | Ctrl+PgDn
Go to Last Dialog | Ctrl+End

Spreadsheet Bar

To Do This | Press This
Edit Row | Ctrl+Enter
Insert Row | Ctrl+Insert
Delete Row | Ctrl+Del


Keyboard Shortcuts for Silverlight Interviews

Keyboard Shortcuts for Silverlight Interviews

Navigation bar

To Do This | Press This
Go to First dialog | Ctrl+Home
Previous Unanswered dialog | Ctrl+PgUp
Previous dialog | PgUp
Next dialog | PgDn
Next Unanswered dialog | Ctrl+PgDn
Go to Last Dialog | Ctrl+End

Spreadsheet Bar

To Do This | Press This
Edit Row | Ctrl+Enter
Insert Row | Ctrl+Insert
Delete Row | Ctrl+Del


Keyboard Shortcuts for the Document Preview Tab of the Assembly Window

Keyboard Shortcuts for the Document Preview Tab of the Assembly Window

To Do This | Press This
Tab through answers field in the document | Tab / Shift+Tab
Switch between tabs of the assembly window | Ctrl+Tab
Open a pop-up interview for the current answer field (Word users only) | Enter
Open the Document Text Editor for the section of editable text (Word users only) | Enter
Move through each unanswered question in the document (Word users only) | Ctrl+Down Arrow / Ctrl+Up Arrow
Move through each section of editable text (Word users only) | Ctrl+Shift+Down Arrow / Ctrl+Shift+Up Arrow
Select all of the text in the document | Ctrl+A
Copy the selected text to the Clipboard | Ctrl+C
Search through the document text for a specific word or phrase | Ctrl+F (Press F3 to find the next instance)
Move your cursor to a specific line number or character position in the document | Ctrl+G
Use a new, untitled answer file during the current interview | Ctrl+N
Open Answer File Manager | Ctrl+O
Save the current answer file | Ctrl+S
Close the assembly window | Ctrl+W or Alt+F4
Print a copy of the assembled document | Ctrl+P
Zoom in or out on the document text | Ctrl+= / Ctrl+-
Access the assembly window menu bar | F10
Send the assembled document to the word processor or HotDocs Filler | F11
Send the assembled document to the word processor or HotDocs Filler | Shift+F11
Send the assembled document to the word processor or HotDocs Filler | Ctrl+F11
Send the assembled document to the word processor or HotDocs Filler | F12


Keyboard Shortcuts for the Form Document Tab of the Assembly Window

Keyboard Shortcuts for the Form Document Tab of the Assembly Window

To Do This | Press This
Move between the different answer fields of the form document | Tab / Shift+Tab
View a pop-up interview for the selected field | Enter
View the Field Properties dialog box for the current field | Alt+Enter
Display the full list of options for a drop-down field | Alt+Down Arrow
Move between unanswered fields on the form | Ctrl+Down Arrow / Ctrl+Up Arrow
Select all of the text in a field, or, if your cursor isn't on a field, select all of the fields on the form page | Ctrl+A
Copy the selected text or fields to the Clipboard | Ctrl+C
Change the font properties of the selected field(s) | Ctrl+D
Go to a specific page in the form | Ctrl+G
Move between the fields in the document where the same answer is merged | Ctrl+M / Ctrl+Shift+M
Create a new answer file for use during the current interview | Ctrl+N
Open Answer File Manager so you can choose a different answer file for the current interview | Ctrl+O
Print a copy of the form document | Ctrl+P
Save the current answer file | Ctrl+S
Paste the contents of the Clipboard | Ctrl+V
Close the assembly window | Ctrl+W
Cut the selected text or field to the Clipboard | Ctrl+X
Zoom in or out on the form | Ctrl+= / Ctrl+-
Switch between the document pane and the resource pane | F6
Resize the pane you are currently viewing | Ctrl+F6 This option selects the split bar so you can use the arrow keys to move it. Press Enter to set the placement.
Check the spelling of answers on the form | F7
Display the page width of the form | F9
Display the full page of the form | Shift+F9
Access the assembly window menu bar | F10
Send the assembled document to HotDocs Filler | F11
Save a copy of the assembled document to disk | F12


Keyboard Shortcuts for the Interview Tab of the Assembly Window

Keyboard Shortcuts for the Interview Tab of the Assembly Window

To Do This | Press This
Tab through answer fields in a dialog | Tab / Shift+Tab
Move to the next dialog in the interview | Enter
Insert a paragraph end in a multi-line answer | Ctrl+Enter
Move to the next dialog or the previous dialog in the interview | Page Down / Page Up
Move to the next unanswered dialog or previous unanswered dialog in the interview | Ctrl+Page Down / Ctrl+Page Up
Move through each unanswered question in a dialog | Ctrl+Down Arrow / Ctrl+Up Arrow
View all answers in a drop-down list | Ctrl+Down Arrow
Display the calendar for a date field | Alt+Down Arrow
Collapse or expand dialogs in the interview outline | Left Arrow / Right Arrow
Use a new, untitled answer file during the current interview | Ctrl+N
Open Answer File Manager | Ctrl+O
Save the current answer file | Ctrl+S
Indent the text in a multi-line answer file | Ctrl+T
Close the assembly window | Ctrl+W or Alt+F4
Display the resource for a field in a pop-up window | Alt+F1
Switch between the Answer File drop-down menu, the interview outline, the dialog pane, and the resource pane | Alt+Enter
Resize the pane you are currently viewing | Ctrl+F6 This option selects the split bar so you can use the arrow keys to move it. Press Enter to set the placement.
Check the spelling of answers in the interview | F7
Access the assembly window menu bar | F10
Send the assembled document to the word processor or HotDocs Filler | F11
Copy the assembled document to the currently open word processor document | Shift+F11
Copy the assembled document to the Clipboard | Ctrl+F11
Save the assembled document to disk | F12
Performs the Finish Interview action for the current interview. This will either send the assembled document to the word processor or filler (closing the assembly window in the process), or simply switch to the Document Preview/Form Document tab. | Ctrl+F12 You can configure your Finish interview action in from the library by opening HotDocs Options > Interviews and Dialogs > End of Interview.


Custom Command Sample

Custom Command Sample

The following is an example of a custom command:

SELECT Client.Company, Client.Contact, Client.Address1, Client.Address2, Client.City, Client.State_Prov, Client.Country, Client.PostalCode, Invoice.Inv_Number, Invoice.Inv_Date, Invoice.Ship_Date, Invoice.Inv_Total, Invoice.Date_Paid FROM Client INNER JOIN Invoice ON Client.ClientID = Invoice.ClientID ORDER BY Client.Company;


Component Properties

Component Properties

When working with literal text in components, you can search, search and replace, print, or spell check text used in the different properties of a given component.

Using both the [image] Find in Components and [image] Find and Replace in Components buttons, these properties are:

  • Display text (titles, prompts, etc.): Searches for text in dialog and variable titles, as well as variable prompts.
  • Merge text, patterns, and formats: Searches for the specified text string in Multiple Choice merge text groups, Text variable patterns, and variable formats.
  • Plain text resources: Searches for the specified text string inside any plain text resources for variables or dialogs.
  • Scripts: Searches for the specified text string inside quotation marks in computation and dialog scripts.
  • Variable references (Find option only): Searches for variables that are referenced in the selected variables' prompts, merge texts, and scripts.
  • Notes: Searches text specified at the Notes tab of component editors.

Using the [image] Spell Check Components button, these properties are:

  • Display text (titles, prompts, etc.): Checks the spelling of text in dialog titles and variable prompts and titles.
  • Merge text: Checks the spelling of merge text in Multiple Choice variables.
  • Plain text resources: Checks the spelling of plain text resources for variables and dialogs.
  • Scripts: Checks the spelling of text strings (inside quotation marks) in computation scripts.

Using the [image] Print Components button, these properties are:

  • Component types: Prints the type of component for the variable you are printing (for example, Text, Date, Number, True/False, Multiple Choice, Computation, and Personal Information)
  • Titles, prompts, and dialog elements: Prints each component's prompt or title, if one has been assigned. Prints dialog element text in a dialog.
  • Scripts: Prints any scripts associated with the variable or dialog.
  • Plain text resources: Prints any plain-text resources that have been assigned to the variable.
  • Notes: Prints text specified at the Notes tab of component editors.
  • All other component type-specific properties: Prints other component-specific data such as the maximum number of characters for a Text variable or the contents and script for a custom dialog.


View the Component's Status

The following icons are used to describe how components are being used in the component file. Template Manager can overlay these icons on components to help you know the status of the component—whether it is being used correctly or incorrectly:

 | Components that have a red R next to them are components that are referenced in the template (either directly or indirectly, as in the case of variables used in dialogs or Computation variables), but do not appear in the component file. Their status is Missing.
 | Components that are grayed out with an overlay of a grayed question mark are components that appear in a component file but are not referenced in the template. Their status is Unused.
(OK) | Components that are used in the component file and referenced in the template file have the OK status assigned to them. They are not represented by any special icons.


View the Template Status

The following icons are used to describe how templates are being used in the library. Template Manager overlays these icons on items in the file list to help you know the status of the file.

This symbol means HotDocs has detected a problem with the file. Usually, this means the file refers to another file that doesn't exist.
This symbol means the file listed doesn't exist.
This symbol means the file is referred to in the template using an ASSEMBLE instruction. In such cases, Template Manager adds the file to the main level of the file list so you can work with it.


Hidden Clutter Example

Hidden Clutter Example

When hiding clutter, the following text:

I, [ClientName;te;format=upper], direct my personal representative to see that my body is [if:ClientToBeBuried:buried in the [ClientBurialCemetery;te]/elseif:ClientToBeCremated: cremated and my ashes scattered whithersoever my personal representative shall direct/elseif:ClientBodyToMedicine:donated to [ClientBodyInstitution;te]/else:disposed of as my personal representative shall direct].

becomes:

I, [ClientName], direct my personal representative to see that my body is [buried in the [ClientBurialCemetery]/cremated and my ashes scattered whithersoever my personal representative shall direct/donated to [ClientBodyInstitution]/disposed of as my personal representative shall direct].

Notice that in variable fields, markup from the colon up to the closing bracket is hidden. In conditional text fields, markup after the opening bracket or forward slash up to the first character of the document text is hidden.


HotDocs Models: absoluteValue( num )

Placeholder | Replace With
num | A number value for which you want the absolute value returned. Can be a Number variable or a fixed number value.

Using the absolute value expression, you can find the absolute value of a given number. You can calculate a negative number, but have it appear as a positive number.

For example, you may need to send a notice to a client about an account balance. Not knowing whether it will be a positive or negative balance, you would create the computation AbsoluteValueOfFinalBalance, which would return a positive expression, regardless. The computation script is:

absoluteValue( FinalBalance )

Once you have created the computation, you can use an if/else expression to merge the desired text with the correct value in the document:

[if:FinalBalance < 0:Your account is $[AbsoluteValueOfFinalBalance] overdrawn./else: You have $[AbsoluteValueOfFinalBalance] in your account.

]

Back to List


HotDocs Models: age( date )

Placeholder | Replace With
date | A date value, which you want to check against the current date. This can be a Date variable or a fixed date value.

The age( date ) expression produces an age, in years, by calculating the number of years between the current date (as determined by your computer’s system clock) and a date you provide in the computation script.

For example, the following script determines the age of the user based on his or her birth date:

age( BirthDate )

In the following conditional script, HotDocs determines whether the client is under the age of 18. If so, the ParentGuardianInformation dialog is asked. If the client is over the age of 18, no dialogs are asked.

if age( BirthDate ) < 18

ask ParentGuardianInformation

endIf

Back to List


HotDocs Models: answered ( dialog )

Placeholder | Replace With
dialog | A dialog name.

HotDocs can determine whether a dialog has been answered using the answered expression. Even if only one variable in the dialog is answered, the expression returns a value of true.

Let's suppose you have a dialog that gathers information about a decedent (DecedentInformation). From within this dialog, a user could open an inserted dialog that asks questions about the decedent's assets (DecedentAssets). Later in the model, you could ask additional questions based on whether these dialogs have been answered:

if answered( DecedentInformation ) and answered ( DecedentAssets )

ask AssetDistributionInformation

endIf

Back to List


HotDocs Models: answered ( var )

Placeholder | Replace With
var | A variable.

You can use the answered expression to determine whether a HotDocs variable has been assigned a value. If so, the expression receives the value of true.

If you are testing whether a user has answered a variable, you must make sure the variable is presented to the user using a custom dialog. Using the answered expression alone will not automatically force HotDocs to display the variable for the user.

For example, you may place a variable for the second line of an address (ClientAddress2) in a custom dialog; however, not all users will provide information for that variable. In the text of the model, you can surround ClientAddress2 with an if expression that merges that variable into the document—only if the user answers it:

[ClientName;te]

[ClientAddress1;te]

[if:answered(ClientAddress2):[ClientAddress2;te]

][ClientCity;te], [ClientState;te] [ClientZip;te]

In this script, the answered expression is used with an if expression to insert or remove ClientAddress2, based on whether the user has provided that information. (Without it, the default unanswered text, ***ClientAddress2***, would be inserted in the assembled document.)

Back to List


HotDocs Models: ascend var; descend var

Placeholder | Replace With
var | A repeated variable

The ascend instruction sorts lists of answers (gathered using a repeat instruction) in alphanumeric order, from 1 to 9, and from A to Z. The descend instruction sorts lists of answers from 9 to 1, and from Z to A.

For example, the following script would insert a list of clients in alphabetical order, from A to Z. Even though it lists First Name TE first, it sorts by Last Name TE:

""

repeat ClientList

ascend LastName

result + FirstName + " " + LastName + "

"

endRepeat

The first empty set of quotation marks sets the computation value to nothing. Then, the repeated dialog, ClientList, asks for each client’s first and last name. Next, the ascend instruction sorts the list of names by last name. Finally, the result expression tells HotDocs to merge the names in the document.

Back to List


HotDocs Models: ask dialog

Placeholder | Replace With
dialog | Any dialog in the template

The ask dialog instruction allows you to control the order in which dialogs appear in an interview.

Instructions like ask are also useful when some interview questions should only be asked in certain situations. In the following example, HotDocs only asks the BuyerInformation dialog if the user is a first-time buyer:

[if:FirstTimeBuyer:[ASK:BuyerInformation]

]

In general, the ask instruction tells HotDocs to display a dialog as soon as the instruction is processed. You can create an ask field directly in the model, or use a Computation variable to ask several dialogs at once.

Back to List


HotDocs Models: ask var

Placeholder | Replace With
var | Any variable in the template

Sometimes a variable needs to be asked by itself. You can use the ask var instruction so that during the interview, HotDocs displays the variable in its own default dialog.

In the following example, an if expression evaluates if more than a year has passed since the last time the client assembled this document. If so, the CurrentInsurance variable is asked:

if monthsFrom( DateOfPreviousFiling, today ) >= 13

ask CurrentInsurance

endIF

You can include the ask var instruction directly in the model or you can define it in a Computation variable. Be aware, however, that if you insert the instruction directly in the model, you can ask only one variable, and any answers the user provides will not be merged into the document at that place.

Back to List


HotDocs Models: count( dialog )

Placeholder | Replace With
dialog | A dialog name.

You can find out how many sets of answers a user provides for a repeated dialog. A repeated dialog is any dialog used in a repeat instruction. This expression produces a number, based on each answered dialog.

The following example determines if there is more than one fiduciary. If there is, certain prefixes and plural abbreviations are added to the fiduciary title so the paragraph is structured correctly.

I appoint [repeat:FiduciaryInformation;format="a, b, and c":[FiduciaryName;te;format="LIKE THIS"]] as [if:count( FiduciaryInformation ) > 1:Co-[FiduciaryTitle;te]s/else:[FiduciaryTitle;te]].

This expression uses the count instruction to determine if FiduciaryInformation is answered more than once. If it is, the Co- prefix is inserted before FiduciaryTitle, and the plural s is inserted at the end of the variable. For example, in the assembled document, the answer may be inserted as Co-Executors or Co-Personal Representatives.

The difference between count and counter is that count counts the number of repetitions in a list, while counter gives you the number of the current repetition.

Back to List


HotDocs Models: count( mult_choice_var )

Placeholder | Replace With
mult_choice_var | A Multiple Choice variable with the Select property set to All That Apply

This expression counts how many options a user chooses when answering a Multiple Choice variable. The result it produces is a number.

For example, suppose the user wants to generate a list of cities in which an author plans to make appearances. There might be one—or many—depending on the schedule. HotDocs can merge the correct term—city or cities—into the document once it knows how many cities were selected from the Multiple Choice variable. The following computation script demonstrates this:

if count( PublicityTourCity) = 1

"city"

elseIf count(PublicityTourCity) > 1

"cities"

endIf

Back to List


HotDocs Models: counter

HotDocs uses counter as a way to compare two incrementing number values. For example, perhaps you want to list the last child named in a repeated dialog. You could create the following computation script:

""

repeat ChildrenInformation

ascend ChildBirthDate

if counter = count( ChildrenInformation )

result + "The youngest child is " + ChildName

endIf

endRepeat

In this computation script, HotDocs first sets the value of the computation to nothing. It then processes the repeat instruction, sorting the children based on their birth dates. It uses counter to determine when the last answer in the dialog is given (by comparing it to the count of the dialog), and then merges the name of the youngest child in the list into the document.

The difference between count and counter is that count counts the number of repetitions in a list, while counter gives you the number of the current repetition.

Back to List


HotDocs Models: date - num days

Placeholder | Replace With
date | A date value, such as a Date variable
num | A number value

You can subtract any number of days from a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.

For example, this computation calculates the date the books need to arrive at the warehouse before they can be shipped:

ShippingDate - 14 days

Back to List


HotDocs Models: date - num months

Placeholder | Replace With
date | A date value, such as a Date variable
num | A number value

You can subtract a certain number of months from a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.

In the following example, HotDocs subtracts four months from the ShippingDate and inserts the new date:

ShippingDate - 4 months

Back to List


HotDocs Models: date - num years

Placeholder | Replace With
date | A date value, such as a Date variable
num | A number value

You can subtract a certain number of years from a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.

For example, this computation subtracts two years from Marriage Date DA:

MarriageDate - 2 years

Back to List


HotDocs Models: date + num days

Placeholder | Replace With
date | A date value, such as a Date variable
num | A number value

You can add any number of days to a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.

For example, this computation script adds 90 days to the Date variable, PurchaseDate:

PurchaseDate + 90 days

Back to List


HotDocs Models: date + num months

Placeholder | Replace With
date | A date value, such as a Date variable
num | A number value

You can add any number of months to a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.

For example, this computation determines what the date will be six months from the date the document is assembled:

today + 6 months

Back to List


HotDocs Models: date + num years

Placeholder | Replace With
date | A date value, such as a Date variable
num | A number value

You can add a certain number of years to a Date variable. The result of this computation is a new date value, which can be merged into the assembled document.

In this script, HotDocs adds 30 years to the date the loan originated:

LoanOriginationDate + 30 years

Back to List


HotDocs Models: dateOf( num, num, num )

Placeholder | Replace With
num | A number value representing the day of the month (from 1 to 31)
num | A number value representing the month (from 1 to 12)
num | A number value representing the year (should be four digits)

This expression finds a date value based on day, month, and year values.

You can use this expression to compare a date the user gives with another date, such as a cut-off date for when an employee had to be hired to qualify for a yearly bonus. The following computation script demonstrates this:

if HireDate <= dateOf( 15, 8, yearOf( today ) )

EmployeeName + " qualifies for the annual bonus."

endIf

HotDocs uses an if instruction to compare HireDate with August 15 of the current year. If the comparison returns a true value, the employee qualifies for the bonus.

Suppose, in this next example, a new employee qualifies for a benefits package on the first day of the second month of employment—regardless of what day the employee was hired during the first month of employment. You can calculate that date with the dateOf expression:

dateOf( 1, monthOf( HireDate + 1 months), yearOf( HireDate + 1 months))

The first parameter in the expression, 1, tells HotDocs to specify the first day of the month. The second parameter identifies the month of the hire date and adds one month. The third parameter determines the year of the hire date (plus one month).

Back to List


HotDocs Models: dayOf( date )

Placeholder | Replace With
date | A date value

This expression returns the day portion (1 to 31) of a given date.

The following computation is used to determine when a new employee can begin accruing vacation days. If the employee is hired on the first day of the month, he or she immediately begins accruing time off. Otherwise, he or she begins accruing at the beginning of the next month:

if dayOf( HireDate ) = 1

set StartAccruingDate to HireDate

else

set StartAccruingDate to dateOf( 1, monthOf( HireDate + 1 months), yearOf( HireDate + 1 months) )

endIf

Back to List


HotDocs Models: dayOfWeek( date )

Placeholder | Replace With
date | A date value

This expression determines on which day of the week a specific date falls and converts that value to an integer.

These integers are as follows:

Sunday = 1

Monday = 2

Tuesday = 3

Wednesday = 4

Thursday = 5

Friday = 6

Saturday = 7

For example, perhaps you want to determine whether a payment due date falls on a Saturday or Sunday. If it does, HotDocs moves the payment due date to the following Monday. The following script shows how this works:

if dayOfWeek( PaymentDate ) = 7

PaymentDate + 2 days

elseIf dayOfWeek( PaymentDate ) = 1

PaymentDate + 1 days

else

PaymentDate

endIf

Back to List


HotDocs Models: daysFrom( date, date )

Placeholder | Replace With
date | A date value, such as a Date variable
date | A date value, such as a Date variable. (These can be in any order.)

This expression allows you to find the number of days between two dates.

In the following example, a buyer has 60 days to make a payment on an account balance. If the buyer has missed the payment deadline, HotDocs merges a warning into the document:

if daysFrom( PurchaseDate, today) > 60

"Your account is past due."

else

"Your account is current. Thank you."

endIf

This example uses an if/else expression to determine the text that must be inserted.

Back to List


HotDocs Models: default var to value

Placeholder | Replace With
var | Any variable in the model
value | A value that corresponds with the variable type

This instruction suggests a value for a variable if the variable is unanswered.

For example, in the following script, the variable AttorneyName is defaulted to the literal value of Sam Jones:

default AttorneyName to "Sam Jones"

In this example, when HotDocs processes this script, it first determines whether AttorneyName has been answered. If it has, the default instruction has no effect and HotDocs uses the answer already given. If AttorneyName has not been answered, however, HotDocs suggests the answer Sam Jones. When this variable appears during the interview, users can accept this answer by moving to the next dialog, or they can enter a different answer in the answer field.

You can also use a default instruction to suggest an answer that has already been given in the interview. For example:

default TrusteeName to ClientName

In this example, when HotDocs processes this script, it first determines whether TrusteeName has been answered. If it has, the default instruction has no effect and HotDocs uses the answer already given. If TrusteeName has not been answered, HotDocs then checks to see what answer has been given for ClientName and suggests that as the answer. It is important to note, however, that if ClientName is unanswered, TrusteeName will likewise be unanswered.

Back to List


HotDocs Models: filter computation_var

Placeholder | Replace With
computation_var | Any Computation variable in the model that results in a true or false value

The filter instruction filters out certain entries from a repeated list, based on conditions you specify.

In the following example, the script filters out all corporate entities from a list of vendors:

""

repeat VendorInformation

format "A, B, and C"

filter NoCorporateVendors

result + VendorName

endRepeat

In the preceding script, NoCorporateVendors is a Computation variable with the following script:

VendorType != "Corporation"

First, the empty quotation marks set the value of the repeat to "nothing." HotDocs then repeats the VendorInformation dialog. After the user enters all the information, HotDocs processes the responses, filters out all corporate entities, and displays a modified list in the specified format.

You can use the and operator in the computation to filter out entries based on two or more conditions.

A filter can be as complicated as it needs to be, but it must result in either true or false. For example, the expression yearsFrom( ChildBirthDate, today ) produces a number (the age of a person), not a true or false value—it is not a filter. But the expression yearsFrom( ChildBirthDate, today ) <= 17 can only result in true or false. It can correctly filter all children under the age of 18 from a list.

Back to List


HotDocs Models: first( text, num )

Placeholder | Replace With
text | A text value, such as a Text variable, from which the specified number of characters will be returned. This can be a fixed text value, inside quotation marks.
num | A number value, such as a Number variable or a fixed number value. It specifies the number of characters you want returned.

Using this expression, you can return any number of characters starting with the first character in an answer value.

The following computation looks at the client’s first, middle, and last names and returns only the first character from each of these variables. When merged together, these characters create the client’s initials:

first( ClientFirstName, 1 ) + first( ClientMiddleName, 1 ) + first( ClientLastName, 1 )

In the following example, the first four characters of a client’s last name are merged with a case number to create a file number.

first( ClientLastName, 4 ) + CaseNumber

Back to List


HotDocs Models: format "list_format"

Placeholder | Replace With
list_format | An example of the conjunction and punctuation desired, for example, a, b, and c or a; b; or c.

The format "list_format" instruction allows you to create a sentence-style list within a computation.

For example, perhaps you want the items in your list to appear with the final comma preceding the and. Your script would look like this:

""

repeat EducationInformation

format "A, B, and C"

result + EarnedDegree

endRepeat

result

Once a user has provided the list of educational degrees in EducationInformation, the format instruction ensures that the requisite commas are in place.

In a script, the format instruction should be placed immediately after the repeat instruction for repeated dialogs.

Back to List


HotDocs Models: format( value, "example" )

Placeholder | Replace With
value | Any Number, Date, or True/False variable
"example" | A format example (in quotation marks) you want used with the value. Must be in a format HotDocs can recognize.

Sometimes you may need to add a date, number, or true/false value to a text value. You can do this by formatting the date, number, or true/false value as text.

For example, perhaps you want to create a list of items with their associated monetary values. Because these two values are different in nature, they cannot be added together without first representing the number value as a text value:

""

repeat ItemsPurchasedList

result + ItemName+ ", " + format( ItemAmount, "$9,999.00" ) + "

"

endRepeat

In this script, HotDocs first sets the computation value to nothing. Then HotDocs repeats ItemsPurchasedList and then places the answers for both ItemName and ItemAmount (which is formatted to appear as a text value) in the same text string, separated by a comma. If ItemsPurchasedList is answered more than once, HotDocs manually inserts a hard return (as shown before the endRepeat) to create a column of amounts.

Back to List


HotDocs Models: if expression; elseIf; else; endIf

Placeholder | Replace With
expression | A statement that can be evaluated as true or false

You can make sections of a HotDocs Model conditional by using if instructions. You can also make instructions or expressions in a script conditional. A conditional section will be included only if a condition you specify is true. The elseIf instruction allows two or more conditions to be included in an if instruction. The else instruction establishes a final condition for an if instruction, specifying that if all preceding conditions are false, the following information should be included. It must be the last item of the if instruction.

Each if instruction or expression must end with an endIf instruction. This instruction completes a section of conditional logic. These pairs can be nested, allowing you to test several conditions before applying a single effect.

If you are inserting an if field directly in a HotDocs Model, the endIf field is represented by a closing bracket (]). See Mark Conditional Text for details.

In the following example, HotDocs uses an if instruction to insert a paragraph about vacation time—but only if the new employee qualifies for paid vacation:

[if:VacationDays:In addition, [EmployeeName;te] shall be allowed [NumberOfVacationDays;nu;format=alpha] for vacation time. [EmployeeName;te] shall also receive seven paid holidays, including New Year's Day, Memorial Day, Fourth of July, Labor Day, Thanksgiving (including the day after), and Christmas.

]

More complex situations can also be handled using if expressions. For example, in the following computation script, a single paragraph may change depending on how close a project is to completion. Using the if, elseIf, and else instructions, the correct paragraph can be inserted:

if ProjectStatus = "Complete"

"Upon finishing the project…"

elseIf ProjectStatus = "In Process"

"While working on the project…"

else

"Before working on the project…"

endIf

You can use if expressions anywhere. Operators such as and and or can link multiple conditions, giving the user greater control over the interview. However, creating complicated if instructions directly in the model can make the assembly process sluggish. Consider using Computation variables or insert instructions instead.

For more information about using conditional expressions in your model, see Mark Conditional Text.

Back to List


HotDocs Models: increment num_var; decrement num_var

Placeholder | Replace With
num_var | A Number variable

The increment and decrement instructions cause HotDocs to increase or decrease a number variable, usually a counter, by the value of 1.

In the following example, you want to create a list of potential employees. However, you want the list to include only those applicants with four or more years of schooling. To do this, you would use the while instruction to loop through a list of applicants. You would then use the increment instruction to keep track of which repetition you are on so that the correct information can be merged into a new list.

set ApplicantCount to 1

set ProspectCount to 0

while answered( ApplicantName[ApplicantCount] )

if ApplicantYearsOfSchooling[ApplicantCount] >= 4

set ProspectName[ProspectCount] to ApplicantName[ApplicantCount]

endIf

increment ApplicantCount

endWhile

Back to List


HotDocs Models: insert "filename"

Placeholder | Replace With
filename | The file name and folder path of another HotDocs Model The inserted file must be saved to the same folder as the main file.

This instruction inserts another HotDocs Model into the document currently being assembled. When HotDocs encounters an insert instruction, it immediately processes the instruction and inserts the model into the current document. If there are variables to be answered, HotDocs presents them before finishing the interview of the main document.

Often an organization’s documents will include sections that are used frequently, such as company letterhead or attorney information blocks. Rather than recreate these parts of a document each time you automate a template, you can save just the letterhead or the information block as its own template and then use an insert instruction to include it in the models that require it. For example, let's say you have a specific attorney information block you use in pleadings. You would create a model that contains only the attorney information and then use the insert instruction to insert it:

[if:AttorneyInformationRequired:[insert:"Attorney Information Block.docx"]

]

Back to List


HotDocs Models: integer( text )

Placeholder | Replace With
text | A text value, such as a Text variable

Sometimes you may have a text value that contains number characters, as in the case of a time of day value. The integer expression allows you to convert those number characters into numeric values so you can perform calculations or compare them with other values.

The integer expression searches the beginning of a text string for number characters and converts those it finds to numeric values. When it encounters a non-number character (such as a letter or punctuation mark) it stops processing the instruction.

For example, if you tried to find the integer of the word cat, the integer expression would return 0 (zero) since there are no number characters in cat. However, if you used integer on the text value 12:30, it would return the number value 12 since those characters are numbers. (As explained earlier, it stops processing when it reaches a punctuation mark, which in this case is a colon.)

One of the main uses for the integer expression is to compare time values. In the following computation, HotDocs is attempting to determine if a given time value falls after 5:30 P.M. Because time values are text values, the Text variable, Call Time TE, must first be converted to an integer before it can be used in the comparison:

if CallTime contains "p"

integer( CallTime ) + ( integer( mid( CallTime, 1 + position( CallTime, ":" ), 2 ) ) /60 ) > 5.5

else

integer( CallTime) + ( integer( mid( CallTime, 1 + position( CallTime, ":" ), 2 ) ) /60 ) > 17.5

endIf

In this script, CallTime is a Text variable with a 24-hour or 12-hour time pattern (99:99 or 99:99 A.M.). HotDocs first determines if CallTime is in the afternoon (P.M.). If it is, the script uses the integer expression to convert all the digit characters up to the first non-digit character (the colon) into a numeric value. This number represents the hours portion of the total time. Using the mid expression to locate the two digit characters after the colon, it also converts these characters into an integer and divides the value by 60. This number represents the minutes portion of the total time. These two numbers are added together, and if the result is greater than 5.5 (the equivalent of 5:30), the result is true. If the result is not greater than 5.5, the result is false.

The second portion of the script (after the else expression) performs the same functions on a non-afternoon time value—that is, one that is either in 24-hour format or in the morning (A.M.).

Back to List


HotDocs Models: language code

Placeholder | Replace With
code | Any of the following language codes: eng (English) deu (German) des (Swiss German) dea (Austrian German) fra (French) nld (Dutch) esn (Spanish) ita (Italian) ptb (Brazilian Portuguese)

This instruction tells HotDocs to format numbers and dates in a particular language.

For example, the following script allows the model to use Spanish formats:

[language:esn]

[StartContractDate;da;format=3 Juno 1990]

Optionally, if your date or number format requires non-U.S. thousands and decimal separators, you can specify which separators you want to use in the language instruction. You do this using the grouping and decimal properties. For example:

[language:fra;grouping=".";decimal=","]

You must obtain the appropriate foreign language DLL file before the language instruction will work in your models. These DLLs must be saved to the HotDocs program folder. Contact your HotDocs sales representative for more information.

Back to List


HotDocs Models: last( text, num )

Placeholder | Replace With
text | A text value, such as a Text variable, from which the specified number of characters will be returned. This can be a fixed text value, inside quotation marks.
num | A number value, such as a Number variable or a fixed number value. It specifies the number of characters you want returned.

The last expression finds and returns a certain number of characters from the end of a text string.

For example, the following text computation returns the last four digits of a Social Security number:

last( SocialSecurityNumber, 4 )

In the next example, the user wants to make the answer to item TE plural. Using the last expression, HotDocs checks to see if the last letter in the value is a specific letter. If so, HotDocs inserts the correct plural suffix.

if last( ItemName, 1 ) = "s"

or last( ItemName, 1 ) = "z"

ItemName + "es"

else ItemName + "s"

endIf

This example script does not take into consideration words that end in “y” or “x” or any other letter that would cause yet a different result. It is only shown here in its most basic form to demonstrate how the last expression functions.

Back to List


HotDocs Models: length( text )

Placeholder | Replace With
text | A text value, such as a Text variable. HotDocs counts the characters in this value and assigns a numeric value.

The length expression counts the number of characters—including spaces and punctuation—in a text value, such as a Text variable.

For example, let’s say you want a user to add a descriptive paragraph about the novel he or she has just reviewed. If the description is brief, you’d like to keep it in the same paragraph as the lead-in sentence. However, if the user has a longer description about the novel, you would like to start a new paragraph:

[if:length( PlotDescription ) <= 150: The novel's plot description is as follows: [PlotDescription;te]/else:The novel's plot description is as follows:

[PlotDescription;te]

]

Back to List


HotDocs Models: max( num, num )

Placeholder | Replace With
num | A number value, such as a Number variable
num | A number value, such as a Number variable (These values can be in any order.)

The max expression compares two number values and returns the greater of the two.

In this example, HotDocs returns the value of either the MonthlySalary or the MonthlyExpenses, depending on which is the greater value:

max( MonthlySalary, MonthlyExpenses )

Back to List


HotDocs Models: mid( text, num, num )

Home > HotDocs Models: mid( text, num, num )

Back to List

HotDocs Models: mid(text, num, num )

Placeholder | Replace With
text | A text value, such as a Text variable, from which the specified number of characters will be returned. This can be a fixed text value, inside quotation marks.
num | A number value, such as a Number variable or a number you type. This number specifies where HotDocs starts "returning" characters.
num | A number value, such as a Number variable or a number you type. It specifies the number of characters you want returned.

Like the first and last expressions, this expression extracts a specified number of characters from within a text string.

For example, you may be required to split the Text variable, TelephoneNumber (with the telephone number pattern) into three pre-formatted fields—the area code, the prefix, and the number. In the following example, three different computations would be scripted as follows:

mid( TelephoneNumber, 2, 3 )

mid( TelephoneNumber, 7, 3 )

last( TelephoneNumber, 4 )

The first computation, which you would place in the area code field, tells HotDocs to include three characters, starting with the second character (this takes into consideration the opening parenthesis.)

The second computation (the prefix field) starts at the seventh character (again, taking into account the parentheses and space characters between the area code and the prefix), and inserts the next three characters.

The third expression, which uses the last expression, returns the last four digits of the phone number by counting backwards from the last character.

Back to List


HotDocs Models: min( num, num )

Placeholder | Replace With
num | A number value, such as a Number variable
num | A number value, such as a Number variable (These values can be in any order.)

The MIN expression compares two number values and returns the lesser of the two.

In the following number computation, the expression compares the two values, ShippingCosts and LaborCosts, and returns the lesser of the two values:

min( ShippingCosts, LaborCosts )

Back to List


HotDocs Models: monthOf( date )

Placeholder | Replace With
date | A date value, such as a Date variable

This expression returns the month portion of a given date.

For example, in the following script, a new employee has temporary status until the end of his or her third month with the company. HotDocs uses the month of expression to specify which month that is:

dateOf( 1, monthOf( HireDate + 3 months ), yearOf( HireDate + 3 months ) ) - 1 days

In this example, HotDocs finds the first day of the fourth month of employment. HotDocs then subtracts one day to reveal the last day of the third month—either the 28th, 29th, 30th or 31st—depending on the month. It then inserts the new date into the document.

Back to List


HotDocs Models: monthsFrom( date, date )

Placeholder | Replace With
date | A date value, such as a Date variable
date | A date value, such as a Date variable (These values can be in any order.)

The months from expression calculates the number of months between two given dates.

The following example finds the number of months between the judgment date and today—in months:

monthsFrom( JudgmentDate, today )

Back to List


HotDocs Models: mult_choice = text; mult_choice != text

Placeholder | Replace With
mult_choice | A Multiple Choice variable
text | A text value that is either equal to ( = ) or not equal to ( != ) one of the options in the given Multiple Choice variable, inside quotation marks.

The mult_choice = text expression returns true when the user chooses a Multiple Choice option that is equal to ( = ) a given text value. If it is not equal ( != ), the expression returns false. The mult_choice != text expression functions in the opposite way—testing instead to see if an answer is not equal to (!=) a given text value.

In the following True/False expression, if the user chooses Credit Card as the payment method, HotDocs asks the user for the credit card information:

if MethodOfPayment = "Credit Card"

ask CreditCardInformation

endIf

In the next expression, if Credit Card is not chosen as a method of payment, HotDocs inserts a model which can gather alternate payment information about the user:

if MethodOfPayment != "Credit Card"

insert "Alt Payment Method.docx

endIf

Back to List


HotDocs Models: not true_false

Placeholder | Replace With
true_false | A true/false value, such as a variable or expression that results in true or false.

You can use the not true_false expression to find out if a True/False variable is false.

In the following script, HotDocs asks whether the user is a United States citizen. If the user is not, HotDocs asks the user for Visa information:

[if:not USCitizen:[ASK:VisaInformation]

]

Back to List


HotDocs Models: other( mult_choice_var )

Placeholder | Replace With
mult_choice | A Multiple Choice variable that has either the Other option specified, or the None of the Above option specified.

This expression determines whether the user has chosen the Other option of a Multiple Choice variable and, if so, returns the text entered in the Other field. It can also be used to test whether the user has selected the None of the Above option.

For example, a user is given a list of lending agents from which to choose. If the user doesn’t see the correct name on the list, he or she can select Other and specify the correct name. HotDocs then asks for the city in which the lending agent operates, as shown in the following script:

if LendingAgent = other( LendingAgent )

ask LendingAgentCity

endIf

In this next example, you want to create a list of company representatives. However, if the user doesn't select a company representative, you want the text No representative selected merged.

""

if other(CompanyRepresentative) = "None of the Above"

"No representative selected"

else

format(CompanyRepresentative, "a, b, and c")

endIf

Back to List


HotDocs Models: position( text, text )

Placeholder | Replace With
text | A text value, such as a Text variable
text | The character or character string for which you want to search

The position expression finds the position of a certain character or character string in a given text value. It is useful if you need to find a character you know will be in an answer but are not sure where it will appear. It returns a number value, which represents the first character.

The following script finds the hyphen in the variable, CaseNumber, and returns a number value, representing its numeric position in that given text string.

position( CaseNumber, "-" )

In the next example, the position expression is used as part of a larger computation to test whether a given time falls after 5:30 P.M. The position expression locates the colon (:) in the time value so HotDocs can process the text before and after the colon to find the correct result:

if CallTime contains "p"

integer( CallTime ) + ( integer( mid( CallTime, 1 + position( CallTime, ":" ), 2 ) ) /60 ) > 5.5

else

integer( CallTime ) + ( integer( mid( CallTime, 1 + position( CallTime, ":" ), 2 ) ) /60 ) > 17.5

endIf

This script first determines if the value of CallTime is in the afternoon (P.M.). If it is, the script uses the position expression to locate the first non-digit character (the colon) so the integer expression can convert all of the digit characters leading up to it into a numeric value.

Once identified, this number represents the hours portion of the total time. Using the mid expression to locate the two digit characters after the colon, it also converts these characters into an integer and divides the value by 60. This number represents the minutes portion of the total time. The hours and minutes are added together, and if the result is greater than 5.5 (the equivalent of 5:30), the result is true. If the result is not greater than 5.5, the result is false.

The second portion of the script (after the else expression) performs the same functions on a non-afternoon time value—that is, one that is either in 24-hour format or in the morning (A.M.).

Back to List


HotDocs Models: power( num, num )

Placeholder | Replace With
num | A number value, such as a Number variable, to be raised to a power
num | The exponent (or number that indicates the operation of repeated multiplication)

The power expression generates a numeric value, based on a given exponent.

For example, say you want to calculate the future value of an investment:

power( ( 1 + AnnualRateOfReturn ), NumberOfYears ) * AmountInvested

HotDocs adds 1 to AnnualRateOfReturn and then raises it to the power of NumberOfYears. It then multiplies that number by AmountInvested.

Back to List


HotDocs Models: remainder( num, num )

Placeholder | Replace With
num | A number value, such as a Number variable, to be divided (a numerator)
num | A number value, such as a Number variable, by which to divide (a denominator)

The remainder expression returns the remainder of a division. If the denominator is a zero, HotDocs generates a divide by zero error.

In this basic example, HotDocs divides 10 by 3. The remainder of that division is 1:

remainder( 10, 3 )

In this next example, a user enters a time value in number format (such as 6 hours). However, using the remainder expression (as well as truncate and round), HotDocs causes the value to appear in hours:minutes format:

format( truncate( NumberOfHours, 0 ), "9" ) + ":" +

format( round( 60 * remainder( NumberOfHours, 1 ), 0 ), "09" )

This script takes the value of NumberOfHours, which may have a decimal value, and truncates it to a whole number. Then, using the remainder expression, NumberOfHours is divided by 1 and the remainder of the division is multiplied by 60 (as in 60 minutes). HotDocs then rounds that value and brings these two values together in a string, separated by a colon. The value is then formatted correctly.

Back to List


HotDocs Models: repeat dialog; endRepeat

Placeholder | Replace With
dialog | A dialog with a repeat style specified

A repeat instruction gathers lists of answers and merges them into a document.

For example, the following script gathers a list of editors and inserts them into the assembled document:

[repeat:EditorInformation:

Editor: [EditorFirstName;te] [EditorLastName;te]

]

Each repeat instruction must also include an endRepeat instruction, which tells HotDocs to stop repeating the variables within the instruction.

This next computation script actually contains two repeated dialogs—one nested in another. It produces a list of editors as well as the titles and authors he or she is currently working with:

""

REPEAT Editor Information

RESULT + "Editor: " + Editor First Name + " " + Editor Last Name + "

"

REPEAT Book Information

RESULT + "Book Title A property of a variable or dialog that specifies a more user-friendly name for the component. For example, if project standards require components be named using notations, names like Employee Name TE may not make sense to a user. However a title like Employee Name can be used instead.: " + Book Title + "

" + "Author: " + Author First Name + " " + Author Last Name + "

"

END REPEAT

END REPEAT

You can create up to three levels of sublists by nesting REPEAT instructions. (See Introduction: Create Lists Within a List.)

For more information about creating lists of answers, see Mark Repeated Text.

While editing complicated sequences, you can highlight repeat instruction to its associated endRepeat instruction by placing the cursor within the repeat field, then clicking the [image] Select Field button. (See Manage Markup Fields in the Document for details.)

Back to List


HotDocs Models: replace( text, text, text, num )

Placeholder | Replace With
text | The name of a Text variable or the string of characters you need to search
text | The text for which you are searching, which may include the following special characters: \\ -- backslash character \h -- non-breaking hyphen \l -- line break \p -- paragraph mark \s -- non-breaking space \t -- tab
text | The text you want to use as a replacement, which may include the following special characters: \\ -- backslash character \h -- non-breaking hyphen \l -- line break \p -- paragraph mark \s -- non-breaking space \t -- tab
num | Controls the number of times the character is replaced
(optional) | For example, if no number is specified, all found instances will be replaced; however, if you include a 1 as a parameter, only the first found instance will be replaced.

This expression lets you search a string of text for a given character string and replace the results with new text.

For example, perhaps you want to take the information in an address block (which will most likely appear as separate lines) and display it as a single line, with each "part" separated by a comma. The following script removes all line breaks ( \l ) from the Text variable, MultiLineAddress, replaces them with a comma and space, and then sets that result to the Text variable SingleLineAddress:

set SingleLineAddress to replace(MultiLineAddress, "\l", ", ")

Back to List


HotDocs Models: result

As you write computations, you often need HotDocs to acknowledge what the result would be at that point in the script. You can update this answer by using the result expression.

For example, let’s suppose you are creating a list of editors. You want to combine EditorFirstName and EditorLastName as well as the literal text Editor. You must use result to force HotDocs to acknowledge the result of the computation before you add the next item to the text string:

""

repeat EditorInformation

result + EditorFirstName + " " + EditorLastName + ", Editor" + "

"

endRepeat

In this computation, the result expression returns the value of EditorFirstName and adds it to the value of EditorLastName. The resultexpression updates the list each time a new editor is added to the list. (If no result expression were used, HotDocs would merge just the first name entered in the list.)

Back to List


HotDocs Models: round( num, num)

Placeholder | Replace With
num | A number value, such as a Number variable, to be rounded
num | A number value that indicates the number of places (0-7) to the right of the decimal point after which the number will be rounded

You can round a number value to a specified number of places.

The following example looks at the first two digits after the decimal point and rounds the value based on the third digit. (The resulting value is 5.93.)

round( 5.9274, 2 )

Back to List


HotDocs Models: selection( mult_choice_var, num)

Placeholder | Replace With
mult_choice_Var | A Multiple Choice variable
num | A number value that indicates which selected option to return

This expression lets you retrieve individual options (answers) selected in a Multiple Choice variable. It returns a text value that corresponds to the defined answer (as designated by the num placeholder).

In the following example, you want to generate a list of employees that have various different work projects they need to complete. Multiple employees may work on one individual project. Once you have this list, you want to generate a work list report for each employee on the list.

To accomplish this, you first repeat a dialog (EmployeeList) that asks which employees are supposed to work on a given assignment (using the Multiple Choice variable, EmployeeNames). As HotDocs repeats this list, the union expression adds each selected, original name from each repetition to a new Multiple Choice variable, UniqueList.

Once all of the unique answers have been added to UniqueList, HotDocs then uses the selection expression to retrieve each individual answer from UniqueList. The result of the script merges these names in a report.

erase UniqueList

repeat EmployeeList

set UniqueList to union( UniqueList, EmployeeNames )

endRepeat

erase ProjectParticipant

set Index to 1

while selection( UniqueList, Index ) != ""

set ProjectParticipant[Index] to selection( UniqueList, Index )

increment Index

endWhile

Back to List


HotDocs Models: set var to value

Placeholder | Replace With
var | Any variable
value | A value appropriate for the associated variable

This instruction lets you specify a given value for a variable’s answer automatically, rather than allow the user to specify an answer. With the set instruction, you can transfer names and other values from one variable to another.

For example, if the plaintiff is the same as the client, you can use a set instruction to automatically enter the plaintiff’s name as the client’s, saving the user from typing the name a second time:

if IsPlaintiffAlsoClient

set ClientName to PlaintiffName

endIf

Because HotDocs repeatedly processes set instructions during the course of an interview, you must not let the user specify a different answer for a variable whose value is being set. When HotDocs updates the interview, the user’s answer will be replaced with the value from the set instruction. To suggest an answer for the user and allow them to change it, use the default instruction. (See default var to value for an explanation.)

Back to List


HotDocs Models: space( text, text )

Placeholder | Replace With
text | A Text variable or other expression that produces a text result
text (optional) | A character or text string that can be used in place of the space character. You can include the following special characters in your search: \\ -- backslash character \h -- non-breaking hyphen \l -- line break \p -- paragraph mark \s -- non-breaking space \t -- tab

This expression tests whether the variable is answered. If it is, it merges the answer, followed by a space character. If the variable is unanswered, it merges nothing ("").

For example, perhaps you need to merge a client's full name. Some clients, however, do not have a middle name. You can create a script that includes this middle name (if it's provided), followed by a space. If no middle name is given, nothing will be merged.

ClientFirstName + " " + space( ClientMiddleName ) + ClientLastName

Sometimes you may want to merge a character other than a space. The second optional parameter for this expression allows you to specify what this character should be.

In the following example, the script uses the space expression to determine if each of the variables in the address block are answered. If so, it merges the answer to the variable, followed by a line break character (rather than a space character). This merges each "part" of the address on its own line.

space( ClientAddressLine1, "\l" ) +

space( ClientAddressLine2, "\l" ) +

space( ClientCity, "," ) + space( ClientState ) + space( ClientZipCode )

Back to List


HotDocs Models: strip( text, text, true_false, true_false)

Placeholder | Replace With
text | The name of a Text variable, or the string of characters you need to search
text (optional) | The character or string of characters for which you want to search. You can strip any alphanumeric characters from a text string, including the following special characters: (Make sure you include the backslash.) \\ -- backslash character \h -- non-breaking hyphen \l -- line break \p -- paragraph mark \s -- non-breaking space \t -- tab
true_false (optional) | The value of true if characters should be stripped from just the beginning of the text
true_false (optional) | The value of true if characters should be stripped from just the end of the text

This expression removes a specified character or characters from the beginning or end of a text answer. By default, HotDocs removes the characters from both the beginning and the end of the text. If you want to specify just one or the other, you must use the true_false parameters.

For example, perhaps you want to remove punctuation or space characters from the end of an answer (because the punctuation is already included in the document text). The following script will help you accomplish this:

set ItemDescription to strip(ItemDescription, " !.,?", false, true)

Because the false and true parameters are used, HotDocs strips the characters from the end of the answer (true) and not the beginning (false).

Back to List


HotDocs Models: sum( computation_var)

Placeholder | Replace With
computation_var | A repeated Computation variable

Using the sum expression, you can add computation values that have been repeated.

For example, let's say you have a repeated dialog that contains three variables—ItemName, ItemAmount, and ItemQuantity. For each line item, you create a fourth variable, a computation called TotalAmount that multiplies ItemAmount by the number of items the user purchases (or ItemQuantity). You can then add all of the TotalAmount values and receive one sum total:

sum( TotalAmount )

Back to List


HotDocs Models: sum( num_var )

Placeholder | Replace With
num_var | A repeated Number variable

Using the sum expression, you can add repeated number values.

In this computation script, HotDocs totals the values of the repeated Number variable MonthlyPayment:

sum( MonthlyPayment )

In the next example, HotDocs then takes the total monthly payments the user is making and compares it to the user’s monthly income. If the monthly payments are greater than 36 percent of the monthly income, the loan application is rejected:

sum( MonthlyPayment ) > ( MonthlyIncome * 0.36 )

Back to List


HotDocs Models: text contains text

Placeholder | Replace With
text | A text value, such as a Text variable
text | A text value, such as a Text variable. Any text you type must be in quotation marks.

The text contains text expression determines whether the first text value contains the same text as the second value. If it does, it returns the value of true.

In this example, some states in the United States are officially recognized as “commonwealth” states. In the following script, HotDocs examines the answer the user provides for the variable StateName to see if the user has listed one of these states. If so, HotDocs attaches the correct designation to the merged answer:

if "massachusetts virginia kentucky pennsylvania" contains StateName

"The Commonwealth of [StateName;te ]"

else

"The State of [StateName;te]"

endIf

At first glance, this computation may seem backward. You may think you would test StateName to see if it contains any of the commonwealths listed in the text string (for example, if StateName contains "massachusetts virginia kentucky pennsylvania"). However, if you used that method, the answer the user assigns to StateName would have to contain everything between the quotation marks—"massachusetts virginia kentucky pennsylvania"—and you would never produce a true statement. Of course, you could test StateName against each individual commonwealth (for example, if StateName contains "massachusetts" or if StateName contains "virginia" and so forth), but by "switching" the values for the placeholders and placing all of the commonwealths in one text string, you eliminate a lot of repetitive typing.

Back to List


HotDocs Models: today

This expression returns the current date, according to your computer’s system clock.

For example, this computation script figures out the number of days between the day the user purchased the item and today’s date (or the date the user assembles the document).

daysFrom( PurchaseDate, today)

Back to List


HotDocs Models: truncate( num, num )

Placeholder | Replace With
num | A number value, such as a Number variable
num | A number value specifying the number of places (0-7) to the right of the decimal point at which to truncate the number

You can truncate a decimal number a specified number of places after a decimal point.

For example, the following script truncates the number 5.9375 to include only the first two digits after the decimal point. The truncated value is 5.93:

truncate( 5.9375, 2 )

In the next example, however, a Computation variable tests if the value of RentAmount includes cents. The variable is then formatted to eliminate the text AND NO CENTS from being merged when the variable contains only a whole number:

if RentAmount = TRUNCATE( RentAmount, 0 )

format( RentAmount, "NINE DOLLARS" )

else

format( RentAmount, "NINE DOLLARS AND TWELVE CENTS" )

endIf

Specifically, this computation compares the actual value of RentAmount against its truncated value. If the values are equal, HotDocs formats the answer to exclude the text, AND TWELVE CENTS. Otherwise it includes the text in the format.

The difference between the truncate and the round expressions is that truncate simply "cuts off" a number at a specified digit, while round actually rounds a number up or down, based on where you want the number rounded.

Back to List


HotDocs Models: unanswered

This expression removes an assigned value from a variable. It is used most often with the set instruction:

set PropertyValue to unanswered

If you use this instruction, do not allow the user to change the answer by asking the variable in the interview. Because HotDocs can potentially reprocess the interview several times, the answer the user enters will always be replaced with the unanswered value. Only use this value if you want a variable to be unanswered in the assembled document.

Do not confuse the value of unanswered with that of not answered. The unanswered expression is an actual value assigned to a variable, while not answered (or !answered) is used to determine whether a value has been assigned.

Back to List


HotDocs Models: union( mult_choice, mult_choice )

Placeholder | Replace With
mult_choice | A Multiple Choice variable
mult_choice | A Multiple Choice variable

This expression creates a single list of all unique options (answers) that have been selected across two Multiple Choice variables.

In the following example, you want to generate a list of employees that have various different work projects they need to complete. Multiple employees may work on one individual project. Once you have this list, you want to generate a work list report for each employee on the list.

To accomplish this, you first repeat a dialog (EmployeeList) that asks which employees are supposed to work on a given assignment (using the Multiple Choice variable, EmployeeNames). As HotDocs repeats this list, the union expression adds each selected, original name from each repetition to a new Multiple Choice variable, UniqueList.

Once all of the unique answers have been added to UniqueList, HotDocs then uses the selection expression to retrieve each individual answer from UniqueList. The result of the script merges these names in a report.

erase UniqueList

repeat EmployeeList

set UniqueList to union( UniqueList, EmployeeNames )

endRepeat

erase ProjectParticipant

set Index to 1

while selection( UniqueList, Index ) != ""

set ProjectParticipant[Index] to selection( UniqueList, Index )

increment Index

endWhile

Back to List


HotDocs Models: value( var, expression )

Placeholder | Replace With
var | The name of a variable
expression (optional) | The specific value you want to assign to the variable if the user leaves it unanswered. Otherwise, HotDocs will use one of the following default values: "" for Text variables 0 for Number variables 1 JAN 1800 for Date variables FALSE for True/False variables "" for Multiple Choice variables

This expression returns a default value for the variable type if the variable is unanswered. If the variable is answered, the value is the answer the user specifies.

For example, users will sometimes purposely not answer a question in the interview. However, all variables must be answered or the script will fail. Using value assigns an answer (albeit a default one) so that the script or expression can be processed correctly and still return a value.

In the following example, suppose you need to calculate a sum. However, one of the variables in the calculation, SalesTax, may not be required in order to produce the result. Since the variable may be left unanswered, you can use the value expression to assign a default value of 0 to the variable so that the script can be processed correctly.

The optional expression placeholder allows you specify the value that should be returned if the user leaves the question unanswered. Otherwise, HotDocs will use the default value, shown in the table, above.

ServicesCost + ProductCost + value( SalesTax )

Back to List


HotDocs Models: while expression; endWhile

Placeholder | Replace With
expression | An expression that results in true or false A True/False expression can be as complicated as it needs to be, but it must result in either true or false. For example, the expression yearsFrom( ChildBirthDate, today ) produces a number (the age of a person), not a true or false value—it is not a True/False expression. But the expression yearsFrom( ChildBirthDate, today ) > 17 can only result in true or false. It is a True/False expression.

The while expression instruction allows you to repeatedly process (or loop through) an answer or set of answers until a certain condition is met, such as a certain answer is found or a limit is reached.

Before using the while instruction, you should understand the following:

  • The while instruction must be used in a computation—it cannot be inserted directly in a model.
  • When using the while instruction inside of a repeat instruction, the while instruction will not affect the underlying counter variable associated with the repeat instruction. If you need to count something within a while loop, you must create your own temporary counter. Additionally, to access repeated variables in a while loop, you must use explicit indexing.

In the following example, you want to create a list of signers in a will. Since the signers may include both beneficiaries and fiduciaries, you want to merge both lists into one. Because some fiduciaries may also be beneficiaries, you will want to remove any duplicate names. To loop through the list of fiduciaries, you will use the while instruction:

set SignerCount to 0

repeat BeneficiaryInformation

increment SignerCount

set SignerName[SignerCount] to BeneficiaryName

endRepeat

repeat FiduciaryInformation

set Lookup to 1

while Lookup <= SignerCount and FiduciaryName != SignerName[Lookup NU]

increment Lookup

endWhile

if Lookup > SignerCount

increment SignerCount

set SignerName[SignerCount] to FiduciaryName

endIf

endRepeat

In the first part of this script, the BeneficiaryInformation dialog is repeated, and as answers are entered, their values are set to be used for SignerName (which is the variable that will be repeated to insert all the names of the signers). Then, in the second part of the script, as the FiduciaryInformation dialog is repeated, HotDocs uses the while expression to test whether the name of the fiduciary is the same as any of the beneficiary names. If it is not, it will likewise be added to the SignerInformation dialog.

In the next example, you need to remove unwanted space characters from a user's account number. Here, the while instruction is used to repeat an answer, character by character, so that HotDocs can check to see if there are space characters in the answer. If there are, HotDocs removes them and rewrites the answer.

set CountIndex to 1

while CountIndex <= length( AccountNumber )

if mid( AccountNumber, CountIndex, 1 ) = " "

set AccountNumber to first( AccountNumber, CountIndex -1 ) + last( AccountNumber, length( AccountNumber ) - CountIndex )

else

increment CountIndex

endIf

endWhile

This script uses a temporary counter (CountIndex) to keep track of which character in the answer HotDocs is looking at. Any time the answer is repeated and HotDocs finds a space character, it removes it by concatenating the characters before and after the space character. HotDocs then makes sure that the new character it is now examining isn't a space character either. If it is not, HotDocs increments the temporary counter, moves to the next character, and repeats this process.

Back to List


HotDocs Models: yearOf( date )

Placeholder | Replace With
date | A date value, such as a Date variable

You can use this expression model to find the year portion of a given date.

For example, in the following script, a new employee has temporary status until the end of his or her third month with the company. HotDocs uses the year of expression to specify the year:

dateOf( 1, monthOf( HireDate + 3 months), yearOf( HireDate + 3 months) ) - 1 days

In this example, HotDocs finds the first day of the fourth month of employment. HotDocs then subtracts one day to reveal the last day of the third month—either the 28th, 29th, 30th or 31st—depending on the month. It then merges the new date into the document.

Back to List


HotDocs Models: yearsFrom( date, date )

Placeholder | Replace With
date | A date value, such as a Date variable
date | A date value, such as a Date variable (These values can be in any order.)

This expression calculates the number of years between two given dates.

In the following example, the years from expression finds the client’s age at the time of the hearing:

years from( HearingDate, BirthDate )

In this next example, the expression determines whether an employee has worked at the company for 25 years or more. If the employee has, HotDocs merges a paragraph into the document with details of a retirement party.

[if:yearsFrom( HireDate, RetirementDate ) >= 25:We would like to honor you at a retirement party on [PartyDate;da] at [PartyTime;te] at [PartyLocation;te].

]

Back to List


HotDocs Models: zero( num_var )

Placeholder | Replace With
num_var | A Number variable

This expression returns the value of zero only if a Number variable is unanswered. If the Number variable is answered, the value is the answer the user specifies.

For example, users will sometimes leave a Number variable blank instead of entering 0. If the Number variable is then used in a Computation variable, because it is unanswered, the computation will not be processed. The zero expression ensures the variable is assigned a value so the computation can return a value.

In this example, the zero expression is used in the Computation variable InvoiceTotal to return 0 if the Number variable ShippingCharge is unanswered.

TotalPrice + zero( ShippingCharge )

Back to List


Example HotDocs Update Catalog File

Example HotDocs Update Catalog File

<?xml version="1.0"?>

<updatecatalog>

<formatversion>1</formatversion>

<feedurl>http://www.HobbleCreek.com/update.rss</feedurl>

<checkinterval>7</checkinterval>

<publishdate>Sun, 03 Jun 1990 00:00:00 GMT</publishdate>

<title>Hobble Creek Real Estate Forms</title>

<enabled>true</enabled>

<password></password>

<notinstalleditems/>

<discardeditems/>

<installeditems/>

</updatecatalog>


Example RSS Document

Example RSS Document

<?xml version="1.0"?>

<rss version="2.0">

<channel>

<title>Hobble Creek Real Estate Forms</title>

<link>http://www.HobbleCreek.com/update.rss</link>

<description>Serving you since 1994</description>

<item required="true">

<title>Real Estate Purchase Contract (REPC)</title>

<link>http://www.HobbleCreek.com/repc.hdi</link>

<description>This is the new form adopted by the State Real Estate Commission.</description>

<guid>00001</guid>

<category>File Update</category>

<pubDate>Tue, 21 Mar 2006 15:27:18 GMT</pubDate>

</item>

<item>

<title>Visit the new Hobble Creek Real Estate Web Site</title>

<link>http://www.HobbleCreek.com</link>

<description>New features are added daily</description>

<guid>00002</guid>

<category>Message</category>

<pubDate>Tue, 21 Mar 2006 15:27:18 GMT</pubDate>

</item>

<item>

<title>Happy Holidays</title>

<link></link>

<description>Wishing you a happy holiday season from your friends at Hobble Creek Real Estate.</description>

<guid>00003</guid>

<category>Message</category>

<pubDate>Tue, 21 Mar 2006 15:27:18 GMT</pubDate>

</item>

</channel>

</rss>


Names of Repeated Answers

Names of Repeated Answers

HotDocs templates can repeatedly ask a question using a REPEAT instruction, which generates a list of answers. Templates created using HotDocs Developer can also contain nested REPEAT instructions up to four levels deep.

In addition to indicating the value type and variable name, repeated answer names must indicate the position of the answer in the list of answers for that variable. Position is indicated by appending a period and a number to the end of the 31 characters that indicate the value type and variable name, for example:

Ttentant .1

For answers that result from nested REPEAT instructions, one period and number will be appended for every repeat level, for example:

Ttenant .1.3.2

The first number represents the first repeat level and the last number represents the last (deepest) repeat level.

When the template developer gives you the answer names, he or she will also need to tell you which answers are repeated and at what level.

Repeats can not be nested more than four levels deep.


Sample Code for Uploading an Answer File Using HotDocs Server

Sample Code for Uploading an Answer File Using HotDocs Server

This script fragment receives the uploaded answers from the client, decodes the answers, and populates an AnswerCollection object with the answers.

Once the answers are in the AnswerCollection object, they can be used like any other AnswerCollection object in HotDocs Server. This example creates an XML representation of the answers, which can easily be stored in a database.

<%

' Create the AnswerCollection Object

dim ac

Set ac = Server.CreateObject ("HotDocs_Online.AnswerCollection")

' Get the amount of data

dim count

count = Request.TotalBytes

' Read the POSTed data

dim data

data = Request.BinaryRead (count)

' Process the uploaded answers

ac.SetUploadedAnswers data, CInt(count)

' Now that you have an AnswerCollection object with the uploaded answers,

' you can do anything you want with them. In this example, we get an XML

' representation of the answer set which could easily be stored in a database.

' Get a copy of the answers in XML format

dim answers

answers = ac.GetXMLAnswers ()

' Now answers is a string containing the XML-format answers

%>


URL-encoded Text

URL-encoded Text

In URL-encoded text, alphanumeric characters and the dollar sign, minus sign, underscore, period, exclamation mark, asterisk, left and right parentheses, and comma are transmitted as normal text.

All other characters (such as quotation marks and spaces) are encoded to facilitate their transmission over the Internet. In the encoded text, these characters are replaced with a percent sign followed by a two-digit hexadecimal number representing the ASCII value of the original character. (For example, a space character would be replaced with %20 since 20 is the hexadecimal number for 32, which is the ASCII code for a space.)


New Topic

Home > New Topic

This is Body Placeholder text for your Master Page. Topics created using this Master Page will get this text by default. Replace text of this Body Placeholder with your default content for topics.

Area outside this Body Placeholder represents the layout of the Master Page which will not be shown in the associated topics but will be present in the output. The Body Placeholder content will be replaced by actual topic content in the output.

Use Master Page to define the layout of your topic in the output.


Warnings Tab Descriptions

Warnings Tab Descriptions

Warning | Description
Variables that are set to a value and are marked "Save in answer file" | When HotDocs generates an interview outline, it processes any SET instructions and assigns answers to the variables that are set. This causes HotDocs to ask to save the answer file, even if the user doesn't enter any answers during the interview.
Variables that are set to a value and asked in the same interview You should not use a SET instruction to assign an answer to a variable and then ask the variable later in the interview. As HotDocs processes answers and rebuilds the interview, the value assigned by the SET instruction will always overwrite any answers the user provides. An example of this would be the following script:

SET TF Variable TO TRUE

... (later in the template)

ASK Dialog

(where Dialog uses the variable, TF Variable.)

In this situation, even if the user marks TF Variable as false, HotDocs will always change it back to true because of the SET instruction.

If you want to suggest an answer for a user, use the DEFAULT instruction instead of the SET instruction. If you want a variable to always have a specific answer, then SET the answer and do not ask that variable anywhere in the template.
Variables that are asked more than once in the same interview | You should not ask the same variable more than once in an interview. If you do, HotDocs will always assign the last answer you gave to the variable, no matter where it is used in the interview.
Variables that are referred to in a dialog script and are set to a value later You should not refer to a variable in a dialog script and then set that variable to a value later in the template. When HotDocs reprocesses the interview, the set value may change the appearance of the dialog—including how it presents variables to the user and how it processes the answers.

An example of this would be the following script:

SET Client TO "Husband" ASK Husband Information SET Client TO "Wife" ASK Wife Information

In and of itself, this script is OK. However, Husband Information and Wife Information are dialogs that contain the following dialog element text:

The following information applies to the «Husband or Wife».

Husband or Wife is a computation that merges the literal text "husband" or "wife" into dialog element text, depending on the answer to Client.

Because HotDocs continually updates the interview, it will always use the last value resulted for this computation, which means that the dialog element text will always merge the word "wife," even if the user is viewing the Husband Information dialog. This could be confusing to the user.
Variables that are not asked when referred to but are asked later | You can refer to a variable in a template without asking the variable (by referring to the variable in an ASK NONE block or by clearing the Ask automatically option for the variable). However, if you do this, you should not ask the variable or set it to a value later in the template. Doing this will replace the answer that was used for the variable earlier in the template, thus causing an inconsistency.


How Variables and Dialogs Are Asked

How Variables and Dialogs Are Asked

A variable is asked automatically when all of the following conditions are true:

  • The answer for the variable is used (for example, tested in an IF instruction or merged into text), and
  • The variable hasn't been asked before in the interview, either by itself or as part of a dialog, and
  • The variable is marked Ask automatically.

A dialog is asked automatically when all of the following conditions are true:

  • The dialog has not been asked before in the interview, and
  • A variable to which the dialog is linked is marked Ask automatically.

Additionally, a dialog will be asked automatically when it is used in a REPEAT instruction.


Tips on Naming True/False Variables

Tips on Naming True/False Variables

If you are using the True/False variable's name as the prompt in the answer-gathering dialog, you may want to consider naming a True/False variable after the section of the template it affects—for example, Marriage Clause. This makes sense if the user is going to be selecting from a list of such sections—Marriage Clause, Children Clause, Out-of-State Residence Clause, and so forth.

Or, you can consider naming the variable after the condition itself—Client Is Married. This makes sense if the user will not be selecting from a list of sections—especially if the same True/False variable might be used as the condition for more than one part of the template.


Understand Currency Symbols

Understand Currency Symbols

Currency symbols are not merged into the document—they only appear in the answer field to help the user know what type of information to enter. If you want a currency symbol to merge in the document, create an example format that contains the currency symbol, or make sure the symbol is included in the template text.

If the currency symbol you want is not available, you can create it by typing it in the Currency box. Currency symbols can be up to three characters long.


Additional Support Information for Folio Views 4.2

Additional Support Information for Folio Views 4.2

Differences Between Versions

HotDocs provides the same level of support for Folio Views 4.2 that was provided for Views 3.x in earlier versions of HotDocs. Developers who create templates with help links to Folio infobases should note the following:

  • With Views 4.x versions prior to 4.2, most notably 4.11, a new instance of Views is started each time an infobase is accessed from within HotDocs. This is due to an error in Views that has been corrected in version 4.2.
  • Views 4.x infobases cannot be opened in Views 3.x.
  • Version 3.x infobases can be used with Views 4.2. However, Views 4.2 does not handle jump destinations passed by HotDocs correctly with 3.x infobases. The 3.x infobase comes up in Views 4.2, but Views does not move to the jump destination.

Command-Line Options

Two command-line options help you identify the version of infobase files distributed with HotDocs template sets. These options ensure that HotDocs looks for the correct version of Views to display the help files. The options operate as follows:

/v3 | Identifies a Views version 3.x infobase
/v4 | Identifies a Views version 4.x infobase

If a user may have both versions of Views installed, or if you want to make sure HotDocs does not attempt to open an infobase in the wrong version of Views, specify the infobase version by appending the correct command-line option following the Infobase file entry in the Resource tab. For example:

TCAHelp.nfo /v3

This file name identifies the infobase TCAHelp.nfo as a Views version 3.x infobase.


Assign a Custom Program as a Resource

Assign a Custom Program as a Resource

You can use a custom program to display resource text. Make sure the custom program is in either the same folder as the template or the Windows\System folder.

To use a custom program to display resource text

  1. Open the variable or dialog to which you want to assign resources. (See Edit a Variable or Edit a Custom Dialog.)
  2. Click the Resource tab.
  3. Click the Resource type drop-down button and select Custom Program.
  4. Click the [image] Open button next to the Program file field and locate the file.
  5. Type any necessary command-line options in the Command-line parameters field.

During the interview, HotDocs displays a link in the resource pane, which the user can click to open the custom program.


Assign a Web Page as a Resource

Assign a Web Page as a Resource

You can display the text from a Web page as a resource.

To assign a URL as a resource

  1. Open the variable or dialog to which you want to assign resources. (See Edit a Variable or Edit a Custom Dialog.)
  2. Click the Resource tab.
  3. Click the Resource type drop-down button and select URL.
  4. Type the full URL path (or Web address) in the URL field.
  5. Optionally, type the anchor tag of the specific text in the Web page you want to display in the Anchor tag field.
  6. Optionally, select Resource pane to display the Web page directly in the resource pane.

During assembly, HotDocs displays the Web page either in its own browser window, or in the resource pane, depending on whether you selected Resource pane.


Assign Folio Help as a Resource

Assign Folio Help as a Resource

You can use information from a Folio Infobase as a resource. The Folio infobase must be in the same folder as the template.

To assign Folio help as a resource

  1. Open the variable or dialog to which you want to assign resources. (See Edit a Variable or Edit a Custom Dialog.)
  2. Click the Resource tab.
  3. Click the Resource type drop-down button and select Folio Infobase.
  4. Click the [image] Open button next to Infobase file field and locate the infobase (.NFO) file.
  5. In the Jump link field, type the name of the jump link.

During assembly, HotDocs displays a link in the resource pane, which the user can click to open Folio Views. The information from the infobase appears.

See Additional Support Information for Folio Views 4.2 for more information on using Folio help.


Assign HTML Help as a Resource

Assign HTML Help as a Resource

You can assign HTML Help (or .CHM file) as a resource for a variable or dialog. The resource can appear either in a help viewer or as pop-up text. You may need to review your HTML Help program's documentation for additional information on concepts and terms described below.

To assign HTML Help as a resource

  1. Open the variable or dialog to which you want to assign resources. (See Edit a Variable or Edit a Custom Dialog.)
  2. Click the Resource tab.
  3. Click the Resource type drop-down button and select HTML Help from the Resource type drop-down list.
  4. Click the [image] Open button next to the HTML Help file field to locate the file.
  5. In the Topic field, type a topic name (for example, Employee_Name.htm) or an alias map number (for example, 1).
  6. Select Resource pane to display the HTML text directly in the Resource pane.
  7. Optionally, if you have a specific window style you want your help to appear in, include the window name after a right-angle bracket at the end of the topic name, for example, topic_title.htm>secondary window.
  8. Optionally, to reference a bookmark, include the pound sign between the topic tile and the bookmark name—for example, topic_title.htm#bookmark_name.)

To display the help text in a pop-up window, enter a context ID map number for the pop-up help in the Topic field. If your context-sensitive help is saved as something other than popup.txt (the default file name for which HotDocs searches), you must include the file name after the map number (for example, 1:context.txt) When the user views the resource pane, HotDocs displays a link which the user must click. At that point, a What's This? help-style window appears.


Assign Windows Help as a Resource

Assign Windows Help as a Resource

Windows Help (or .HLP files) are not supported on Windows Vista.

You can assign a Windows Help file (or .HLP file) as a resource for a variable or dialog. The file must be in the same folder as the template.

To assign Windows Help as a resource

  1. Open the variable or dialog to which you want to assign resources. (See Edit a Variable or Edit a Custom Dialog.)
  2. Click the Resource tab.
  3. Click the Resource type drop-down button and select Windows Help.
  4. Click the [image] Open button next to the Windows Help file field and locate the file.
  5. In the Topic field, type the context ID number of the corresponding help topic. (Sometimes this is called a hash number. You may need to review your Windows Help program's documentation for additional information.)
  6. Optionally, select Pop-up to display the information in a pop-up help window. (The window only stays open until the user clicks somewhere else.)

During assembly, HotDocs displays a link in the resource pane, which the user can click to open the WinHelp viewer. The information from the help file appears.


Tips on Using Unanswered Variable Placeholders

Tips on Using Unanswered Variable Placeholders

You can specify unanswered text placeholders four different places in HotDocs:

Variable field: When specified at the Variable Field dialog box, the placeholder is used only for that specific instance of the variable. It overrides any placeholders you specify at the Variable Editor. (You can enter whatever placeholder text you like here.)

Variable component: When specified at the Variable Editor, the placeholder becomes the default for the variable and will be used when no field-specific placeholder has been specified. (You can enter whatever placeholder text you like here.)

Component file: When selected at the Component File Properties dialog box, the placeholder is applied to all variables within the component file, except those that have a default or a field-specific placeholder assigned. If Default is selected, whatever options the user has specified at HotDocs Options will be used for those not already assigned a specific placeholder.

HotDocs Options: When users assemble documents, they have some control over which placeholder will be used if they leave variables unanswered. (They make their selection at the HotDocs Options dialog box.) However, if you have assigned placeholders using any of the methods above, your selection will override theirs.


Using a Dialog to Display Only Dialog Element Text

Using a Dialog to Display Only Dialog Element Text

You can create a dialog that contains text only and no variables. You must be aware of some constraints in doing this, however:

  • If you want the dialog to appear during the interview, you must insert an ASK instruction in the template where you want the dialog to be asked.
  • HotDocs considers a dialog with only dialog element text to be answered, so if a user completes an interview using the [image] Next Unanswered button, HotDocs will skip the dialog. To force HotDocs to display it, select Always stop at this dialog when moving to next unanswered (Options tab).


Customize the Properties Tab of the Library Window

Customize the Properties Tab of the Library Window

When a user selects an item in a HotDocs template library, information about the selected item appears in the Properties tab of the window. By default, HotDocs displays this information in a generic page that HotDocs generates. However, you can create a custom HTML document using the .HTM extension or . MHT extension (Web Archive) that replaces the HotDocs generic page. You can do this for individual items in a library, for an entire library, or for all libraries.

Creating a Custom Properties Page

Hierarchy of Properties Page Presentation

HDI File Caveats

Sample Code

Creating a Custom Properties Page

When you customize the Properties tab of the library, you can completely control the look and feel by adding your own contents and company logos, and using your own formatting and styles for the contents. Specifically:

To create a custom properties page for a specific template:

  • Give your custom document the same name as your template, being sure to save the document with an .HTM or .MHT file name extension. For example, for a template with the file name Subpoena,docx, name your custom document either Subpoena.htm or Subpoena.mht. Be sure to save your custom properties page in the same folder as the template.

To create a custom properties page for a specific folder in a library:

  • Give your custom document the same name as the library, followed by an underscore (_) and then the name of the folder, being sure to save the document with an .HTM or .MHT file name extension. For example, for a folder titled Corporate Minutes located in a library called Real Estate.hdl, name your custom document either Real Estate_Corporate Minutes.htm or Real Estate_Corporate Minutes.mht. Be sure to save your custom properties page in the same folder as the library file.

To create a custom properties page for just the main folder in a library:

  • Give your custom document the same name as the library, followed by an underscore and the word main, being sure to save the document with an .HTM or .MHT file name extension. For example, for a library called Estate Planning, name your custom document either Estate Planning_Main.htm or Estate Planning_Main.mht. Be sure to save your custom properties page in the same folder as the library file.

To create a custom properties page for an entire library:

  • Give your custom document the same name as the library file, being sure to save the document with an .HTM or .MHT file name extension. For example, for a library called Real Estate.hdl, name your custom document either Real estate.htm or Real estate.mht. Be sure to save your custom properties page in the same folder as the library file.

To create a custom properties page for HotDocs to use for all items in all libraries:

  • Name your custom document Properties.htm or Properties.mht. Be sure to save your custom properties page in the default Libraries folder (for example, C:\Documents and Settings\UserName\My Documents\HotDocs\Libraries).

Hierarchy of Properties Page Presentation

When a user selects an item in the library, HotDocs determines whether you specified a custom properties to display the properties for the item. To determine this, HotDocs searches first for an HTML page that shares the same file name as the selected file. If nothing is found, HotDocs then searches for an HTML page that uses the same name as the library file. If this search doesn't yield anything, HotDocs searches for the file Properties.htm (or Properties.mht). Finally, if no custom HTML page exists, HotDocs generates its own properties page.

After you customize the Properties tab, when you select an item in the library, HotDocs takes the information it knows about the item (such as its title or description) and, using HTML Span Tags, substitutes that information into the HTML document and displays it instead of the default Properties tab.

HDI File Caveats

If you publish your templates as HDI files, you can include your template-specific custom properties pages by adding them as additional files in the HDI. Be aware, however, that when a user installs your HDI file, HotDocs installs all additional files within the same destination folder as the templates. In addition, when you publish, naming issues arise for items above the template level. Therefore, if you want to install custom properties pages that affect more than a single template, you should use your own custom installer.

Sample Code

The following is sample HTML code you can customize to adapt the Properties tab of the HotDocs template library for your needs:

<html>

<body>

<table width="100%">

<!-- This section of HTML code controls the properties for selected files in the library. You can format the text, remove properties you don't want displayed, and so forth. -->

<SPAN id="ID_FILE">

<tr>

<td width="100%" colspan="2">

<SPAN id="ID_HEADING"/>

</td>

</tr>

<tr>

<td width="5%">

<p align="right">Title:</p>

</td>

<td width="95%">

<SPAN id="ID_TITLE"/>

</td>

</tr>

<tr>

<td width="5%">

<p align="right">Type:</p>

</td>

<td width="95%">

<SPAN id="ID_TYPE"/>

</td>

</tr>

<SPAN id="ID_FILENAME_ROW">

<tr>

<td width="5%">

<p align="right">File name:</p>

</td>

<td width="95%">

<SPAN id="ID_FILENAME"/>

</td>

</tr>

</SPAN>

<tr>

<td width="5%">

<p align="right">

<SPAN id="ID_FILE_PATH_TEXT">File path:</SPAN>

</p>

</td>

<td width="95%">

<SPAN id="ID_FILEPATH"/>

</td>

</tr>

<tr>

<td width="5%">

<p align="right">Description:</p>

</td>

<td width="95%">

<SPAN id="ID_DESCRIPTION"/>

</td>

</tr>

</SPAN>

<!-- This next section of HTML code controls the properties for selected folders in the library. You can format the text, remove properties you don't want displayed, and so forth. -->

<SPAN id="ID_FOLDER">

<tr>

<td width="100%" colspan="2">

<SPAN id="ID_HEADING"/>

</td>

</tr>

<tr>

<td width="10%">

<p align="right">Title:</p>

</td>

<td width="90%">

<SPAN id="ID_TITLE"/>

</td>

</tr>

<tr>

<td width="10%">

<p align="right">Description:</p>

</td>

<td width="90%">

<SPAN id="ID_DESCRIPTION"/>

</td>

</tr>

</SPAN>

</table>

</body>

</html>


Example HTML for Library Properties Tab

Example HTML for Library Properties Tab

<html>

<body>

<table width="100%">

<!-- This section of HTML code controls the properties for selected files in the library. You can format the text, remove properties you don't want displayed, and so forth. -->

<SPAN id="ID_FILE">

<tr>

<td width="100%" colspan="2">

<SPAN id="ID_HEADING"/>

</td>

</tr>

<tr>

<td width="5%">

<p align="right">Title:</p>

</td>

<td width="95%">

<SPAN id="ID_TITLE"/>

</td>

</tr>

<tr>

<td width="5%">

<p align="right">Type:</p>

</td>

<td width="95%">

<SPAN id="ID_TYPE"/>

</td>

</tr>

<SPAN id="ID_FILENAME_ROW">

<tr>

<td width="5%">

<p align="right">File name:</p>

</td>

<td width="95%">

<SPAN id="ID_FILENAME"/>

</td>

</tr>

</SPAN>

<tr>

<td width="5%">

<p align="right">

<SPAN id="ID_FILE_PATH_TEXT">File path:</SPAN>

</p>

</td>

<td width="95%">

<SPAN id="ID_FILEPATH"/>

</td>

</tr>

<tr>

<td width="5%">

<p align="right">Description:</p>

</td>

<td width="95%">

<SPAN id="ID_DESCRIPTION"/>

</td>

</tr>

</SPAN>

<!-- This next section of HTML code controls the properties for selected folders in the library. You can format the text, remove properties you don't want displayed, and so forth. -->

<SPAN id="ID_FOLDER">

<tr>

<td width="100%" colspan="2">

<SPAN id="ID_HEADING"/>

</td>

</tr>

<tr>

<td width="10%">

<p align="right">Title:</p>

</td>

<td width="90%">

<SPAN id="ID_TITLE"/>

</td>

</tr>

<tr>

<td width="10%">

<p align="right">Description:</p>

</td>

<td width="90%">

<SPAN id="ID_DESCRIPTION"/>

</td>

</tr>

</SPAN>

</table>

</body>

</html>


Span Tags for Customizing the Library Properties Tab

Span Tags for Customizing the Library Properties Tab

You can customize the information displayed in the Properties tab using the following SPAN tags:

  • ID_FILE: Any information contained between this span tag and its close will be omitted when displaying the properties for a folder.
  • ID_FOLDER: Any information contained between this span tag and its close will be omitted when displaying the properties for a file.
  • ID_HEADING: The default heading for the library item type. For files this is TEMPLATE PROPERTIES. For folders, this is FOLDER PROPERTIES.
  • ID_TITLE: The title of the item (used for both files and folders in the library).
  • ID_TYPE: The type of item.
  • ID_FILENAME or ID_FILENAME_LINKED: The file name of the item. (If you append the text LINKED to the tag, HotDocs converts the file name to a hyperlink, which, when clicked, will browse to and select the file.)
  • ID_FILEPATH or ID_FILEPATH_LINKED: The file path for the item. (If you append the text LINKED to the tag, HotDocs converts the folder path to a hyperlink, which, when clicked, will browse to and open the folder.)
  • ID_DESCRIPTION: The description of the item (used for both files and folders in the library)